#ifndef __SYS_FLASH_LAYOUT__
#define __SYS_FLASH_LAYOUT__

#if defined(Config_Boot_Flash_Type_is_EMMC)
	#ifdef Config_Board_TV002_V001
		#include <asm/arch/sys_param_emmc_tv002.h>
	#else
		#include <asm/arch/sys_param_emmc.h>
	#endif
#elif defined(Config_Boot_Flash_Type_is_NAND)
	#include <asm/arch/sys_param_nand.h>
#elif defined(Config_Boot_Flash_Type_is_SPI_NAND)
	#include <asm/arch/sys_param_spi_nand.h>
#elif defined(Config_Boot_Flash_Type_is_SPI)
	#include <asm/arch/sys_param_spi.h>
#elif defined(Config_Boot_Flash_Type_is_NONE)
	#include <asm/arch/sys_param_generic.h>
#else
	#error "Error Flash Type"
#endif

#endif
