
#ifndef __CMD_BURN_OTP_H__

	#define OTP_REG_BASE                        0x18038000

	#define OTP_DATA                            (OTP_REG_BASE + 0)
	#define OTP_BIT_3007_960					(OTP_REG_BASE + 0x078)
	#define OTP_BIT_3039_3008                   (OTP_REG_BASE + 0x178)
	#define OTP_BIT_3071_3040                   (OTP_REG_BASE + 0x17c)
	#define OTP_BIT_3103_3072                   (OTP_REG_BASE + 0x180)
	#define OTP_BIT_3135_3104                   (OTP_REG_BASE + 0x184)
	#define OTP_BIT_3167_3136                   (OTP_REG_BASE + 0x188)
	#define OTP_BIT_3199_3168                   (OTP_REG_BASE + 0x18c)
	#define OTP_BIT_3231_3200                   (OTP_REG_BASE + 0x190)
	#define OTP_BIT_3263_3232                   (OTP_REG_BASE + 0x194)
	#define OTP_BIT_3295_3264                   (OTP_REG_BASE + 0x198)
	#define OTP_BIT_3327_3296                   (OTP_REG_BASE + 0x19c)
	#define OTP_BIT_3359_3328                   (OTP_REG_BASE + 0x1a0)
	#define OTP_BIT_3391_3360                   (OTP_REG_BASE + 0x1a4)
	#define OTP_BIT_3423_3392                   (OTP_REG_BASE + 0x1a8)
	#define OTP_BIT_3455_3424                   (OTP_REG_BASE + 0x1ac)
	#define OTP_BIT_3487_3456                   (OTP_REG_BASE + 0x1b0)
	#define OTP_BIT_3519_3488                   (OTP_REG_BASE + 0x1b4)
	#define OTP_BIT_3551_3520                   (OTP_REG_BASE + 0x1b8)
	#define OTP_BIT_3583_3552                   (OTP_REG_BASE + 0x1bc)
	#define OTP_BIT_3615_3584                   (OTP_REG_BASE + 0x1c0)
	#define OTP_BIT_3647_3616                   (OTP_REG_BASE + 0x1c4)
	#define OTP_BIT_3679_3648                   (OTP_REG_BASE + 0x1c8)
	#define OTP_BIT_3711_3680                   (OTP_REG_BASE + 0x1cc)
	#define OTP_BIT_3743_3712                   (OTP_REG_BASE + 0x1d0)
	#define OTP_BIT_3775_3744                   (OTP_REG_BASE + 0x1d4)
	#define OTP_BIT_3807_3776                   (OTP_REG_BASE + 0x1d8)
	#define OTP_BIT_3839_3808                   (OTP_REG_BASE + 0x1dc)
	#define OTP_BIT_3871_3840                   (OTP_REG_BASE + 0x1e0)
	#define OTP_BIT_3903_3872                   (OTP_REG_BASE + 0x1e4)
	#define OTP_BIT_3935_3904                   (OTP_REG_BASE + 0x1e8)
	#define OTP_BIT_3967_3936                   (OTP_REG_BASE + 0x1ec)
	#define OTP_BIT_3999_3968                   (OTP_REG_BASE + 0x1f0)
	#define OTP_BIT_4031_4000                   (OTP_REG_BASE + 0x1f4)
	#define OTP_BIT_4063_4032                   (OTP_REG_BASE + 0x1f8)
	#define OTP_BIT_4095_4064                   (OTP_REG_BASE + 0x1fc)
	#define OTP_BIT_4127_4096                   (OTP_REG_BASE + 0x200)
	#define OTP_BIT_4159_4128                   (OTP_REG_BASE + 0x204)
	#define OTP_BIT_4191_4160                   (OTP_REG_BASE + 0x208)
	#define OTP_BIT_4223_4192                   (OTP_REG_BASE + 0x20c)
	#define OTP_BIT_4255_4224                   (OTP_REG_BASE + 0x210)
	#define OTP_BIT_4287_4256                   (OTP_REG_BASE + 0x214)
	#define OTP_BIT_4319_4288                   (OTP_REG_BASE + 0x218)
	#define OTP_BIT_4351_4320                   (OTP_REG_BASE + 0x21c)
	#define OTP_BIT_4383_4352                   (OTP_REG_BASE + 0x220)
	#define OTP_BIT_4415_4384                   (OTP_REG_BASE + 0x224)
	#define OTP_BIT_4447_4416                   (OTP_REG_BASE + 0x228)
	#define OTP_BIT_4479_4448                   (OTP_REG_BASE + 0x22c)
	#define OTP_BIT_4511_4480                   (OTP_REG_BASE + 0x230)
	#define OTP_BIT_4543_4512                   (OTP_REG_BASE + 0x234)
	#define OTP_BIT_4575_4544                   (OTP_REG_BASE + 0x238)
	#define OTP_BIT_4607_4576                   (OTP_REG_BASE + 0x23c)
	#define OTP_BIT_4639_4608                   (OTP_REG_BASE + 0x240)
	#define OTP_BIT_4671_4640                   (OTP_REG_BASE + 0x244)
	#define OTP_BIT_4703_4672                   (OTP_REG_BASE + 0x248)
	#define OTP_BIT_4735_4704                   (OTP_REG_BASE + 0x24c)
	#define OTP_BIT_4767_4736                   (OTP_REG_BASE + 0x250)
	#define OTP_BIT_4799_4768                   (OTP_REG_BASE + 0x254)
	#define OTP_BIT_4831_4800                   (OTP_REG_BASE + 0x258)
	#define OTP_BIT_4863_4832                   (OTP_REG_BASE + 0x25c)
	#define OTP_BIT_4895_4864                   (OTP_REG_BASE + 0x260)
	#define OTP_BIT_4927_4896                   (OTP_REG_BASE + 0x264)
	#define OTP_BIT_4959_4928                   (OTP_REG_BASE + 0x268)
	#define OTP_BIT_4991_4960                   (OTP_REG_BASE + 0x26c)
	#define OTP_BIT_5023_4992                   (OTP_REG_BASE + 0x270)
	#define OTP_BIT_5055_5024                   (OTP_REG_BASE + 0x274)
	#define OTP_BIT_5087_5056                   (OTP_REG_BASE + 0x278)
	#define OTP_BIT_5119_5088                   (OTP_REG_BASE + 0x27c)
	#define OTP_BIT_5151_5120                   (OTP_REG_BASE + 0x280)
	#define OTP_BIT_5183_5152                   (OTP_REG_BASE + 0x284)
	#define OTP_BIT_5215_5184                   (OTP_REG_BASE + 0x288)
	#define OTP_BIT_5247_5216                   (OTP_REG_BASE + 0x28c)
	#define OTP_BIT_5279_5248                   (OTP_REG_BASE + 0x290)
	#define OTP_BIT_5311_5280                   (OTP_REG_BASE + 0x294)
	#define OTP_BIT_5343_5312                   (OTP_REG_BASE + 0x298)
	#define OTP_BIT_5375_5344                   (OTP_REG_BASE + 0x29c)
	#define OTP_BIT_5407_5376                   (OTP_REG_BASE + 0x2a0)
	#define OTP_BIT_5439_5408                   (OTP_REG_BASE + 0x2a4)
	#define OTP_BIT_5471_5440                   (OTP_REG_BASE + 0x2a8)
	#define OTP_BIT_5503_5472                   (OTP_REG_BASE + 0x2ac)
	#define OTP_BIT_5535_5504                   (OTP_REG_BASE + 0x2b0)
	#define OTP_BIT_5567_5536                   (OTP_REG_BASE + 0x2b4)
	#define OTP_BIT_5599_5568                   (OTP_REG_BASE + 0x2b8)
	#define OTP_BIT_5631_5600                   (OTP_REG_BASE + 0x2bc)
	#define OTP_BIT_5663_5632                   (OTP_REG_BASE + 0x2c0)
	#define OTP_BIT_5695_5664                   (OTP_REG_BASE + 0x2c4)
	#define OTP_BIT_5727_5696                   (OTP_REG_BASE + 0x2c8)
	#define OTP_BIT_5759_5728                   (OTP_REG_BASE + 0x2cc)
	#define OTP_BIT_5791_5760                   (OTP_REG_BASE + 0x2d0)
	#define OTP_BIT_5823_5792                   (OTP_REG_BASE + 0x2d4)
	#define OTP_BIT_5855_5824                   (OTP_REG_BASE + 0x2d8)
	#define OTP_BIT_5887_5856                   (OTP_REG_BASE + 0x2dc)
	#define OTP_BIT_5919_5888                   (OTP_REG_BASE + 0x2e0)
	#define OTP_BIT_5951_5920                   (OTP_REG_BASE + 0x2e4)
	#define OTP_BIT_5983_5952                   (OTP_REG_BASE + 0x2e8)
	#define OTP_BIT_6015_5984                   (OTP_REG_BASE + 0x2ec)
	#define OTP_BIT_6047_6016                   (OTP_REG_BASE + 0x2f0)
	#define OTP_BIT_6079_6048                   (OTP_REG_BASE + 0x2f4)
	#define OTP_BIT_6111_6080                   (OTP_REG_BASE + 0x2f8)
	#define OTP_BIT_6143_6112                   (OTP_REG_BASE + 0x2fc)
	#define OTP_BIT_6175_6144                   (OTP_REG_BASE + 0x300)
	#define OTP_BIT_6207_6176                   (OTP_REG_BASE + 0x304)
	#define OTP_BIT_6239_6208                   (OTP_REG_BASE + 0x308)
	#define OTP_BIT_6271_6240                   (OTP_REG_BASE + 0x30c)
	#define OTP_BIT_6303_6272                   (OTP_REG_BASE + 0x310)
	#define OTP_BIT_6335_6304                   (OTP_REG_BASE + 0x314)
	#define OTP_BIT_6367_6336                   (OTP_REG_BASE + 0x318)
	#define OTP_BIT_6399_6368                   (OTP_REG_BASE + 0x31c)
	#define OTP_BIT_6431_6400                   (OTP_REG_BASE + 0x320)
	#define OTP_BIT_6463_6432                   (OTP_REG_BASE + 0x324)
	#define OTP_BIT_6495_6464                   (OTP_REG_BASE + 0x328)
	#define OTP_BIT_6527_6496                   (OTP_REG_BASE + 0x32c)
	#define OTP_BIT_6559_6528                   (OTP_REG_BASE + 0x330)
	#define OTP_BIT_6591_6560                   (OTP_REG_BASE + 0x334)
	#define OTP_BIT_6623_6592                   (OTP_REG_BASE + 0x338)
	#define OTP_BIT_6655_6624                   (OTP_REG_BASE + 0x33c)
	#define OTP_BIT_6687_6656                   (OTP_REG_BASE + 0x340)
	#define OTP_BIT_6719_6688                   (OTP_REG_BASE + 0x344)
	#define OTP_BIT_6751_6720                   (OTP_REG_BASE + 0x348)
	#define OTP_BIT_6783_6752                   (OTP_REG_BASE + 0x34c)
	#define OTP_BIT_6815_6784                   (OTP_REG_BASE + 0x350)
	#define OTP_BIT_6847_6816                   (OTP_REG_BASE + 0x354)
	#define OTP_BIT_6879_6848                   (OTP_REG_BASE + 0x358)
	#define OTP_BIT_6911_6880                   (OTP_REG_BASE + 0x35c)
	#define OTP_BIT_6943_6912                   (OTP_REG_BASE + 0x360)
	#define OTP_BIT_6975_6944                   (OTP_REG_BASE + 0x364)
	#define OTP_BIT_7007_6976                   (OTP_REG_BASE + 0x368)
	#define OTP_BIT_7039_7008                   (OTP_REG_BASE + 0x36c)
	#define OTP_BIT_7071_7040                   (OTP_REG_BASE + 0x370)
	#define OTP_BIT_7103_7072                   (OTP_REG_BASE + 0x374)
	#define OTP_BIT_7135_7104                   (OTP_REG_BASE + 0x378)
	#define OTP_BIT_7167_7136                   (OTP_REG_BASE + 0x37c)
	#define OTP_BIT_7199_7168                   (OTP_REG_BASE + 0x380)
	#define OTP_BIT_7231_7200                   (OTP_REG_BASE + 0x384)
	#define OTP_BIT_7263_7232                   (OTP_REG_BASE + 0x388)
	#define OTP_BIT_7295_7264                   (OTP_REG_BASE + 0x38c)
	#define OTP_BIT_7327_7296                   (OTP_REG_BASE + 0x390)
	#define OTP_BIT_7359_7328                   (OTP_REG_BASE + 0x394)
	#define OTP_BIT_7391_7360                   (OTP_REG_BASE + 0x398)
	#define OTP_BIT_7423_7392                   (OTP_REG_BASE + 0x39c)
	#define OTP_BIT_7455_7424                   (OTP_REG_BASE + 0x3a0)
	#define OTP_BIT_7487_7456                   (OTP_REG_BASE + 0x3a4)
	#define OTP_BIT_7519_7488                   (OTP_REG_BASE + 0x3a8)
	#define OTP_BIT_7551_7520                   (OTP_REG_BASE + 0x3ac)
	#define OTP_BIT_7583_7552                   (OTP_REG_BASE + 0x3b0)
	#define OTP_BIT_7615_7584                   (OTP_REG_BASE + 0x3b4)
	#define OTP_BIT_7647_7616                   (OTP_REG_BASE + 0x3b8)
	#define OTP_BIT_7679_7648                   (OTP_REG_BASE + 0x3bc)
	#define OTP_BIT_7711_7680                   (OTP_REG_BASE + 0x3c0)
	#define OTP_BIT_7743_7712                   (OTP_REG_BASE + 0x3c4)
	#define OTP_BIT_7775_7744                   (OTP_REG_BASE + 0x3c8)
	#define OTP_BIT_7807_7776                   (OTP_REG_BASE + 0x3cc)
	#define OTP_BIT_7839_7808                   (OTP_REG_BASE + 0x3d0)
	#define OTP_BIT_7871_7840                   (OTP_REG_BASE + 0x3d4)
	#define OTP_BIT_7903_7872                   (OTP_REG_BASE + 0x3d8)
	#define OTP_BIT_7935_7904                   (OTP_REG_BASE + 0x3dc)
	#define OTP_BIT_7967_7936                   (OTP_REG_BASE + 0x3e0)
	#define OTP_BIT_7999_7968                   (OTP_REG_BASE + 0x3e4)
	#define OTP_BIT_8031_8000                   (OTP_REG_BASE + 0x3e8)
	#define OTP_BIT_8063_8032                   (OTP_REG_BASE + 0x3ec)
	#define OTP_BIT_8095_8064                   (OTP_REG_BASE + 0x3f0)
	#define OTP_BIT_8127_8096                   (OTP_REG_BASE + 0x3f4)
	#define OTP_BIT_8159_8128                   (OTP_REG_BASE + 0x3f8)
	#define OTP_BIT_8191_8160                   (OTP_REG_BASE + 0x3fc)
	
	#define OTP_EF_CTRL         				(OTP_REG_BASE + 0x400)
			#define EF_CTRL_WRITE_EN8           (1 << 30)
			#define EF_CTRL_WRITE_EN7           (1 << 27)
			#define EF_CTRL_WRITE_EN6           (1 << 23)
			#define EF_CTRL_WRITE_EN5           (1 << 21)
			#define EF_CTRL_WRITE_EN4           (1 << 19)
			#define EF_CTRL_WRITE_EN3           (1 << 17)
			#define EF_CTRL_EN_INIT_PROC        (1 << 16)
			#define EF_CTRL_WRITE_EN2           (1 << 15)
			#define EF_CTRL_EN_PROG_OTP         (1 << 14)
			#define EF_CTRL_WRITE_EN1           (1 << 13)

	#define OTP_EF_CTRL_STS      				(OTP_REG_BASE + 0x430)
			#define EF_CTRL_PROG_STS			(1<<17)
			#define EF_CTRL_PROG_ACT			(1<<16)
#endif

