/*
 * inih -- simple .INI file parser
 *
 * Copyright (c) 2009, Brush Technology
 * Copyright (c) 2012:
 *              Joe Hershberger, National Instruments, joe.hershberger@ni.com
 * All rights reserved.
 *
 * SPDX-License-Identifier:	BSD-3-Clause
 *
 * Go to the project home page for more info:
 * http://code.google.com/p/inih/
 */

#ifdef CONFIG_INI_MAX_LINE
#define MAX_LINE CONFIG_INI_MAX_LINE
#else
#define MAX_LINE 200
#endif

#ifdef CONFIG_INI_MAX_SECTION
#define MAX_SECTION CONFIG_INI_MAX_SECTION
#else
#define MAX_SECTION 100
#endif

#ifdef CONFIG_INI_MAX_NAME
#define MAX_NAME CONFIG_INI_MAX_NAME
#else
#define MAX_NAME 100
#endif

int ini_parse(char *filestart, size_t filelen,int (*handler)(void *, char *, char *, char *),void *user);

//int ini_handler(void *user, char *section, char *name, char *value);

extern int ini_handler(void *user, char *section, char *name, char *value);
//int ini_parse(char *filestart, size_t filelen,void *user);