//#include <stdio.h>
//#include <stdlib.h>
//#include <string.h>
#include <linux/string.h>
//#include <sysdefs.h>
//#include "sysdefs.h"
//#include <Platform_Lib/Board/pcbMgr.h>
#include <platform_lib/board/pcb_mgr.h>
#include <common.h>
#include <command.h>
#include <malloc.h>
#include <linux/compiler.h>
#include <asm/io.h>
#include "AudioAmp.h"
#include <drivers/i2c/rtk_i2c_lib.h>
#include <drivers/i2c/rtk_g2c_lib.h>


static unsigned long long m_I2C_MASTER=0, m_AMP_DEVICE_ADDR=0, m_PIN_AMP_MUTE=0; //, m_I2C_SUB_SDA_SRC=0;
static unsigned long long m_PIN_951_RST=0;

#define display_evaluate_time(...)

#define ENABLE_AMP_USE_HW_I2C
#define CONFIG_AT_TV010_K05_BOARD_296C 1
//#define AMP_I2C		PCB_I2C_3

#ifdef AMP_TAS_5707A //hardy20111208
#define _TAS5707A_ADDR 0x1d
void AudioAmp_InitTas5707A(UINT8 devAddr);
#endif
#define ErrCode int
//#define FALSE		(0)
//#define TRUE			(1)
#define R_ERR_RX_ERROR		(0)
#define R_ERR_SUCCESS		(1)

typedef struct
{
	UINT8   UINT8Adr;
	UINT8   UINT8DataLen;
	UINT8    *pUINT8Datas;
} sInitTSA5711Reg;

#ifdef AMP_TAS_5707 //hardy20111122

UINT8   UINT8Reg03Value[]={0xA0};//add by gxj 111124
UINT8   UINT8Reg04Value[]={0x05};//add by gxj 111124
UINT8   UINT8Reg05Value[]={0x00};
UINT8   UINT8Reg06Value[]={0x00};
UINT8   UINT8Reg07Value[]={0x20};//{0x0a};//change value gxj 111124
UINT8   UINT8Reg08Value[]={0x30};
UINT8   UINT8Reg09Value[]={0x30};
UINT8   UINT8Reg0AValue[]={0x30};
UINT8   UINT8Reg1BValue[]={0x00};

 UINT8   UINT8Reg0BValue[]={0x00};  //Reserved
 UINT8   UINT8Reg0EValue[]={0x91};//{0xD1};  //Volume configuration register //change value gxj 111124
 UINT8   UINT8Reg10Value[]={0x02};  //Modulation limit register
 UINT8   UINT8Reg11Value[]={0xB8};//{0xAC};  //IC delay channel 1 //change value gxj 111124
 UINT8   UINT8Reg12Value[]={0x60};//{0x54};  //IC delay channel 2 //change value gxj 111124
 UINT8   UINT8Reg13Value[]={0xA0};//{0xAC};  //IC delay channel 3//change value gxj 111124
 UINT8   UINT8Reg14Value[]={0x48};//{0x54};  //IC delay channel 4//change value gxj 111124
 UINT8   UINT8Reg19Value[]={0x30};  //PWM SHUTDOWN GROUP REGISTER
 UINT8   UINT8Reg1AValue[]={0x0A};//{0x95};  //Start/stop period register //change value gxj 111124
 UINT8   UINT8Reg1CValue[]={0x02};  //BKND_ERR register
 UINT8   UINT8Reg20Value[]={0x00,0x89,0x77,0x72};//{0x00,0x10,0x77,0x72};  //Input MUX register //change value gxj 111124
 UINT8   UINT8Reg21Value[]={0x00,0x00,0x42,0x03};  //Ch 4 source select register
 UINT8   UINT8Reg25Value[]={0x01,0x02,0x13,0x45}; //PWM MUX register
 //!Biquads(EQs)
 UINT8   UINT8Reg29Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg2AValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg2BValue[]={0x00,0x77,0xF7,0xDD,0x0F,0x10,0x10,0x45,0x00,0x77,0xF7,0xDD,0x00,0xEF,0x6E,0x9F,0x0F,0x8F,0x8F,0x29};
 UINT8   UINT8Reg2CValue[]={0x00,0x88,0xEE,0x95,0x0F,0x28,0xB1,0x59,0x00,0x60,0x1D,0x6B,0x00,0xD7,0x4E,0xA7,0x0F,0x96,0xF4,0x00};
 UINT8   UINT8Reg2DValue[]={0x00,0x90,0x87,0x29,0x0F,0x69,0x03,0x83,0x00,0x44,0xFF,0xB6,0x00,0x96,0xFC,0x7D,0x0F,0xAA,0x79,0x20};
 UINT8   UINT8Reg2EValue[]={0x00,0x9D,0x2D,0x8E,0x0F,0xBA,0xBA,0x17,0x00,0x17,0xD7,0x64,0x00,0x45,0x45,0xE9,0x0F,0xCA,0xFB,0x0D};
 UINT8   UINT8Reg2FValue[]={0x00,0x9D,0x2D,0x8E,0x00,0x00,0x00,0x00,0x00,0x17,0xD7,0x64,0x00,0x00,0x00,0x00,0x0F,0xCA,0xFB,0x0D};
 UINT8   UINT8Reg30Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

 UINT8   UINT8Reg31Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg32Value[]={0x00,0x77,0xF7,0xDD,0x0F,0x10,0x10,0x45,0x00,0x77,0xF7,0xDD,0x00,0xEF,0x6E,0x9F,0x0F,0x8F,0x8F,0x29};
 UINT8   UINT8Reg33Value[]={0x00,0x88,0xEE,0x95,0x0F,0x28,0xB1,0x59,0x00,0x60,0x1D,0x6B,0x00,0xD7,0x4E,0xA7,0x0F,0x96,0xF4,0x00};
 UINT8   UINT8Reg34Value[]={0x00,0x90,0x87,0x29,0x0F,0x69,0x03,0x83,0x00,0x44,0xFF,0xB6,0x00,0x96,0xFC,0x7D,0x0F,0xAA,0x79,0x20};
 UINT8   UINT8Reg35Value[]={0x00,0x9D,0x2D,0x8E,0x0F,0xBA,0xBA,0x17,0x00,0x17,0xD7,0x64,0x00,0x45,0x45,0xE9,0x0F,0xCA,0xFB,0x0D};
 UINT8   UINT8Reg36Value[]={0x00,0x9D,0x2D,0x8E,0x00,0x00,0x00,0x00,0x00,0x17,0xD7,0x64,0x00,0x00,0x00,0x00,0x0F,0xCA,0xFB,0x0D};
 UINT8   UINT8Reg50Value[]={0x0F,0x70,0x80,0x00};//{0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg58Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg59Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg5AValue[]={0x00,0x7F,0xDA,0xE4,0x0F,0x00,0x4A,0x37,0x00,0x7F,0xDA,0xE4,0x00,0xFF,0xB2,0xFB,0x0F,0x80,0x47,0x69};
 UINT8   UINT8Reg5BValue[]={0x00,0x04,0x0E,0xB5,0x00,0x04,0x0E,0xB5,0x00,0x00,0x00,0x00,0x00,0x77,0xE2,0x94,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg5CValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg5DValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg5EValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
 UINT8   UINT8Reg5FValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

//!DRCs
 UINT8   UINT8Reg3AValue[]={0x00,0x00,0x06,0xD3,0x00,0x7F,0xF9,0x2B};//{0x00,0x00,0x22,0x1B,0x00,0x7F,0xDD,0xE1};   //DRC1 ae//change value gxj 111124
 UINT8   UINT8Reg3BValue[]={0x00,0x02,0xA3,0x9A,0x00,0x7D,0x2F,0xD2};//{0x00,0x00,0x22,0x1B,0x00,0x7F,0xDD,0xE1};   //DRC1 aa//change value gxj 111124
 UINT8   UINT8Reg3CValue[]={0x00,0x00,0x06,0xD3,0x00,0x7F,0xF9,0x2B};//{0x00,0x00,0x22,0x1B,0x00,0x7F,0xDD,0xE1};   //DRC1 ad//change value gxj 111124
 UINT8   UINT8Reg40Value[]={0xFD,0xB0,0xF6,0x6A};//{0xFD,0xB0,0xF6,0x6A}{0xFD,0xB0,0xF6,0x6A};                                   //DRC1-T//change value gxj 111124
 UINT8   UINT8Reg41Value[]={0x03,0x81,0x47,0xAF};//{0x0F,0x83,0x33,0x35};                                   //DRC1-K//change value gxj 111124
 UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
 UINT8   UINT8Reg46Value[]={0x00,0x00,0x00,0x01};//{0x00,0x00,0x00,0x03};    //change value gxj 111124                               //DRC Control
 UINT8   UINT8Reg3DValue[]={0x00,0x00,0x22,0x1C,0x00,0x7F,0xDD,0xE1};   //DRC2 ae
 UINT8   UINT8Reg3EValue[]={0x00,0x00,0x22,0x1C,0x00,0x7F,0xDD,0xE1};   //DRC2 aa
 UINT8   UINT8Reg3FValue[]={0x00,0x00,0x00,0x57,0x00,0x7F,0xFF,0xA8};   //DRC2 ad
 UINT8   UINT8Reg43Value[]={0xFD,0x77,0x8F,0x45};                                   //DRC2-T
 UINT8   UINT8Reg44Value[]={0x0F,0x83,0x33,0x35};                                   //DRC2-K
 UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
 //mixer & scale
 UINT8   UINT8Reg52Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};    //CH2 output mixer
 UINT8   UINT8Reg60Value[]={0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00};                                    //Ch4 (subchannel) output mixer
 UINT8   UINT8Reg56Value[]={0x00,0x80,0x00,0x00};    //Output post-scale
 UINT8   UINT8Reg57Value[]={0x00,0x02,0x00,0x00};    //Output pre-scale
 UINT8   UINT8Reg53Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00}; //CH1 input mixer
 UINT8   UINT8Reg55Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};                                 //CH3 input mixer
 UINT8   UINT8Reg54Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00}; //CH2 input mixer
 UINT8   UINT8Reg51Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};   //CH1 output mixer

#else //AMP_TAS_5711

//mixer & scale
UINT8   UINT8Reg06Value[]={0x00};  //Soft mute register
UINT8   UINT8Reg0AValue[]={0xff};

UINT8   UINT8Reg05Value[]={0x02};   //System Ctl Register2

#if defined(BOARD_ID_RTD2974_SKYWORTH_424755E700S)
UINT8   UINT8Reg08Value[]={0x24};  //CH1 Volume
UINT8   UINT8Reg09Value[]={0x24};  //CH2 Volume
#elif defined(BOARD_ID_RTD2974_SKYWORTH_E83_V3)
UINT8   UINT8Reg08Value[]={0x24};  //CH1 Volume
UINT8   UINT8Reg09Value[]={0x24};  //CH2 Volume
#elif defined(BOARD_ID_RTD2975_SKYWORTH_4K2K_DVBT_V1)
UINT8   UINT8Reg08Value[]={0x24};  //CH1 Volume
UINT8   UINT8Reg09Value[]={0x24};  //CH2 Volume
#elif defined(BOARD_ID_RTD2974_SKYWORTH_32E700S)
UINT8   UINT8Reg08Value[]={0x24};  //CH1 Volume
UINT8   UINT8Reg09Value[]={0x24};  //CH2 Volume

#else  //E650S

#ifdef Board_AMP_POWER_8OHM
UINT8   UINT8Reg08Value[]={0x1a};  //CH1 Volume  //tlm 20111111 32e83
UINT8   UINT8Reg09Value[]={0x1a};  //CH2 Volume  //tlm 20111111 32e83
#else  //6ohm
UINT8   UINT8Reg08Value[]={0x30};  //CH1 Volume
UINT8   UINT8Reg09Value[]={0x30};  //CH2 Volume
#endif

#endif

UINT8   UINT8Reg0EValue[]={0xD1};  //Volume configuration register
#if defined(CONFIG_AT_TV010_E60_BOARD_296C)||defined(CONFIG_AT_TV010_E20_BOARD_296C) ||defined(CONFIG_AT_TV010_E62_BOARD_296C)
UINT8   UINT8Reg19Value[]={0x3c};  //PWM SHUTDOWN GROUP REGISTER
#else
UINT8   UINT8Reg19Value[]={0x3A};  //PWM SHUTDOWN GROUP REGISTER
#endif
UINT8   UINT8Reg1BValue[]={0x00};  //Oscillator trim register

#if defined(BOARD_ID_RTD2974_SKYWORTH_424755E700S)
UINT8   UINT8Reg07Value[]={0x22};   //Master Volume  //tlm add 20100919
#elif defined(BOARD_ID_RTD2974_SKYWORTH_E83_V3)
UINT8   UINT8Reg07Value[]={0x22};   //Master Volume  //tlm add 20100919
#elif defined(BOARD_ID_RTD2975_SKYWORTH_4K2K_DVBT_V1)
UINT8   UINT8Reg07Value[]={0x22};   //Master Volume  //tlm add 20100919
#elif defined(BOARD_ID_RTD2974_SKYWORTH_32E700S)
UINT8   UINT8Reg07Value[]={0x22};   //Master Volume  //tlm add 20100919

#else

#ifdef Board_AMP_POWER_8OHM
UINT8   UINT8Reg07Value[]={0x30};   //Master Volume  //tlm 20111111 32e83
#else  //6ohm
UINT8   UINT8Reg07Value[]={0xff};   //Master Volume  //tlm add 20100919
#endif

#endif

UINT8   UINT8Reg14Value[]={0x48};  //IC delay channel 4
UINT8   UINT8Reg13Value[]={0xA0};  //IC delay channel 3
UINT8   UINT8Reg12Value[]={0x60};  //IC delay channel 2
UINT8   UINT8Reg11Value[]={0xB8};  //IC delay channel 1
UINT8   UINT8Reg03Value[]={0x80};   //System Control Register 1
UINT8   UINT8Reg1AValue[]={0X0F};  //Start/stop period register
UINT8   UINT8Reg20Value[]={0x00,0x89,0x77,0x72};  //Input MUX register
UINT8   UINT8Reg21Value[]={0x00,0x00,0x42,0x03};  //Ch 4 source select register
UINT8   UINT8Reg25Value[]={0x01,0x10,0x32,0x45}; //PWM MUX register, replaced Left with Right, replaced Right with Left
UINT8   UINT8Reg50Value[]={0x00,0x00,0x00,0x00};
UINT8   UINT8Reg51Value[]={0x00,0x40,0x00,0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00};    //CH2 output mixer

//add some value
UINT8   UINT8Reg10Value[]={0x02};
UINT8   UINT8Reg0BValue[]={0x00};
UINT8   UINT8Reg1CValue[]={0x02};
UINT8   UINT8Reg0DValue[]={0x35};
UINT8   UINT8Reg39Value[]={0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};  

//EQ
#if defined(BOARD_ID_RTD2974_SKYWORTH_424755E700S)
//e700
UINT8   UINT8Reg29Value[]={0x00,0x7E,0x3C,0x31,0xFF,0x03,0x87,0x9E,0x00,0x7E,0x3C,0x31,0x00,0xFC,0x72,0x27,0xFF,0x83,0x81,0x63};
UINT8   UINT8Reg2AValue[]={0x00,0x7E,0x3C,0x31,0xFF,0x03,0x87,0x9E,0x00,0x7E,0x3C,0x31,0x00,0xFC,0x72,0x27,0xFF,0x83,0x81,0x63};
UINT8   UINT8Reg2BValue[]={0x00,0x80,0xA3,0x67,0xFF,0x05,0xD6,0xB1,0x00,0x7A,0x6E,0x6B,0x00,0xFA,0x29,0x4F,0xFF,0x84,0xEE,0x2E};
UINT8   UINT8Reg2CValue[]={0x00,0x81,0xA6,0x82,0xFF,0x25,0xD5,0x8C,0x00,0x71,0x99,0xEE,0x00,0xDA,0x2A,0x74,0xFF,0x8C,0xBF,0x90};
UINT8   UINT8Reg2DValue[]={0x00,0x81,0xA6,0x82,0xFF,0x35,0xBE,0x5C,0x00,0x71,0x99,0xEE,0x00,0xCA,0x41,0xA4,0xFF,0x8C,0xBF,0x90};
UINT8   UINT8Reg2EValue[]={0x00,0x82,0x09,0xE5,0xFF,0x6D,0xBE,0x46,0x00,0x6E,0x36,0xDE,0x00,0x92,0x41,0xBA,0xFF,0x8F,0xBF,0x3D};
UINT8   UINT8Reg2FValue[]={0x00,0x8A,0xD1,0xA9,0x00,0x00,0x00,0x00,0x00,0x34,0x4D,0xB9,0x00,0x00,0x00,0x00,0xFF,0xC0,0xE0,0x9D};
UINT8   UINT8Reg30Value[]={0x00,0x7E,0x3C,0x31,0xFF,0x03,0x87,0x9E,0x00,0x7E,0x3C,0x31,0x00,0xFC,0x72,0x27,0xFF,0x83,0x81,0x63};
UINT8   UINT8Reg31Value[]={0x00,0x7E,0x3C,0x31,0xFF,0x03,0x87,0x9E,0x00,0x7E,0x3C,0x31,0x00,0xFC,0x72,0x27,0xFF,0x83,0x81,0x63};
UINT8   UINT8Reg32Value[]={0x00,0x80,0xA3,0x67,0xFF,0x05,0xD6,0xB1,0x00,0x7A,0x6E,0x6B,0x00,0xFA,0x29,0x4F,0xFF,0x84,0xEE,0x2E};
UINT8   UINT8Reg33Value[]={0x00,0x81,0xA6,0x82,0xFF,0x25,0xD5,0x8C,0x00,0x71,0x99,0xEE,0x00,0xDA,0x2A,0x74,0xFF,0x8C,0xBF,0x90};
UINT8   UINT8Reg34Value[]={0x00,0x81,0xA6,0x82,0xFF,0x35,0xBE,0x5C,0x00,0x71,0x99,0xEE,0x00,0xCA,0x41,0xA4,0xFF,0x8C,0xBF,0x90};
UINT8   UINT8Reg35Value[]={0x00,0x82,0x09,0xE5,0xFF,0x6D,0xBE,0x46,0x00,0x6E,0x36,0xDE,0x00,0x92,0x41,0xBA,0xFF,0x8F,0xBF,0x3D};
UINT8   UINT8Reg36Value[]={0x00,0x8A,0xD1,0xA9,0x00,0x00,0x00,0x00,0x00,0x34,0x4D,0xB9,0x00,0x00,0x00,0x00,0xFF,0xC0,0xE0,0x9D};

#elif defined(BOARD_ID_RTD2974_SKYWORTH_E83_V3)
//UD

   #ifdef Board_keypad_65UD
		UINT8   UINT8Reg29Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2AValue[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2BValue[]={0x00,0x7F,0x76,0x3B,0x0F,0x06,0xFA,0x73,0x00,0x79,0xC0,0x82,0x00,0xF9,0x05,0x8D,0x0F,0x86,0xC9,0x43};
		UINT8   UINT8Reg2CValue[]={0x00,0x82,0x09,0xE5,0x0F,0x22,0x09,0x02,0x00,0x6E,0x36,0xDE,0x00,0xDD,0xF6,0xFE,0x0F,0x8F,0xBF,0x3D};
		UINT8   UINT8Reg2DValue[]={0x00,0x82,0x29,0xD1,0x0F,0x47,0x1C,0x8A,0x00,0x66,0xE2,0x2E,0x00,0xB8,0xE3,0x76,0x0F,0x96,0xF4,0x00};
		UINT8   UINT8Reg2EValue[]={0x00,0x84,0x00,0xCD,0x0F,0x95,0x3C,0x90,0x00,0x51,0x86,0x12,0x00,0x6A,0xC3,0x70,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg2FValue[]={0x00,0x84,0x00,0xCD,0x0F,0xC8,0xBC,0x35,0x00,0x51,0x86,0x12,0x00,0x37,0x43,0xCB,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg30Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg31Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg32Value[]={0x00,0x7F,0x76,0x3B,0x0F,0x06,0xFA,0x73,0x00,0x79,0xC0,0x82,0x00,0xF9,0x05,0x8D,0x0F,0x86,0xC9,0x43};
		UINT8   UINT8Reg33Value[]={0x00,0x82,0x09,0xE5,0x0F,0x22,0x09,0x02,0x00,0x6E,0x36,0xDE,0x00,0xDD,0xF6,0xFE,0x0F,0x8F,0xBF,0x3D};
		UINT8   UINT8Reg34Value[]={0x00,0x82,0x29,0xD1,0x0F,0x47,0x1C,0x8A,0x00,0x66,0xE2,0x2E,0x00,0xB8,0xE3,0x76,0x0F,0x96,0xF4,0x00};
		UINT8   UINT8Reg35Value[]={0x00,0x84,0x00,0xCD,0x0F,0x95,0x3C,0x90,0x00,0x51,0x86,0x12,0x00,0x6A,0xC3,0x70,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg36Value[]={0x00,0x84,0x00,0xCD,0x0F,0xC8,0xBC,0x35,0x00,0x51,0x86,0x12,0x00,0x37,0x43,0xCB,0x0F,0xAA,0x79,0x20};
   #else
		UINT8   UINT8Reg29Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg2AValue[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg2BValue[]={0x00,0x80,0x8D,0x37,0x0F,0x03,0xD9,0x56,0x00,0x7C,0x23,0xF4,0x00,0xFC,0x26,0xAA,0x0F,0x83,0x4E,0xD4};
		UINT8   UINT8Reg2CValue[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
		UINT8   UINT8Reg2DValue[]={0x00,0x87,0x00,0xFA,0x0F,0x9B,0x0C,0xB2,0x00,0x42,0xE5,0xA2,0x00,0x64,0xF3,0x4E,0x0F,0xB6,0x19,0x63};
		UINT8   UINT8Reg2EValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2FValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg30Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg31Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg32Value[]={0x00,0x80,0x8D,0x37,0x0F,0x03,0xD9,0x56,0x00,0x7C,0x23,0xF4,0x00,0xFC,0x26,0xAA,0x0F,0x83,0x4E,0xD4};
		UINT8   UINT8Reg33Value[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
		UINT8   UINT8Reg34Value[]={0x00,0x87,0x00,0xFA,0x0F,0x9B,0x0C,0xB2,0x00,0x42,0xE5,0xA2,0x00,0x64,0xF3,0x4E,0x0F,0xB6,0x19,0x63};
		UINT8   UINT8Reg35Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg36Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
    #endif


#elif defined(BOARD_ID_RTD2975_SKYWORTH_4K2K_DVBT_V1)
//UD

   #ifdef Board_keypad_65UD
		UINT8   UINT8Reg29Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2AValue[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2BValue[]={0x00,0x7F,0x76,0x3B,0x0F,0x06,0xFA,0x73,0x00,0x79,0xC0,0x82,0x00,0xF9,0x05,0x8D,0x0F,0x86,0xC9,0x43};
		UINT8   UINT8Reg2CValue[]={0x00,0x82,0x09,0xE5,0x0F,0x22,0x09,0x02,0x00,0x6E,0x36,0xDE,0x00,0xDD,0xF6,0xFE,0x0F,0x8F,0xBF,0x3D};
		UINT8   UINT8Reg2DValue[]={0x00,0x82,0x29,0xD1,0x0F,0x47,0x1C,0x8A,0x00,0x66,0xE2,0x2E,0x00,0xB8,0xE3,0x76,0x0F,0x96,0xF4,0x00};
		UINT8   UINT8Reg2EValue[]={0x00,0x84,0x00,0xCD,0x0F,0x95,0x3C,0x90,0x00,0x51,0x86,0x12,0x00,0x6A,0xC3,0x70,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg2FValue[]={0x00,0x84,0x00,0xCD,0x0F,0xC8,0xBC,0x35,0x00,0x51,0x86,0x12,0x00,0x37,0x43,0xCB,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg30Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg31Value[]={0x00,0x7F,0x2A,0xEC,0x0F,0x80,0xD5,0x14,0x00,0x00,0x00,0x00,0x00,0x7E,0x55,0xD9,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg32Value[]={0x00,0x7F,0x76,0x3B,0x0F,0x06,0xFA,0x73,0x00,0x79,0xC0,0x82,0x00,0xF9,0x05,0x8D,0x0F,0x86,0xC9,0x43};
		UINT8   UINT8Reg33Value[]={0x00,0x82,0x09,0xE5,0x0F,0x22,0x09,0x02,0x00,0x6E,0x36,0xDE,0x00,0xDD,0xF6,0xFE,0x0F,0x8F,0xBF,0x3D};
		UINT8   UINT8Reg34Value[]={0x00,0x82,0x29,0xD1,0x0F,0x47,0x1C,0x8A,0x00,0x66,0xE2,0x2E,0x00,0xB8,0xE3,0x76,0x0F,0x96,0xF4,0x00};
		UINT8   UINT8Reg35Value[]={0x00,0x84,0x00,0xCD,0x0F,0x95,0x3C,0x90,0x00,0x51,0x86,0x12,0x00,0x6A,0xC3,0x70,0x0F,0xAA,0x79,0x20};
		UINT8   UINT8Reg36Value[]={0x00,0x84,0x00,0xCD,0x0F,0xC8,0xBC,0x35,0x00,0x51,0x86,0x12,0x00,0x37,0x43,0xCB,0x0F,0xAA,0x79,0x20};
   #else
		UINT8   UINT8Reg29Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg2AValue[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg2BValue[]={0x00,0x80,0x8D,0x37,0x0F,0x03,0xD9,0x56,0x00,0x7C,0x23,0xF4,0x00,0xFC,0x26,0xAA,0x0F,0x83,0x4E,0xD4};
		UINT8   UINT8Reg2CValue[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
		UINT8   UINT8Reg2DValue[]={0x00,0x87,0x00,0xFA,0x0F,0x9B,0x0C,0xB2,0x00,0x42,0xE5,0xA2,0x00,0x64,0xF3,0x4E,0x0F,0xB6,0x19,0x63};
		UINT8   UINT8Reg2EValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg2FValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg30Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg31Value[]={0x00,0x7E,0x95,0xFF,0x0F,0x02,0xD4,0x01,0x00,0x7E,0x95,0xFF,0x00,0xFD,0x27,0xFF,0x0F,0x82,0xD0,0x01};
		UINT8   UINT8Reg32Value[]={0x00,0x80,0x8D,0x37,0x0F,0x03,0xD9,0x56,0x00,0x7C,0x23,0xF4,0x00,0xFC,0x26,0xAA,0x0F,0x83,0x4E,0xD4};
		UINT8   UINT8Reg33Value[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
		UINT8   UINT8Reg34Value[]={0x00,0x87,0x00,0xFA,0x0F,0x9B,0x0C,0xB2,0x00,0x42,0xE5,0xA2,0x00,0x64,0xF3,0x4E,0x0F,0xB6,0x19,0x63};
		UINT8   UINT8Reg35Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
		UINT8   UINT8Reg36Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
    #endif

#elif defined(BOARD_ID_RTD2974_SKYWORTH_32E700S)


UINT8   UINT8Reg29Value[]={0x00,0x7E,0x5A,0x0E,0x0F,0x03,0x4B,0xE4,0x00,0x7E,0x5A,0x0E,0x00,0xFC,0xAE,0xAD,0x0F,0x83,0x46,0x75};
UINT8   UINT8Reg2AValue[]={0x00,0x7E,0x5A,0x0E,0x0F,0x03,0x4B,0xE4,0x00,0x7E,0x5A,0x0E,0x00,0xFC,0xAE,0xAD,0x0F,0x83,0x46,0x75};
UINT8   UINT8Reg2BValue[]={0x00,0x7F,0xE6,0xEE,0x0F,0x04,0x47,0x95,0x00,0x7C,0x98,0xC0,0x00,0xFB,0xB8,0x6B,0x0F,0x83,0x80,0x52};
UINT8   UINT8Reg2CValue[]={0x00,0x82,0x09,0xE5,0x0F,0x17,0xEE,0xF6,0x00,0x6E,0x36,0xDE,0x00,0xE8,0x11,0x0A,0x0F,0x8F,0xBF,0x3D};
UINT8   UINT8Reg2DValue[]={0x00,0x87,0x00,0xFA,0x0F,0x85,0x17,0x2F,0x00,0x42,0xE5,0xA2,0x00,0x7A,0xE8,0xD1,0x0F,0xB6,0x19,0x63};
UINT8   UINT8Reg2EValue[]={0x00,0x87,0x00,0xFA,0x0F,0xCB,0xBE,0x86,0x00,0x42,0xE5,0xA2,0x00,0x34,0x41,0x7A,0x0F,0xB6,0x19,0x63};
UINT8   UINT8Reg2FValue[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

UINT8   UINT8Reg30Value[]={0x00,0x7E,0x5A,0x0E,0x0F,0x03,0x4B,0xE4,0x00,0x7E,0x5A,0x0E,0x00,0xFC,0xAE,0xAD,0x0F,0x83,0x46,0x75};
UINT8   UINT8Reg31Value[]={0x00,0x7E,0x5A,0x0E,0x0F,0x03,0x4B,0xE4,0x00,0x7E,0x5A,0x0E,0x00,0xFC,0xAE,0xAD,0x0F,0x83,0x46,0x75};
UINT8   UINT8Reg32Value[]={0x00,0x7F,0xE6,0xEE,0x0F,0x04,0x47,0x95,0x00,0x7C,0x98,0xC0,0x00,0xFB,0xB8,0x6B,0x0F,0x83,0x80,0x52};
UINT8   UINT8Reg33Value[]={0x00,0x82,0x09,0xE5,0x0F,0x17,0xEE,0xF6,0x00,0x6E,0x36,0xDE,0x00,0xE8,0x11,0x0A,0x0F,0x8F,0xBF,0x3D};
UINT8   UINT8Reg34Value[]={0x00,0x87,0x00,0xFA,0x0F,0x85,0x17,0x2F,0x00,0x42,0xE5,0xA2,0x00,0x7A,0xE8,0xD1,0x0F,0xB6,0x19,0x63};
UINT8   UINT8Reg35Value[]={0x00,0x87,0x00,0xFA,0x0F,0xCB,0xBE,0x86,0x00,0x42,0xE5,0xA2,0x00,0x34,0x41,0x7A,0x0F,0xB6,0x19,0x63};
UINT8   UINT8Reg36Value[]={0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
#else
//32424755E650S
UINT8	 UINT8Reg29Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2AValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2BValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2CValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2DValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2EValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg2FValue[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
//add some value
//UINT8   UINT8Reg58Value[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
//UINT8   UINT8Reg59Value[]={0x00,0x85,0xCF,0x4B,0x0F,0x96,0x70,0x1C,0x00,0x4D,0x50,0x7E,0x00,0x69,0x8F,0xE4,0x0F,0xAC,0xE0,0x37};


UINT8	 UINT8Reg30Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg31Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg32Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg33Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg34Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg35Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
UINT8	 UINT8Reg36Value[]={0x00,0x00,0x08,0x92,0x00,0x00,0x11,0x25,0x00,0x00,0x08,0x92,0x00,0xFA,0x13,0x89,0x0F,0x85,0xCA,0x2B};
//add some value
//UINT8   UINT8Reg5CValue[]={0x00,0x83,0xDB,0x0D,0x0F,0x4C,0x87,0x81,0x00,0x5E,0x5C,0xB7,0x00,0xB3,0x78,0x7F,0x0F,0x9D,0xC8,0x3B};
//UINT8   UINT8Reg5DValue[]={0x00,0x85,0xCF,0x4B,0x0F,0x96,0x70,0x1C,0x00,0x4D,0x50,0x7E,0x00,0x69,0x8F,0xE4,0x0F,0xAC,0xE0,0x37};


#endif

#if defined(BOARD_ID_RTD2974_SKYWORTH_E83_V3)
UINT8   UINT8Reg5AValue[]={0x00,0x00,0x03,0x1D,0x00,0x00,0x06,0x3A,0x00,0x00,0x03,0x1D,0x00,0xFC,0x72,0x05,0x0F,0x83,0x81,0x85};
UINT8   UINT8Reg5BValue[]={0x00,0x00,0x03,0x1D,0x00,0x00,0x06,0x3A,0x00,0x00,0x03,0x1D,0x00,0xFC,0x72,0x05,0x0F,0x83,0x81,0x85};
#elif defined(BOARD_ID_RTD2975_SKYWORTH_4K2K_DVBT_V1)
UINT8   UINT8Reg5AValue[]={0x00,0x00,0x03,0x1D,0x00,0x00,0x06,0x3A,0x00,0x00,0x03,0x1D,0x00,0xFC,0x72,0x05,0x0F,0x83,0x81,0x85};
UINT8   UINT8Reg5BValue[]={0x00,0x00,0x03,0x1D,0x00,0x00,0x06,0x3A,0x00,0x00,0x03,0x1D,0x00,0xFC,0x72,0x05,0x0F,0x83,0x81,0x85};
#else
UINT8   UINT8Reg5AValue[]={0x00,0x00,0x01,0x64,0x00,0x00,0x02,0xC8,0x00,0x00,0x01,0x64,0x00,0xFD,0xA1,0x53,0x0F,0x82,0x59,0x1D};
UINT8   UINT8Reg5BValue[]={0x00,0x00,0x01,0x64,0x00,0x00,0x02,0xC8,0x00,0x00,0x01,0x64,0x00,0xFD,0xA1,0x53,0x0F,0x82,0x59,0x1D};
#endif
//!DRCs
UINT8   UINT8Reg3AValue[]={0x00,0x05,0x39,0x47,0x00,0x7A,0xC6,0xB8};   //DRC1 ae
UINT8   UINT8Reg3BValue[]={0x00,0x05,0x39,0x47,0x00,0x7A,0xC6,0xB8};   //DRC1 aa
UINT8   UINT8Reg3CValue[]={0x00,0x00,0x00,0xF9,0x00,0x7F,0xFF,0x06};   //DRC1 ad
UINT8   UINT8Reg3DValue[]={0x00,0x05,0x39,0x47,0x00,0x7A,0xC6,0xB8};   //DRC2 ae
UINT8   UINT8Reg3EValue[]={0x00,0x05,0x39,0x47,0x00,0x7A,0xC6,0xB8};   //DRC2 aa
UINT8   UINT8Reg3FValue[]={0x00,0x00,0x00,0xF9,0x00,0x7F,0xFF,0x06};   //DRC2 ad
#if defined(BOARD_ID_RTD2974_SKYWORTH_424755E700S)
UINT8   UINT8Reg40Value[]={0xFD,0xAC,0xB5,0xE3};
UINT8   UINT8Reg41Value[]={0x0F,0x84,0x44,0x44};                                   //DRC1-K
UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
UINT8   UINT8Reg43Value[]={0xFD,0xC1,0xF8,0xF9};
UINT8   UINT8Reg44Value[]={0x0F,0x84,0x44,0x44};                                   //DRC2-K
UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
#elif defined(BOARD_ID_RTD2974_SKYWORTH_E83_V3)
UINT8   UINT8Reg40Value[]={0xFD,0xAC,0xB5,0xE3};
UINT8   UINT8Reg41Value[]={0x0F,0x84,0x44,0x44};                                   //DRC1-K
UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
UINT8   UINT8Reg43Value[]={0xFD,0xC1,0xF8,0xF9};
UINT8   UINT8Reg44Value[]={0x0F,0x84,0x44,0x44};                                   //DRC2-K
UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
#elif defined(BOARD_ID_RTD2975_SKYWORTH_4K2K_DVBT_V1)
UINT8   UINT8Reg40Value[]={0xFD,0xAC,0xB5,0xE3};
UINT8   UINT8Reg41Value[]={0x0F,0x84,0x44,0x44};                                   //DRC1-K
UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
UINT8   UINT8Reg43Value[]={0xFD,0xC1,0xF8,0xF9};
UINT8   UINT8Reg44Value[]={0x0F,0x84,0x44,0x44};                                   //DRC2-K
UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
#elif defined(BOARD_ID_RTD2974_SKYWORTH_32E700S)
UINT8   UINT8Reg40Value[]={0xfd,0x97,0x73,0x3d};
UINT8   UINT8Reg41Value[]={0x0F,0x84,0x44,0x44};                                   //DRC1-K
UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
UINT8   UINT8Reg43Value[]={0xFD,0x97,0x73,0x3D};
UINT8   UINT8Reg44Value[]={0x0F,0x84,0x44,0x44};                                   //DRC2-K
UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
#else
UINT8   UINT8Reg40Value[]={0xFD,0xCC,0x99,0xDB};
UINT8   UINT8Reg41Value[]={0x0F,0x81,0x47,0xAF};                                   //DRC1-K
UINT8   UINT8Reg42Value[]={0x00,0x08,0x42,0x10};                                   //DRC1-O
UINT8   UINT8Reg43Value[]={0xFD,0xE1,0xDC,0x81};
UINT8   UINT8Reg44Value[]={0x0F,0x83,0x33,0x34};                                   //DRC2-K
UINT8   UINT8Reg45Value[]={0x00,0x08,0x42,0x10};                                   //DRC2-O
#endif
UINT8   UINT8Reg46Value[]={0x00,0x00,0x00,0x03};                                    
#endif


#ifdef AMP_TAS_5707 //hardy20110822
#define TAS_5707_CLOCK_CONTROL			0x00
#define TAS_5707_DEVICE_ID					0x01
#define TAS_5707_ERROR_STATUS				0x02
#define TAS_5707_SYSTEM_CONTROL_1		0x03
#define TAS_5707_SERIAL_DATA_INTERFACE	0x04
#define TAS_5707_SYSTEM_CONTROL_2		0x05
#define TAS_5707_SOFT_MUTE				0x06
#define TAS_5707_MASTER_VOLUME			0x07
#define TAS_5707_CHANNEL_1_VOL			0x08
#define TAS_5707_CHANNEL_2_VOL			0x09
#define TAS_5707_FINE_MASTER_VOLUME		0x0A
#define TAS_5707_VOLUME_CONFIGURATION	0x0E
#define TAS_5707_OSCILLATOR_TRIM			0x1B
sInitTSA5711Reg   asInitTSA5707SReg[] = {
	  {0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	  {0x3A,sizeof(UINT8Reg3AValue),UINT8Reg3AValue},
	  {0x3B,sizeof(UINT8Reg3BValue),UINT8Reg3BValue},
	  {0x3C,sizeof(UINT8Reg3CValue),UINT8Reg3CValue},
	  {0x40,sizeof(UINT8Reg40Value),UINT8Reg40Value},
	  {0x41,sizeof(UINT8Reg41Value),UINT8Reg41Value},
	  {0x42,sizeof(UINT8Reg42Value),UINT8Reg42Value},
	  {0x46,sizeof(UINT8Reg46Value),UINT8Reg46Value},
	  {0x50,sizeof(UINT8Reg50Value),UINT8Reg50Value},//add by gxj 111124
	  {0x20,sizeof(UINT8Reg20Value),UINT8Reg20Value},
	  {0x25,sizeof(UINT8Reg25Value),UINT8Reg25Value},
	  {0x07,sizeof(UINT8Reg07Value),UINT8Reg07Value},
	  {0x08,sizeof(UINT8Reg08Value),UINT8Reg08Value},
	  {0x09,sizeof(UINT8Reg09Value),UINT8Reg09Value},
	  {0x06,sizeof(UINT8Reg06Value),UINT8Reg06Value},
	  {0x03,sizeof(UINT8Reg03Value),UINT8Reg03Value},
	  {0x04,sizeof(UINT8Reg04Value),UINT8Reg04Value},
	  {0x05,sizeof(UINT8Reg05Value),UINT8Reg05Value},
	  {0x0E,sizeof(UINT8Reg0EValue),UINT8Reg0EValue},
	  {0x10,sizeof(UINT8Reg10Value),UINT8Reg10Value},
	  {0x1A,sizeof(UINT8Reg1AValue),UINT8Reg1AValue},
	  {0x1C,sizeof(UINT8Reg1CValue),UINT8Reg1CValue},
	  {0x11,sizeof(UINT8Reg11Value),UINT8Reg11Value},
	  {0x12,sizeof(UINT8Reg12Value),UINT8Reg12Value},
	  {0x13,sizeof(UINT8Reg13Value),UINT8Reg13Value},
	  {0x14,sizeof(UINT8Reg14Value),UINT8Reg14Value},
	};
#else
sInitTSA5711Reg   asInitTSA5711SReg[] = {
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x06,sizeof(UINT8Reg06Value),UINT8Reg06Value},
	{0x0A,sizeof(UINT8Reg0AValue),UINT8Reg0AValue},
	{0x03,sizeof(UINT8Reg03Value),UINT8Reg03Value},
	
	{0x08,sizeof(UINT8Reg08Value),UINT8Reg08Value},
	{0x09,sizeof(UINT8Reg09Value),UINT8Reg09Value},
	
	{0x14,sizeof(UINT8Reg14Value),UINT8Reg14Value},
	{0x13,sizeof(UINT8Reg13Value),UINT8Reg13Value},
	{0x12,sizeof(UINT8Reg12Value),UINT8Reg12Value},
	{0x11,sizeof(UINT8Reg11Value),UINT8Reg11Value},
	
	{0x0E,sizeof(UINT8Reg0EValue),UINT8Reg0EValue},
	{0x1A,sizeof(UINT8Reg1AValue),UINT8Reg1AValue},
	
	{0x20,sizeof(UINT8Reg20Value),UINT8Reg20Value},
	{0x21,sizeof(UINT8Reg21Value),UINT8Reg21Value},
	{0x25,sizeof(UINT8Reg25Value),UINT8Reg25Value},
	
	{0x10,sizeof(UINT8Reg10Value),UINT8Reg10Value},
	{0x0B,sizeof(UINT8Reg0BValue),UINT8Reg0BValue},
	{0x1C,sizeof(UINT8Reg1CValue),UINT8Reg1CValue},
	
	{0x19,sizeof(UINT8Reg19Value),UINT8Reg19Value},
	
	{0x50,sizeof(UINT8Reg50Value),UINT8Reg50Value},
	{0x51,sizeof(UINT8Reg51Value),UINT8Reg51Value},
	
	//{0x5A,sizeof(UINT8Reg5AValue),UINT8Reg5AValue},
	//{0x5B,sizeof(UINT8Reg5BValue),UINT8Reg5BValue},
	
	//DRC
	{0x3A,sizeof(UINT8Reg3AValue),UINT8Reg3AValue},
	{0x3B,sizeof(UINT8Reg3BValue),UINT8Reg3BValue},
	{0x3C,sizeof(UINT8Reg3CValue),UINT8Reg3CValue},
	{0x40,sizeof(UINT8Reg40Value),UINT8Reg40Value},
	{0x41,sizeof(UINT8Reg41Value),UINT8Reg41Value},
	{0x42,sizeof(UINT8Reg42Value),UINT8Reg42Value},
	
	{0x3D,sizeof(UINT8Reg3DValue),UINT8Reg3DValue},
	{0x3E,sizeof(UINT8Reg3EValue),UINT8Reg3EValue},
	{0x3F,sizeof(UINT8Reg3FValue),UINT8Reg3FValue},
	{0x43,sizeof(UINT8Reg43Value),UINT8Reg43Value},
	{0x44,sizeof(UINT8Reg44Value),UINT8Reg44Value},
	{0x45,sizeof(UINT8Reg45Value),UINT8Reg45Value},
	{0x46,sizeof(UINT8Reg46Value),UINT8Reg46Value},    //DRC



	//EQ
	{0x29,sizeof(UINT8Reg29Value),UINT8Reg29Value},
	{0x2A,sizeof(UINT8Reg2AValue),UINT8Reg2AValue},
	{0x2B,sizeof(UINT8Reg2BValue),UINT8Reg2BValue},
	{0x2C,sizeof(UINT8Reg2CValue),UINT8Reg2CValue},
	{0x2D,sizeof(UINT8Reg2DValue),UINT8Reg2DValue},
	{0x2E,sizeof(UINT8Reg2EValue),UINT8Reg2EValue},
	{0x2F,sizeof(UINT8Reg2FValue),UINT8Reg2FValue},
	//{0x58,sizeof(UINT8Reg58Value),UINT8Reg58Value},
	//{0x59,sizeof(UINT8Reg59Value),UINT8Reg59Value},

	{0x30,sizeof(UINT8Reg30Value),UINT8Reg30Value},
	{0x31,sizeof(UINT8Reg31Value),UINT8Reg31Value},
	{0x32,sizeof(UINT8Reg32Value),UINT8Reg32Value},
	{0x33,sizeof(UINT8Reg33Value),UINT8Reg33Value},
	{0x34,sizeof(UINT8Reg34Value),UINT8Reg34Value},
	{0x35,sizeof(UINT8Reg35Value),UINT8Reg35Value},
	{0x36,sizeof(UINT8Reg36Value),UINT8Reg36Value},
	//{0x5C,sizeof(UINT8Reg5CValue),UINT8Reg5CValue},
	//{0x5D,sizeof(UINT8Reg5DValue),UINT8Reg5DValue},
	
	{0x07,sizeof(UINT8Reg07Value),UINT8Reg07Value},
	{0x05,sizeof(UINT8Reg05Value),UINT8Reg05Value}, 
	{0x0D,sizeof(UINT8Reg0DValue),UINT8Reg0DValue},
};


UINT8   UINT8_5707_Reg07Value[]={0x40};   //Master Volume    //RTK

// I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707,
// I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707, I am 5707,
sInitTSA5711Reg   asInitTSA5707SReg[] = {
	//Adr         DataLen       pData

// step1. Trim oscillator (write 0x00 to register 0x1B) and wait at least 50ms.
	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},  //must
	{0x07,sizeof(UINT8_5707_Reg07Value), UINT8_5707_Reg07Value},  //must all vol unmute and all_vol + 0db
	{0x08,sizeof(UINT8Reg08Value),UINT8Reg08Value},  //must vol_L + 16db
	{0x09,sizeof(UINT8Reg09Value),UINT8Reg09Value},  //must vol_R + 16db
	{0x05,sizeof(UINT8Reg05Value),UINT8Reg05Value}, //Exit Shutdown Mode, must final
};
//lzf100728  end
//#endif
#endif

//*************************************************************
// PRIVATE FUNCTIONS
//*************************************************************
static ErrCode AudioAmp_AdoAmp_Tas5711L_write(UINT8 i2c_master,UINT8 w_len, UINT8* write_buf)
{
	if (!m_AMP_DEVICE_ADDR)
		return R_ERR_RX_ERROR;

	UINT8 addr[2],data[32],i;
	addr[0] = write_buf[0];

	for(i=1;i<w_len;i++)
		data[i-1] = write_buf[i];

	//printf("AudioAmp_AdoAmp_Tas5711L_write!!!!!\n");
	if(i2c_master < PCB_I2C_3)	{
		if (I2C_Write_EX(i2c_master, m_AMP_DEVICE_ADDR, w_len, write_buf) != S_OK) {
			return R_ERR_RX_ERROR;
		}
	}
	else		{
		//printf("G2C_Write_EX!!!!!\n");
		if (G2C_Write_EX(i2c_master, m_AMP_DEVICE_ADDR, 1, addr, w_len-1, data) != S_OK) {
			return R_ERR_RX_ERROR;
		}
	}

	return R_ERR_SUCCESS;
}

#ifdef AMP_TAS_5707 //hardy20110822
void AudioAmp_InitTas5707L(UINT8 devAddr)
{
		UINT8 dat[23], i=0;
		//UINT8 rdat[3];
		//SrAudio_SetAmpMute(FALSE);

	devAddr = 0;

		printf("init TAS5707L\n");
		display_evaluate_time("amp_internal-001");

		while (i < (sizeof(asInitTSA5707SReg)/sizeof(sInitTSA5711Reg)))
		{
			//printf("AudioAmp_InitTas5711L!!!!!\n");
			dat[0] =asInitTSA5707SReg[i].UINT8Adr;
			memcpy(&dat[1],asInitTSA5707SReg[i].pUINT8Datas,asInitTSA5707SReg[i].UINT8DataLen);

			if( R_ERR_RX_ERROR == AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,asInitTSA5707SReg[i].UINT8DataLen+1,&dat[0]))
				printf(" err!UINT8Adr=[0x%x],UINT8DataLen=[%u]\n",asInitTSA5707SReg[i].UINT8Adr,asInitTSA5707SReg[i].UINT8DataLen);

			if(i == 0x00)
			{
				display_evaluate_time("amp_internal-0011");
				udelay(60000);
			}
			display_evaluate_time("amp_internal-002");
			i++;
		}

		AudioAmp_SetSubWoof(0);
		display_evaluate_time("amp_internal-003");
		//printf("InitTas5711L ok\n");

}

#else
void AudioAmp_InitTas5711L(UINT8 devAddr)
{
	UINT8 dat[23], i=0;
	//UINT8 rdat[3];
	//SrAudio_SetAmpMute(FALSE);

devAddr = 0;

	printf("init TAS5711L\n");
	display_evaluate_time("amp_internal-001");

	while (i < (sizeof(asInitTSA5711SReg)/sizeof(sInitTSA5711Reg)))
	{
		//printf("AudioAmp_InitTas5711L!!!!!\n");
		dat[0] =asInitTSA5711SReg[i].UINT8Adr;
		memcpy(&dat[1],asInitTSA5711SReg[i].pUINT8Datas,asInitTSA5711SReg[i].UINT8DataLen);

		if( R_ERR_RX_ERROR == AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,asInitTSA5711SReg[i].UINT8DataLen+1,&dat[0]))
			printf(" err!UINT8Adr=[0x%x],UINT8DataLen=[%u]\n",asInitTSA5711SReg[i].UINT8Adr,asInitTSA5711SReg[i].UINT8DataLen);

		if(i == 0x00)
		{
			display_evaluate_time("amp_internal-0011");
			udelay(60000);
		}
		display_evaluate_time("amp_internal-002");
		i++;
	}

	AudioAmp_SetSubWoof(0);
	display_evaluate_time("amp_internal-003");
	//printf("InitTas5711L ok\n");
}
#endif

void AudioAmp_SetOscillator(void)
{
#if defined(ENABLE_AMP_USE_HW_I2C)
	UINT8 dat[2];
	dat[0]= 0x1B;
	dat[1]= 0x00;

	if (m_AMP_DEVICE_ADDR == 0x1a) { //5711
	}
	else {	//5707
		udelay(300000);
		rtd_maskl(0xb80008c0, 0xFF0FFFFF, 0x00800000); //AMP
	}

	AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,2,dat);

#ifdef AMP_TAS_5707A //hardy20111126
	I2C_Write_EX(m_I2C_MASTER, _TAS5707A_ADDR, 2, dat);
#endif
#endif
}

void AudioAmp_Set951RST(BOOL val)
{
	if (m_PIN_951_RST) {
		IO_Set(m_PIN_951_RST, val);
	}
}

//*************************************************************
// PUBLIC FUNCTIONS
//*************************************************************
void AudioAmp_InitAudioOut2I2S_1st(void)
{
	unsigned long long value=0;
	if (pcb_mgr_get_enum_info_byname("AMP_I2C", &value) < 0) {
		printf("no AMP_I2C\n");
		m_I2C_MASTER = 0;
	} else {
		m_I2C_MASTER = value;
		printf("AMP_I2C=%lld\n", m_I2C_MASTER);
	}

//	if (m_I2C_MASTER <= PCB_I2C_2)
//		I2C_Init();
//	else
//		G2C_Init(m_I2C_MASTER);

	if (pcb_mgr_get_enum_info_byname("PIN_AMP_MUTE", &value) < 0) {
		printf("no PIN_AMP_MUTE\n");
		m_PIN_AMP_MUTE = 0;
	} else {
		m_PIN_AMP_MUTE = value;
	}

	if (pcb_mgr_get_enum_info_byname("PIN_MISC_951_RST", &value) < 0) {
		printf("no PIN_MISC_951_RST\n");
		m_PIN_951_RST = 0;
	} else {
		m_PIN_951_RST = value;
	}

	if (m_PIN_AMP_MUTE) {
		//reset AMP
	    IO_Set(m_PIN_AMP_MUTE, 0);
	}

	if (m_PIN_951_RST) {
		//reset Yamaha YYS951
		IO_Set(m_PIN_951_RST, 1);
	}
}

void AudioAmp_InitAudioOut2I2S_2nd(void)
{
        static bool init_done = 0;

        if(init_done)
            return;

	unsigned long long value=0;
	if (pcb_mgr_get_enum_info_byname("AMP_I2C", &value) < 0) {
		printf("no AMP_I2C\n");
		m_I2C_MASTER = 0;
	} else {
		m_I2C_MASTER = value;
		printf("AMP_I2C=%lld\n", m_I2C_MASTER);
	}

	if (m_I2C_MASTER <= PCB_I2C_2)
		I2C_Init();
	else
		G2C_Init(m_I2C_MASTER);

	if (pcb_mgr_get_enum_info_byname("AMP_DEVICE_ADDR", &value) < 0) {
		printf("no AMP_DEVICE_ADDR\n");
		m_AMP_DEVICE_ADDR = 0;
	} else {
		m_AMP_DEVICE_ADDR = value;
	}

	if (pcb_mgr_get_enum_info_byname("PIN_AMP_MUTE", &value) < 0) {
		printf("no PIN_AMP_MUTE\n");
		m_PIN_AMP_MUTE = 0;
	} else {
		m_PIN_AMP_MUTE = value;
	}

	if (pcb_mgr_get_enum_info_byname("PIN_MISC_951_RST", &value) < 0) {
		printf("no PIN_MISC_951_RST\n");
		m_PIN_951_RST = 0;
	} else {
		m_PIN_951_RST = value;
	}

#ifdef Board_PANEL_SLOWBOOT
	udelay(300000);
#endif
	if (m_PIN_951_RST) {
		IO_Set(m_PIN_951_RST, 0);
	}

#ifdef AMP_TAS_5707 //hardy20110822
	AudioAmp_InitTas5707L(m_AMP_DEVICE_ADDR);
#else
	AudioAmp_InitTas5711L(m_AMP_DEVICE_ADDR);
#endif
#ifdef AMP_TAS_5707A //hardy20111207
	AudioAmp_InitTas5707A(_TAS5707A_ADDR);
#endif

        init_done=true;
}

void AudioAmp_SetMute(BOOL isMute)
{
#if defined(ENABLE_AMP_USE_HW_I2C)
	UINT8 dat[2];
	dat[0]= 0x06;
	if (isMute)
		dat[1]= 0x07;
	else
		dat[1]= 0x00;
	AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,2,dat);
#endif
}
//tlm add 20100919
void AudioAmp_SetMasterVolume(UINT8 iValue)
{
#if defined(ENABLE_AMP_USE_HW_I2C)
	UINT8 dat[2];
	dat[0]= 0x07;
	dat[1]= iValue;
	AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,2,dat);
#endif
}

#if 0
static int mAudioAmp_GetMappedSubWoofVolume(int index)
{
	int volTableAtv[12] = { 50, 42, 38, 34, 30, 26, 22, 16, 10, 7, 3, 1};  //tlm 20111111 32e83
	int *pVolTable = volTableAtv;
	int value = 0;

	if (index == 0)
 		value = 0xff;
	else if (index == 1)
		value = pVolTable[1];
	else {
		int preIdx = 0, nextIdx = 0;
		int tableIdx = 0, preTableIdx = 0;

		if (index > 1 && index <= 10) {
			preIdx = 1;
			nextIdx = 10;
			tableIdx = 2;
			preTableIdx = 1;
		} else if (index > 10 && index <= 20) {
			preIdx = 10;
			nextIdx = 20;
			tableIdx = 3;
			preTableIdx = 2;
		} else if (index > 20 && index <= 30) {
			preIdx = 20;
			nextIdx = 30;
			tableIdx = 4;
			preTableIdx = 3;
		} else if (index > 30 && index <= 40) {
			preIdx = 30;
			nextIdx = 40;
			tableIdx = 5;
			preTableIdx = 4;
		} else if (index > 40 && index <= 50) {
			preIdx = 40;
			nextIdx = 50;
			tableIdx = 6;
			preTableIdx = 5;
		} else if (index > 50 && index <= 60) {
			preIdx = 50;
			nextIdx = 60;
			tableIdx = 7;
			preTableIdx = 6;
		} else if (index > 60 && index <= 70) {
			preIdx = 60;
			nextIdx = 70;
			tableIdx = 8;
			preTableIdx = 7;
		} else if (index > 70 && index <= 80) {
			preIdx = 70;
			nextIdx = 80;
			tableIdx = 9;
			preTableIdx = 8;
		} else if (index > 80 && index <= 90) {
			preIdx = 80;
			nextIdx = 90;
			tableIdx = 10;
			preTableIdx = 9;
		} else if (index > 90 && index <= 100) {
			preIdx = 90;
			nextIdx = 100;
			tableIdx = 11;
			preTableIdx = 10;
		}

		//interpolation
		value = (int)((float)((index - preIdx) * (pVolTable[tableIdx] - pVolTable[preTableIdx])) / (nextIdx - preIdx));
		value += pVolTable[preTableIdx];
	}

	return value;
}
#endif

void AudioAmp_SetSubWoof(BOOL isEnable)
{
#if defined(ENABLE_AMP_USE_HW_I2C)
	UINT8 dat[2];
	dat[0]= 0x0A;

	if (isEnable)
		dat[1]= 0x00;
	else
		dat[1]= 0xFF;

	AudioAmp_AdoAmp_Tas5711L_write(m_I2C_MASTER,2,dat);
#endif
}

#ifdef AMP_TAS_5707A //hardy20111208
UINT8   TSA5707A2BValue[]={0x00,0x00,0x05,0x83,0x00,0x00,0x0B,0x06,0x00,0x00,0x05,0x83,0x00,0xFB,0x42,0xC1,0x0F,0x84,0xA7,0x33};
UINT8	TSA5707A2CValue[]={0x00,0x00,0x0C,0x4A,0x00,0x00,0x18,0x94,0x00,0x00,0x0C,0x4A,0x00,0xF8,0xE4,0x62,0x0F,0x86,0xEA,0x75};
UINT8   TSA5707A32Value[]={0x00,0x00,0x05,0x83,0x00,0x00,0x0B,0x06,0x00,0x00,0x05,0x83,0x00,0xFB,0x42,0xC1,0x0F,0x84,0xA7,0x33};
UINT8	TSA5707A33Value[]={0x00,0x00,0x0C,0x4A,0x00,0x00,0x18,0x94,0x00,0x00,0x0C,0x4A,0x00,0xF8,0xE4,0x62,0x0F,0x86,0xEA,0x75};
UINT8	TSA5707A40Value[]={0xFD,0x5B,0xEB,0xD4};//{0xFD,0xB0,0xF6,0x6A}{0xFD,0xB0,0xF6,0x6A};									//DRC1-T//change value gxj 111124
UINT8   TSA5707A07Value[]={0x24};//{0x0a};//change value gxj 111124
UINT8	TSA5707A25Value[]={0x01,0x03,0x12,0x45};//{0x01,0x01,0x32,0x45};//{0x01,0x20,0x31,0x45};//{0x01,0x03,0x12,0x45};//{0x01,0x03,0x21,0x45}; //PWM MUX register
//hardy20111226
sInitTSA5711Reg   asInitTSA5707AReg[] = {

	{0x1B,sizeof(UINT8Reg1BValue),UINT8Reg1BValue},
	{0x3A,sizeof(UINT8Reg3AValue),UINT8Reg3AValue},
	{0x3B,sizeof(UINT8Reg3BValue),UINT8Reg3BValue},
	{0x3C,sizeof(UINT8Reg3CValue),UINT8Reg3CValue},
	{0x40,sizeof(TSA5707A40Value),TSA5707A40Value},
	{0x41,sizeof(UINT8Reg41Value),UINT8Reg41Value},
	{0x42,sizeof(UINT8Reg42Value),UINT8Reg42Value},
	{0x46,sizeof(UINT8Reg46Value),UINT8Reg46Value},

	{0x2B,sizeof(TSA5707A2BValue),TSA5707A2BValue},
	{0x32,sizeof(TSA5707A32Value),TSA5707A32Value},
	{0x2C,sizeof(TSA5707A2CValue),TSA5707A2CValue},
	{0x33,sizeof(TSA5707A33Value),TSA5707A33Value},

	{0x50,sizeof(UINT8Reg50Value),UINT8Reg50Value},
	{0x20,sizeof(UINT8Reg20Value),UINT8Reg20Value},
	{0x25,sizeof(TSA5707A25Value),TSA5707A25Value},
	{0x07,sizeof(TSA5707A07Value),TSA5707A07Value},
	{0x08,sizeof(UINT8Reg08Value),UINT8Reg08Value},
	{0x09,sizeof(UINT8Reg09Value),UINT8Reg09Value},
	{0x06,sizeof(UINT8Reg06Value),UINT8Reg06Value},
	{0x03,sizeof(UINT8Reg03Value),UINT8Reg03Value},
	{0x04,sizeof(UINT8Reg04Value),UINT8Reg04Value},
	{0x05,sizeof(UINT8Reg05Value),UINT8Reg05Value},

	{0x0E,sizeof(UINT8Reg0EValue),UINT8Reg0EValue},
	{0x10,sizeof(UINT8Reg10Value),UINT8Reg10Value},
	{0x1A,sizeof(UINT8Reg1AValue),UINT8Reg1AValue},
	{0x1C,sizeof(UINT8Reg1CValue),UINT8Reg1CValue},
	{0x11,sizeof(UINT8Reg11Value),UINT8Reg11Value},
	{0x12,sizeof(UINT8Reg12Value),UINT8Reg12Value},
	{0x13,sizeof(UINT8Reg13Value),UINT8Reg13Value},
	{0x14,sizeof(UINT8Reg14Value),UINT8Reg14Value},
};

void AudioAmp_InitTas5707A(UINT8 devAddr)
{
	UINT8 dat[23], i=0;
	BOOL bFail=FALSE;
	rtd_maskl(0xb80008c0, 0xFF0FFFFF, 0x00800000);

	while (i < (sizeof(asInitTSA5707AReg)/sizeof(sInitTSA5711Reg)))
	{
		dat[0] =asInitTSA5707AReg[i].UINT8Adr;
		memcpy(&dat[1],asInitTSA5707AReg[i].pUINT8Datas,asInitTSA5707AReg[i].UINT8DataLen);

		if (I2C_Write_EX(m_I2C_MASTER, _TAS5707A_ADDR, asInitTSA5707AReg[i].UINT8DataLen+1, &dat[0]) != S_OK)
		{
			bFail=TRUE;
		}
		if(i == 0x00)
		{
			Rt_Sleep(60);
		}

		i++;
	}
	rtd_maskl(0xb80008c0, 0xFF0FFFFF, 0x00000000);

	if(bFail)
		printf("InitTas5707A Fail!!!!!\n");
	else
	printf("InitTas5707A ok!!!!!\n");
}
#endif
