#include <qc_verify_common.h>
#include <VBI_qc.h>
#include <VBI_verify.h>
#include <rbusCRTReg.h>
#include <rbusVbiReg.h>
#include <rbusVDTopReg.h>
#ifdef AV_Input
#include <rbusVDIFDinReg.h>
#include <rbusAdcReg.h>
//#include <rbusIFD_ANALOGReg.h>
#endif

#if showbug
#define dmsg printk
#else
#define dmsg printk
#endif

//=====================================================
//#define ypbpr_CC_VALUE 0x8080
#define VBI_TTX_DMA_WIDTH			(64) // 64 bytes
#define MEM_OFFSET					(0xA0000000) //0xa0000000
#define ALIGN_DMA	__attribute__	((aligned(8))) //O8쪺ɻA ҦH8ƪa} w}
#define VBI_TTX_DMA_LENGTH_ALIGN	(24) // 24 lines, because we need 256 alignment (24*64=6*4*64=6*256) //48,when dump field select => 0
#define VBI_TTX_DMA_LENGTH		(21) // 21 lines, 6~26  //42,when dump field select => 0, PȦbdump field select =1 ,Lvalue |@
//=====================================================
//static UINT8 ALIGN_DMA vbi_ttx_dma_org[VBI_TTX_DMA_LENGTH_ALIGN+4][VBI_TTX_DMA_WIDTH]; // 64 bytes * 24 lines (+4 lines to prevent DMA writing through end address)
#ifdef TT_DMA_test
static UINT8 ALIGN_DMA vbi_ttx_dma_org[VBI_TTX_DMA_LENGTH_ALIGN][VBI_TTX_DMA_WIDTH]; // 64 bytes * 24 lines (+4 lines to prevent DMA writing through end address)
static UINT8 (*vbi_ttx_dma)[][VBI_TTX_DMA_WIDTH] = NULL;
#endif


void Display_Init(void)
{
#if 0//def AV_Input
	printk("0xb8000208=%x\n",rtd_inl(0xb8000208));
	if (rtd_inl(0xb8000208) != 0x00004014)		// D-Domain/SFG Clock Enable
	{
		printk("set display start ...\n");
		#include "mac5p/case3_ipg480i_fs_fhd.tbl"
		printk("set display OK !!\n");
		vbi_delay(10000);
		vbi_delay(10000);
		vbi_delay(10000);
	}
#endif
#ifdef YPP_Input
	YPbPr_Init();
#endif
}

#ifdef AV_Input
void AV_Init(void)
{
//	#include "mac5p/mac5p_b23_vd_cvbs_vin4p_y0n.tbl"
	#include "merlin3/merlin3_vd_cvbs_vin4p_y0n.tbl"
	rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR, ~_BIT7, _BIT7);	// 9374[7] =1, set new vdetect

	vbi_delay(10000);
	rtd_outl(0xb8020048,0x48c70101);
	printk("0xb8020048: %x\n",rtd_inl(0xb8020048));

	UINT8 i= 0;
	UINT8 uclocked = 0;
	UINT8 ucVdetect = 0;
	for (i=0; i<5; i++)
	{
		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		printk("[AV][new V] VD lock status: %x \n", rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR));
		if((uclocked == 0x0e)||(uclocked == 0x06))
		{
			printk("[AV][new V] locked !!\n");
			ucVdetect = 1;	// is new V detect, go~
			break;
		}
		else if(uclocked == 0x01)
		{
			printk("[AV][new V] no signal ~~\n");
		}
		vbi_delay(10000);
	}
	if ((ucVdetect == 0)||
		rtd_inl(VDTOP_NOISE_STATUS_VADDR) > 0x1a)
	{
		// change to old v detect
		rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR, ~_BIT7, 0);	// 9374[7] =0, set old vdetect
		vbi_delay(30000);
		for (i=0; i<5; i++)
		{
			uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
			printk("[AV][old V] VD lock status: %x \n", rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR));
			if((uclocked == 0x0e)||(uclocked == 0x06))
			{
				printk("[AV][old V] locked !!\n");
				break;
			}
			else if(uclocked == 0x01)
			{
				printk("[AV][old V] no signal ~~\n");
			}
			vbi_delay(10000);
		}
	}
	if(i == 5)
		printk("[AV] not stable.\n");
}
#endif

void IFD_Init(void)
{
	//IFD qc code 
	printk("[TV] VD lock status: %x \n", rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR));
}

#ifdef YPP_Input
void YPbPr_Init(void)
{
#ifdef YPPin_480i
	#include "mac5p/case6_ypbpr480i_fs_fhd.tbl"
	printk("[Slicer] YPbPr_Init 480i done !!\n");
#endif
#ifdef YPPin_720p
	printk("[Slicer] YPbPr_Init 720p done !!\n");
#endif
#ifdef YPPin_1080i
	#include "mac5p/case7_ypbpr1080i_fs_fhd.tbl"
	printk("[Slicer] YPbPr_Init 1080i done !!\n");
#endif
}
#endif

#ifdef CC_verify_test
void  CC_Init(void)
{
//----------------       CC  setting  start ------------------------------
	rtd_outl(VBI_TT_VBI_NOISY_CTRL1_VADDR, 0x20500000);  // bit 29  set that data from vd put through 16 tape low pass filter
	rtd_outl(VBI_TT_VBI_NOISY_CTRL4_VADDR, 0x0f043110);  //  resample data don't do "rounding" 

	if ( rtd_inl(VDTOP_VSYNC_TIME_CONST_VADDR) & _BIT7 )	//9304[7], field_polarity
		rtd_outl(VBI_VBISL0_VADDR, 0x00000020);
	else
		rtd_outl(VBI_VBISL0_VADDR, 0x00000000);

	rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x006c2713);
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_9_12_VADDR, 0x00000000);  //line 9,10,11,12           
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_13_16_VADDR, 0x00000000);                              
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_17_20_VADDR, 0x00000000);  //line 17,18,19,20	          
	rtd_outl(VBI_TT_VBI_DTO_REGISTER1_VADDR, 0x0f911ad0);
	//rtd_outl(VBI_TT_VBI_DTO_REGISTER1_VADDR, 0x0f911b00);//fw setting	
	//rtd_outl(VBI_TT_VBI_NOISY_CTRL3_VADDR, 0x005a0100);//1bit oflag
	rtd_outl(VBI_TT_VBI_NOISY_CTRL3_VADDR, 0x005a0000);
	rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x00000000);

	rtd_outl(VDTOP_VBI_CO_CH_CTRL0_VADDR, 0x0000000f);//9234 co-channel detected frame
	rtd_outl(VDTOP_VBI_CO_CH_CTRL1_VADDR, 0x0000000a);//9238 co-channel detection back-porch different threshold

	printk("[1]0xb8019234: %x, 0xb8019238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[2]0xb8019234: %x, 0xb8019238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[3]0xb8019234: %x, 0xb8019238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[4]0xb8019234: %x, 0xb8019238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[5]0xb8019234: %x, 0xb8019238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));

	if (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7)	// 9234[7]
	{
		printk("#########CC Cochannel \n" );
		//------------------------------ for   co_channel  -------------------------
		rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x006c2733); //adaptive slicer level
		rtd_outl(VBI_TT_VBI_DATA_STATUS_VADDR, 0x00003c00); //remember enable cc interrupt
		rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x400000a0); //force compensation on
		rtd_outl(VBI_TT_VBI_CC_CTRL0_VADDR, 0x87041000); //CC vote decision diable
		rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_21_24_VADDR, 0x00000011); //line 21,22,23,24->line 21 on
		//rtd_outl(0xb80194d4, 0x00000076);//VD co-channel on bit7->0
		//rtd_outl(0xb80194d8, 0x00000081);//VD co-channel on bit7->1,Nshift 1 line
		//rtd_outl(0xb80193c4, 0x00000083);//VD co-channel on bit7->1
		//rtd_outl(0xb801948c, 0x00000000);//VD co-channel on bit2->0
		//rtd_outl(0xb80190b0, 0x0000000d);//VD co-channel on bit7,6->0

		rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR, ~_BIT7, 0);	// 9374[7] =0, set old vdetect
		rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~(_BIT2|_BIT1|_BIT0),0); //921c[2:0]=0, VD co-channel on ,hdetect lpf disable bit2->0
		vbi_delay(10000);

		if(rtd_inl(VDTOP_NEW_VDETECT_CTRL_VADDR)&_BIT7)	// 9374[7] new_vdetect_en =1
		{
			rtd_maskl(VDTOP_SYNC_MIDPT_V2_VADDR,~(_BIT7|_BIT6), _BIT6); //934c[7:6]=1, vdetect_pattern_sel
			rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, 0); //95e4[7]=0, VD co-channel 1-2-1 filter eable, bit7->0
//			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, 0); //9378[7]=0, VD co-channel 1-2-1 filter eable, bit7->0
			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, _BIT7); //9378[7]=1, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), _BIT8); //9374[9][8] =01,  VD new vdetect  eable bit8->1,Nshift 1 line    (regardless of  cochannel????)
			printk("#########Is new v detect \n" );
		}
		else
		{	// old v detect
			rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, _BIT7); //95e4[7]=0, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, _BIT7); //9378[7]=1, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), 0); //9374[9][8] =00, VD new vdetect  eable bit8->0,Nshift 1 line    (regardless of  cochannel????)

			rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~(_BIT2|_BIT1|_BIT0), (_BIT2|_BIT0)); //921c[2:0]=101, VD co-channel on ,hdetect lpf disable bit2->0
			printk("#########Is old v detect \n" );
		}
//		rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~_BIT2, 0); //921c[2]=0, VD co-channel on ,hdetect lpf disable bit2->0
		rtd_maskl(VDTOP_H_LOOP_MAXSTATE_VADDR,~(_BIT7|_BIT6|_BIT5), _BIT5); // 9134[7:5]=001, VD bit7,bit6->0,hlock disable in vsync   bit5->1,hstate_fixed on==> the key of co-channel becomes better than pacific/AT
		//------------------------------ for   co_channel  -------------------------
	}
	else
	{
		printk("#########CC Normal \n" );
		//------------------------------ for   noise/ eye  -------------------------
		rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x006c2713);  //fixed slicer level
		rtd_outl(VBI_TT_VBI_DATA_STATUS_VADDR, 0x00004600);  //remember enable cc interrupt
		rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x000000a0);  //force compensation off
		rtd_outl(VBI_TT_VBI_CC_CTRL0_VADDR, 0xc7041000);  //CC vote decision enable
		rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_21_24_VADDR, 0x00000011);  //line 21,22,23,24->line 21 on

		rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, 0);//95e4[7]=0,VD co-channel off 1-2-1 filter(1) disable, bit7->0
		rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, 0);//9378[7]=0,VD co-channel off 1-2-1 filter(2) disable, bit7->0
		rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), _BIT8);//9374[9][8]=01,VD new vdetect  eable bit8->1(regardless of  cochannel)
		rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~_BIT2, _BIT2);//921c[2]=1,VD co-channel off  hdetect lpf enable ,bit2->1
		rtd_maskl(VDTOP_H_LOOP_MAXSTATE_VADDR,~(_BIT7|_BIT6|_BIT5), (_BIT7|_BIT6));//9134[7:5]=110,VD co-channel off  bit7,bit6->1,hlock enable in vsync bit5->0,hstate_fixed disable
		//------------------------------ for   noise/ eye    -------------------------
	}
//----------------       CC  setting  end ------------------------------	
	printk("[Slicer] CC_Init done !!\n");
}

int CC_verify(void)
{
	UINT32 i=0, j=0;
	UINT32 uclocked=0;
	vbi_tt_vbi_loop_filter_i_gain_register_RBUS tt_vbi_loop_filter_i_gain_register;	// 3_0a1c

	vbi_delay(100);
	printk("TT_VBI_Control_Register[3_0a00]: %x, TT_VBI_LOOP_FILTER_I_GAIN_REGISTER[3_0a1c]: %x\n",rtd_inl(VBI_TT_VBI_CONTROL_REGISTER_VADDR),rtd_inl(VBI_TT_VBI_LOOP_FILTER_I_GAIN_REGISTER_VADDR));
	printk("TT_VBI_CO_CH_CTRL[3_0a6c]: %x\n",rtd_inl(VBI_TT_VBI_CO_CH_CTRL_VADDR));
	printk("#########CC START \n" );

	UINT8 ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
	printk("=== coch flag = %x\n",ucCoCh );

	while(i<100)
	{
		i++;

		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}

		vbi_delay(100);
		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT17)==_BIT17)
		{ // CC ready
//			printk("#########CC READY  = %d\n",i );
			break;	// jj test
		}
		rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR,~_BIT17,_BIT17);//clr CC ready bit
		if(ucCoCh != (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7))
		{
			ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
			printk("=== coch flag changed !!!! = %x\n",ucCoCh );
		}
	}

	i = 0;
	while(i<100000)
	{
		i++;

		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}
		if((i & 0x00000fff) == 0x00000000)
			printk("Wait CC ready ... \n" );

		vbi_delay(10);
		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT17)==_BIT17) // CC ready
		{
			rtd_maskl(VBI_TT_VBI_PATTERN_SEL_VADDR, ~_BIT13, _BIT13);//cc pattern compare
			if (rtd_inl(VBI_TT_VBI_CC_CTRL1_VADDR)&_BIT31)//find start
			{
				printk("#########FIND CC COMPARE START \n" );
				for (j=0;j<350000;j++)
				{
#if 0
					if(ucCoCh != (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7))
					{
						ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
						printk("=== coch flag changed !!!! = %x\n",ucCoCh );
					}
#endif
					if((j & 0x000000ff) == 0x00000000)
					{
						tt_vbi_loop_filter_i_gain_register.regValue = rtd_inl(VBI_TT_VBI_LOOP_FILTER_I_GAIN_REGISTER_VADDR);
						printk("[%d]noisy_status = %x, slicer_level = %x \n",j, rtd_inl(VDTOP_NOISE_STATUS_VADDR),tt_vbi_loop_filter_i_gain_register.tt_vbi_slicer_level_iir);
					}
					vbi_delay(10);
					if (rtd_inl(VBI_VBI_DEBUG_MODE_VADDR)&_BIT12)
					{
						printk("Vbi_data_err !!\n");
						break;
					}
				}
//				if (j<35000)
				if (j<300000)
					printk("\n#########CC COMPARE FAIL, i = %d \n",j );
				else
					printk("\n#########CC COMPARE OK ! \n");

				rtd_maskl(VBI_TT_VBI_PATTERN_SEL_VADDR, ~_BIT13, 0);//cc pattern compare stop
				rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR, ~_BIT17, _BIT17);
				rtd_maskl(VBI_VBI_DEBUG_MODE_VADDR,~_BIT12, _BIT12);//clear error flag
				break;
			}
			else
			{
				if((i & 0x00000fff) == 0x00000000)
					printk("FIND CC COMPARE ... \n" );
			}
		}
	}
	if ((rtd_inl(VDTOP_NEW_VDETECT_CTRL_VADDR)&_BIT7) == 0)
		printk("VD set Old V detect, co-ch flag = %x\n", ucCoCh);
	else
		printk("VD set New V detect, co-ch flag = %x\n", ucCoCh);
	printk("@@@@@@@@@ CC END \n" );
	return _FAIL;
}
#endif


#ifdef TT_WSS_VPS_test
void TT_WSS_VPS_Init(void)
{
//==================== For  vd  Slicer_1   TT  setting  start =============================================
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_5_8_VADDR, 0x66660000); // line 7,8
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_9_12_VADDR, 0x66666666); // line 9,10,11,12
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_13_16_VADDR, 0x66666666); // line 13,14,15,16
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_17_20_VADDR, 0x66666666); // line 17,18,19,20 
	//rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_21_24_VADDR, 0x66666666); // line 21,22,23,24  
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_21_24_VADDR, 0x00006666); // line 21,22,23,24  for pattern 2 co channel
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_25_26_VADDR, 0);
	rtd_maskl(VBI_VBI_FPGA_TEST1_VADDR,~_BIT6, _BIT6); // 1:toggle dump interrupt when having slicer data,for pacific' C

	if ( rtd_inl(VDTOP_VSYNC_TIME_CONST_VADDR) & _BIT7 )	// field_polarity
		rtd_outl(VBI_VBISL0_VADDR, 0x00000060);
	else
		rtd_outl(VBI_VBISL0_VADDR, 0x00000040);

	rtd_outl(VBI_TT_VBI_NOISY_CTRL1_VADDR, 0x21500000);	// bit 29  set that data from vd put through 16 tape low pass filter
														// start code correction is 80(50h)
	//rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x00000000); 
	//rtd_outl(VBI_TT_VBI_NOISY_CTRL4_VADDR, 0x0f043110);  //   bit 20 = 0 : disable fix slicer level, replace by adaptive slicer level
	rtd_outl(VBI_TT_VBI_NOISY_CTRL2_VADDR, 0x80800099);//20120705 kist modify,0x87->0x80,0xa5->0x99

	//rtd_outl(VBI_TT_VBI_STATUS1_VADDR, 0x800e01bb); //  setting  check tt-line

	rtd_outl(VDTOP_VBI_CO_CH_CTRL0_VADDR, 0x0000000f);// co-channel detected frame
	rtd_outl(VDTOP_VBI_CO_CH_CTRL1_VADDR, 0x0000000a);// co-channel detection back-porch different threshold

	printk("[1]0xb8003234: %x, 0xb8003238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[2]0xb8003234: %x, 0xb8003238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[3]0xb8003234: %x, 0xb8003238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[4]0xb8003234: %x, 0xb8003238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));
	vbi_delay(1000);
	printk("[5]0xb8003234: %x, 0xb8003238: %x\n",rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR),rtd_inl(VDTOP_VBI_CO_CH_CTRL1_VADDR));

	if (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7)
	{
		printk("#########TT Cochannel \n" );	
		//------------------------------ for   co_channel  -------------------------
		rtd_outl(VBI_TT_VBI_NOISY_CTRL1_VADDR, 0x213a0000); //correlation = 0x50->0x3a
		rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x5b5b2733);//adaptive slicer level
		rtd_outl(VBI_TT_VBI_DATA_STATUS_VADDR, 0x00003c00);//0x3c for co-channel,remember enable tt/wss/vps  interrupt
		rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x400000a0);//force compensation on
		//rtd_outl(0xb80194d4, 0x00000076);//VD co-channel on bit7->0, New Vsyn feature not act
		//rtd_outl(0xb80194d8, 0x00000081);//VD co-channel on bit7->1,Nshift 1 line
		//rtd_outl(0xb80193c4, 0x00000083);//VD co-channel on bit7->1
		//rtd_outl(0xb801948c, 0x00000000);//VD co-channel on bit2->0
		//rtd_outl(0xb80190b0, 0x0000000d);//VD co-channel on bit7,6->0
		if(rtd_inl(VDTOP_NEW_VDETECT_CTRL_VADDR)&_BIT7)	// 9374[7] new_vdetect_en =1
		{
			rtd_maskl(VDTOP_SYNC_MIDPT_V2_VADDR,~(_BIT7|_BIT6), _BIT6); //934c[7:6]=1, vdetect_pattern_sel
			rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, 0); //95e4[7]=0, VD co-channel 1-2-1 filter eable, bit7->0
//			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, 0); //9378[7]=0, VD co-channel 1-2-1 filter eable, bit7->0
			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, _BIT7); //9378[7]=1, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), _BIT8); //9374[9][8] =01,  VD new vdetect  eable bit8->1,Nshift 1 line    (regardless of  cochannel????)
			printk("#########Is new v detect \n" );
		}
		else
		{	// old v detect
			rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, _BIT7); //95e4[7]=0, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, _BIT7); //9378[7]=1, VD co-channel 1-2-1 filter eable, bit7->1
			rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), 0); //9374[9][8] =00, VD new vdetect  eable bit8->0,Nshift 1 line    (regardless of  cochannel????)
			printk("#########Is old v detect \n" );
		}
		rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~_BIT2, _BIT2); //921c[2]=0, VD co-channel on ,hdetect lpf disable bit2->0
		rtd_maskl(VDTOP_H_LOOP_MAXSTATE_VADDR,~(_BIT7|_BIT6|_BIT5), _BIT5); // 9134[7:5]=001, VD bit7,bit6->0,hlock disable in vsync   bit5->1,hstate_fixed on==> the key of co-channel becomes better than pacific/AT
	//------------------------------ for   co_channel  -------------------------
	}
	else
	{
		printk("#########TT Normal\n");
	 	//------------------------------ for   normal/noise/eye  -------------------------
		rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x5b5b2713);  //fixed slicer level
		rtd_outl(VBI_TT_VBI_DATA_STATUS_VADDR, 0x00004600);  //remember enable tt/wss/vps  interrupt(bit30->wss ,bit28 ->vps, bit27 ->tt)
		rtd_outl(VBI_TT_VBI_CO_CH_CTRL_VADDR, 0x000000a0);  //force compensation off
		//rtd_outl(0xb80194d4, 0x000000f6);//VD co-channel off bit7->1
		//rtd_outl(0xb80194d8, 0x00000001);//VD co-channel off bit7->0
		//rtd_outl(0xb80193c4, 0x00000003);//VD co-channel off bit7->0
		//rtd_outl(0xb801948c, 0x00000004);//VD co-channel off bit2->1
		//rtd_outl(0xb80190b0, 0x000000cd);//VD co-channel off bit7,6->1
		rtd_maskl(VDTOP_VCR_OPTION_VADDR,~_BIT7, 0);//95e4[7]=0,VD co-channel off 1-2-1 filter(1) disable, bit7->0
		rtd_maskl(VDTOP_NEW_VDETECT_LOOP_TH2_VADDR,~_BIT7, 0);//9378[7]=0,VD co-channel off 1-2-1 filter(2) disable, bit7->0
		rtd_maskl(VDTOP_NEW_VDETECT_CTRL_VADDR,~(_BIT9|_BIT8), _BIT8);//9374[9][8]=01,VD new vdetect  eable bit8->1(regardless of  cochannel)
		rtd_maskl(VDTOP_HDETECT_GATE_CTRL_VADDR,~_BIT2, _BIT2);//921c[2]=1,VD co-channel off  hdetect lpf enable ,bit2->1
		rtd_maskl(VDTOP_H_LOOP_MAXSTATE_VADDR,~(_BIT7|_BIT6|_BIT5), (_BIT7|_BIT6));//9134[7:5]=110,VD co-channel off  bit7,bit6->1,hlock enable in vsync bit5->0,hstate_fixed disable
	//------------------------------ for   normal/noise/ eye -------------------------
	}

	rtd_outl(VBI_TT_VBI_CLAMPAGC_CTRL_VADDR,0x83c03c0c);//d gain = 0xc
	rtd_outl(VBI_TT_VBI_LOOP_FILTER_I_GAIN_REGISTER_VADDR,0x00004444);//loop filter gain kp = 0x4
	rtd_outl(VBI_TT_VBI_NOISY_CTRL4_VADDR, 0x0f023110);  //kp of TT in data area
	rtd_outl(VBI_TT_VBI_DTO_FRAME_START_VADDR ,  0xbe6fb4a8);//0x78->0x6f
	rtd_outl(VBI_TT_VBI_DTO_REGISTER2_VADDR ,  0x15991599);
	rtd_outl(VBI_TT_VBI_NOISY_CTRL6_VADDR ,  0x00000000);

#ifdef AGC_slicer_level
	rtd_outl(VBI_TT_VBI_CONTROL_REGISTER_VADDR, 0x4b4b2753);  //agc slicer level
	rtd_outl(VBI_TT_VBI_AGC_SLICE_LEVEL_VADDR,0x980050ff);
	rtd_outl(VBI_TT_VBI_AGC_SLICE_LEVEL1_VADDR,0x0a000000);
	rtd_outl(VBI_TT_VBI_AGC_SLICE_LEVEL2_VADDR,0x00000004);
#endif

#ifdef Pattern6_setting//dto setting for patttern 6
	rtd_outl(VBI_TT_VBI_DTO_REGISTER1_VADDR, 0x0f8c1ad0);//0f91->0f8f	
	rtd_outl(VBI_TT_VBI_NOISY_CTRL4_VADDR, 0x0f013110);  //kp of TT in data area for pattern 6
	rtd_maskl(VBI_TT_VBI_PAGE6_VADDR,0xffffffc0,0x6);//for pattern 6
#endif

#ifdef Odd_parity_recovery
	rtd_outl(VBI_TT_VBI_ODD_PARIORITY_RECOVERY_VADDR, 0x0000008a); //enable correct one bit error
	rtd_outl(VBI_TT_VBI_NOISY_CTRL3_VADDR, 0x805a0000);//replace error data by corrected  data 
	rtd_outl(VBI_TT_VBI_ODD_PARIORITY_RECOVERY_1_VADDR, 0x3fffffff); //odd parity recovery row 0 ~row25
#endif

//==================== For  Slicer_1   TT setting  end =============================================
	

// -------------------------   For   Slicer_1   VPS  WSS  setting  START ------------------------------------------   
#ifdef VPS_test
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_13_16_VADDR,  0x33666666);//line 13,14,15,16	//vd line 16 for vps
	rtd_outl(VBI_TT_VBI_NOISY_CTRL5_VADDR,  0x008200a0);//vps start code detect region
#endif

#ifdef WSS_test
	rtd_outl(VBI_TT_VBI_DATA_TYPE_CONFIG_REG_FOR_LINE_21_24_VADDR,  0x00cc6666);//line 24,23,22,21   //vd line 23 for wss
	//rtd_outl(VBI_TT_VBI_WSS_VPS_VOTE_VADDR,0x110f2d11);//WSS vote enable
#ifdef WSS_from_CC_path
	rtd_outl(VBI_TT_VBI_WSS_VPS_VOTE_VADDR,0x190f2d11);//WSS vote enable,wss from VD without burst(CC path)
	rtd_outl(VBI_TT_VBI_WSS_VPS_VOTE2_VADDR,0x84F03E70);//wss setting for CC path
#endif
#endif
//==================== For  Slicer_1   VPS/WSS setting  end =============================================

	//S
	//rtd_outl(0xb8020004, 0x5b455555);//[26:24]=011
	//rtd_outl(0xb8020020, 0x30104038); //[16:12] = 00100

	// Read  0xb8030a30(1803_0b30)     bit16  vps_VPS_rdy 
	// Read  0xb8030a40 (bit 7:0) ~ 0xb8030a4c (bit 31:0)  VPS  data
	// Read  b8030a30(1803_0b30)     bit18  tt_WSS_rdy 
	// Read  0xb8030a2C  (Bit 31:16)  WSS  data

	//  for  TT  pattern  data_error  trigger
	//rtd_outl(VBI_TT_VBI_PATTERN_SEL_VADDR,0x0F000100);  // for  tt1033  pattern 1
	rtd_outl(VBI_TT_VBI_PATTERN_SEL_VADDR,0x0F000200);  // for  tt1033  pattern 2
	//rtd_outl(VBI_TT_VBI_PATTERN_SEL_VADDR,0x0F000400);  // for  tt1033  pattern 4
	//rtd_outl(VBI_TT_VBI_PATTERN_SEL_VADDR,0x0F001000);  // for  tt1033  pattern 6

//	rtd_outl(VBI_VBI_DMA_FIFO_STAUS_VADDR, 0x00103f02);	// DMA FIFO for LV,LV2,Pacific,Darwin
	rtd_outl(VBI_VBI_DMA_FIFO_STAUS_VADDR, 0x00213f05);	// DMA FIFO for Mac5, Merlin3
	printk("[3_0c08] %x\n", rtd_inl(VBI_VBI_DMA_FIFO_STAUS_VADDR));

	printk("[Slicer] TT_WSS_VPS_Init done !!\n");
}

#ifdef TT1033
// vbi_ttx[j][6]
UINT8 ttCompL6_1 = 0xc7;	
UINT8 ttCompL6_2 = 0x02;
UINT8 ttCompL6_3 = 0x02;
UINT8 ttCompL6_4 = 0x02;
UINT8 ttCompL6_5 = 0x02;
UINT8 ttCompL6_6 = 0x02;
// vbi_ttx[j][k]
#define ttCompDataNum	2
#endif
#ifdef FLUKE
// vbi_ttx[j][6]
UINT8 ttCompL6_1 = 0x49;	
UINT8 ttCompL6_2 = 0x02;
UINT8 ttCompL6_3 = 0xa1;
UINT8 ttCompL6_4 = 0x8c;
UINT8 ttCompL6_5 = 0xb6;
UINT8 ttCompL6_6 = 0xc7;
UINT8 ttCompL6_7 = 0x64;
UINT8 ttCompL6_8 = 0x64;
// vbi_ttx[j][k]
#define ttCompDataNum	35
#endif
#define ttDmaDataNum	12


int TT_WSS_VPS_verify(void)
{
	UINT32 i = 0, j = 0, k = 0, m = 0, wss_value = 1, wss_init_value = 0;
	UINT8 a = 0;
	UINT32 uclocked;
	UINT32 NoiseS = 0;
	UINT8 tt_detect = _FAIL;
	UINT8 tt_dma_data[ttDmaDataNum] = {0x9b,0x8c,0x5e,0x49,0xc7,0xd0,0x38,0x02,0x15,0x2f,0x64,0x73};
#ifdef TT1033
	UINT8 tt_dma_A[ttCompDataNum] = {0x7f,0xfe};
#endif
#ifdef FLUKE
	UINT8 tt_dma_A[ttCompDataNum] = {0xd9,0x9d,0x02,0x01,0x20,0x91,0x2c,0xb3,0x32,0x00, \
									 0x26,0x7f,0xfe,0x31,0x34,0x45,0x15,0xb0,0x2f,0x54, \
									 0x58,0xba,0xb0,0xb5,0x4c,0x0b,0xce,0x57,0xd3,0x46, \
									 0xc1,0xc8,0xce,0xc8,0x8a};
#endif

#ifdef VPS_test
	UINT32 vps_byte3;
	UINT32 vps_byte2;
	UINT32 vps_byte1;
	UINT32 vps_byte0;
	UINT32 vps_value[4];
	UINT32 vps_data[9] = {0};
	UINT32 vps;
#endif
#ifdef WSS_test	
	UINT8  wss_byte0 = 0, wss_byte1 = 0;
#endif
	UINT8  vbi_ttx[VBI_TTX_DMA_LENGTH][VBI_TTX_DMA_WIDTH]={0};
	UINT8 valid_data = FALSE;

	vbi_delay(1000);
	vbi_delay(1000);
	vbi_delay(1000);
	printk("TT_VBI_Control_Register[3_0a00]: %x, TT_VBI_LOOP_FILTER_I_GAIN_REGISTER[3_0a1c]: %x\n",rtd_inl(VBI_TT_VBI_CONTROL_REGISTER_VADDR),rtd_inl(VBI_TT_VBI_LOOP_FILTER_I_GAIN_REGISTER_VADDR));
	printk("TT_VBI_CO_CH_CTRL[3_0a6c]: %x\n",rtd_inl(VBI_TT_VBI_CO_CH_CTRL_VADDR));
	printk("#########TT  START \n" );

	rtd_maskl(VBI_VBI_DEBUG_MODE_VADDR, ~_BIT12, _BIT12);
	UINT8 ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
	printk("=== coch flag = %x\n",ucCoCh );

#ifdef TT_test

	while(i<100)
	{
		i++;
		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}
		vbi_delay(100);
		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT19)==_BIT19) // tt ready
		{ // TT ready
			printk("#########TT READY  = %d\n",i );
			break;	// jj test
		}
		rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR, ~_BIT19, _BIT19);	//clr TT ready bit
		if(ucCoCh != (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7))
		{
			ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
			printk("=== coch flag changed !!!! = %x\n",ucCoCh );
		}
	}

	i = 0;
	////////////////for pacific' 216 pin,remember to change to "Normal ram boot " of the menuconfig 
	///////////////////////////////////////////////////////////////////////////////////
	while(i<59000)
	{
		i++;
		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}
		vbi_delay(100);

		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT19)==_BIT19) // tt ready
		{
			//printk("#########TT  READY \n" );
			if ((rtd_inl(VBI_VBI_DEBUG_MODE_VADDR)&_BIT12)==_BIT12) //tt_data_err bit
			{
				printk("\n  TT Data Error ,i=%d\n",i);
				rtd_maskl(VBI_VBI_DEBUG_MODE_VADDR, ~_BIT12, _BIT12);
				if (j>5)
				{
					tt_detect = _FAIL;
					break;
				}
				j++;
			}
			else
			{
				if((i & 0x0000007f) == 0x00000000)
					printk(".");
			}
			rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR, ~_BIT19, _BIT19);
		}

		if(ucCoCh != (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7))
		{
			ucCoCh = (rtd_inl(VDTOP_VBI_CO_CH_CTRL0_VADDR)&_BIT7);
			printk("=== coch flag changed !!!! = %x\n",ucCoCh );
		}
	}
	if(tt_detect)
		printk("\n\n######### TT verify FAIL ~~\n");
	else
		printk("\n\n######### TT verify PASS !!\n");
	printk("noisy_status = %x\n\n",rtd_inl(VDTOP_NOISE_STATUS_VADDR));
	if ((rtd_inl(VDTOP_NEW_VDETECT_CTRL_VADDR)&_BIT7) == 0)
		printk("VD set Old V detect, co-ch flag = %x\n", ucCoCh);
	else
		printk("VD set New V detect, co-ch flag = %x\n", ucCoCh);
	printk("@@@@@@@@@ TT  END \n" );
#endif

#ifdef TT_DMA_test
	i = 0;
	m = 0;
	tt_detect = _FAIL;
	vbi_delay(10000);

	printk("#########TT  DMA  START \n" );
	//for TT1033 pattern 2 , line 7~ line 18 (12 line)
	//for TT1033 pattern 2 , line 7~ line 18 (12 line)
	//for TT1033 pattern 2 , line 7~ line 18 (12 line)	

	rtd_maskl(VBI_VBI_DUMP_INT_VADDR, ~_BIT0, _BIT0);	// enable VBI sends a field data to DMA  interrupt

//	while(i<30000)
	while(i<10000)
	{
		i++;
		udelay(1000);
		if((rtd_inl(VBI_VBI_DUMP_INT_VADDR)&_BIT0)==_BIT0) // vbi_dump_irq = 1
		{
			uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
			if(uclocked == 0x01)
				break;

			if((i & 0x0000007f) == 0x00000000)
				printk("#########TT  DMA  IRQ, check data \n" );
			// DMA FIFO overflow
			if ( rtd_inl(VBI_VBI_DMA_CTRL_VADDR) & (_BIT3) )
			{
				printk( "VBI TTX DMA FIFO Overflow\n");
				rtd_maskl(VBI_VBI_DMA_CTRL_VADDR,~_BIT3,_BIT3);// clear out FIFO Overflow
			}

			if (vbi_ttx_dma != NULL ) 
			{
				for ( j=0 ; j<VBI_TTX_DMA_LENGTH ; ++j)
				{ 
					for (k=0; k<48;k++)
						vbi_ttx[j][k]= (*vbi_ttx_dma)[j][k];
					
					if (	(vbi_ttx[j][0]==0x00) &&
						(vbi_ttx[j][1]==0x00) &&
						(vbi_ttx[j][2]==0xFF) &&
						(vbi_ttx[j][3]==0xFF) &&
						((vbi_ttx[j][4]==0x22) || (vbi_ttx[j][4]==0x23)) &&//even or odd
						(vbi_ttx[j][5]==0x2A)) //TT
					{
#ifdef HEADER_ONLY	// header only
						if((i & 0x0000007f) == 0x00000000)
							printk("TT header pass\n");
						valid_data = TRUE;
#else
						valid_data = FALSE;
//						printk(" line = %d, ", (j+6));
//						printk(" [j][6]%x, [j][7]%x, ", (*vbi_ttx_dma)[j][6], (*vbi_ttx_dma)[j][7]);

						// Magazine Number
						if ((vbi_ttx[j][6]==ttCompL6_1)||(vbi_ttx[j][6]==ttCompL6_2)
							||(vbi_ttx[j][6]==ttCompL6_3)||(vbi_ttx[j][6]==ttCompL6_4)
							||(vbi_ttx[j][6]==ttCompL6_5)||(vbi_ttx[j][6]==ttCompL6_6)
							||(vbi_ttx[j][6]==ttCompL6_7)||(vbi_ttx[j][6]==ttCompL6_8))
						{
//							for (k=0;k<13;k++)
							for (k=0;k<ttDmaDataNum;k++)
							{
								//Packet Number
								if (vbi_ttx[j][7] == tt_dma_data[k])
								{
//									printk(" Packet Number, [j][7]%x", (*vbi_ttx_dma)[j][7]);
									valid_data = TRUE;
									break;
								}
							}
						}
						else
						{
							printk(" [j][6]%x ", (*vbi_ttx_dma)[j][6]);
						}
						if ((valid_data == TRUE)&&(j<12))//line data compare, except line 18
						{
							for (k=8;k<48;k++)
							{
//								printk(" [j][k]%x, ",(*vbi_ttx_dma)[j][k]);
								for (a=0; a<ttCompDataNum; a++)
								{
									valid_data = FALSE;
									if (vbi_ttx[j][k] == tt_dma_A[a])
									{
										valid_data = TRUE;
										break;
									}
									else
									{
										if (a == (ttCompDataNum-1))
											printk(" [j][k]%x, ",(*vbi_ttx_dma)[j][k]);
									}
								}
							}
						}
#endif
						if (valid_data == TRUE)
						{
							tt_detect = _SUCCESS;
#ifndef HEADER_ONLY
							if((i & 0x0000007f) == 0x00000000)
								printk("compare pass\n");
#endif
							break;
						}
						else
						{
							tt_detect = _FAIL;
							if((i & 0x0000007f) == 0x00000000)
								printk(" ####################TT DMA FAIL ################## \n");
							break;
						}
					}
				}
			}
			rtd_maskl(VBI_VBI_DUMP_INT_VADDR, ~_BIT0, _BIT0);
		}
	}

	if(tt_detect)
		printk("\n\n######### TT DMA test FAIL !!\n\n");
	else
		printk("\n\n######### TT DMA test PASS !!\n\n");
	printk("@@@@@@@@@TT DMA  END \n" );
#endif

#ifdef WSS_test
	printk("#########WSS START \n" );
	i = 0;
	m = 0;
	j=0;
	NoiseS = rtd_inl(VDTOP_NOISE_STATUS_VADDR);
	printk("noise status=%x\n", NoiseS);

	while(i<1800000)
	{
		i++;
		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}
		udelay(1000);
		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT18)==_BIT18) // Bit18 = 1
		{
			//if ((m == 0)&&((rtd_inl(0xb8003240)&_BIT12)==_BIT12)&&((rtd_inl(0xb8003290)&_BIT12)==_BIT12))
			   	//printk(" WSS  M&AV CPU IRQ OK!!!\n");

		       //printk("#########WSS READY \n" );
			if (m == 0)
			{
				wss_init_value = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0xffff0000)>>16;
//				wss_byte1 = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0x00ff0000)>>16;
//				wss_byte1 = wss_init_value&0x00ff;
//				printk("wss data1 = %x\n",wss_byte1 );
//				wss_byte0 = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0xff000000)>>24;
//				wss_byte0 = (wss_init_value&0xff00)>>8;
//				printk("wss data0 = %x\n",wss_byte0 );
//				wss_init_value = (wss_byte1<<8)|wss_byte0 ;
				printk(" WSS Init Data ===> %x,  ns=%x\n", wss_init_value, rtd_inl(VDTOP_NOISE_STATUS_VADDR));
			}
			else
			{
				wss_value = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0xffff0000)>>16;
				if (wss_value != wss_init_value)
				{
					j++;
//					wss_byte1 = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0x00ff0000)>>16;
//					wss_byte1 = wss_value&0x00ff;
//					printk("wss data1 = %x\n",wss_byte1 );
//					wss_byte0 = (rtd_inl(VBI_TT_VBI_CCWSS_DATA_VADDR)&0xff000000)>>24;
//					wss_byte0 = (wss_value&0xff00)>>8;
//					printk("wss data0 = %x\n",wss_byte0 );
					printk("i=%d WSS Data ===> %x,  ns=%x\n",i, wss_value, rtd_inl(VDTOP_NOISE_STATUS_VADDR));
					if (j>5)
						break;
				}
#if 0
				if(NoiseS != rtd_inl(VDTOP_NOISE_STATUS_VADDR))
				{
					NoiseS = rtd_inl(VDTOP_NOISE_STATUS_VADDR);
					printk("noise status=%x\n", NoiseS);
				}
#endif
			}
			rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR, ~_BIT18, _BIT18);
//			printk("m++ = %d \n",m );
			m++;
		}
#if 1
		if((i & 0x000007ff) == 0x00000000)
		{
			printk(".");
		}
#endif
	}
	printk("@@@@@@@@@WSS END \n" );
#endif

#ifdef VPS_test
	printk("#########VPS START \n" );
	i = 0;
	m = 0;
	j =0;
	while(i<1800000)
	{
		i++;
		uclocked = (rtd_inl(VDTOP_VIDEO_STATUS_REG1_VADDR)&0x0000000f);
		if(uclocked == 0x01)
		{
			printk("[AV] no signal, break\n");
			break;
		}
		udelay(1000);
		if((rtd_inl(VBI_TT_VBI_DATA_STATUS_VADDR)&_BIT16)==_BIT16) // Bit16 = 1
		{
			//if ((m == 0)&&((rtd_inl(0xb8003240)&_BIT12)==_BIT12)&&((rtd_inl(0xb8003290)&_BIT12)==_BIT12))
			   	//printk(" VPS  M&AV CPU IRQ OK!!!\n");
			
			//printk("#########VPS READY\n" );
			vps_byte3 = rtd_inl(VBI_TT_VPS_DATA3_VADDR);
			vps_byte2 = rtd_inl(VBI_TT_VPS_DATA2_VADDR);
			vps_byte1 = rtd_inl(VBI_TT_VPS_DATA1_VADDR);
			vps_byte0 = rtd_inl(VBI_TT_VPS_DATA0_VADDR);

			if (m == 0)
			{
				NoiseS = rtd_inl(VDTOP_NOISE_STATUS_VADDR);
				printk("noise status=%x\n", NoiseS);
				vps_value[3] = vps_byte3;
				vps_value[2] = vps_byte2;
				vps_value[1] = vps_byte1;
				vps_value[0] = vps_byte0;
				printk(" vps_init_value[3]  ===> %x \n", vps_value[3] );
				printk(" vps_init_value[2]  ===> %x \n", vps_value[2] );
				printk(" vps_init_value[1]  ===> %x \n", vps_value[1] );
				printk(" vps_init_value[0]  ===> %x \n", vps_value[0] );
				
				vps_data[2] = (vps_byte2&_BIT26) >>26;
				vps_data[3] = (vps_byte2&_BIT27) >>27;
				vps_data[4] = (vps_byte2&_BIT28) >>28;
				vps_data[5] = (vps_byte2&_BIT29) >>29;
				vps_data[6] = (vps_byte2&_BIT30) >>30;
				vps = (vps_data[2] << 4)+(vps_data[3] << 3)+(vps_data[4] << 2)+(vps_data[5] << 1)+vps_data[6] ;
				printk(" day      ===> %d \n", vps );

				vps_data[7] = (vps_byte2&_BIT31) >>31;
				vps_data[0] = (vps_byte2&_BIT16) >>16;
				vps_data[1] = (vps_byte2&_BIT17) >>17;
				vps_data[2] = (vps_byte2&_BIT18) >>18;
				vps =(vps_data[7] << 3)+(vps_data[0] << 2)+(vps_data[1] << 1)+vps_data[2] ;
				printk(" month  ===> %d \n", vps );

				vps_data[3] = (vps_byte2&_BIT19) >>19;
				vps_data[4] = (vps_byte2&_BIT20) >>20;
				vps_data[5] = (vps_byte2&_BIT21) >>21;
				vps_data[6] = (vps_byte2&_BIT22) >>22;
				vps_data[7] = (vps_byte2&_BIT23) >>23;
				vps = (vps_data[3] << 4)+(vps_data[4] << 3)+(vps_data[5] << 2)+(vps_data[6] << 1)+vps_data[7] ;
				printk(" hour     ===> %d \n", vps );

				vps_data[0] = (vps_byte2&_BIT8) >>8;
				vps_data[1] = (vps_byte2&_BIT9) >>9;
				vps_data[2] = (vps_byte2&_BIT10) >>10;
				vps_data[3] = (vps_byte2&_BIT11) >>11;
				vps_data[4] = (vps_byte2&_BIT12) >>12;
				vps_data[5] = (vps_byte2&_BIT13) >>13;
				vps = (vps_data[0] << 5)+(vps_data[1] << 4)+(vps_data[2] << 3)+(vps_data[3] << 2)+(vps_data[4] << 1)+vps_data[5] ;
				printk(" min      ===> %d \n", vps );

				vps_data[0] = (vps_byte0&_BIT12) >>12;
				vps_data[1] = (vps_byte0&_BIT13) >>13;
				vps_data[2] = (vps_byte0&_BIT14) >>14;
				vps_data[3] = (vps_byte0&_BIT15) >>15;
				vps_data[4] = (vps_byte2&_BIT14) >>14;
				vps_data[5] = (vps_byte2&_BIT15) >>15;
				vps_data[6] = (vps_byte2&_BIT0) ;
				vps_data[7] = (vps_byte2&_BIT1) >>1;
				vps =(vps_data[0] << 7)+(vps_data[1] << 6)+(vps_data[2] << 5)+(vps_data[3] << 4)+(vps_data[4] << 3)+(vps_data[5] << 2)+(vps_data[6] << 1)+vps_data[7] ;
				printk(" country ===> %d \n", vps );

				vps_data[0] = (vps_byte2&_BIT24) >>24;
				vps_data[1] = (vps_byte2&_BIT25) >>25;
				vps_data[2] = (vps_byte2&_BIT2) >>2;
				vps_data[3] = (vps_byte2&_BIT3) >>3;
				vps_data[4] = (vps_byte2&_BIT4) >>4;
				vps_data[5] = (vps_byte2&_BIT5) >>5;
				vps_data[6] = (vps_byte2&_BIT6) >>6;
				vps_data[7] = (vps_byte2&_BIT7) >>7;
				vps =(vps_data[0] << 7)+(vps_data[1] << 6)+(vps_data[2] << 5)+(vps_data[3] << 4)+(vps_data[4] << 3)+(vps_data[5] << 2)+(vps_data[6] << 1)+vps_data[7] ;
				printk(" net       ===> %d \n", vps );	

				vps_data[0] = (vps_byte3&_BIT0);
				vps_data[1] = (vps_byte3&_BIT1) >>1;
				vps_data[2] = (vps_byte3&_BIT2) >>2;
				vps_data[3] = (vps_byte3&_BIT3) >>3;
				vps_data[4] = (vps_byte3&_BIT4) >>4;
				vps_data[5] = (vps_byte3&_BIT5) >>5;
				vps_data[6] = (vps_byte3&_BIT6) >>6;
				vps_data[7] = (vps_byte3&_BIT7) >>7;
				vps =(vps_data[0] << 7)+(vps_data[1] << 6)+(vps_data[2] << 5)+(vps_data[3] << 4)+(vps_data[4] << 3)+(vps_data[5] << 2)+(vps_data[6] << 1)+vps_data[7] ;
				printk(" PTY      ===> %d \n", vps );
			}
			else
			{
				if( (vps_value[3] != vps_byte3)||(vps_value[2] != vps_byte2)||(vps_value[1] != vps_byte1)||(vps_value[0] != vps_byte0))
				{
					j++;
					printk("\n vps_value[3]  ===> %x \n", vps_byte3 );
					printk(" vps_value[2]  ===> %x \n", vps_byte2 );
					printk(" vps_value[1]  ===> %x \n", vps_byte1 );
					printk(" vps_value[0]  ===> %x \n", vps_byte0 );
					NoiseS = rtd_inl(VDTOP_NOISE_STATUS_VADDR);
					printk("noise status=%x\n", NoiseS);
					if (j>5)
						break;
				}
#if 0
				if(NoiseS != rtd_inl(VDTOP_NOISE_STATUS_VADDR))
				{
					NoiseS = rtd_inl(VDTOP_NOISE_STATUS_VADDR);
					printk("noise status=%x\n", NoiseS);
				}
#endif
			}
			m++;
			rtd_maskl(VBI_TT_VBI_DATA_STATUS_VADDR, ~_BIT16, _BIT16);
		}
		if((i & 0x000007ff) == 0x00000000)
		{
			printk(".");
		}
	}
	printk("@@@@@@@@@VPS END \n" );
#endif
	return _FAIL;
}

#ifdef TT_DMA_test
void DMA_Init(void)
{
	UINT32 vbi_ddr_addr = 0x00000000;
	UINT32 vbi_sram_start_addr = 0x03595350;

	vbi_ttx_dma  = (UINT8 (*)[][VBI_TTX_DMA_WIDTH])((UINT32)vbi_ttx_dma_org|MEM_OFFSET);
	printk("[Slicer] vbi_ttx_dma = 0x%x, vbi_ttx_dma_org=0x%x\n",vbi_ttx_dma,vbi_ttx_dma_org);

	rtd_outl(VBI_TT_VBI_DUMP_DATA1_VADDR, 0x11ffffff);
	//rtd_outl(VBI_TT_VBI_DUMP_DATA1_VADDR, 0x01ffffff);//when VBI_TTX_DMA_WIDTH=48
	// Vbi_dump_line_num  Bit0 --> dump dma-v-counter line 6
	// Vbi_dump_line_num  Bit1 --> dump dma-v-counter line 7
	// Vbi_dump_line_num  Bit23 --> dump dma-v-counter line 29
	// Bit24  Vbi_dump_ttdata_en
	// BIT28 Vbi_dump_rowdata_en
	// need enough byte number that dump can dump, so bit24&bit28 both enable

	//rtd_outl(VBI_TT_VBI_DUMP_DATA2_VADDR, 0x01002023);	// dump field select => 1  dump 1 field (dump per field)
	rtd_outl(VBI_TT_VBI_DUMP_DATA2_VADDR, 0x0100204d);	// dump field select => 1  dump 1 field (dump per field)
	//rtd_outl(VBI_TT_VBI_DUMP_DATA2_VADDR, 0x0000204d);	// dump field select => 0  dump 2  field (dump per 2  field),VBI_TTX_DMA_LENGTH_ALIGN&VBI_TTX_DMA_LENGTH need to change	
#if 1
	rtd_outl(VBI_VBI_DMA_FRAME_ADDR_VADDR, ((UINT32)(&(*vbi_ttx_dma)[0][0]))>>3);	// start addr
	rtd_outl(VBI_VBI_DMA_FRAME_ADDR_END_VADDR, ((UINT32)(&(*vbi_ttx_dma)[VBI_TTX_DMA_LENGTH_ALIGN][0]))>>3); // end addr, 64*24 bytes
#else
	rtd_outl(VBI_VBI_DMA_FRAME_ADDR_VADDR, vbi_sram_start_addr);	// start addr
	rtd_outl(VBI_VBI_DMA_FRAME_ADDR_END_VADDR, vbi_sram_start_addr+0x000000c0); // end addr, 64*24 bytes
#endif
#if 1	// open DMA test mode, clear DDR
	vbi_ddr_addr = ((rtd_inl(VBI_VBI_DMA_FRAME_ADDR_VADDR)<<3)|0xa00000000);
	printk("vbi_ddr_addr = %x\n", rtd_inl(VBI_VBI_DMA_FIFO_STAUS_VADDR));
	printk("DDR data [0x%x]: 0x%x\n",vbi_ddr_addr,rtd_inl(vbi_ddr_addr));
	printk("DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0x4),rtd_inl(vbi_ddr_addr+0x4));
	printk("DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0x8),rtd_inl(vbi_ddr_addr+0x8));
	printk("DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0xc),rtd_inl(vbi_ddr_addr+0xc));
#if 0
	rtd_outl(VBI_VBI_DMA_CTRL_VADDR, 0x00000002);		// enable DMA test mode
	vbi_delay(10000);
	rtd_outl(VBI_VBI_DMA_CTRL_VADDR, 0x00000000);		// disable DMA test mode
	printk("C DDR data [0x%x]: 0x%x\n",vbi_ddr_addr,rtd_inl(vbi_ddr_addr));
	printk("C DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0x4),rtd_inl(vbi_ddr_addr+0x4));
	printk("C DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0x8),rtd_inl(vbi_ddr_addr+0x8));
	printk("C DDR data [0x%x]: 0x%x\n",(vbi_ddr_addr+0xc),rtd_inl(vbi_ddr_addr+0xc));
	rtd_outl(VBI_VBI_DMA_CTRL_VADDR, 0x00000004);		// disable DMA
#endif
#endif

	rtd_outl(VBI_VBI_DMA_VACTIVE1_VADDR, 0x0006001A);	// line 6~26 for field 1
	rtd_outl(VBI_VBI_DMA_VACTIVE2_VADDR, 0x013F0153);	// line 6~26 for field 2 (+313)
//	rtd_outl(VBI_VBI_DMA_FIFO_STAUS_VADDR, 0x00101f05);	// DMA FIFO for Atlantic
//	rtd_outl(VBI_VBI_DMA_FIFO_STAUS_VADDR, 0x00103f02);	// DMA FIFO for LV,LV2,Pacific,Darwin
	rtd_outl(VBI_VBI_DMA_FIFO_STAUS_VADDR, 0x00213f05);	// DMA FIFO for Mac5, Merlin3
	printk("[3_0c08] %x\n", rtd_inl(VBI_VBI_DMA_FIFO_STAUS_VADDR));
	rtd_outl(VBI_VBI_DUMP_INT_VADDR, 0x00000002);		// DMA IRQ Enable
	rtd_outl(VBI_VBI_DMA_CTRL_VADDR, 0x00000000);		// enable DMA
	printk("[Slicer] DMA_Init done !!\n");
}
#endif

#endif

#ifdef CGMS_test
void CGMS_Init(void)
{
	//printk("#########CGMS_Init \n" );
////	rtd_outl(0xB8000204, 0x00020021); // vbi clk from YPP (bit5 = 1)
	rtd_outl(0xB8020080, 0x00000274); // bit[2]=1: vbi_clk use adc_clk2x (VBI_clk = 27MHz)

#ifdef AV_Input
	rtd_outl(0xb8000018,0x00020001);	// bit 5, VBI source, 0: Video Decoder,1: YPBPR
	rtd_outl(VBI_VBISL0_VADDR, 0x90000000);  // bit7=0  from  VD

	printk("[Slicer] AV CGMS_Init \n");
	rtd_outl(VBI_VBI_VOUNT_SHIFT_VADDR, 0x0);
	rtd_outl(VBI_CGMS_C0_VADDR, 0x07006413);  // for interlace
	rtd_outl(VBI_CGMS_C1_VADDR, 0x000E0115);  // active line  14
	//rtd_outl(VBI_CGMS_C2_VADDR, 0x00300130); // 480i do not

	rtd_outl(VBI_CGMS_C5_VADDR, 0x0038403c);  // for  480i

	rtd_outl(VBI_CGMS_C3_VADDR, 0x0100001e);  // bit 24  auto  period
	rtd_outl(VBI_CGMS_C4_VADDR, 0x10000000);  //remember enable cgms interrupt(bit28 ->cgms)
#endif

#ifdef YPP_Input
	rtd_outl(0xb8000018,0x00020021);	// bit 5, VBI source, 0: Video Decoder,1: YPBPR
	printk("[Slicer][0] YPP set:%x \n",rtd_inl(VBI_VBISL0_VADDR));
	rtd_outl(VBI_VBISL0_VADDR, 0x90000080);	// bit7=1  from  Ypp
											// bit[5] Pacific  need inverse V/H Line counter
											// bit[4] Pacific  need inverse field
	rtd_outl(0xb8000204, 0x00620005);		// VBI slicer 0 source select , 0:VD, 1:YPP 								
	printk("[Slicer][1] YPP set:%x \n",rtd_inl(VBI_VBISL0_VADDR));


#ifdef YPPin_480i
	printk("[Slicer] CGMS_Init 480i \n");
	rtd_outl(VBI_VBI_VOUNT_SHIFT_VADDR, 0x0);
	rtd_outl(VBI_CGMS_C0_VADDR, 0x07006413);  // for interlace
	rtd_outl(VBI_CGMS_C1_VADDR, 0x000e0115);  // active line  14
	//rtd_outl(VBI_CGMS_C2_VADDR, 0x00300130); // 480i do not

	rtd_outl(VBI_CGMS_C5_VADDR, 0x0038403c);  // for  480i

	rtd_outl(VBI_CGMS_C3_VADDR, 0x0100001e);  // bit 24  auto  period
	rtd_outl(VBI_CGMS_C4_VADDR, 0x10000000);  //remember enable cgms interrupt(bit28 ->cgms)
	printk("VBI_CGMS_C4_VADDR = %x\n", rtd_inl(VBI_CGMS_C4_VADDR));
	//printk("0xb8003240 = %x\n", rtd_inl(0xb8003240));
	//printk("0xb8003290 = %x\n", rtd_inl(0xb8003290));
#endif 

#ifdef YPPin_480p
	printk("[Slicer] CGMS_Init 480p \n");
	rtd_outl(VBI_VBI_VOUNT_SHIFT_VADDR, 0x0);
	rtd_outl(VBI_CGMS_C0_VADDR, 0x07006417);  // for progressive
	rtd_outl(VBI_CGMS_C1_VADDR, 0x001E001E);  // active line  30
	rtd_outl(VBI_CGMS_C2_VADDR, 0x00300130);   // 480p must be

	rtd_outl(VBI_CGMS_C5_VADDR, 0x0010241a);  // for  480p

	rtd_outl(VBI_CGMS_C3_VADDR, 0x0100001e);  // bit 24  auto  period
	rtd_outl(VBI_CGMS_C4_VADDR, 0x10000000);  //remember enable cgms interrupt(bit28 ->cgms)

	
#endif

#ifdef YPPin_720p
	printk("[Slicer] CGMS_Init 720p \n");
	rtd_outl(VBI_VBI_VOUNT_SHIFT_VADDR, 0x0);
	rtd_outl(VBI_CGMS_C0_VADDR, 0x07006417);  // for progressive
	rtd_outl(VBI_CGMS_C1_VADDR, 0x00130013);  // active line  19
	//rtd_outl(VBI_CGMS_C2_VADDR, 0x00300130);   // 720p do not

	rtd_outl(VBI_CGMS_C5_VADDR, 0x0030443A);  // for  720p

	rtd_outl(VBI_CGMS_C3_VADDR, 0x0100001e);  // bit 24  auto  period
	rtd_outl(VBI_CGMS_C4_VADDR, 0x10000000);  //remember enable cgms interrupt(bit28 ->cgms)
#endif

#ifdef YPPin_1080i
	printk("[Slicer] CGMS_Init 1080i \n");
	rtd_outl(VBI_VBI_VOUNT_SHIFT_VADDR, 0x0);
	rtd_outl(VBI_CGMS_C0_VADDR, 0x07006413);  // for interlace
	rtd_outl(VBI_CGMS_C1_VADDR, 0x00100243);  // active line  16
	//rtd_outl(VBI_CGMS_C2_VADDR, 0x00300130);   // 1080i do not

	rtd_outl(VBI_CGMS_C5_VADDR, 0x0043574D); // for  1080i

	rtd_outl(VBI_CGMS_C3_VADDR, 0x0100001e);  // bit 24  auto  period
	rtd_outl(VBI_CGMS_C4_VADDR, 0x10000000);  //remember enable cgms interrupt(bit28 ->cgms)
#endif
#endif

	printk("[Slicer] CGMS_Init done !!\n");
}

int CGMS_verify(void)
{
	UINT32 i,j;
	UINT32 cgms_detect;
	cgms_detect = _FAIL;
	
	printk("#########CGMS START \n" );
	i = 0;
	j = 0;
	udelay(10000);
//	while(i<2400000)
	while(i<100000)
	{
		i++;
		udelay(10);
		if((rtd_inl(VBI_CGMS_C4_VADDR)&_BIT24)==_BIT24) // cgms valid
		{
			//printk("#########CGMS verify CGMS vaild \n" );
			//if ((j == 0)&&((rtd_inl(0xb8003240)&_BIT12)==_BIT12)&&((rtd_inl(0xb8003290)&_BIT12)==_BIT12))
			//   	printk("CGMS M&AV CPU IRQ OK!!!\n");
		    
			j++;   	
			rtd_maskl(VBI_CGMS_C4_VADDR, ~_BIT24, _BIT24);
			cgms_detect = rtd_inl(VBI_CGMS_C4_VADDR)&0x000fffff;
			printk("cgms_detect = %x\n", cgms_detect );
#ifdef AV_Input
			if((i & 0x0000007f) == 0x00000000)
			{
				printk("mode=%x, noise status=%x\n",rtd_inl(VDTOP_MODE_DETECTION_STATUS_VADDR),rtd_inl(VDTOP_NOISE_STATUS_VADDR));
			}
#endif
		}
	}
	printk("@@@@@@@@@CGMS END \n" );
	return _FAIL;
}
#endif


