/*
 * CreatePinmuxDriver
 * Total setting number: 235

 * Date: Mar 24 2020 16:38:24
 */

#include <common.h>
#include <asm/arch/io.h>
#include <platform_lib/board/pcb.h>

void PinMuxInit(void) {
	// PAD_NAME: PAD_GPIO_17_IO 2
	rtd_maskl(0xB8000810, 0xFF00FFFF, (((BGA_PIN_2 << 4) | (BGA_PIN_2_UP << 3) | (BGA_PIN_2_PD << 2) |(BGA_PIN_2_DS << 1) | (BGA_PIN_2_SR)) << 16));
	if (BGA_PIN_2 == 0x3) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x0&0x7)<<0)); }; // 3: ld_spi0_p2_sck_src0,<I/O>
	if (BGA_PIN_2 == 0x9) { rtd_maskl(0xb8000900, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 9: TP0_SYNC_src2,<I>,<HS>
	if (BGA_PIN_2 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x4&0x7)<<20)); }; // A: I2S_IN_Data0_src4,<I>
	// PAD_NAME: PAD_GPIO_19_IO 4
	rtd_maskl(0xB8000810, 0xFFFFFF00, (((BGA_PIN_4 << 4) | (BGA_PIN_4_UP << 3) | (BGA_PIN_4_PD << 2) |(BGA_PIN_4_DS << 1) | (BGA_PIN_4_SR)) << 0));
	if (BGA_PIN_4 == 0x0) { rtd_maskl(0xb80008f8, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 0: SPI_FCIC_DI_src0,<I/O>
	if (BGA_PIN_4 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 2: SPI_HOLD_src1,<I/O>,<HS>
	if (BGA_PIN_4 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x0&0x7)<<24)); }; // 3: ld_spi0_p4_sdi_src0,<I>
	if (BGA_PIN_4 == 0x9) { rtd_maskl(0xb8000900, ~((0x3)<<16), ((0x2&0x3)<<16)); }; // 9: TP0_VAL_src2,<I>,<HS>
	if (BGA_PIN_4 == 0xB) { rtd_maskl(0xb80008f4, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // B: I2C4_SCL_src1,<I/O>
	// PAD_NAME: PAD_GPIO_16_IO 5
	rtd_maskl(0xB8000810, 0x00FFFFFF, (((BGA_PIN_5 << 4) | (BGA_PIN_5_UP << 3) | (BGA_PIN_5_PD << 2) |(BGA_PIN_5_DS << 1) | (BGA_PIN_5_SR)) << 24));
	if (BGA_PIN_5 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 2: SPI_WP_src1,<I/O>,<HS>
	if (BGA_PIN_5 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 9: TP0_CLK_src2,<I>,<HS>,<AND>
	// PAD_NAME: PAD_GPIO_02_IO 6
	rtd_maskl(0xB8000800, 0xFFFF00FF, (((BGA_PIN_6 << 4) | (BGA_PIN_6_UP << 3) | (BGA_PIN_6_PD << 2) |(BGA_PIN_6_DS << 1) | (BGA_PIN_6_SR)) << 8));
	if (BGA_PIN_6 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<10), ((0x0&0x3)<<10)); }; // 1: vby1_osd_lock_src0,<I>
	if (BGA_PIN_6 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<2), ((0x2&0x3)<<2)); }; // 2: VBY1_LOCK_src2,<I>
	if (BGA_PIN_6 == 0xC) { rtd_maskl(0xb8000cbc, ~((0x3)<<14), ((0x3&0x3)<<14)); }; // C: usit_sbc_src3,<I/ODH>
	// PAD_NAME: PAD_GPIO_03_IO 7
	rtd_maskl(0xB8000800, 0xFFFFFF00, (((BGA_PIN_7 << 4) | (BGA_PIN_7_UP << 3) | (BGA_PIN_7_PD << 2) |(BGA_PIN_7_DS << 1) | (BGA_PIN_7_SR)) << 0));
	if (BGA_PIN_7 == 0x0) { rtd_maskl(0xb8000cbc, ~((0x3)<<14), ((0x1&0x3)<<14)); }; // 0: usit_sbc_src1,<I/ODH>
	if (BGA_PIN_7 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: vby1_osd_htpd_src0,<I>
	if (BGA_PIN_7 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 2: VBY1_HTPD_src1,<I>
	// PAD_NAME: PAD_GPIO_00_IO 10
	rtd_maskl(0xB8000800, 0x00FFFFFF, (((BGA_PIN_10 << 4) | (BGA_PIN_10_UP << 3) | (BGA_PIN_10_PD << 2) |(BGA_PIN_10_DS << 1) | (BGA_PIN_10_SR)) << 24));
	// PAD_NAME: PAD_GPIO_01_IO 11
	rtd_maskl(0xB8000800, 0xFF00FFFF, (((BGA_PIN_11 << 4) | (BGA_PIN_11_UP << 3) | (BGA_PIN_11_PD << 2) |(BGA_PIN_11_DS << 1) | (BGA_PIN_11_SR)) << 16));
	// PAD_NAME: PAD_GPIO_05_IO 12
	rtd_maskl(0xB8000804, 0xFF00FFFF, (((BGA_PIN_12 << 4) | (BGA_PIN_12_UP << 3) | (BGA_PIN_12_PD << 2) |(BGA_PIN_12_DS << 1) | (BGA_PIN_12_SR)) << 16));
	if (BGA_PIN_12 == 0x9) { rtd_maskl(0xb8000900, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 9: TP0_Data_bit7_src2,<I>,<HS>
	// PAD_NAME: PAD_GPIO_04_IO 13
	rtd_maskl(0xB8000804, 0x00FFFFFF, (((BGA_PIN_13 << 4) | (BGA_PIN_13_UP << 3) | (BGA_PIN_13_PD << 2) |(BGA_PIN_13_DS << 1) | (BGA_PIN_13_SR)) << 24));
	if (BGA_PIN_13 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x0&0x7)<<12)); }; // 3: ld_spi1_p4_sdi_src0,<I>
	if (BGA_PIN_13 == 0x9) { rtd_maskl(0xb8000900, ~((0x3)<<28), ((0x2&0x3)<<28)); }; // 9: TP0_Data_bit6_src2,<I>,<HS>
	// PAD_NAME: PAD_GPIO_07_IO 14
	rtd_maskl(0xB8000804, 0xFFFFFF00, (((BGA_PIN_14 << 4) | (BGA_PIN_14_UP << 3) | (BGA_PIN_14_PD << 2) |(BGA_PIN_14_DS << 1) | (BGA_PIN_14_SR)) << 0));
	if (BGA_PIN_14 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x0&0x7)<<16)); }; // 3: ld_spi1_p3_sdo_src0,<I/O>
	if (BGA_PIN_14 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<0), ((0x2&0x3)<<0)); }; // 9: TP0_Data_bit5_src2, <I>,<HS>
	// PAD_NAME: PAD_GPIO_08_IO 15
	rtd_maskl(0xB8000808, 0x00FFFFFF, (((BGA_PIN_15 << 4) | (BGA_PIN_15_UP << 3) | (BGA_PIN_15_PD << 2) |(BGA_PIN_15_DS << 1) | (BGA_PIN_15_SR)) << 24));
	if (BGA_PIN_15 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<4), ((0x2&0x3)<<4)); }; // 9: TP0_Data_bit4_src2, <I>,<HS>
	// PAD_NAME: PAD_GPIO_29_IO 17
	rtd_maskl(0xB800081C, 0xFF00FFFF, (((BGA_PIN_17 << 4) | (BGA_PIN_17_UP << 3) | (BGA_PIN_17_PD << 2) |(BGA_PIN_17_DS << 1) | (BGA_PIN_17_SR)) << 16));
	if (BGA_PIN_17 == 0x1) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x5&0x7)<<0)); }; // 1: ld_spi0_p2_sck_src6,<I/O>
	if (BGA_PIN_17 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // 9: TP0_Data_bit3_src2,<I>,<HS>
	if (BGA_PIN_17 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x2&0x7)<<20)); }; // A: I2S_IN_Data0_src2,<I>
	// PAD_NAME: PAD_GPIO_06_IO 18
	rtd_maskl(0xB8000804, 0xFFFF00FF, (((BGA_PIN_18 << 4) | (BGA_PIN_18_UP << 3) | (BGA_PIN_18_PD << 2) |(BGA_PIN_18_DS << 1) | (BGA_PIN_18_SR)) << 8));
	if (BGA_PIN_18 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x0&0x7)<<20)); }; // 3: ld_spi1_p2_sck_src0,<I/O>
	if (BGA_PIN_18 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<12), ((0x2&0x3)<<12)); }; // 9: TP0_Data_bit2_src2,<I>,<HS>
	// PAD_NAME: PAD_GPIO_28_IO 19
	rtd_maskl(0xB800081C, 0x00FFFFFF, (((BGA_PIN_19 << 4) | (BGA_PIN_19_UP << 3) | (BGA_PIN_19_PD << 2) |(BGA_PIN_19_DS << 1) | (BGA_PIN_19_SR)) << 24));
	if (BGA_PIN_19 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<2), ((0x0&0x3)<<2)); }; // 1: VBY1_LOCK_src0,<I>
	if (BGA_PIN_19 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<10), ((0x1&0x3)<<10)); }; // 2: vby1_osd_lock_src1,<I>
	if (BGA_PIN_19 == 0x7) { rtd_maskl(0xb8000cbc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 7: EPI_LOCK_src1,<I>
	if (BGA_PIN_19 == 0x8) { rtd_maskl(0xb8000cbc, ~((0x3)<<6), ((0x1&0x3)<<6)); }; // 8: BOE_BCC_src1,<I/ODH>
	if (BGA_PIN_19 == 0xA) { rtd_maskl(0xb8000cbc, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // A: iSP_SDLOCK_src2,<I>
	if (BGA_PIN_19 == 0xC) { rtd_maskl(0xb8000cbc, ~((0x3)<<14), ((0x2&0x3)<<14)); }; // C: usit_sbc_src2,<I/ODH>
	// PAD_NAME: PAD_GPIO_12_IO 20
	rtd_maskl(0xB800080C, 0x00FFFFFF, (((BGA_PIN_20 << 4) | (BGA_PIN_20_UP << 3) | (BGA_PIN_20_PD << 2) |(BGA_PIN_20_DS << 1) | (BGA_PIN_20_SR)) << 24));
	if (BGA_PIN_20 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x1&0x7)<<16)); }; // 3: ld_spi1_p3_sdo_src1,<I/O>
	if (BGA_PIN_20 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<16), ((0x2&0x3)<<16)); }; // 9: TP0_Data_bit1_src2,<I>,<HS>
	// PAD_NAME: PAD_GPIO_25_IO 21
	rtd_maskl(0xB8000818, 0xFF00FFFF, (((BGA_PIN_21 << 4) | (BGA_PIN_21_UP << 3) | (BGA_PIN_21_PD << 2) |(BGA_PIN_21_DS << 1) | (BGA_PIN_21_SR)) << 16));
	if (BGA_PIN_21 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // B: I2C3_SCL_src0,<I/O>
	// PAD_NAME: PAD_GPIO_26_IO 22
	rtd_maskl(0xB8000818, 0xFFFF00FF, (((BGA_PIN_22 << 4) | (BGA_PIN_22_UP << 3) | (BGA_PIN_22_PD << 2) |(BGA_PIN_22_DS << 1) | (BGA_PIN_22_SR)) << 8));
	if (BGA_PIN_22 == 0x0) { rtd_maskl(0xb8000cbc, ~((0x3)<<14), ((0x0&0x3)<<14)); }; // 0: usit_sbc_src0,<I/ODH>
	if (BGA_PIN_22 == 0x1) { rtd_maskl(0xb8000cbc, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 1: vby1_osd_htpd_src1,<I>
	if (BGA_PIN_22 == 0x2) { rtd_maskl(0xb8000cbc, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 2: VBY1_HTPD_src0,<I>
	if (BGA_PIN_22 == 0xA) { rtd_maskl(0xb8000cbc, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // A: iSP_SDLOCK_src1,<I>
	// PAD_NAME: PAD_GPIO_23_IO 23
	rtd_maskl(0xB8000814, 0xFFFFFF00, (((BGA_PIN_23 << 4) | (BGA_PIN_23_UP << 3) | (BGA_PIN_23_PD << 2) |(BGA_PIN_23_DS << 1) | (BGA_PIN_23_SR)) << 0));
	if (BGA_PIN_23 == 0x1) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x4&0x7)<<24)); }; // 1: ld_spi0_p4_sdi_src4,<I>
	// PAD_NAME: PAD_GPIO_24_IO 24
	rtd_maskl(0xB8000818, 0x00FFFFFF, (((BGA_PIN_24 << 4) | (BGA_PIN_24_UP << 3) | (BGA_PIN_24_PD << 2) |(BGA_PIN_24_DS << 1) | (BGA_PIN_24_SR)) << 24));
	if (BGA_PIN_24 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // B: I2C3_SDA_src0,<I/O>
	// PAD_NAME: PAD_GPIO_20_IO 25
	rtd_maskl(0xB8000814, 0x00FFFFFF, (((BGA_PIN_25 << 4) | (BGA_PIN_25_UP << 3) | (BGA_PIN_25_PD << 2) |(BGA_PIN_25_DS << 1) | (BGA_PIN_25_SR)) << 24));
	// PAD_NAME: PAD_GPIO_10_IO 30
	rtd_maskl(0xB8000808, 0xFFFF00FF, (((BGA_PIN_30 << 4) | (BGA_PIN_30_UP << 3) | (BGA_PIN_30_PD << 2) |(BGA_PIN_30_DS << 1) | (BGA_PIN_30_SR)) << 8));
	if (BGA_PIN_30 == 0x9) { rtd_maskl(0xb80008fc, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 9: TP0_Data_bit0_src2,<I>,<HS>
	// PAD_NAME: PAD_GPIO_21_IO 31
	rtd_maskl(0xB8000814, 0xFF00FFFF, (((BGA_PIN_31 << 4) | (BGA_PIN_31_UP << 3) | (BGA_PIN_31_PD << 2) |(BGA_PIN_31_DS << 1) | (BGA_PIN_31_SR)) << 16));
	if (BGA_PIN_31 == 0x1) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x4&0x7)<<0)); }; // 1: ld_spi0_p2_sck_src4,<I/O>
	// PAD_NAME: PAD_GPIO_09_IO 32
	rtd_maskl(0xB8000808, 0xFF00FFFF, (((BGA_PIN_32 << 4) | (BGA_PIN_32_UP << 3) | (BGA_PIN_32_PD << 2) |(BGA_PIN_32_DS << 1) | (BGA_PIN_32_SR)) << 16));
	if (BGA_PIN_32 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x1&0x7)<<12)); }; // 3: ld_spi1_p4_sdi_src1,<I>
	if (BGA_PIN_32 == 0x9) { rtd_maskl(0xb8000904, ~((0x7)<<28), ((0x4&0x7)<<28)); }; // 9: TP2_CLK_src4,<I>,<HS>,<AND>
	// PAD_NAME: PAD_GPIO_11_IO 33
	rtd_maskl(0xB8000808, 0xFFFFFF00, (((BGA_PIN_33 << 4) | (BGA_PIN_33_UP << 3) | (BGA_PIN_33_PD << 2) |(BGA_PIN_33_DS << 1) | (BGA_PIN_33_SR)) << 0));
	if (BGA_PIN_33 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x1&0x7)<<20)); }; // 3: ld_spi1_p2_sck_src1,<I/O>
	if (BGA_PIN_33 == 0x9) { rtd_maskl(0xb8000904, ~((0x7)<<24), ((0x4&0x7)<<24)); }; // 9: TP2_Data_bit0_src4,<I>,<HS>
	// PAD_NAME: PAD_GPIO_14_IO 34
	rtd_maskl(0xB800080C, 0xFFFF00FF, (((BGA_PIN_34 << 4) | (BGA_PIN_34_UP << 3) | (BGA_PIN_34_PD << 2) |(BGA_PIN_34_DS << 1) | (BGA_PIN_34_SR)) << 8));
	if (BGA_PIN_34 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 2: SPI_DI_src1,<I/O>,<HS>
	// PAD_NAME: PAD_GPIO_13_IO 35
	rtd_maskl(0xB800080C, 0xFF00FFFF, (((BGA_PIN_35 << 4) | (BGA_PIN_35_UP << 3) | (BGA_PIN_35_PD << 2) |(BGA_PIN_35_DS << 1) | (BGA_PIN_35_SR)) << 16));
	if (BGA_PIN_35 == 0x0) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x6&0xf)<<0)); }; // 0: uart0_rxdi_src6,<I>
	if (BGA_PIN_35 == 0x1) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x6&0xf)<<28)); }; // 1: uart1_rxdi_src6,<I>
	if (BGA_PIN_35 == 0x8) { rtd_maskl(0xb80008f0, ~((0x3)<<20), ((0x2&0x3)<<20)); }; // 8: DEMOD_DSC_IN_src2,<I>
	// PAD_NAME: PAD_GPIO_22_IO 36
	rtd_maskl(0xB8000814, 0xFFFF00FF, (((BGA_PIN_36 << 4) | (BGA_PIN_36_UP << 3) | (BGA_PIN_36_PD << 2) |(BGA_PIN_36_DS << 1) | (BGA_PIN_36_SR)) << 8));
	if (BGA_PIN_36 == 0x1) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x4&0x7)<<28)); }; // 1: ld_spi0_p3_sdo_src4,<I/O>
	// PAD_NAME: PAD_GPIO_15_IO 37
	rtd_maskl(0xB800080C, 0xFFFFFF00, (((BGA_PIN_37 << 4) | (BGA_PIN_37_UP << 3) | (BGA_PIN_37_PD << 2) |(BGA_PIN_37_DS << 1) | (BGA_PIN_37_SR)) << 0));
	if (BGA_PIN_37 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 2: SPI_DO_src1,<I/O>,<HS>
	if (BGA_PIN_37 == 0x9) { rtd_maskl(0xb8000904, ~((0x7)<<16), ((0x4&0x7)<<16)); }; // 9: TP2_VAL_src4, <I>,<HS>
	// PAD_NAME: bb_ai2l_v33_apad 115
	rtd_maskl(0xB8000828, 0x0FFFFFFF, (BGA_PIN_115) << 28);
	if (BGA_PIN_115 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit32,<I/O>
	// PAD_NAME: bb_ai2r_v33_apad 116
	rtd_maskl(0xB8000828, 0xF0FFFFFF, (BGA_PIN_116) << 24);
	if (BGA_PIN_116 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: MIS_GPIO_bit33,<I/O>
	// PAD_NAME: bb_ai3l_apad 117
	rtd_maskl(0xB8000828, 0xFF0FFFFF, (BGA_PIN_117) << 20);
	if (BGA_PIN_117 == 0xB) { rtd_maskl(0xb80008f4, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // B: I2C4_SDA_src0,<I/O>
	if ((BGA_PIN_117 == 0xF) || ( BGA_PIN_117 == 0xB)) { rtd_maskl(0xb8000828, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit34,<I/O>
	// PAD_NAME: bb_ai3r_apad 118
	rtd_maskl(0xB8000828, 0xFFF0FFFF, (BGA_PIN_118) << 16);
	if (BGA_PIN_118 == 0xB) { rtd_maskl(0xb80008f4, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // B: I2C4_SCL_src0,<I/O>
	if ((BGA_PIN_118 == 0xF) || (BGA_PIN_118 == 0xB)) { rtd_maskl(0xb8000828, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit35,<I/O>
	// PAD_NAME: bb_aiol_apad 119
	rtd_maskl(0xB8000828, 0xFFFF0FFF, (BGA_PIN_119) << 12);
	if (BGA_PIN_119 == 0xF) { rtd_maskl(0xb8000828, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit36,<I/O>
	// PAD_NAME: bb_aior_apad 120
	rtd_maskl(0xB8000828, 0xFFFFF0FF, (BGA_PIN_120) << 8);
	if (BGA_PIN_120 == 0xA) { rtd_maskl(0xb80008f0, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // A: DEMOD_DSC_22_src1,<I/O>
	if ((BGA_PIN_120 == 0xF) || (BGA_PIN_120 == 0xA)) { rtd_maskl(0xb8000828, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit37,<I/O>
	// PAD_NAME: bb_hpol_v33_apad 127
	rtd_maskl(0xB800082C, 0x0FFFFFFF, (BGA_PIN_127) << 28);
	if (BGA_PIN_127 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit38,<I/O>
	// PAD_NAME: bb_hpor_v33_apad 129
	rtd_maskl(0xB800082C, 0xF0FFFFFF, (BGA_PIN_129) << 24);
	if (BGA_PIN_129 == 0xF) { rtd_maskl(0xb800082c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit39,<I/O>
	// PAD_NAME: vsync_apad 131
	rtd_maskl(0xB8000830, 0x0FFFFFFF, (BGA_PIN_131) << 28);
	if (BGA_PIN_131 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x0&0x7)<<20)); }; // A: I2S_IN_Data0_src0,<I>
	if ((BGA_PIN_131 == 0xF) || (BGA_PIN_131 == 0xA)) { rtd_maskl(0xb8000830, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit40,<I/O>
	// PAD_NAME: hsync_apad 132
	rtd_maskl(0xB8000830, 0xF0FFFFFF, (BGA_PIN_132) << 24);
	if (BGA_PIN_132 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<16), ((0x0&0x7)<<16)); }; // A: I2S_IN_Data1_src0,<I>
	if ((BGA_PIN_132 == 0xF) || (BGA_PIN_132 == 0xA)) { rtd_maskl(0xb8000830, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: MIS_GPIO_bit41,<I/O>
	// PAD_NAME: vin_0p_v33_apad 133
	rtd_maskl(0xB8000830, 0xFF0FFFFF, (BGA_PIN_133) << 20);
	if (BGA_PIN_133 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit42,<I/O>
	// PAD_NAME: vin_bn_v33_apad 134
	rtd_maskl(0xB8000830, 0xFFF0FFFF, (BGA_PIN_134) << 16);
	if (BGA_PIN_134 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // B: I2C3_SDA_src1,<I/O>
	if ((BGA_PIN_134 == 0xF) || (BGA_PIN_134 == 0xB)) { rtd_maskl(0xb8000830, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit43,<I/O>
	// PAD_NAME: vin_1p_v33_apad 135
	rtd_maskl(0xB8000830, 0xFFFF0FFF, (BGA_PIN_135) << 12);
	if (BGA_PIN_135 == 0xF) { rtd_maskl(0xb8000830, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit44,<I/O>
	// PAD_NAME: vin_gn_v33_apad 136
	rtd_maskl(0xB8000830, 0xFFFFF0FF, (BGA_PIN_136) << 8);
	if (BGA_PIN_136 == 0xA) { rtd_maskl(0xb80008f4, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // A: I2S_IN_Data2_src0,<I>
	if ((BGA_PIN_136 == 0xF) || (BGA_PIN_136 == 0xA)) { rtd_maskl(0xb8000830, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit45,<I/O>
	// PAD_NAME: vin_2p_v33_apad 137
	rtd_maskl(0xB8000834, 0x0FFFFFFF, (BGA_PIN_137) << 28);
	if (BGA_PIN_137 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: MIS_GPIO_bit46,<I/O>
	// PAD_NAME: vin_rn_v33_apad 138
	rtd_maskl(0xB8000834, 0xF0FFFFFF, (BGA_PIN_138) << 24);
	if (BGA_PIN_138 == 0xA) { rtd_maskl(0xb80008f4, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // A: I2S_IN_Data3_src0,<I>
	if (BGA_PIN_138 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // B: I2C3_SCL_src1,<I/O>
	if ((BGA_PIN_138 == 0xF) || (BGA_PIN_138 == 0xA) || (BGA_PIN_138 == 0xB)) { rtd_maskl(0xb8000834, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: MIS_GPIO_bit47,<I/O>
	// PAD_NAME: vin_3p_v33_apad 139
	rtd_maskl(0xB8000834, 0xFF0FFFFF, (BGA_PIN_139) << 20);
	if (BGA_PIN_139 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: MIS_GPIO_bit48,<I/O>
	// PAD_NAME: vin_y0n_v33_apad 140
	rtd_maskl(0xB8000834, 0xFFF0FFFF, (BGA_PIN_140) << 16);
	if (BGA_PIN_140 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit49,<I/O>
	// PAD_NAME: vin_4p_v33_apad 141
	rtd_maskl(0xB8000834, 0xFFFF0FFF, (BGA_PIN_141) << 12);
	if (BGA_PIN_141 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit50,<I/O>
	// PAD_NAME: vin_5p_v33_apad 142
	rtd_maskl(0xB8000834, 0xFFFFF0FF, (BGA_PIN_142) << 8);
	if (BGA_PIN_142 == 0xF) { rtd_maskl(0xb8000834, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit51,<I/O>
	// PAD_NAME: scart_fsw_0_apad 151
	rtd_maskl(0xB8000838, 0x0FFFFFFF, (BGA_PIN_151) << 28);
	if (BGA_PIN_151 == 0x6) { rtd_maskl(0xb80008f0, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 6: DEMOD_DSC_IN_src1,<I>
	if ((BGA_PIN_151 == 0xF) || (BGA_PIN_151 == 0x6))  { rtd_maskl(0xb8000838, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: MIS_GPIO_bit52,<I/O>
	// PAD_NAME: vin_10p_v33_apad 153
	rtd_maskl(0xB8000838, 0xF0FFFFFF, (BGA_PIN_153) << 24);
	if (BGA_PIN_153 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit53,<I/O>
	// PAD_NAME: vin_a0n_v33_apad 154
	rtd_maskl(0xB8000838, 0xFF0FFFFF, (BGA_PIN_154) << 20);
	if (BGA_PIN_154 == 0xF) { rtd_maskl(0xb8000838, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit54,<I/O>
	// PAD_NAME: vid_vdac_apad 157
	rtd_maskl(0xB800083C, 0x0FFFFFFF, (BGA_PIN_157) << 28);
	if (BGA_PIN_157 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: MIS_GPIO_bit55,<I/O>
	// PAD_NAME: vid_vdbs_apad 158
	rtd_maskl(0xB800083C, 0xF0FFFFFF, (BGA_PIN_158) << 24);
	if (BGA_PIN_158 == 0xF) { rtd_maskl(0xb800083c, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: MIS_GPIO_bit56,<I/O>
	// PAD_NAME: pad_gpio_73_io 319
	rtd_maskl(0xB8000850, 0x00FFFFFF, (((BGA_PIN_319 << 4) | (BGA_PIN_319_UP << 3) | (BGA_PIN_319_PD << 2) |(BGA_PIN_319_DS << 1) | (BGA_PIN_319_SR)) << 24));
	if (BGA_PIN_319 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 2: SPI_DO_src0,<I/O>,<HS>
	if (BGA_PIN_319 == 0x8) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x3&0x7)<<12)); }; // 8: ld_spi1_p4_sdi_src3,<I>
	// PAD_NAME: pad_gpio_78_io 322
	rtd_maskl(0xB8000854, 0xFF00FFFF, (((BGA_PIN_322 << 4) | (BGA_PIN_322_UP << 3) | (BGA_PIN_322_PD << 2) |(BGA_PIN_322_DS << 1) | (BGA_PIN_322_SR)) << 16));
	if (BGA_PIN_322 == 0x8) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x3&0x7)<<16)); }; // 8: ld_spi1_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_79_io 323
	rtd_maskl(0xB8000854, 0xFFFF00FF, (((BGA_PIN_323 << 4) | (BGA_PIN_323_UP << 3) | (BGA_PIN_323_PD << 2) |(BGA_PIN_323_DS << 1) | (BGA_PIN_323_SR)) << 8));
	// PAD_NAME: pad_gpio_57_io 324
	rtd_maskl(0xB8000840, 0x00FFFFFF, (((BGA_PIN_324 << 4) | (BGA_PIN_324_UP << 3) | (BGA_PIN_324_PD << 2) |(BGA_PIN_324_DS << 1) | (BGA_PIN_324_SR)) << 24));
	if (BGA_PIN_324 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x3&0x7)<<20)); }; // A: I2S_IN_Data0_src3,<I>
	if (BGA_PIN_324 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // B: I2C2_SDA_src0,<I/O>
	// PAD_NAME: pad_gpio_58_io 326
	rtd_maskl(0xB8000840, 0xFF00FFFF, (((BGA_PIN_326 << 4) | (BGA_PIN_326_UP << 3) | (BGA_PIN_326_PD << 2) |(BGA_PIN_326_DS << 1) | (BGA_PIN_326_SR)) << 16));
	if (BGA_PIN_326 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<16), ((0x3&0x7)<<16)); }; // A: I2S_IN_Data1_src3,<I>
	if (BGA_PIN_326 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // B: I2C2_SCL_src0,<I/O>
	// PAD_NAME: pad_gpio_75_io 340
	rtd_maskl(0xB8000850, 0xFFFF00FF, (((BGA_PIN_340 << 4) | (BGA_PIN_340_UP << 3) | (BGA_PIN_340_PD << 2) |(BGA_PIN_340_DS << 1) | (BGA_PIN_340_SR)) << 8));
	if (BGA_PIN_340 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<28), ((0x3&0x3)<<28)); }; // 0: TP0_Data_bit6_src3,<I>,<HS>
	if (BGA_PIN_340 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<28), ((0x0&0x7)<<28)); }; // 1: TP2_CLK_src0,<I>,<HS>,<AND>
	if (BGA_PIN_340 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 2: SPI_DI_src0,<I/O>,<HS>
	if (BGA_PIN_340 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x1&0x7)<<28)); }; // 3: ld_spi0_p3_sdo_src1,<I/O>
	if (BGA_PIN_340 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x7&0x7)<<20)); }; // A: I2S_IN_Data0_src7,<I>
	// PAD_NAME: pad_gpio_77_io 341
	rtd_maskl(0xB8000854, 0x00FFFFFF, (((BGA_PIN_341 << 4) | (BGA_PIN_341_UP << 3) | (BGA_PIN_341_PD << 2) |(BGA_PIN_341_DS << 1) | (BGA_PIN_341_SR)) << 24));
	if (BGA_PIN_341 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<24), ((0x0&0x7)<<24)); }; // 1: TP2_Data_bit0_src0,<I>,<HS>
	if (BGA_PIN_341 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 2: SPI_HOLD_src0,<I/O>,<HS>
	if (BGA_PIN_341 == 0xA) { rtd_maskl(0xb80008f0, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // A: DEMO_DSC_22_src2,<I/O>
	// PAD_NAME: pad_gpio_76_io 342
	rtd_maskl(0xB8000850, 0xFFFFFF00, (((BGA_PIN_342 << 4) | (BGA_PIN_342_UP << 3) | (BGA_PIN_342_PD << 2) |(BGA_PIN_342_DS << 1) | (BGA_PIN_342_SR)) << 0));
	if (BGA_PIN_342 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<24), ((0x3&0x3)<<24)); }; // 0: TP0_Data_bit7_src3,<I>,<HS>
	if (BGA_PIN_342 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<16), ((0x0&0x7)<<16)); }; // 1: TP2_VAL_src0,<I>,<HS>
	if (BGA_PIN_342 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x1&0x7)<<24)); }; // 3: ld_spi0_p4_sdi_src1,<I>
	// PAD_NAME: pad_gpio_74_io 343
	rtd_maskl(0xB8000850, 0xFF00FFFF, (((BGA_PIN_343 << 4) | (BGA_PIN_343_UP << 3) | (BGA_PIN_343_PD << 2) |(BGA_PIN_343_DS << 1) | (BGA_PIN_343_SR)) << 16));
	if (BGA_PIN_343 == 0x0) { rtd_maskl(0xb80008fc, ~((0x3)<<0), ((0x3&0x3)<<0)); }; // 0: TP0_Data_bit5_src3,<I>,<HS>
	if (BGA_PIN_343 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<20), ((0x0&0x7)<<20)); }; // 1: TP2_SYNC_src0,<I>,<HS>
	if (BGA_PIN_343 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 2: SPI_WP_src0,<I/O>,<HS>
	if (BGA_PIN_343 == 0x3) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x1&0x7)<<0)); }; // 3: ld_spi0_p2_sck_src1,<I/O>
	// PAD_NAME: pad_gpio_59_io 344
	rtd_maskl(0xB8000840, 0xFFFF00FF, (((BGA_PIN_344 << 4) | (BGA_PIN_344_UP << 3) | (BGA_PIN_344_PD << 2) |(BGA_PIN_344_DS << 1) | (BGA_PIN_344_SR)) << 8));
	// PAD_NAME: pad_gpio_60_io 345
	rtd_maskl(0xB8000840, 0xFFFFFF00, (((BGA_PIN_345 << 4) | (BGA_PIN_345_UP << 3) | (BGA_PIN_345_PD << 2) |(BGA_PIN_345_DS << 1) | (BGA_PIN_345_SR)) << 0));
	// PAD_NAME: pad_gpio_62_io 346
	rtd_maskl(0xB8000844, 0xFF00FFFF, (((BGA_PIN_346 << 4) | (BGA_PIN_346_UP << 3) | (BGA_PIN_346_PD << 2) |(BGA_PIN_346_DS << 1) | (BGA_PIN_346_SR)) << 16));
	if (BGA_PIN_346 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 1: TP0_SYNC_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_64_io 348
	rtd_maskl(0xB8000844, 0xFFFFFF00, (((BGA_PIN_348 << 4) | (BGA_PIN_348_UP << 3) | (BGA_PIN_348_PD << 2) |(BGA_PIN_348_DS << 1) | (BGA_PIN_348_SR)) << 0));
	if (BGA_PIN_348 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 1: TP0_VAL_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_63_io 350
	rtd_maskl(0xB8000844, 0xFFFF00FF, (((BGA_PIN_350 << 4) | (BGA_PIN_350_UP << 3) | (BGA_PIN_350_PD << 2) |(BGA_PIN_350_DS << 1) | (BGA_PIN_350_SR)) << 8));
	if (BGA_PIN_350 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 1: TP0_CLK_src0,<I>,<HS>,<AND>
	// PAD_NAME: pad_gpio_72_io 352
	rtd_maskl(0xB800084C, 0xFFFFFF00, (((BGA_PIN_352 << 4) | (BGA_PIN_352_UP << 3) | (BGA_PIN_352_PD << 2) |(BGA_PIN_352_DS << 1) | (BGA_PIN_352_SR)) << 0));
	if (BGA_PIN_352 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 1: TP0_Data_bit7_src0,<I>,<HS>
	if (BGA_PIN_352 == 0xA) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x5&0x7)<<24)); }; // (null)
	// PAD_NAME: pad_gpio_71_io 354
	rtd_maskl(0xB800084C, 0xFFFF00FF, (((BGA_PIN_354 << 4) | (BGA_PIN_354_UP << 3) | (BGA_PIN_354_PD << 2) |(BGA_PIN_354_DS << 1) | (BGA_PIN_354_SR)) << 8));
	if (BGA_PIN_354 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 1: TP0_Data_bit6_src0,<I>,<HS>
	if (BGA_PIN_354 == 0xA) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x5&0x7)<<28)); }; // A: ld_spi0_p3_sdo_src5,<I/O>
	if (BGA_PIN_354 == 0xB) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x6&0x7)<<12)); }; // B: ld_spi1_p4_sdi_src6,<I>
	// PAD_NAME: pad_gpio_70_io 356
	rtd_maskl(0xB800084C, 0xFF00FFFF, (((BGA_PIN_356 << 4) | (BGA_PIN_356_UP << 3) | (BGA_PIN_356_PD << 2) |(BGA_PIN_356_DS << 1) | (BGA_PIN_356_SR)) << 16));
	if (BGA_PIN_356 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 1: TP0_Data_bit5_src0,<I>,<HS>
	if (BGA_PIN_356 == 0xB) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x6&0x7)<<16)); }; // B: ld_spi1_p3_sdo_src6,<I/O>
	// PAD_NAME: pad_gpio_69_io 358
	rtd_maskl(0xB800084C, 0x00FFFFFF, (((BGA_PIN_358 << 4) | (BGA_PIN_358_UP << 3) | (BGA_PIN_358_PD << 2) |(BGA_PIN_358_DS << 1) | (BGA_PIN_358_SR)) << 24));
	if (BGA_PIN_358 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 0: TP1_Data_bit0_src1,<I>,<HS>
	if (BGA_PIN_358 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: TP0_Data_bit4_src0,<I>,<HS>
	if (BGA_PIN_358 == 0x3) { rtd_maskl(0xb8000904, ~((0x7)<<24), ((0x1&0x7)<<24)); }; // 3: TP2_Data_bit0_src1,<I>,<HS>
	if (BGA_PIN_358 == 0x8) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x3&0x7)<<20)); }; // 8: ld_spi1_p2_sck_src3,<I/O>
	if (BGA_PIN_358 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x5&0x7)<<0)); }; // A: ld_spi0_p2_sck_src5,<I/O>
	// PAD_NAME: pad_gpio_68_io 360
	rtd_maskl(0xB8000848, 0xFFFFFF00, (((BGA_PIN_360 << 4) | (BGA_PIN_360_UP << 3) | (BGA_PIN_360_PD << 2) |(BGA_PIN_360_DS << 1) | (BGA_PIN_360_SR)) << 0));
	if (BGA_PIN_360 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 0: TP1_VAL_src1,<I>,<HS>
	if (BGA_PIN_360 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 1: TP0_Data_bit3_src0,<I>,<HS>
	if (BGA_PIN_360 == 0x3) { rtd_maskl(0xb8000904, ~((0x7)<<16), ((0x1&0x7)<<16)); }; // 3: TP2_VAL_src1,<I>,<HS>
	if (BGA_PIN_360 == 0xB) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x6&0x7)<<20)); }; // B: ld_spi1_p2_sck_src6,<I/O>
	// PAD_NAME: pad_gpio_67_io 366
	rtd_maskl(0xB8000848, 0xFFFF00FF, (((BGA_PIN_366 << 4) | (BGA_PIN_366_UP << 3) | (BGA_PIN_366_PD << 2) |(BGA_PIN_366_DS << 1) | (BGA_PIN_366_SR)) << 8));
	if (BGA_PIN_366 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 0: TP1_CLK_src1,<I>,<HS>,<AND>
	if (BGA_PIN_366 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP0_Data_bit2_src0,<I>,<HS>
	if (BGA_PIN_366 == 0x3) { rtd_maskl(0xb8000904, ~((0x7)<<28), ((0x1&0x7)<<28)); }; // 3: TP2_CLK_src1,<I>,<HS>,<AND>
	if (BGA_PIN_366 == 0x4) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x2&0x7)<<12)); }; // 4: ld_spi1_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_66_io 368
	rtd_maskl(0xB8000848, 0xFF00FFFF, (((BGA_PIN_368 << 4) | (BGA_PIN_368_UP << 3) | (BGA_PIN_368_PD << 2) |(BGA_PIN_368_DS << 1) | (BGA_PIN_368_SR)) << 16));
	if (BGA_PIN_368 == 0x0) { rtd_maskl(0xb8000900, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 0: TP1_SYNC_src1,<I>,<HS>
	if (BGA_PIN_368 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 1: TP0_Data_bit1_src0,<I>,<HS>
	if (BGA_PIN_368 == 0x3) { rtd_maskl(0xb8000904, ~((0x7)<<20), ((0x1&0x7)<<20)); }; // 3: TP2_SYNC_src1,<I>,<HS>
	if (BGA_PIN_368 == 0x4) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x2&0x7)<<16)); }; // 4: ld_spi1_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_65_io 370
	rtd_maskl(0xB8000848, 0x00FFFFFF, (((BGA_PIN_370 << 4) | (BGA_PIN_370_UP << 3) | (BGA_PIN_370_PD << 2) |(BGA_PIN_370_DS << 1) | (BGA_PIN_370_SR)) << 24));
	if (BGA_PIN_370 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 1: TP0_Data_bit0_src0,<I>,<HS>
	if (BGA_PIN_370 == 0x4) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x2&0x7)<<20)); }; // 4: ld_spi1_p2_sck_src2,<I/O>
	// PAD_NAME: pad_gpio_61_io 372
	rtd_maskl(0xB8000844, 0x00FFFFFF, (((BGA_PIN_372 << 4) | (BGA_PIN_372_UP << 3) | (BGA_PIN_372_PD << 2) |(BGA_PIN_372_DS << 1) | (BGA_PIN_372_SR)) << 24));
	// PAD_NAME: pad_gpio_80_io 374
	rtd_maskl(0xB8000854, 0xFFFFFF00, (((BGA_PIN_374 << 4) | (BGA_PIN_374_UP << 3) | (BGA_PIN_374_PD << 2) |(BGA_PIN_374_DS << 1) | (BGA_PIN_374_SR)) << 0));
	if (BGA_PIN_374 == 0x4) { rtd_maskl(0xb80008f0, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 4: DEMOD_DSC_IN_src0,<I>
	// PAD_NAME: pad_gpio_81_io 375
	rtd_maskl(0xB8000858, 0x00FFFFFF, (((BGA_PIN_375 << 4) | (BGA_PIN_375_UP << 3) | (BGA_PIN_375_PD << 2) |(BGA_PIN_375_DS << 1) | (BGA_PIN_375_SR)) << 24));
	if (BGA_PIN_375 == 0x4) { rtd_maskl(0xb80008f0, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 4: DEMOD_DSC_22_src0,<I/O>
	// PAD_NAME: lsadc3_apad 560
	rtd_maskl(0xB8060204, 0xF0FFFFFF, (BGA_PIN_560) << 24);
	if (BGA_PIN_560 == 0xF) { rtd_maskl(0xb8060204, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit19,<I/O>
	// PAD_NAME: lsadc10_apad 561
	rtd_maskl(0xB8060200, 0x0FFFFFFF, (BGA_PIN_561) << 28);
	if (BGA_PIN_561 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<5), ((0x1&0x1)<<5)); }; // F: ISO_MIS_GPIO_bit12,<I/O>
	// PAD_NAME: lsadc9_apad 562
	rtd_maskl(0xB8060200, 0xF0FFFFFF, (BGA_PIN_562) << 24);
	if (BGA_PIN_562 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit13,<I/O>
	// PAD_NAME: lsadc8_apad 563
	rtd_maskl(0xB8060200, 0xFF0FFFFF, (BGA_PIN_563) << 20);
	if (BGA_PIN_563 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<3), ((0x1&0x1)<<3)); }; // F: ISO_MIS_GPIO_bit14,<I/O>
	// PAD_NAME: lsadc5_apad 564
	rtd_maskl(0xB8060200, 0xFFFFF0FF, (BGA_PIN_564) << 8);
	if (BGA_PIN_564 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit17,<I/O>
	// PAD_NAME: lsadc0_apad 565
	rtd_maskl(0xB8060204, 0xFFFF0FFF, (BGA_PIN_565) << 12);
	if (BGA_PIN_565 == 0xF) { rtd_maskl(0xb8060204, ~((0x1)<<0), ((0x1&0x1)<<0)); }; // F: ISO_MIS_GPIO_bit22,<I/O>
	// PAD_NAME: lsadc1_apad 566
	rtd_maskl(0xB8060204, 0xFFF0FFFF, (BGA_PIN_566) << 16);
	if (BGA_PIN_566 == 0xF) { rtd_maskl(0xb8060204, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit21,<I/O>
	// PAD_NAME: lsadc2_apad 567
	rtd_maskl(0xB8060204, 0xFF0FFFFF, (BGA_PIN_567) << 20);
	if (BGA_PIN_567 == 0xF) { rtd_maskl(0xb8060204, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit20,<I/O>
	// PAD_NAME: lsadc4_apad 568
	rtd_maskl(0xB8060204, 0x0FFFFFFF, (BGA_PIN_568) << 28);
	if (BGA_PIN_568 == 0xF) { rtd_maskl(0xb8060204, ~((0x1)<<4), ((0x1&0x1)<<4)); }; // F: ISO_MIS_GPIO_bit18,<I/O>
	// PAD_NAME: lsadc6_apad 569
	rtd_maskl(0xB8060200, 0xFFFF0FFF, (BGA_PIN_569) << 12);
	if (BGA_PIN_569 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<1), ((0x1&0x1)<<1)); }; // F: ISO_MIS_GPIO_bit16,<I/O>
	// PAD_NAME: lsadc7_apad 570
	rtd_maskl(0xB8060200, 0xFFF0FFFF, (BGA_PIN_570) << 16);
	if (BGA_PIN_570 == 0xF) { rtd_maskl(0xb8060200, ~((0x1)<<2), ((0x1&0x1)<<2)); }; // F: ISO_MIS_GPIO_bit15,<I/O>
	// PAD_NAME: pad_st_gpio_05_io 580
	rtd_maskl(0xB806020C, 0xFF00FFFF, (((BGA_PIN_580 << 4) | (BGA_PIN_580_UP << 3) | (BGA_PIN_580_PD << 2) |(BGA_PIN_580_DS << 1) | (BGA_PIN_580_SR)) << 16));
	if (BGA_PIN_580 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<28), ((0x2&0x7)<<28)); }; // 1: TP2_CLK_src2,<I>,<HS>,<AND>
	if (BGA_PIN_580 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // B: I2C2_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_42_io 581
	rtd_maskl(0xB8060224, 0xFFFFFF00, (((BGA_PIN_581 << 4) | (BGA_PIN_581_UP << 3) | (BGA_PIN_581_PD << 2) |(BGA_PIN_581_DS << 1) | (BGA_PIN_581_SR)) << 0));
	if (BGA_PIN_581 == 0x0) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x7&0xf)<<0)); }; // 0: uart0_rxdi_src7,<I>
	if (BGA_PIN_581 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // 1: TP0_Data_bit2_src1,<I>,<HS>
	if (BGA_PIN_581 == 0x2) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x7&0xf)<<28)); }; // (null)
	// PAD_NAME: pad_st_gpio_37_io 583
	rtd_maskl(0xB8060220, 0xFFFF00FF, (((BGA_PIN_583 << 4) | (BGA_PIN_583_UP << 3) | (BGA_PIN_583_PD << 2) |(BGA_PIN_583_DS << 1) | (BGA_PIN_583_SR)) << 8));
	if (BGA_PIN_583 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_SYNC_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_54_io 584
	rtd_maskl(0xB8060230, 0xFFFFFF00, (((BGA_PIN_584 << 4) | (BGA_PIN_584_UP << 3) | (BGA_PIN_584_PD << 2) |(BGA_PIN_584_DS << 1) | (BGA_PIN_584_SR)) << 0));
	if (BGA_PIN_584 == 0x0) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x8&0xf)<<0)); }; // 0: uart0_rxdi_src8,<I>
	if (BGA_PIN_584 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<28), ((0x3&0x7)<<28)); }; // 1: TP2_CLK_src3,<I>,<HS>,<AND>
	if (BGA_PIN_584 == 0x2) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x8&0xf)<<28)); }; // 2: uart1_rxdi_src8,<I>
	if (BGA_PIN_584 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x4&0x7)<<12)); }; // 3: ld_spi1_p4_sdi_src4,<I>
	// PAD_NAME: pad_st_gpio_53_io 585
	rtd_maskl(0xB8060230, 0xFFFF00FF, (((BGA_PIN_585 << 4) | (BGA_PIN_585_UP << 3) | (BGA_PIN_585_PD << 2) |(BGA_PIN_585_DS << 1) | (BGA_PIN_585_SR)) << 8));
	if (BGA_PIN_585 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<20), ((0x3&0x7)<<20)); }; // 1: TP2_SYNC_src3,<I>,<HS>
	// PAD_NAME: pad_st_gpio_45_io 586
	rtd_maskl(0xB8060228, 0xFFFF00FF, (((BGA_PIN_586 << 4) | (BGA_PIN_586_UP << 3) | (BGA_PIN_586_PD << 2) |(BGA_PIN_586_DS << 1) | (BGA_PIN_586_SR)) << 8));
	if (BGA_PIN_586 == 0x0) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x9&0xf)<<0)); }; // 0: uart0_rxdi_src9,<I>
	if (BGA_PIN_586 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 1: TP0_Data_bit5_src1,<I>,<HS>
	if (BGA_PIN_586 == 0x2) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x9&0xf)<<28)); }; // 2: uart1_rxdi_src9,<I>
	if (BGA_PIN_586 == 0x8) { rtd_maskl(0xb806024c, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 8: IRRX_src1,<I>
	if (BGA_PIN_586 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<16), ((0x1&0x7)<<16)); }; // A: I2S_IN_Data1_src1,<I>
	// PAD_NAME: pad_st_gpio_11_io 587
	rtd_maskl(0xB8060210, 0xFFFFFF00, (((BGA_PIN_587 << 4) | (BGA_PIN_587_UP << 3) | (BGA_PIN_587_PD << 2) |(BGA_PIN_587_DS << 1) | (BGA_PIN_587_SR)) << 0));
	// PAD_NAME: pad_st_gpio_56_io 588
	rtd_maskl(0xB8060234, 0xFF00FFFF, (((BGA_PIN_588 << 4) | (BGA_PIN_588_UP << 3) | (BGA_PIN_588_PD << 2) |(BGA_PIN_588_DS << 1) | (BGA_PIN_588_SR)) << 16));
	if (BGA_PIN_588 == 0x0) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x10&0xf)<<0)); }; // 0: uart0_rxdi_src10,<I>
	if (BGA_PIN_588 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<24), ((0x3&0x7)<<24)); }; // 1: TP2_Data_bit0_src3,<I>,<HS>
	if (BGA_PIN_588 == 0x2) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x10&0xf)<<28)); }; // 2: uart1_rxdi_src10,<I>
	if (BGA_PIN_588 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x4&0x7)<<20)); }; // 3: ld_spi1_p2_sck_src4,<I/O>
	// PAD_NAME: pad_st_gpio_59_io 589
	rtd_maskl(0xB8060238, 0x00FFFFFF, (((BGA_PIN_589 << 4) | (BGA_PIN_589_UP << 3) | (BGA_PIN_589_PD << 2) |(BGA_PIN_589_DS << 1) | (BGA_PIN_589_SR)) << 24));
	if (BGA_PIN_589 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x2&0x3)<<28)); }; // 9: dmic_clk_data_0_src2,<I>
	// PAD_NAME: pad_st_gpio_10_io 593
	rtd_maskl(0xB8060210, 0xFFFF00FF, (((BGA_PIN_593 << 4) | (BGA_PIN_593_UP << 3) | (BGA_PIN_593_PD << 2) |(BGA_PIN_593_DS << 1) | (BGA_PIN_593_SR)) << 8));
	if (BGA_PIN_593 == 0x8) { rtd_maskl(0xb806024c, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // 8: IRRX_src0,<I>
	// PAD_NAME: pad_st_gpio_52_io 594
	rtd_maskl(0xB8060230, 0xFF00FFFF, (((BGA_PIN_594 << 4) | (BGA_PIN_594_UP << 3) | (BGA_PIN_594_PD << 2) |(BGA_PIN_594_DS << 1) | (BGA_PIN_594_SR)) << 16));
	if (BGA_PIN_594 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x2&0x3)<<24)); }; // 9: dmic_clk_data_1_src2,<I>
	if (BGA_PIN_594 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // B: I2C0_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_08_io 595
	rtd_maskl(0xB8060210, 0x00FFFFFF, (((BGA_PIN_595 << 4) | (BGA_PIN_595_UP << 3) | (BGA_PIN_595_PD << 2) |(BGA_PIN_595_DS << 1) | (BGA_PIN_595_SR)) << 24));
	if (BGA_PIN_595 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // B: I2C0_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_06_io 596
	rtd_maskl(0xB806020C, 0xFFFF00FF, (((BGA_PIN_596 << 4) | (BGA_PIN_596_UP << 3) | (BGA_PIN_596_PD << 2) |(BGA_PIN_596_DS << 1) | (BGA_PIN_596_SR)) << 8));
	if (BGA_PIN_596 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<16), ((0x2&0x7)<<16)); }; // 1: TP2_VAL_src2,<I>,<HS>
	if (BGA_PIN_596 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 9: dmic_clk_data_1_src0,<I>
	if (BGA_PIN_596 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // B: I2C5_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_07_io 597
	rtd_maskl(0xB806020C, 0xFFFFFF00, (((BGA_PIN_597 << 4) | (BGA_PIN_597_UP << 3) | (BGA_PIN_597_PD << 2) |(BGA_PIN_597_DS << 1) | (BGA_PIN_597_SR)) << 0));
	if (BGA_PIN_597 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<24), ((0x2&0x7)<<24)); }; // 1: TP2_Data_bit0_src2,<I>,<HS>
	if (BGA_PIN_597 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 9: dmic_clk_data_0_src0,<I>
	if (BGA_PIN_597 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // B: I2C5_SDA_src0,<I/O>
	// PAD_NAME: pad_st_gpio_09_io 598
	rtd_maskl(0xB8060210, 0xFF00FFFF, (((BGA_PIN_598 << 4) | (BGA_PIN_598_UP << 3) | (BGA_PIN_598_PD << 2) |(BGA_PIN_598_DS << 1) | (BGA_PIN_598_SR)) << 16));
	if (BGA_PIN_598 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<20), ((0x0&0x3)<<20)); }; // B: I2C0_SCL_src0,<I/O>
	// PAD_NAME: pad_st_gpio_00_io 599
	rtd_maskl(0xB8060208, 0x00FFFFFF, (((BGA_PIN_599 << 4) | (BGA_PIN_599_UP << 3) | (BGA_PIN_599_PD << 2) |(BGA_PIN_599_DS << 1) | (BGA_PIN_599_SR)) << 24));
	if (BGA_PIN_599 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x1&0xf)<<0)); }; // 6: uart0_rxdi_src1,<I>
	if (BGA_PIN_599 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x0&0xf)<<28)); }; // 7: uart1_rxdi_src0,<I>
	if (BGA_PIN_599 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x1&0x7)<<24)); }; // 8: UARTRbus_RX_src1,<I>
	// PAD_NAME: pad_st_gpio_01_io 600
	rtd_maskl(0xB8060208, 0xFF00FFFF, (((BGA_PIN_600 << 4) | (BGA_PIN_600_UP << 3) | (BGA_PIN_600_PD << 2) |(BGA_PIN_600_DS << 1) | (BGA_PIN_600_SR)) << 16));
	// PAD_NAME: pad_st_gpio_58_io 601
	rtd_maskl(0xB8060234, 0xFFFFFF00, (((BGA_PIN_601 << 4) | (BGA_PIN_601_UP << 3) | (BGA_PIN_601_PD << 2) |(BGA_PIN_601_DS << 1) | (BGA_PIN_601_SR)) << 0));
	// PAD_NAME: pad_st_gpio_36_io 602
	rtd_maskl(0xB8060220, 0xFF00FFFF, (((BGA_PIN_602 << 4) | (BGA_PIN_602_UP << 3) | (BGA_PIN_602_PD << 2) |(BGA_PIN_602_DS << 1) | (BGA_PIN_602_SR)) << 16));
	if (BGA_PIN_602 == 0x0) { rtd_maskl(0xb8060244, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 0: EJTAG_TRST_src1,<I>
	if (BGA_PIN_602 == 0x1) { rtd_maskl(0xb8060244, ~((0x7)<<12), ((0x0&0x7)<<12)); }; // 1: EJTAG_TMS_src0,<I/O>
	if (BGA_PIN_602 == 0x2) { rtd_maskl(0xb8060248, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 2: emcu_EJTAG_TMS_src1,<I>
	if (BGA_PIN_602 == 0x3) { rtd_maskl(0xb8060248, ~((0x3)<<24), ((0x0&0x3)<<24)); }; // 3: emcu_EJTAG_TRST_src0,<I>
	if (BGA_PIN_602 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x5&0xf)<<0)); }; // 6: uart0_rxdi_src5,<I>
	if (BGA_PIN_602 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x5&0xf)<<28)); }; // 7: uart1_rxdi_src5,<I>
	if (BGA_PIN_602 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x5&0x7)<<24)); }; // 8: UARTRbus_RX_src5,<I>
	// PAD_NAME: pad_st_gpio_31_io 603
	rtd_maskl(0xB806021C, 0x00FFFFFF, (((BGA_PIN_603 << 4) | (BGA_PIN_603_UP << 3) | (BGA_PIN_603_PD << 2) |(BGA_PIN_603_DS << 1) | (BGA_PIN_603_SR)) << 24));
	if (BGA_PIN_603 == 0x3) { rtd_maskl(0xb8060244, ~((0x7)<<20), ((0x3&0x7)<<20)); }; // 3: EJTAG_TCLK_CLK_src3,<I>,<AND>
	// PAD_NAME: pad_st_gpio_46_io 604
	rtd_maskl(0xB8060228, 0xFFFFFF00, (((BGA_PIN_604 << 4) | (BGA_PIN_604_UP << 3) | (BGA_PIN_604_PD << 2) |(BGA_PIN_604_DS << 1) | (BGA_PIN_604_SR)) << 0));
	if (BGA_PIN_604 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 1: TP0_Data_bit6_src1,<I>,<HS>
	if (BGA_PIN_604 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // B: I2C5_SDA_src1,<I/O>
	// PAD_NAME: pad_st_gpio_35_io 605
	rtd_maskl(0xB8060220, 0x00FFFFFF, (((BGA_PIN_605 << 4) | (BGA_PIN_605_UP << 3) | (BGA_PIN_605_PD << 2) |(BGA_PIN_605_DS << 1) | (BGA_PIN_605_SR)) << 24));
	if (BGA_PIN_605 == 0x0) { rtd_maskl(0xb8060244, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 0: EJTAG_TDI_src1,<I>
	if (BGA_PIN_605 == 0x1) { rtd_maskl(0xb8060244, ~((0x7)<<20), ((0x0&0x7)<<20)); }; // 1: EJTAG_TCLK_CLK_src0,<I>,<AND>
	if (BGA_PIN_605 == 0x2) { rtd_maskl(0xb8060244, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 2: emcu_EJTAG_TCLK_CLK_src1,<I>,<AND>
	if (BGA_PIN_605 == 0x3) { rtd_maskl(0xb8060244, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 3: emcu_EJTAG_TDI_src0,<I>
	// PAD_NAME: pad_st_gpio_47_io 606
	rtd_maskl(0xB806022C, 0x00FFFFFF, (((BGA_PIN_606 << 4) | (BGA_PIN_606_UP << 3) | (BGA_PIN_606_PD << 2) |(BGA_PIN_606_DS << 1) | (BGA_PIN_606_SR)) << 24));
	if (BGA_PIN_606 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 1: TP0_Data_bit7_src1,<I>,<HS>
	if (BGA_PIN_606 == 0xA) { rtd_maskl(0xb80008f4, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // A: I2S_IN_Data2_src1,<I>
#if 0
	// PAD_NAME: pad_st_gpio_03_io 607
	rtd_maskl(0xB8060208, 0xFFFFFF00, (((BGA_PIN_607 << 4) | (BGA_PIN_607_UP << 3) | (BGA_PIN_607_PD << 2) |(BGA_PIN_607_DS << 1) | (BGA_PIN_607_SR)) << 0));
#endif
	// PAD_NAME: pad_st_gpio_32_io 608
	rtd_maskl(0xB806021C, 0xFF00FFFF, (((BGA_PIN_608 << 4) | (BGA_PIN_608_UP << 3) | (BGA_PIN_608_PD << 2) |(BGA_PIN_608_DS << 1) | (BGA_PIN_608_SR)) << 16));
	if (BGA_PIN_608 == 0x3) { rtd_maskl(0xb8060244, ~((0x7)<<12), ((0x3&0x7)<<12)); }; // 3: EJTAG_TMS_src3,<I/O>
	if (BGA_PIN_608 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x4&0xf)<<0)); }; // 6: uart0_rxdi_src4,<I>
	if (BGA_PIN_608 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x4&0xf)<<28)); }; // 7: uart1_rxdi_src4,<I>
	if (BGA_PIN_608 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x0&0x7)<<24)); }; // 8: UARTRbus_RX_src0,<I>
	// PAD_NAME: pad_st_gpio_26_io 609
	rtd_maskl(0xB8060214, 0xFFFFFF00, (((BGA_PIN_609 << 4) | (BGA_PIN_609_UP << 3) | (BGA_PIN_609_PD << 2) |(BGA_PIN_609_DS << 1) | (BGA_PIN_609_SR)) << 0));
	// PAD_NAME: pad_st_gpio_39_io 610
	rtd_maskl(0xB8060224, 0x00FFFFFF, (((BGA_PIN_610 << 4) | (BGA_PIN_610_UP << 3) | (BGA_PIN_610_PD << 2) |(BGA_PIN_610_DS << 1) | (BGA_PIN_610_SR)) << 24));
	if (BGA_PIN_610 == 0x0) { rtd_maskl(0xb80008f8, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 0: SPI_FCIC_DO_src1,<I/O>
	if (BGA_PIN_610 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_VAL_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_43_io 611
	rtd_maskl(0xB8060228, 0x00FFFFFF, (((BGA_PIN_611 << 4) | (BGA_PIN_611_UP << 3) | (BGA_PIN_611_PD << 2) |(BGA_PIN_611_DS << 1) | (BGA_PIN_611_SR)) << 24));
	if (BGA_PIN_611 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 1: TP0_Data_bit3_src1,<I>,<HS>
	if (BGA_PIN_611 == 0xA) { rtd_maskl(0xb80008f4, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // A: I2S_IN_Data3_src1,<I>
	if (BGA_PIN_611 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // B: I2C5_SCL_src1,<I/O>
#if 0
	// PAD_NAME: pad_st_gpio_02_io 612
	rtd_maskl(0xB8060208, 0xFFFF00FF, (((BGA_PIN_612 << 4) | (BGA_PIN_612_UP << 3) | (BGA_PIN_612_PD << 2) |(BGA_PIN_612_DS << 1) | (BGA_PIN_612_SR)) << 8));
	if (BGA_PIN_612 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x0&0xf)<<0)); }; // 6: uart0_rxdi_src0,<I>
	if (BGA_PIN_612 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x1&0xf)<<28)); }; // 7: uart1_rxdi_src1,<I>
	if (BGA_PIN_612 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x2&0x7)<<24)); }; // 8: UARTRbus_RX_src2,<I>
#endif
	// PAD_NAME: pad_st_gpio_48_io 613
	rtd_maskl(0xB806022C, 0xFF00FFFF, (((BGA_PIN_613 << 4) | (BGA_PIN_613_UP << 3) | (BGA_PIN_613_PD << 2) |(BGA_PIN_613_DS << 1) | (BGA_PIN_613_SR)) << 16));
	// PAD_NAME: pad_st_gpio_44_io 614
	rtd_maskl(0xB8060228, 0xFF00FFFF, (((BGA_PIN_614 << 4) | (BGA_PIN_614_UP << 3) | (BGA_PIN_614_PD << 2) |(BGA_PIN_614_DS << 1) | (BGA_PIN_614_SR)) << 16));
	if (BGA_PIN_614 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 1: TP0_Data_bit4_src1,<I>,<HS>
	if (BGA_PIN_614 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x1&0x7)<<20)); }; // A: I2S_IN_Data0_src1,<I>
	// PAD_NAME: pad_st_gpio_38_io 615
	rtd_maskl(0xB8060220, 0xFFFFFF00, (((BGA_PIN_615 << 4) | (BGA_PIN_615_UP << 3) | (BGA_PIN_615_PD << 2) |(BGA_PIN_615_DS << 1) | (BGA_PIN_615_SR)) << 0));
	if (BGA_PIN_615 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 1: TP0_CLK_src1,<I>,<HS>,<AND>
	// PAD_NAME: pad_st_gpio_41_io 616
	rtd_maskl(0xB8060224, 0xFFFF00FF, (((BGA_PIN_616 << 4) | (BGA_PIN_616_UP << 3) | (BGA_PIN_616_PD << 2) |(BGA_PIN_616_DS << 1) | (BGA_PIN_616_SR)) << 8));
	if (BGA_PIN_616 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<16), ((0x1&0x3)<<16)); }; // 1: TP0_Data_bit1_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_04_io 617
	rtd_maskl(0xB806020C, 0x00FFFFFF, (((BGA_PIN_617 << 4) | (BGA_PIN_617_UP << 3) | (BGA_PIN_617_PD << 2) |(BGA_PIN_617_DS << 1) | (BGA_PIN_617_SR)) << 24));
	if (BGA_PIN_617 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<20), ((0x2&0x7)<<20)); }; // 1: TP2_SYNC_src2,<I>,<HS>
	if (BGA_PIN_617 == 0xA) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x5&0x7)<<20)); }; // A: I2S_IN_Data0_src5,<I>
	if (BGA_PIN_617 == 0xB) { rtd_maskl(0xb80008f0, ~((0x3)<<12), ((0x1&0x3)<<12)); }; // B: I2C2_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_50_io 618
	rtd_maskl(0xB806022C, 0xFFFFFF00, (((BGA_PIN_618 << 4) | (BGA_PIN_618_UP << 3) | (BGA_PIN_618_PD << 2) |(BGA_PIN_618_DS << 1) | (BGA_PIN_618_SR)) << 0));
	// PAD_NAME: pad_st_gpio_60_io 619
	rtd_maskl(0xB8060238, 0xFF00FFFF, (((BGA_PIN_619 << 4) | (BGA_PIN_619_UP << 3) | (BGA_PIN_619_PD << 2) |(BGA_PIN_619_DS << 1) | (BGA_PIN_619_SR)) << 16));
	// PAD_NAME: pad_st_gpio_49_io 620
	rtd_maskl(0xB806022C, 0xFFFF00FF, (((BGA_PIN_620 << 4) | (BGA_PIN_620_UP << 3) | (BGA_PIN_620_PD << 2) |(BGA_PIN_620_DS << 1) | (BGA_PIN_620_SR)) << 8));
	// PAD_NAME: pad_st_gpio_51_io 621
	rtd_maskl(0xB8060230, 0x00FFFFFF, (((BGA_PIN_621 << 4) | (BGA_PIN_621_UP << 3) | (BGA_PIN_621_PD << 2) |(BGA_PIN_621_DS << 1) | (BGA_PIN_621_SR)) << 24));
	if (BGA_PIN_621 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // B: I2C0_SCL_src1,<I/O>
	// PAD_NAME: pad_st_gpio_24_io 622
	rtd_maskl(0xB8060214, 0xFF00FFFF, (((BGA_PIN_622 << 4) | (BGA_PIN_622_UP << 3) | (BGA_PIN_622_PD << 2) |(BGA_PIN_622_DS << 1) | (BGA_PIN_622_SR)) << 16));
	if (BGA_PIN_622 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<28), ((0x1&0x3)<<28)); }; // 9: dmic_clk_data_0_src1,<I>
	if (BGA_PIN_622 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<12), ((0x2&0x3)<<12)); }; // B: I2C5_SCL_src2,<I/O>
	// PAD_NAME: pad_st_gpio_55_io 623
	rtd_maskl(0xB8060234, 0x00FFFFFF, (((BGA_PIN_623 << 4) | (BGA_PIN_623_UP << 3) | (BGA_PIN_623_PD << 2) |(BGA_PIN_623_DS << 1) | (BGA_PIN_623_SR)) << 24));
	if (BGA_PIN_623 == 0x1) { rtd_maskl(0xb8000904, ~((0x7)<<16), ((0x3&0x7)<<16)); }; // 1: TP2_VAL_src3,<I>,<HS>
	if (BGA_PIN_623 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x4&0x7)<<16)); }; // 3: ld_spi1_p3_sdo_src4,<I/O>
	// PAD_NAME: pad_st_gpio_40_io 628
	rtd_maskl(0xB8060224, 0xFF00FFFF, (((BGA_PIN_628 << 4) | (BGA_PIN_628_UP << 3) | (BGA_PIN_628_PD << 2) |(BGA_PIN_628_DS << 1) | (BGA_PIN_628_SR)) << 16));
	if (BGA_PIN_628 == 0x0) { rtd_maskl(0xb80008f8, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 0: SPI_FCIC_DI_src1,<I/O>
	if (BGA_PIN_628 == 0x1) { rtd_maskl(0xb80008fc, ~((0x3)<<20), ((0x1&0x3)<<20)); }; // 1: TP0_Data_bit0_src1,<I>,<HS>
	// PAD_NAME: pad_st_gpio_57_io 629
	rtd_maskl(0xB8060234, 0xFFFF00FF, (((BGA_PIN_629 << 4) | (BGA_PIN_629_UP << 3) | (BGA_PIN_629_PD << 2) |(BGA_PIN_629_DS << 1) | (BGA_PIN_629_SR)) << 8));
	// PAD_NAME: pad_st_gpio_29_io 630
	rtd_maskl(0xB8060218, 0xFFFF00FF, (((BGA_PIN_630 << 4) | (BGA_PIN_630_UP << 3) | (BGA_PIN_630_PD << 2) |(BGA_PIN_630_DS << 1) | (BGA_PIN_630_SR)) << 8));
	if (BGA_PIN_630 == 0x1) { rtd_maskl(0xb8060244, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: emcu_EJTAG_TCLK_CLK_src0,<I>,<AND>
	if (BGA_PIN_630 == 0x2) { rtd_maskl(0xb8060244, ~((0x3)<<0), ((0x1&0x3)<<0)); }; // 2: emcu_EJTAG_TDI_src1,<I>
	if (BGA_PIN_630 == 0x3) { rtd_maskl(0xb8060244, ~((0x3)<<16), ((0x0&0x3)<<16)); }; // 3: EJTAG_TDI_src0,<I>
	if (BGA_PIN_630 == 0x4) { rtd_maskl(0xb8060244, ~((0x7)<<20), ((0x2&0x7)<<20)); }; // 4: EJTAG_TCLK_CLK_src2,<I>,<AND>
	// PAD_NAME: pad_st_gpio_30_io 631
	rtd_maskl(0xB8060218, 0xFFFFFF00, (((BGA_PIN_631 << 4) | (BGA_PIN_631_UP << 3) | (BGA_PIN_631_PD << 2) |(BGA_PIN_631_DS << 1) | (BGA_PIN_631_SR)) << 0));
	if (BGA_PIN_631 == 0x1) { rtd_maskl(0xb8060248, ~((0x3)<<28), ((0x0&0x3)<<28)); }; // 1: emcu_EJTAG_TMS_src0,<I>
	if (BGA_PIN_631 == 0x2) { rtd_maskl(0xb8060248, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 2: emcu_EJTAG_TRST_src1,<I>
	if (BGA_PIN_631 == 0x3) { rtd_maskl(0xb8060244, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 3: EJTAG_TRST_src0,<I>
	if (BGA_PIN_631 == 0x4) { rtd_maskl(0xb8060244, ~((0x7)<<12), ((0x2&0x7)<<12)); }; // 4: EJTAG_TMS_src2,<I/O>
	if (BGA_PIN_631 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x3&0xf)<<0)); }; // 6: uart0_rxdi_src3,<I>
	if (BGA_PIN_631 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x3&0xf)<<28)); }; // 7: uart1_rxdi_src3,<I>
	if (BGA_PIN_631 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x4&0x7)<<24)); }; // 8: UARTRbus_RX_src4,<I>
	// PAD_NAME: pad_st_gpio_23_io 632
	rtd_maskl(0xB8060214, 0x00FFFFFF, (((BGA_PIN_632 << 4) | (BGA_PIN_632_UP << 3) | (BGA_PIN_632_PD << 2) |(BGA_PIN_632_DS << 1) | (BGA_PIN_632_SR)) << 24));
	if (BGA_PIN_632 == 0xB) { rtd_maskl(0xb80008f4, ~((0x7)<<20), ((0x6&0x7)<<20)); }; // B: I2S_IN_Data0_src6,<I>
	// PAD_NAME: pad_st_gpio_25_io 633
	rtd_maskl(0xB8060214, 0xFFFF00FF, (((BGA_PIN_633 << 4) | (BGA_PIN_633_UP << 3) | (BGA_PIN_633_PD << 2) |(BGA_PIN_633_DS << 1) | (BGA_PIN_633_SR)) << 8));
	if (BGA_PIN_633 == 0x9) { rtd_maskl(0xb8060244, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // 9: dmic_clk_data_1_src1,<I>
	if (BGA_PIN_633 == 0xB) { rtd_maskl(0xb8060248, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // B: I2C5_SDA_src2,<I/O>
	// PAD_NAME: pad_st_gpio_27_io 634
	rtd_maskl(0xB8060218, 0x00FFFFFF, (((BGA_PIN_634 << 4) | (BGA_PIN_634_UP << 3) | (BGA_PIN_634_PD << 2) |(BGA_PIN_634_DS << 1) | (BGA_PIN_634_SR)) << 24));
	if (BGA_PIN_634 == 0x3) { rtd_maskl(0xb8060244, ~((0x7)<<20), ((0x1&0x7)<<20)); }; // 3: EJTAG_TCLK_CLK_src1,<I>,<AND>
	// PAD_NAME: pad_st_gpio_28_io 635
	rtd_maskl(0xB8060218, 0xFF00FFFF, (((BGA_PIN_635 << 4) | (BGA_PIN_635_UP << 3) | (BGA_PIN_635_PD << 2) |(BGA_PIN_635_DS << 1) | (BGA_PIN_635_SR)) << 16));
	if (BGA_PIN_635 == 0x3) { rtd_maskl(0xb8060244, ~((0x7)<<12), ((0x1&0x7)<<12)); }; // 3: EJTAG_TMS_src1,<I/O>
	if (BGA_PIN_635 == 0x6) { rtd_maskl(0xb8060248, ~((0xf)<<0), ((0x2&0xf)<<0)); }; // 6: uart0_rxdi_src2,<I>
	if (BGA_PIN_635 == 0x7) { rtd_maskl(0xb806024c, ~((0xf)<<28), ((0x2&0xf)<<28)); }; // 7: uart1_rxdi_src2,<I>
	if (BGA_PIN_635 == 0x8) { rtd_maskl(0xb806024c, ~((0x7)<<24), ((0x3&0x7)<<24)); }; // 8: UARTRbus_RX_src3,<I>
	// PAD_NAME: pad_st_gpio_33_io 636
	rtd_maskl(0xB806021C, 0xFFFF00FF, (((BGA_PIN_636 << 4) | (BGA_PIN_636_UP << 3) | (BGA_PIN_636_PD << 2) |(BGA_PIN_636_DS << 1) | (BGA_PIN_636_SR)) << 8));
	// PAD_NAME: pad_st_gpio_34_io 637
	rtd_maskl(0xB806021C, 0xFFFFFF00, (((BGA_PIN_637 << 4) | (BGA_PIN_637_UP << 3) | (BGA_PIN_637_PD << 2) |(BGA_PIN_637_DS << 1) | (BGA_PIN_637_SR)) << 0));
	// PAD_NAME: pad_gpio_138_io 655
	rtd_maskl(0xB80008A0, 0xFFFFFF00, (((BGA_PIN_655 << 4) | (BGA_PIN_655_UP << 3) | (BGA_PIN_655_PD << 2) |(BGA_PIN_655_DS << 1) | (BGA_PIN_655_SR)) << 0));
	// PAD_NAME: pad_gpio_137_io 656
	rtd_maskl(0xB80008A0, 0xFFFF00FF, (((BGA_PIN_656 << 4) | (BGA_PIN_656_UP << 3) | (BGA_PIN_656_PD << 2) |(BGA_PIN_656_DS << 1) | (BGA_PIN_656_SR)) << 8));
	// PAD_NAME: pad_gpio_83_io 658
	rtd_maskl(0xB800086C, 0x00FFFFFF, (((BGA_PIN_658 << 4) | (BGA_PIN_658_UP << 3) | (BGA_PIN_658_PD << 2) |(BGA_PIN_658_DS << 1) | (BGA_PIN_658_SR)) << 24));
	// PAD_NAME: pad_gpio_86_io 659
	rtd_maskl(0xB800086C, 0xFFFFFF00, (((BGA_PIN_659 << 4) | (BGA_PIN_659_UP << 3) | (BGA_PIN_659_PD << 2) |(BGA_PIN_659_DS << 1) | (BGA_PIN_659_SR)) << 0));
	// PAD_NAME: pad_gpio_85_io 660
	rtd_maskl(0xB800086C, 0xFFFF00FF, (((BGA_PIN_660 << 4) | (BGA_PIN_660_UP << 3) | (BGA_PIN_660_PD << 2) |(BGA_PIN_660_DS << 1) | (BGA_PIN_660_SR)) << 8));
	// PAD_NAME: pad_gpio_87_io 662
	rtd_maskl(0xB8000870, 0x00FFFFFF, (((BGA_PIN_662 << 4) | (BGA_PIN_662_UP << 3) | (BGA_PIN_662_PD << 2) |(BGA_PIN_662_DS << 1) | (BGA_PIN_662_SR)) << 24));
	// PAD_NAME: pad_gpio_89_io 663
	rtd_maskl(0xB8000870, 0xFFFF00FF, (((BGA_PIN_663 << 4) | (BGA_PIN_663_UP << 3) | (BGA_PIN_663_PD << 2) |(BGA_PIN_663_DS << 1) | (BGA_PIN_663_SR)) << 8));
	// PAD_NAME: pad_gpio_90_io 664
	rtd_maskl(0xB8000870, 0xFFFFFF00, (((BGA_PIN_664 << 4) | (BGA_PIN_664_UP << 3) | (BGA_PIN_664_PD << 2) |(BGA_PIN_664_DS << 1) | (BGA_PIN_664_SR)) << 0));
	// PAD_NAME: pad_gpio_91_io 665
	rtd_maskl(0xB8000874, 0x00FFFFFF, (((BGA_PIN_665 << 4) | (BGA_PIN_665_UP << 3) | (BGA_PIN_665_PD << 2) |(BGA_PIN_665_DS << 1) | (BGA_PIN_665_SR)) << 24));
	// PAD_NAME: pad_gpio_93_io 667
	rtd_maskl(0xB8000874, 0xFFFF00FF, (((BGA_PIN_667 << 4) | (BGA_PIN_667_UP << 3) | (BGA_PIN_667_PD << 2) |(BGA_PIN_667_DS << 1) | (BGA_PIN_667_SR)) << 8));
	// PAD_NAME: pad_gpio_94_io 668
	rtd_maskl(0xB8000874, 0xFFFFFF00, (((BGA_PIN_668 << 4) | (BGA_PIN_668_UP << 3) | (BGA_PIN_668_PD << 2) |(BGA_PIN_668_DS << 1) | (BGA_PIN_668_SR)) << 0));
	// PAD_NAME: pad_gpio_95_io 669
	rtd_maskl(0xB8000878, 0x00FFFFFF, (((BGA_PIN_669 << 4) | (BGA_PIN_669_UP << 3) | (BGA_PIN_669_PD << 2) |(BGA_PIN_669_DS << 1) | (BGA_PIN_669_SR)) << 24));
	// PAD_NAME: pad_gpio_98_io 676
	rtd_maskl(0xB8000878, 0xFFFFFF00, (((BGA_PIN_676 << 4) | (BGA_PIN_676_UP << 3) | (BGA_PIN_676_PD << 2) |(BGA_PIN_676_DS << 1) | (BGA_PIN_676_SR)) << 0));
	// PAD_NAME: pad_gpio_97_io 677
	rtd_maskl(0xB8000878, 0xFFFF00FF, (((BGA_PIN_677 << 4) | (BGA_PIN_677_UP << 3) | (BGA_PIN_677_PD << 2) |(BGA_PIN_677_DS << 1) | (BGA_PIN_677_SR)) << 8));
	// PAD_NAME: pad_gpio_99_io 679
	rtd_maskl(0xB800087C, 0x00FFFFFF, (((BGA_PIN_679 << 4) | (BGA_PIN_679_UP << 3) | (BGA_PIN_679_PD << 2) |(BGA_PIN_679_DS << 1) | (BGA_PIN_679_SR)) << 24));
	// PAD_NAME: pad_gpio_102_io 680
	rtd_maskl(0xB800087C, 0xFFFFFF00, (((BGA_PIN_680 << 4) | (BGA_PIN_680_UP << 3) | (BGA_PIN_680_PD << 2) |(BGA_PIN_680_DS << 1) | (BGA_PIN_680_SR)) << 0));
	if (BGA_PIN_680 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 8: SC_DATA_src0,<I/O>
	// PAD_NAME: pad_gpio_101_io 681
	rtd_maskl(0xB800087C, 0xFFFF00FF, (((BGA_PIN_681 << 4) | (BGA_PIN_681_UP << 3) | (BGA_PIN_681_PD << 2) |(BGA_PIN_681_DS << 1) | (BGA_PIN_681_SR)) << 8));
	// PAD_NAME: pad_gpio_103_io 683
	rtd_maskl(0xB8000880, 0x00FFFFFF, (((BGA_PIN_683 << 4) | (BGA_PIN_683_UP << 3) | (BGA_PIN_683_PD << 2) |(BGA_PIN_683_DS << 1) | (BGA_PIN_683_SR)) << 24));
	// PAD_NAME: pad_gpio_105_io 684
	rtd_maskl(0xB8000880, 0xFFFF00FF, (((BGA_PIN_684 << 4) | (BGA_PIN_684_UP << 3) | (BGA_PIN_684_PD << 2) |(BGA_PIN_684_DS << 1) | (BGA_PIN_684_SR)) << 8));
	// PAD_NAME: pad_gpio_106_io 685
	rtd_maskl(0xB8000880, 0xFFFFFF00, (((BGA_PIN_685 << 4) | (BGA_PIN_685_UP << 3) | (BGA_PIN_685_PD << 2) |(BGA_PIN_685_DS << 1) | (BGA_PIN_685_SR)) << 0));
	// PAD_NAME: pad_gpio_107_io 686
	rtd_maskl(0xB8000884, 0x00FFFFFF, (((BGA_PIN_686 << 4) | (BGA_PIN_686_UP << 3) | (BGA_PIN_686_PD << 2) |(BGA_PIN_686_DS << 1) | (BGA_PIN_686_SR)) << 24));
	// PAD_NAME: pad_gpio_109_io 688
	rtd_maskl(0xB8000884, 0xFFFF00FF, (((BGA_PIN_688 << 4) | (BGA_PIN_688_UP << 3) | (BGA_PIN_688_PD << 2) |(BGA_PIN_688_DS << 1) | (BGA_PIN_688_SR)) << 8));
	if (BGA_PIN_688 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x2&0x7)<<28)); }; // 7: ld_spi0_p3_sdo_src2,<I/O>
	// PAD_NAME: pad_gpio_110_io 694
	rtd_maskl(0xB8000884, 0xFFFFFF00, (((BGA_PIN_694 << 4) | (BGA_PIN_694_UP << 3) | (BGA_PIN_694_PD << 2) |(BGA_PIN_694_DS << 1) | (BGA_PIN_694_SR)) << 0));
	if (BGA_PIN_694 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x2&0x7)<<24)); }; // 7: ld_spi0_p4_sdi_src2,<I>
	// PAD_NAME: pad_gpio_114_io 695
	rtd_maskl(0xB8000888, 0xFFFFFF00, (((BGA_PIN_695 << 4) | (BGA_PIN_695_UP << 3) | (BGA_PIN_695_PD << 2) |(BGA_PIN_695_DS << 1) | (BGA_PIN_695_SR)) << 0));
	// PAD_NAME: pad_gpio_113_io 697
	rtd_maskl(0xB8000888, 0xFFFF00FF, (((BGA_PIN_697 << 4) | (BGA_PIN_697_UP << 3) | (BGA_PIN_697_PD << 2) |(BGA_PIN_697_DS << 1) | (BGA_PIN_697_SR)) << 8));
	// PAD_NAME: pad_gpio_111_io 698
	rtd_maskl(0xB8000888, 0x00FFFFFF, (((BGA_PIN_698 << 4) | (BGA_PIN_698_UP << 3) | (BGA_PIN_698_PD << 2) |(BGA_PIN_698_DS << 1) | (BGA_PIN_698_SR)) << 24));
	// PAD_NAME: pad_gpio_117_io 699
	rtd_maskl(0xB800088C, 0xFFFF00FF, (((BGA_PIN_699 << 4) | (BGA_PIN_699_UP << 3) | (BGA_PIN_699_PD << 2) |(BGA_PIN_699_DS << 1) | (BGA_PIN_699_SR)) << 8));
	if (BGA_PIN_699 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<12), ((0x0&0x3)<<12)); }; // 1: TP1_CLK_src0,<I>,<HS>,<AND>
	if (BGA_PIN_699 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<16), ((0x5&0x7)<<16)); }; // 7: ld_spi1_p3_sdo_src5,<I/O>
	// PAD_NAME: pad_gpio_116_io 700
	rtd_maskl(0xB800088C, 0xFF00FFFF, (((BGA_PIN_700 << 4) | (BGA_PIN_700_UP << 3) | (BGA_PIN_700_PD << 2) |(BGA_PIN_700_DS << 1) | (BGA_PIN_700_SR)) << 16));
	if (BGA_PIN_700 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<20), ((0x5&0x7)<<20)); }; // 7: ld_spi1_p2_sck_src5,<I/O>
	// PAD_NAME: pad_gpio_119_io 701
	rtd_maskl(0xB8000890, 0x00FFFFFF, (((BGA_PIN_701 << 4) | (BGA_PIN_701_UP << 3) | (BGA_PIN_701_PD << 2) |(BGA_PIN_701_DS << 1) | (BGA_PIN_701_SR)) << 24));
	// PAD_NAME: pad_gpio_118_io 702
	rtd_maskl(0xB800088C, 0xFFFFFF00, (((BGA_PIN_702 << 4) | (BGA_PIN_702_UP << 3) | (BGA_PIN_702_PD << 2) |(BGA_PIN_702_DS << 1) | (BGA_PIN_702_SR)) << 0));
	if (BGA_PIN_702 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<12), ((0x5&0x7)<<12)); }; // 7: ld_spi1_p4_sdi_src5,<I>
	// PAD_NAME: pad_gpio_115_io 703
	rtd_maskl(0xB800088C, 0x00FFFFFF, (((BGA_PIN_703 << 4) | (BGA_PIN_703_UP << 3) | (BGA_PIN_703_PD << 2) |(BGA_PIN_703_DS << 1) | (BGA_PIN_703_SR)) << 24));
	// PAD_NAME: pad_gpio_120_io 704
	rtd_maskl(0xB8000890, 0xFF00FFFF, (((BGA_PIN_704 << 4) | (BGA_PIN_704_UP << 3) | (BGA_PIN_704_PD << 2) |(BGA_PIN_704_DS << 1) | (BGA_PIN_704_SR)) << 16));
	// PAD_NAME: pad_gpio_121_io 705
	rtd_maskl(0xB8000890, 0xFFFF00FF, (((BGA_PIN_705 << 4) | (BGA_PIN_705_UP << 3) | (BGA_PIN_705_PD << 2) |(BGA_PIN_705_DS << 1) | (BGA_PIN_705_SR)) << 8));
	// PAD_NAME: pad_gpio_122_io 706
	rtd_maskl(0xB8000890, 0xFFFFFF00, (((BGA_PIN_706 << 4) | (BGA_PIN_706_UP << 3) | (BGA_PIN_706_PD << 2) |(BGA_PIN_706_DS << 1) | (BGA_PIN_706_SR)) << 0));
	// PAD_NAME: pad_gpio_123_io 707
	rtd_maskl(0xB8000894, 0x00FFFFFF, (((BGA_PIN_707 << 4) | (BGA_PIN_707_UP << 3) | (BGA_PIN_707_PD << 2) |(BGA_PIN_707_DS << 1) | (BGA_PIN_707_SR)) << 24));
	if (BGA_PIN_707 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 8: SC_CD_src0,<I>
	// PAD_NAME: pad_gpio_124_io 708
	rtd_maskl(0xB8000894, 0xFF00FFFF, (((BGA_PIN_708 << 4) | (BGA_PIN_708_UP << 3) | (BGA_PIN_708_PD << 2) |(BGA_PIN_708_DS << 1) | (BGA_PIN_708_SR)) << 16));
	if (BGA_PIN_708 == 0x7) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x3&0x7)<<0)); }; // 7: ld_spi0_p2_sck_src3,<I/O>
	// PAD_NAME: pad_gpio_127_io 709
	rtd_maskl(0xB8000898, 0x00FFFFFF, (((BGA_PIN_709 << 4) | (BGA_PIN_709_UP << 3) | (BGA_PIN_709_PD << 2) |(BGA_PIN_709_DS << 1) | (BGA_PIN_709_SR)) << 24));
	if (BGA_PIN_709 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 1: TP1_VAL_src0,<I>,<HS>
	if (BGA_PIN_709 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<24), ((0x3&0x7)<<24)); }; // 7: ld_spi0_p4_sdi_src3,<I>
	if (BGA_PIN_709 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<4), ((0x1&0x3)<<4)); }; // 8: SC_DATA_src1,<I/O>
	// PAD_NAME: pad_gpio_126_io 710
	rtd_maskl(0xB8000894, 0xFFFFFF00, (((BGA_PIN_710 << 4) | (BGA_PIN_710_UP << 3) | (BGA_PIN_710_PD << 2) |(BGA_PIN_710_DS << 1) | (BGA_PIN_710_SR)) << 0));
	if (BGA_PIN_710 == 0x7) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x3&0x7)<<28)); }; // 7: ld_spi0_p3_sdo_src3,<I/O>
	// PAD_NAME: pad_gpio_125_io 711
	rtd_maskl(0xB8000894, 0xFFFF00FF, (((BGA_PIN_711 << 4) | (BGA_PIN_711_UP << 3) | (BGA_PIN_711_PD << 2) |(BGA_PIN_711_DS << 1) | (BGA_PIN_711_SR)) << 8));
	// PAD_NAME: pad_gpio_128_io 712
	rtd_maskl(0xB8000898, 0xFF00FFFF, (((BGA_PIN_712 << 4) | (BGA_PIN_712_UP << 3) | (BGA_PIN_712_PD << 2) |(BGA_PIN_712_DS << 1) | (BGA_PIN_712_SR)) << 16));
	// PAD_NAME: pad_gpio_129_io 715
	rtd_maskl(0xB8000898, 0xFFFF00FF, (((BGA_PIN_715 << 4) | (BGA_PIN_715_UP << 3) | (BGA_PIN_715_PD << 2) |(BGA_PIN_715_DS << 1) | (BGA_PIN_715_SR)) << 8));
	if (BGA_PIN_715 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<4), ((0x0&0x3)<<4)); }; // 1: TP1_SYNC_src0,<I>,<HS>
	// PAD_NAME: pad_gpio_130_io 717
	rtd_maskl(0xB8000898, 0xFFFFFF00, (((BGA_PIN_717 << 4) | (BGA_PIN_717_UP << 3) | (BGA_PIN_717_PD << 2) |(BGA_PIN_717_DS << 1) | (BGA_PIN_717_SR)) << 0));
	if (BGA_PIN_717 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<8), ((0x1&0x3)<<8)); }; // 8: SC_CD_src1,<I>
	// PAD_NAME: pad_gpio_131_io 718
	rtd_maskl(0xB800089C, 0x00FFFFFF, (((BGA_PIN_718 << 4) | (BGA_PIN_718_UP << 3) | (BGA_PIN_718_PD << 2) |(BGA_PIN_718_DS << 1) | (BGA_PIN_718_SR)) << 24));
	if (BGA_PIN_718 == 0x1) { rtd_maskl(0xb8000900, ~((0x3)<<8), ((0x0&0x3)<<8)); }; // 1: TP1_Data_bit0_src0,<I>,<HS>
	if (BGA_PIN_718 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<4), ((0x2&0x3)<<4)); }; // 8: SC_DATA_src2,<I/O>
	// PAD_NAME: pad_gpio_132_io 719
	rtd_maskl(0xB800089C, 0xFF00FFFF, (((BGA_PIN_719 << 4) | (BGA_PIN_719_UP << 3) | (BGA_PIN_719_PD << 2) |(BGA_PIN_719_DS << 1) | (BGA_PIN_719_SR)) << 16));
	// PAD_NAME: pad_gpio_133_io 720
	rtd_maskl(0xB800089C, 0xFFFF00FF, (((BGA_PIN_720 << 4) | (BGA_PIN_720_UP << 3) | (BGA_PIN_720_PD << 2) |(BGA_PIN_720_DS << 1) | (BGA_PIN_720_SR)) << 8));
	// PAD_NAME: pad_gpio_134_io 721
	rtd_maskl(0xB800089C, 0xFFFFFF00, (((BGA_PIN_721 << 4) | (BGA_PIN_721_UP << 3) | (BGA_PIN_721_PD << 2) |(BGA_PIN_721_DS << 1) | (BGA_PIN_721_SR)) << 0));
	if (BGA_PIN_721 == 0x8) { rtd_maskl(0xb80008f8, ~((0x3)<<8), ((0x2&0x3)<<8)); }; // 8: SC_CD_src2,<I>
	// PAD_NAME: pad_gpio_135_io 722
	rtd_maskl(0xB80008A0, 0x00FFFFFF, (((BGA_PIN_722 << 4) | (BGA_PIN_722_UP << 3) | (BGA_PIN_722_PD << 2) |(BGA_PIN_722_DS << 1) | (BGA_PIN_722_SR)) << 24));
	// PAD_NAME: pad_gpio_136_io 723
	rtd_maskl(0xB80008A0, 0xFF00FFFF, (((BGA_PIN_723 << 4) | (BGA_PIN_723_UP << 3) | (BGA_PIN_723_PD << 2) |(BGA_PIN_723_DS << 1) | (BGA_PIN_723_SR)) << 16));
	// PAD_NAME: pad_emmc_rst_n_io 747
	rtd_maskl(0xB80008B0, 0x00FFFFFF, (((BGA_PIN_747 << 4) | (BGA_PIN_747_UP << 3) | (BGA_PIN_747_PD << 2) |(BGA_PIN_747_DS << 1) | (BGA_PIN_747_SR)) << 24));
	// PAD_NAME: pad_emmc_clk_io 750
	rtd_maskl(0xB80008B0, 0xFF00FFFF, (((BGA_PIN_750 << 4) | (BGA_PIN_750_UP << 3) | (BGA_PIN_750_PD << 2) |(BGA_PIN_750_DS << 1) | (BGA_PIN_750_SR)) << 16));
	// PAD_NAME: pad_emmc_cmd_io 753
	rtd_maskl(0xB80008B0, 0xFFFF00FF, (((BGA_PIN_753 << 4) | (BGA_PIN_753_UP << 3) | (BGA_PIN_753_PD << 2) |(BGA_PIN_753_DS << 1) | (BGA_PIN_753_SR)) << 8));
	// PAD_NAME: pad_emmc_ds_io 754
	rtd_maskl(0xB80008B4, 0x00FFFFFF, (((BGA_PIN_754 << 4) | (BGA_PIN_754_UP << 3) | (BGA_PIN_754_PD << 2) |(BGA_PIN_754_DS << 1) | (BGA_PIN_754_SR)) << 24));
	// PAD_NAME: pad_emmc_d5_io:IO 756
	rtd_maskl(0xB80008B4, 0xFF00FFFF, (((BGA_PIN_756 << 4) | (BGA_PIN_756_UP << 3) | (BGA_PIN_756_PD << 2) |(BGA_PIN_756_DS << 1) | (BGA_PIN_756_SR)) << 16));
	// PAD_NAME: pad_emmc_d3_io 757
	rtd_maskl(0xB80008B4, 0xFFFF00FF, (((BGA_PIN_757 << 4) | (BGA_PIN_757_UP << 3) | (BGA_PIN_757_PD << 2) |(BGA_PIN_757_DS << 1) | (BGA_PIN_757_SR)) << 8));
	// PAD_NAME: pad_emmc_d4_io:IO 759
	rtd_maskl(0xB80008B4, 0xFFFFFF00, (((BGA_PIN_759 << 4) | (BGA_PIN_759_UP << 3) | (BGA_PIN_759_PD << 2) |(BGA_PIN_759_DS << 1) | (BGA_PIN_759_SR)) << 0));
	// PAD_NAME: pad_emmc_d0_io 760
	rtd_maskl(0xB80008B8, 0x00FFFFFF, (((BGA_PIN_760 << 4) | (BGA_PIN_760_UP << 3) | (BGA_PIN_760_PD << 2) |(BGA_PIN_760_DS << 1) | (BGA_PIN_760_SR)) << 24));
	// PAD_NAME: pad_emmc_d1_io:IO 765
	rtd_maskl(0xB80008B8, 0xFF00FFFF, (((BGA_PIN_765 << 4) | (BGA_PIN_765_UP << 3) | (BGA_PIN_765_PD << 2) |(BGA_PIN_765_DS << 1) | (BGA_PIN_765_SR)) << 16));
	// PAD_NAME: pad_emmc_d2_io 766
	rtd_maskl(0xB80008B8, 0xFFFF00FF, (((BGA_PIN_766 << 4) | (BGA_PIN_766_UP << 3) | (BGA_PIN_766_PD << 2) |(BGA_PIN_766_DS << 1) | (BGA_PIN_766_SR)) << 8));
	// PAD_NAME: pad_emmc_d7_io:IO 768
	rtd_maskl(0xB80008B8, 0xFFFFFF00, (((BGA_PIN_768 << 4) | (BGA_PIN_768_UP << 3) | (BGA_PIN_768_PD << 2) |(BGA_PIN_768_DS << 1) | (BGA_PIN_768_SR)) << 0));
	// PAD_NAME: pad_emmc_d6_io 769
	rtd_maskl(0xB80008BC, 0x00FFFFFF, (((BGA_PIN_769 << 4) | (BGA_PIN_769_UP << 3) | (BGA_PIN_769_PD << 2) |(BGA_PIN_769_DS << 1) | (BGA_PIN_769_SR)) << 24));
	// PAD_NAME: pad_gpio_151_io 774
	rtd_maskl(0xB80008A4, 0x00FFFFFF, (((BGA_PIN_774 << 4) | (BGA_PIN_774_UP << 3) | (BGA_PIN_774_PD << 2) |(BGA_PIN_774_DS << 1) | (BGA_PIN_774_SR)) << 24));
	if (BGA_PIN_774 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x2&0x3)<<28)); }; // 2: SPI_DI_src2,<I/O>,<HS>
	// PAD_NAME: pad_gpio_152_io 775
	rtd_maskl(0xB80008A4, 0xFF00FFFF, (((BGA_PIN_775 << 4) | (BGA_PIN_775_UP << 3) | (BGA_PIN_775_PD << 2) |(BGA_PIN_775_DS << 1) | (BGA_PIN_775_SR)) << 16));
	if (BGA_PIN_775 == 0x2) { rtd_maskl(0xb80008fc, ~((0x3)<<28), ((0x2&0x3)<<28)); }; // 2: SPI_DO_src2,<I/O>,<HS>
	// PAD_NAME: pad_gpio_153_io 776
	rtd_maskl(0xB80008A4, 0xFFFF00FF, (((BGA_PIN_776 << 4) | (BGA_PIN_776_UP << 3) | (BGA_PIN_776_PD << 2) |(BGA_PIN_776_DS << 1) | (BGA_PIN_776_SR)) << 8));
	// PAD_NAME: pif_tx11p_33v_apad 1193
	rtd_maskl(0xB8000CB0, 0x0FFFFFFF, (BGA_PIN_1193) << 28);
	// PAD_NAME: pif_tx11n_33v_apad 1194
	rtd_maskl(0xB8000CB0, 0xF0FFFFFF, (BGA_PIN_1194) << 24);
	// PAD_NAME: pif_tx10p_33v_apad 1197
	rtd_maskl(0xB8000CB0, 0xFF0FFFFF, (BGA_PIN_1197) << 20);
	// PAD_NAME: pif_tx10n_33v_apad 1198
	rtd_maskl(0xB8000CB0, 0xFFF0FFFF, (BGA_PIN_1198) << 16);
	// PAD_NAME: pif_tx9p_33v_apad 1199
	rtd_maskl(0xB8000CB0, 0xFFFF0FFF, (BGA_PIN_1199) << 12);
	// PAD_NAME: pif_tx9n_33v_apad 1200
	rtd_maskl(0xB8000CB0, 0xFFFFF0FF, (BGA_PIN_1200) << 8);
	// PAD_NAME: pif_tx8p_33v_apad 1201
	rtd_maskl(0xB8000CB0, 0xFFFFFF0F, (BGA_PIN_1201) << 4);
	// PAD_NAME: pif_tx8n_33v_apad 1202
	rtd_maskl(0xB8000CB0, 0xFFFFFFF0, (BGA_PIN_1202) << 0);
	// PAD_NAME: pif_tx7p_33v_apad 1216
	rtd_maskl(0xB8000CB4, 0x0FFFFFFF, (BGA_PIN_1216) << 28);
	// PAD_NAME: pif_tx7n_33v_apad 1217
	rtd_maskl(0xB8000CB4, 0xF0FFFFFF, (BGA_PIN_1217) << 24);
	// PAD_NAME: pif_tx6p_33v_apad 1218
	rtd_maskl(0xB8000CB4, 0xFF0FFFFF, (BGA_PIN_1218) << 20);
	// PAD_NAME: pif_tx6n_33v_apad 1219
	rtd_maskl(0xB8000CB4, 0xFFF0FFFF, (BGA_PIN_1219) << 16);
	// PAD_NAME: pif_tx5p_33v_apad 1220
	rtd_maskl(0xB8000CB4, 0xFFFF0FFF, (BGA_PIN_1220) << 12);
	// PAD_NAME: pif_tx5n_33v_apad 1221
	rtd_maskl(0xB8000CB4, 0xFFFFF0FF, (BGA_PIN_1221) << 8);
	// PAD_NAME: pif_tx4p_33v_apad 1224
	rtd_maskl(0xB8000CB4, 0xFFFFFF0F, (BGA_PIN_1224) << 4);
	// PAD_NAME: pif_tx4n_33v_apad 1225
	rtd_maskl(0xB8000CB4, 0xFFFFFFF0, (BGA_PIN_1225) << 0);
	// PAD_NAME: pif_tx3p_33v_apad 1226
	rtd_maskl(0xB8000CB8, 0x0FFFFFFF, (BGA_PIN_1226) << 28);
	// PAD_NAME: pif_tx3n_33v_apad 1227
	rtd_maskl(0xB8000CB8, 0xF0FFFFFF, (BGA_PIN_1227) << 24);
	// PAD_NAME: pif_tx2p_33v_apad 1228
	rtd_maskl(0xB8000CB8, 0xFF0FFFFF, (BGA_PIN_1228) << 20);
	// PAD_NAME: pif_tx2n_33v_apad 1229
	rtd_maskl(0xB8000CB8, 0xFFF0FFFF, (BGA_PIN_1229) << 16);
	// PAD_NAME: pif_tx1p_15v_apad 1232
	rtd_maskl(0xB8000CB8, 0xFFFF0FFF, (BGA_PIN_1232) << 12);
	// PAD_NAME: pif_tx1n_15v_apad 1233
	rtd_maskl(0xB8000CB8, 0xFFFFF0FF, (BGA_PIN_1233) << 8);
	// PAD_NAME: pif_tx0p_15v_apad 1234
	rtd_maskl(0xB8000CB8, 0xFFFFFF0F, (BGA_PIN_1234) << 4);
	// PAD_NAME: pif_tx0n_15v_apad 1235
	rtd_maskl(0xB8000CB8, 0xFFFFFFF0, (BGA_PIN_1235) << 0);
	// PAD_NAME: PAD_GPIO_18_IO 1263
	rtd_maskl(0xB8000810, 0xFFFF00FF, (((BGA_PIN_1263 << 4) | (BGA_PIN_1263_UP << 3) | (BGA_PIN_1263_PD << 2) |(BGA_PIN_1263_DS << 1) | (BGA_PIN_1263_SR)) << 8));
	if (BGA_PIN_1263 == 0x0) { rtd_maskl(0xb80008f8, ~((0x3)<<0), ((0x0&0x3)<<0)); }; // 0: SPI_FCIC_DO_src0,<I/O>
	if (BGA_PIN_1263 == 0x3) { rtd_maskl(0xb80008f8, ~((0x7)<<28), ((0x0&0x7)<<28)); }; // 3: ld_spi0_p3_sdo_src0,<I/O>
	if (BGA_PIN_1263 == 0x9) { rtd_maskl(0xb8000904, ~((0x7)<<20), ((0x4&0x7)<<20)); }; // 9: TP2_SYNC_src4,<I>,<HS>
	if (BGA_PIN_1263 == 0xB) { rtd_maskl(0xb80008f4, ~((0x3)<<24), ((0x1&0x3)<<24)); }; // B: I2C4_SDA_src1,<I/O>
	// PAD_NAME: pad_gpio_100_io 1279
	rtd_maskl(0xB800087C, 0xFF00FFFF, (((BGA_PIN_1279 << 4) | (BGA_PIN_1279_UP << 3) | (BGA_PIN_1279_PD << 2) |(BGA_PIN_1279_DS << 1) | (BGA_PIN_1279_SR)) << 16));
	// PAD_NAME: pad_gpio_104_io 1280
	rtd_maskl(0xB8000880, 0xFF00FFFF, (((BGA_PIN_1280 << 4) | (BGA_PIN_1280_UP << 3) | (BGA_PIN_1280_PD << 2) |(BGA_PIN_1280_DS << 1) | (BGA_PIN_1280_SR)) << 16));
	// PAD_NAME: pad_gpio_108_io 1281
	rtd_maskl(0xB8000884, 0xFF00FFFF, (((BGA_PIN_1281 << 4) | (BGA_PIN_1281_UP << 3) | (BGA_PIN_1281_PD << 2) |(BGA_PIN_1281_DS << 1) | (BGA_PIN_1281_SR)) << 16));
	if (BGA_PIN_1281 == 0x7) { rtd_maskl(0xb80008f4, ~((0x7)<<0), ((0x2&0x7)<<0)); }; // 7: ld_spi0_p2_sck_src2,<I/O>
	// PAD_NAME: pad_gpio_112_io 1282
	rtd_maskl(0xB8000888, 0xFF00FFFF, (((BGA_PIN_1282 << 4) | (BGA_PIN_1282_UP << 3) | (BGA_PIN_1282_PD << 2) |(BGA_PIN_1282_DS << 1) | (BGA_PIN_1282_SR)) << 16));
	// PAD_NAME: pad_gpio_84_io 1283
	rtd_maskl(0xB800086C, 0xFF00FFFF, (((BGA_PIN_1283 << 4) | (BGA_PIN_1283_UP << 3) | (BGA_PIN_1283_PD << 2) |(BGA_PIN_1283_DS << 1) | (BGA_PIN_1283_SR)) << 16));
	// PAD_NAME: pad_gpio_88_io 1284
	rtd_maskl(0xB8000870, 0xFF00FFFF, (((BGA_PIN_1284 << 4) | (BGA_PIN_1284_UP << 3) | (BGA_PIN_1284_PD << 2) |(BGA_PIN_1284_DS << 1) | (BGA_PIN_1284_SR)) << 16));
	// PAD_NAME: pad_gpio_92_io 1285
	rtd_maskl(0xB8000874, 0xFF00FFFF, (((BGA_PIN_1285 << 4) | (BGA_PIN_1285_UP << 3) | (BGA_PIN_1285_PD << 2) |(BGA_PIN_1285_DS << 1) | (BGA_PIN_1285_SR)) << 16));
	// PAD_NAME: pad_gpio_96_io 1286
	rtd_maskl(0xB8000878, 0xFF00FFFF, (((BGA_PIN_1286 << 4) | (BGA_PIN_1286_UP << 3) | (BGA_PIN_1286_PD << 2) |(BGA_PIN_1286_DS << 1) | (BGA_PIN_1286_SR)) << 16));
} 
