/**
* @file Merlin6_MEMC_PQL_1
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_PQL1_00_ADDR_REG_H_
#define _RBUS_PQL1_00_ADDR_REG_H_

#include "rbus_types.h"



//  PQL1_00_ADDR Register Address
#define  PQL1_00_ADDR_PQL1_00_ADDR                                              0x1809D600
#define  PQL1_00_ADDR_PQL1_00_ADDR_reg_addr                                      "0xB809D600"
#define  PQL1_00_ADDR_PQL1_00_ADDR_reg                                           0xB809D600
#define  PQL1_00_ADDR_PQL1_00_ADDR_inst_addr                                     "0x0000"
#define  set_PQL1_00_ADDR_PQL1_00_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_00_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_00_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_00_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_cadence_en_shift                     (1)
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_bypass_shift                         (0)
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_cadence_en_mask                      (0xFFFFFFFE)
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_bypass_mask                          (0x00000001)
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_cadence_en(data)                     (0xFFFFFFFE&((data)<<1))
#define  PQL1_00_ADDR_PQL1_00_ADDR_film_det_bypass(data)                         (0x00000001&(data))
#define  PQL1_00_ADDR_PQL1_00_ADDR_get_film_det_cadence_en(data)                 ((0xFFFFFFFE&(data))>>1)
#define  PQL1_00_ADDR_PQL1_00_ADDR_get_film_det_bypass(data)                     (0x00000001&(data))

#define  PQL1_00_ADDR_PQL1_01_ADDR                                              0x1809D604
#define  PQL1_00_ADDR_PQL1_01_ADDR_reg_addr                                      "0xB809D604"
#define  PQL1_00_ADDR_PQL1_01_ADDR_reg                                           0xB809D604
#define  PQL1_00_ADDR_PQL1_01_ADDR_inst_addr                                     "0x0001"
#define  set_PQL1_00_ADDR_PQL1_01_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_01_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_01_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_01_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_01_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_01_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_01_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_01_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_02_ADDR                                              0x1809D608
#define  PQL1_00_ADDR_PQL1_02_ADDR_reg_addr                                      "0xB809D608"
#define  PQL1_00_ADDR_PQL1_02_ADDR_reg                                           0xB809D608
#define  PQL1_00_ADDR_PQL1_02_ADDR_inst_addr                                     "0x0002"
#define  set_PQL1_00_ADDR_PQL1_02_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_02_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_02_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_02_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_02_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_02_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_02_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_02_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_03_ADDR                                              0x1809D60C
#define  PQL1_00_ADDR_PQL1_03_ADDR_reg_addr                                      "0xB809D60C"
#define  PQL1_00_ADDR_PQL1_03_ADDR_reg                                           0xB809D60C
#define  PQL1_00_ADDR_PQL1_03_ADDR_inst_addr                                     "0x0003"
#define  set_PQL1_00_ADDR_PQL1_03_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_03_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_03_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_03_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_03_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_03_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_03_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_03_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_04_ADDR                                              0x1809D610
#define  PQL1_00_ADDR_PQL1_04_ADDR_reg_addr                                      "0xB809D610"
#define  PQL1_00_ADDR_PQL1_04_ADDR_reg                                           0xB809D610
#define  PQL1_00_ADDR_PQL1_04_ADDR_inst_addr                                     "0x0004"
#define  set_PQL1_00_ADDR_PQL1_04_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_04_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_04_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_04_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_04_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_04_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_04_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_04_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_05_ADDR                                              0x1809D614
#define  PQL1_00_ADDR_PQL1_05_ADDR_reg_addr                                      "0xB809D614"
#define  PQL1_00_ADDR_PQL1_05_ADDR_reg                                           0xB809D614
#define  PQL1_00_ADDR_PQL1_05_ADDR_inst_addr                                     "0x0005"
#define  set_PQL1_00_ADDR_PQL1_05_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_05_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_05_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_05_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_05_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_05_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_05_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_05_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_06_ADDR                                              0x1809D618
#define  PQL1_00_ADDR_PQL1_06_ADDR_reg_addr                                      "0xB809D618"
#define  PQL1_00_ADDR_PQL1_06_ADDR_reg                                           0xB809D618
#define  PQL1_00_ADDR_PQL1_06_ADDR_inst_addr                                     "0x0006"
#define  set_PQL1_00_ADDR_PQL1_06_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_06_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_06_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_06_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_06_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_06_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_06_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_06_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_07_ADDR                                              0x1809D61C
#define  PQL1_00_ADDR_PQL1_07_ADDR_reg_addr                                      "0xB809D61C"
#define  PQL1_00_ADDR_PQL1_07_ADDR_reg                                           0xB809D61C
#define  PQL1_00_ADDR_PQL1_07_ADDR_inst_addr                                     "0x0007"
#define  set_PQL1_00_ADDR_PQL1_07_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_07_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_07_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_07_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_07_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_07_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_07_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_07_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_08_ADDR                                              0x1809D620
#define  PQL1_00_ADDR_PQL1_08_ADDR_reg_addr                                      "0xB809D620"
#define  PQL1_00_ADDR_PQL1_08_ADDR_reg                                           0xB809D620
#define  PQL1_00_ADDR_PQL1_08_ADDR_inst_addr                                     "0x0008"
#define  set_PQL1_00_ADDR_PQL1_08_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_08_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_08_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_08_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_08_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_08_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_08_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_08_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_09_ADDR                                              0x1809D624
#define  PQL1_00_ADDR_PQL1_09_ADDR_reg_addr                                      "0xB809D624"
#define  PQL1_00_ADDR_PQL1_09_ADDR_reg                                           0xB809D624
#define  PQL1_00_ADDR_PQL1_09_ADDR_inst_addr                                     "0x0009"
#define  set_PQL1_00_ADDR_PQL1_09_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_09_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_09_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_09_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_09_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_09_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_09_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_09_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_10_ADDR                                              0x1809D628
#define  PQL1_00_ADDR_PQL1_10_ADDR_reg_addr                                      "0xB809D628"
#define  PQL1_00_ADDR_PQL1_10_ADDR_reg                                           0xB809D628
#define  PQL1_00_ADDR_PQL1_10_ADDR_inst_addr                                     "0x000A"
#define  set_PQL1_00_ADDR_PQL1_10_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_10_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_10_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_10_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_10_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_10_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_10_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_10_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_11_ADDR                                              0x1809D62C
#define  PQL1_00_ADDR_PQL1_11_ADDR_reg_addr                                      "0xB809D62C"
#define  PQL1_00_ADDR_PQL1_11_ADDR_reg                                           0xB809D62C
#define  PQL1_00_ADDR_PQL1_11_ADDR_inst_addr                                     "0x000B"
#define  set_PQL1_00_ADDR_PQL1_11_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_11_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_11_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_11_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_11_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_11_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_11_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_11_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_12_ADDR                                              0x1809D630
#define  PQL1_00_ADDR_PQL1_12_ADDR_reg_addr                                      "0xB809D630"
#define  PQL1_00_ADDR_PQL1_12_ADDR_reg                                           0xB809D630
#define  PQL1_00_ADDR_PQL1_12_ADDR_inst_addr                                     "0x000C"
#define  set_PQL1_00_ADDR_PQL1_12_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_12_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_12_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_12_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_12_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_12_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_12_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_12_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_13_ADDR                                              0x1809D634
#define  PQL1_00_ADDR_PQL1_13_ADDR_reg_addr                                      "0xB809D634"
#define  PQL1_00_ADDR_PQL1_13_ADDR_reg                                           0xB809D634
#define  PQL1_00_ADDR_PQL1_13_ADDR_inst_addr                                     "0x000D"
#define  set_PQL1_00_ADDR_PQL1_13_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_13_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_13_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_13_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_13_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_13_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_13_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_13_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_14_ADDR                                              0x1809D638
#define  PQL1_00_ADDR_PQL1_14_ADDR_reg_addr                                      "0xB809D638"
#define  PQL1_00_ADDR_PQL1_14_ADDR_reg                                           0xB809D638
#define  PQL1_00_ADDR_PQL1_14_ADDR_inst_addr                                     "0x000E"
#define  set_PQL1_00_ADDR_PQL1_14_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_14_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_14_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_14_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_14_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_14_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_14_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_14_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_15_ADDR                                              0x1809D63C
#define  PQL1_00_ADDR_PQL1_15_ADDR_reg_addr                                      "0xB809D63C"
#define  PQL1_00_ADDR_PQL1_15_ADDR_reg                                           0xB809D63C
#define  PQL1_00_ADDR_PQL1_15_ADDR_inst_addr                                     "0x000F"
#define  set_PQL1_00_ADDR_PQL1_15_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_15_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_15_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_15_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_15_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_15_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_15_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_15_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_16_ADDR                                              0x1809D640
#define  PQL1_00_ADDR_PQL1_16_ADDR_reg_addr                                      "0xB809D640"
#define  PQL1_00_ADDR_PQL1_16_ADDR_reg                                           0xB809D640
#define  PQL1_00_ADDR_PQL1_16_ADDR_inst_addr                                     "0x0010"
#define  set_PQL1_00_ADDR_PQL1_16_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_16_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_16_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_16_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_16_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_16_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_16_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_16_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_17_ADDR                                              0x1809D644
#define  PQL1_00_ADDR_PQL1_17_ADDR_reg_addr                                      "0xB809D644"
#define  PQL1_00_ADDR_PQL1_17_ADDR_reg                                           0xB809D644
#define  PQL1_00_ADDR_PQL1_17_ADDR_inst_addr                                     "0x0011"
#define  set_PQL1_00_ADDR_PQL1_17_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_17_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_17_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_17_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_17_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_17_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_17_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_17_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_18_ADDR                                              0x1809D648
#define  PQL1_00_ADDR_PQL1_18_ADDR_reg_addr                                      "0xB809D648"
#define  PQL1_00_ADDR_PQL1_18_ADDR_reg                                           0xB809D648
#define  PQL1_00_ADDR_PQL1_18_ADDR_inst_addr                                     "0x0012"
#define  set_PQL1_00_ADDR_PQL1_18_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_18_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_18_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_18_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_18_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_18_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_18_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_18_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_19_ADDR                                              0x1809D64C
#define  PQL1_00_ADDR_PQL1_19_ADDR_reg_addr                                      "0xB809D64C"
#define  PQL1_00_ADDR_PQL1_19_ADDR_reg                                           0xB809D64C
#define  PQL1_00_ADDR_PQL1_19_ADDR_inst_addr                                     "0x0013"
#define  set_PQL1_00_ADDR_PQL1_19_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_19_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_19_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_19_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_19_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_19_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_19_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_19_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_20_ADDR                                              0x1809D650
#define  PQL1_00_ADDR_PQL1_20_ADDR_reg_addr                                      "0xB809D650"
#define  PQL1_00_ADDR_PQL1_20_ADDR_reg                                           0xB809D650
#define  PQL1_00_ADDR_PQL1_20_ADDR_inst_addr                                     "0x0014"
#define  set_PQL1_00_ADDR_PQL1_20_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_20_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_20_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_20_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_20_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_20_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_20_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_20_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_21_ADDR                                              0x1809D654
#define  PQL1_00_ADDR_PQL1_21_ADDR_reg_addr                                      "0xB809D654"
#define  PQL1_00_ADDR_PQL1_21_ADDR_reg                                           0xB809D654
#define  PQL1_00_ADDR_PQL1_21_ADDR_inst_addr                                     "0x0015"
#define  set_PQL1_00_ADDR_PQL1_21_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_21_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_21_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_21_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_21_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_21_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_21_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_21_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_22_ADDR                                              0x1809D658
#define  PQL1_00_ADDR_PQL1_22_ADDR_reg_addr                                      "0xB809D658"
#define  PQL1_00_ADDR_PQL1_22_ADDR_reg                                           0xB809D658
#define  PQL1_00_ADDR_PQL1_22_ADDR_inst_addr                                     "0x0016"
#define  set_PQL1_00_ADDR_PQL1_22_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_22_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_22_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_22_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_22_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_22_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_22_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_22_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_23_ADDR                                              0x1809D65C
#define  PQL1_00_ADDR_PQL1_23_ADDR_reg_addr                                      "0xB809D65C"
#define  PQL1_00_ADDR_PQL1_23_ADDR_reg                                           0xB809D65C
#define  PQL1_00_ADDR_PQL1_23_ADDR_inst_addr                                     "0x0017"
#define  set_PQL1_00_ADDR_PQL1_23_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_23_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_23_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_23_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_23_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_23_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_23_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_23_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_24_ADDR                                              0x1809D660
#define  PQL1_00_ADDR_PQL1_24_ADDR_reg_addr                                      "0xB809D660"
#define  PQL1_00_ADDR_PQL1_24_ADDR_reg                                           0xB809D660
#define  PQL1_00_ADDR_PQL1_24_ADDR_inst_addr                                     "0x0018"
#define  set_PQL1_00_ADDR_PQL1_24_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_24_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_24_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_24_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_24_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_24_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_24_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_24_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_25_ADDR                                              0x1809D664
#define  PQL1_00_ADDR_PQL1_25_ADDR_reg_addr                                      "0xB809D664"
#define  PQL1_00_ADDR_PQL1_25_ADDR_reg                                           0xB809D664
#define  PQL1_00_ADDR_PQL1_25_ADDR_inst_addr                                     "0x0019"
#define  set_PQL1_00_ADDR_PQL1_25_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_25_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_25_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_25_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_25_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_25_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_25_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_25_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_26_ADDR                                              0x1809D668
#define  PQL1_00_ADDR_PQL1_26_ADDR_reg_addr                                      "0xB809D668"
#define  PQL1_00_ADDR_PQL1_26_ADDR_reg                                           0xB809D668
#define  PQL1_00_ADDR_PQL1_26_ADDR_inst_addr                                     "0x001A"
#define  set_PQL1_00_ADDR_PQL1_26_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_26_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_26_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_26_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_26_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_26_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_26_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_26_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_27_ADDR                                              0x1809D66C
#define  PQL1_00_ADDR_PQL1_27_ADDR_reg_addr                                      "0xB809D66C"
#define  PQL1_00_ADDR_PQL1_27_ADDR_reg                                           0xB809D66C
#define  PQL1_00_ADDR_PQL1_27_ADDR_inst_addr                                     "0x001B"
#define  set_PQL1_00_ADDR_PQL1_27_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_27_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_27_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_27_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_27_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_27_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_27_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_27_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_28_ADDR                                              0x1809D670
#define  PQL1_00_ADDR_PQL1_28_ADDR_reg_addr                                      "0xB809D670"
#define  PQL1_00_ADDR_PQL1_28_ADDR_reg                                           0xB809D670
#define  PQL1_00_ADDR_PQL1_28_ADDR_inst_addr                                     "0x001C"
#define  set_PQL1_00_ADDR_PQL1_28_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_28_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_28_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_28_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_28_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_28_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_28_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_28_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_29_ADDR                                              0x1809D674
#define  PQL1_00_ADDR_PQL1_29_ADDR_reg_addr                                      "0xB809D674"
#define  PQL1_00_ADDR_PQL1_29_ADDR_reg                                           0xB809D674
#define  PQL1_00_ADDR_PQL1_29_ADDR_inst_addr                                     "0x001D"
#define  set_PQL1_00_ADDR_PQL1_29_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_29_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_29_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_29_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_29_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_29_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_29_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_29_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_30_ADDR                                              0x1809D678
#define  PQL1_00_ADDR_PQL1_30_ADDR_reg_addr                                      "0xB809D678"
#define  PQL1_00_ADDR_PQL1_30_ADDR_reg                                           0xB809D678
#define  PQL1_00_ADDR_PQL1_30_ADDR_inst_addr                                     "0x001E"
#define  set_PQL1_00_ADDR_PQL1_30_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_30_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_30_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_30_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_30_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_30_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_30_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_30_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_31_ADDR                                              0x1809D67C
#define  PQL1_00_ADDR_PQL1_31_ADDR_reg_addr                                      "0xB809D67C"
#define  PQL1_00_ADDR_PQL1_31_ADDR_reg                                           0xB809D67C
#define  PQL1_00_ADDR_PQL1_31_ADDR_inst_addr                                     "0x001F"
#define  set_PQL1_00_ADDR_PQL1_31_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_31_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_31_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_31_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_31_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_31_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_31_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_31_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_32_ADDR                                              0x1809D680
#define  PQL1_00_ADDR_PQL1_32_ADDR_reg_addr                                      "0xB809D680"
#define  PQL1_00_ADDR_PQL1_32_ADDR_reg                                           0xB809D680
#define  PQL1_00_ADDR_PQL1_32_ADDR_inst_addr                                     "0x0020"
#define  set_PQL1_00_ADDR_PQL1_32_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_32_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_32_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_32_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_32_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_32_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_32_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_32_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_33_ADDR                                              0x1809D684
#define  PQL1_00_ADDR_PQL1_33_ADDR_reg_addr                                      "0xB809D684"
#define  PQL1_00_ADDR_PQL1_33_ADDR_reg                                           0xB809D684
#define  PQL1_00_ADDR_PQL1_33_ADDR_inst_addr                                     "0x0021"
#define  set_PQL1_00_ADDR_PQL1_33_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_33_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_33_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_33_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_33_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_33_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_33_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_33_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_34_ADDR                                              0x1809D688
#define  PQL1_00_ADDR_PQL1_34_ADDR_reg_addr                                      "0xB809D688"
#define  PQL1_00_ADDR_PQL1_34_ADDR_reg                                           0xB809D688
#define  PQL1_00_ADDR_PQL1_34_ADDR_inst_addr                                     "0x0022"
#define  set_PQL1_00_ADDR_PQL1_34_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_34_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_34_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_34_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_34_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_34_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_34_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_34_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_35_ADDR                                              0x1809D68C
#define  PQL1_00_ADDR_PQL1_35_ADDR_reg_addr                                      "0xB809D68C"
#define  PQL1_00_ADDR_PQL1_35_ADDR_reg                                           0xB809D68C
#define  PQL1_00_ADDR_PQL1_35_ADDR_inst_addr                                     "0x0023"
#define  set_PQL1_00_ADDR_PQL1_35_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_35_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_35_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_35_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_35_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_35_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_35_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_35_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_36_ADDR                                              0x1809D690
#define  PQL1_00_ADDR_PQL1_36_ADDR_reg_addr                                      "0xB809D690"
#define  PQL1_00_ADDR_PQL1_36_ADDR_reg                                           0xB809D690
#define  PQL1_00_ADDR_PQL1_36_ADDR_inst_addr                                     "0x0024"
#define  set_PQL1_00_ADDR_PQL1_36_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_36_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_36_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_36_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_36_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_36_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_36_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_36_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_37_ADDR                                              0x1809D694
#define  PQL1_00_ADDR_PQL1_37_ADDR_reg_addr                                      "0xB809D694"
#define  PQL1_00_ADDR_PQL1_37_ADDR_reg                                           0xB809D694
#define  PQL1_00_ADDR_PQL1_37_ADDR_inst_addr                                     "0x0025"
#define  set_PQL1_00_ADDR_PQL1_37_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_37_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_37_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_37_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_37_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_37_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_37_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_37_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_38_ADDR                                              0x1809D698
#define  PQL1_00_ADDR_PQL1_38_ADDR_reg_addr                                      "0xB809D698"
#define  PQL1_00_ADDR_PQL1_38_ADDR_reg                                           0xB809D698
#define  PQL1_00_ADDR_PQL1_38_ADDR_inst_addr                                     "0x0026"
#define  set_PQL1_00_ADDR_PQL1_38_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_38_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_38_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_38_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_38_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_38_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_38_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_38_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_39_ADDR                                              0x1809D69C
#define  PQL1_00_ADDR_PQL1_39_ADDR_reg_addr                                      "0xB809D69C"
#define  PQL1_00_ADDR_PQL1_39_ADDR_reg                                           0xB809D69C
#define  PQL1_00_ADDR_PQL1_39_ADDR_inst_addr                                     "0x0027"
#define  set_PQL1_00_ADDR_PQL1_39_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_39_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_39_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_39_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_39_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_39_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_39_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_39_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_40_ADDR                                              0x1809D6A0
#define  PQL1_00_ADDR_PQL1_40_ADDR_reg_addr                                      "0xB809D6A0"
#define  PQL1_00_ADDR_PQL1_40_ADDR_reg                                           0xB809D6A0
#define  PQL1_00_ADDR_PQL1_40_ADDR_inst_addr                                     "0x0028"
#define  set_PQL1_00_ADDR_PQL1_40_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_40_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_40_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_40_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_40_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_40_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_40_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_40_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_41_ADDR                                              0x1809D6A4
#define  PQL1_00_ADDR_PQL1_41_ADDR_reg_addr                                      "0xB809D6A4"
#define  PQL1_00_ADDR_PQL1_41_ADDR_reg                                           0xB809D6A4
#define  PQL1_00_ADDR_PQL1_41_ADDR_inst_addr                                     "0x0029"
#define  set_PQL1_00_ADDR_PQL1_41_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_41_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_41_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_41_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_41_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_41_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_41_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_41_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_42_ADDR                                              0x1809D6A8
#define  PQL1_00_ADDR_PQL1_42_ADDR_reg_addr                                      "0xB809D6A8"
#define  PQL1_00_ADDR_PQL1_42_ADDR_reg                                           0xB809D6A8
#define  PQL1_00_ADDR_PQL1_42_ADDR_inst_addr                                     "0x002A"
#define  set_PQL1_00_ADDR_PQL1_42_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_42_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_42_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_42_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_42_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_42_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_42_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_42_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_43_ADDR                                              0x1809D6AC
#define  PQL1_00_ADDR_PQL1_43_ADDR_reg_addr                                      "0xB809D6AC"
#define  PQL1_00_ADDR_PQL1_43_ADDR_reg                                           0xB809D6AC
#define  PQL1_00_ADDR_PQL1_43_ADDR_inst_addr                                     "0x002B"
#define  set_PQL1_00_ADDR_PQL1_43_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_43_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_43_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_43_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_43_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_43_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_43_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_43_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_44_ADDR                                              0x1809D6B0
#define  PQL1_00_ADDR_PQL1_44_ADDR_reg_addr                                      "0xB809D6B0"
#define  PQL1_00_ADDR_PQL1_44_ADDR_reg                                           0xB809D6B0
#define  PQL1_00_ADDR_PQL1_44_ADDR_inst_addr                                     "0x002C"
#define  set_PQL1_00_ADDR_PQL1_44_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_44_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_44_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_44_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_44_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_44_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_44_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_44_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_45_ADDR                                              0x1809D6B4
#define  PQL1_00_ADDR_PQL1_45_ADDR_reg_addr                                      "0xB809D6B4"
#define  PQL1_00_ADDR_PQL1_45_ADDR_reg                                           0xB809D6B4
#define  PQL1_00_ADDR_PQL1_45_ADDR_inst_addr                                     "0x002D"
#define  set_PQL1_00_ADDR_PQL1_45_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_45_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_45_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_45_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_45_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_45_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_45_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_45_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_46_ADDR                                              0x1809D6B8
#define  PQL1_00_ADDR_PQL1_46_ADDR_reg_addr                                      "0xB809D6B8"
#define  PQL1_00_ADDR_PQL1_46_ADDR_reg                                           0xB809D6B8
#define  PQL1_00_ADDR_PQL1_46_ADDR_inst_addr                                     "0x002E"
#define  set_PQL1_00_ADDR_PQL1_46_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_46_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_46_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_46_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_46_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_46_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_46_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_46_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_47_ADDR                                              0x1809D6BC
#define  PQL1_00_ADDR_PQL1_47_ADDR_reg_addr                                      "0xB809D6BC"
#define  PQL1_00_ADDR_PQL1_47_ADDR_reg                                           0xB809D6BC
#define  PQL1_00_ADDR_PQL1_47_ADDR_inst_addr                                     "0x002F"
#define  set_PQL1_00_ADDR_PQL1_47_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_47_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_47_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_47_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_47_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_47_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_47_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_47_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_48_ADDR                                              0x1809D6C0
#define  PQL1_00_ADDR_PQL1_48_ADDR_reg_addr                                      "0xB809D6C0"
#define  PQL1_00_ADDR_PQL1_48_ADDR_reg                                           0xB809D6C0
#define  PQL1_00_ADDR_PQL1_48_ADDR_inst_addr                                     "0x0030"
#define  set_PQL1_00_ADDR_PQL1_48_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_48_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_48_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_48_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_48_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_48_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_48_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_48_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_49_ADDR                                              0x1809D6C4
#define  PQL1_00_ADDR_PQL1_49_ADDR_reg_addr                                      "0xB809D6C4"
#define  PQL1_00_ADDR_PQL1_49_ADDR_reg                                           0xB809D6C4
#define  PQL1_00_ADDR_PQL1_49_ADDR_inst_addr                                     "0x0031"
#define  set_PQL1_00_ADDR_PQL1_49_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_49_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_49_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_49_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_49_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_49_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_49_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_49_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_50_ADDR                                              0x1809D6C8
#define  PQL1_00_ADDR_PQL1_50_ADDR_reg_addr                                      "0xB809D6C8"
#define  PQL1_00_ADDR_PQL1_50_ADDR_reg                                           0xB809D6C8
#define  PQL1_00_ADDR_PQL1_50_ADDR_inst_addr                                     "0x0032"
#define  set_PQL1_00_ADDR_PQL1_50_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_50_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_50_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_50_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_50_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_50_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_50_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_50_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_51_ADDR                                              0x1809D6CC
#define  PQL1_00_ADDR_PQL1_51_ADDR_reg_addr                                      "0xB809D6CC"
#define  PQL1_00_ADDR_PQL1_51_ADDR_reg                                           0xB809D6CC
#define  PQL1_00_ADDR_PQL1_51_ADDR_inst_addr                                     "0x0033"
#define  set_PQL1_00_ADDR_PQL1_51_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_51_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_51_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_51_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_51_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_51_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_51_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_51_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_52_ADDR                                              0x1809D6D0
#define  PQL1_00_ADDR_PQL1_52_ADDR_reg_addr                                      "0xB809D6D0"
#define  PQL1_00_ADDR_PQL1_52_ADDR_reg                                           0xB809D6D0
#define  PQL1_00_ADDR_PQL1_52_ADDR_inst_addr                                     "0x0034"
#define  set_PQL1_00_ADDR_PQL1_52_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_52_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_52_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_52_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_52_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_52_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_52_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_52_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_53_ADDR                                              0x1809D6D4
#define  PQL1_00_ADDR_PQL1_53_ADDR_reg_addr                                      "0xB809D6D4"
#define  PQL1_00_ADDR_PQL1_53_ADDR_reg                                           0xB809D6D4
#define  PQL1_00_ADDR_PQL1_53_ADDR_inst_addr                                     "0x0035"
#define  set_PQL1_00_ADDR_PQL1_53_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_53_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_53_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_53_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_53_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_53_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_53_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_53_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_54_ADDR                                              0x1809D6D8
#define  PQL1_00_ADDR_PQL1_54_ADDR_reg_addr                                      "0xB809D6D8"
#define  PQL1_00_ADDR_PQL1_54_ADDR_reg                                           0xB809D6D8
#define  PQL1_00_ADDR_PQL1_54_ADDR_inst_addr                                     "0x0036"
#define  set_PQL1_00_ADDR_PQL1_54_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_54_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_54_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_54_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_54_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_54_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_54_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_54_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_55_ADDR                                              0x1809D6DC
#define  PQL1_00_ADDR_PQL1_55_ADDR_reg_addr                                      "0xB809D6DC"
#define  PQL1_00_ADDR_PQL1_55_ADDR_reg                                           0xB809D6DC
#define  PQL1_00_ADDR_PQL1_55_ADDR_inst_addr                                     "0x0037"
#define  set_PQL1_00_ADDR_PQL1_55_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_55_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_55_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_55_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_55_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_55_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_55_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_55_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_56_ADDR                                              0x1809D6E0
#define  PQL1_00_ADDR_PQL1_56_ADDR_reg_addr                                      "0xB809D6E0"
#define  PQL1_00_ADDR_PQL1_56_ADDR_reg                                           0xB809D6E0
#define  PQL1_00_ADDR_PQL1_56_ADDR_inst_addr                                     "0x0038"
#define  set_PQL1_00_ADDR_PQL1_56_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_56_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_56_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_56_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_56_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_56_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_56_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_56_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_57_ADDR                                              0x1809D6E4
#define  PQL1_00_ADDR_PQL1_57_ADDR_reg_addr                                      "0xB809D6E4"
#define  PQL1_00_ADDR_PQL1_57_ADDR_reg                                           0xB809D6E4
#define  PQL1_00_ADDR_PQL1_57_ADDR_inst_addr                                     "0x0039"
#define  set_PQL1_00_ADDR_PQL1_57_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_57_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_57_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_57_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_57_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_57_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_57_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_57_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_58_ADDR                                              0x1809D6E8
#define  PQL1_00_ADDR_PQL1_58_ADDR_reg_addr                                      "0xB809D6E8"
#define  PQL1_00_ADDR_PQL1_58_ADDR_reg                                           0xB809D6E8
#define  PQL1_00_ADDR_PQL1_58_ADDR_inst_addr                                     "0x003A"
#define  set_PQL1_00_ADDR_PQL1_58_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_58_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_58_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_58_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_58_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_58_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_58_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_58_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_59_ADDR                                              0x1809D6EC
#define  PQL1_00_ADDR_PQL1_59_ADDR_reg_addr                                      "0xB809D6EC"
#define  PQL1_00_ADDR_PQL1_59_ADDR_reg                                           0xB809D6EC
#define  PQL1_00_ADDR_PQL1_59_ADDR_inst_addr                                     "0x003B"
#define  set_PQL1_00_ADDR_PQL1_59_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_59_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_59_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_59_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_59_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_59_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_59_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_59_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_60_ADDR                                              0x1809D6F0
#define  PQL1_00_ADDR_PQL1_60_ADDR_reg_addr                                      "0xB809D6F0"
#define  PQL1_00_ADDR_PQL1_60_ADDR_reg                                           0xB809D6F0
#define  PQL1_00_ADDR_PQL1_60_ADDR_inst_addr                                     "0x003C"
#define  set_PQL1_00_ADDR_PQL1_60_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_60_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_60_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_60_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_60_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_60_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_60_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_60_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_61_ADDR                                              0x1809D6F4
#define  PQL1_00_ADDR_PQL1_61_ADDR_reg_addr                                      "0xB809D6F4"
#define  PQL1_00_ADDR_PQL1_61_ADDR_reg                                           0xB809D6F4
#define  PQL1_00_ADDR_PQL1_61_ADDR_inst_addr                                     "0x003D"
#define  set_PQL1_00_ADDR_PQL1_61_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_61_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_61_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_61_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_61_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_61_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_61_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_61_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_62_ADDR                                              0x1809D6F8
#define  PQL1_00_ADDR_PQL1_62_ADDR_reg_addr                                      "0xB809D6F8"
#define  PQL1_00_ADDR_PQL1_62_ADDR_reg                                           0xB809D6F8
#define  PQL1_00_ADDR_PQL1_62_ADDR_inst_addr                                     "0x003E"
#define  set_PQL1_00_ADDR_PQL1_62_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_62_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_62_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_62_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_62_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_62_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_62_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_62_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#define  PQL1_00_ADDR_PQL1_63_ADDR                                              0x1809D6FC
#define  PQL1_00_ADDR_PQL1_63_ADDR_reg_addr                                      "0xB809D6FC"
#define  PQL1_00_ADDR_PQL1_63_ADDR_reg                                           0xB809D6FC
#define  PQL1_00_ADDR_PQL1_63_ADDR_inst_addr                                     "0x003F"
#define  set_PQL1_00_ADDR_PQL1_63_ADDR_reg(data)                                 (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_63_ADDR_reg)=data)
#define  get_PQL1_00_ADDR_PQL1_63_ADDR_reg                                       (*((volatile unsigned int*)PQL1_00_ADDR_PQL1_63_ADDR_reg))
#define  PQL1_00_ADDR_PQL1_63_ADDR_dummy_31_0_shift                              (0)
#define  PQL1_00_ADDR_PQL1_63_ADDR_dummy_31_0_mask                               (0xFFFFFFFF)
#define  PQL1_00_ADDR_PQL1_63_ADDR_dummy_31_0(data)                              (0xFFFFFFFF&(data))
#define  PQL1_00_ADDR_PQL1_63_ADDR_get_dummy_31_0(data)                          (0xFFFFFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======PQL1_00_ADDR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  film_det_cadence_en:31;
        RBus_UInt32  film_det_bypass:1;
    };
}pql1_00_addr_pql1_00_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d604_31_0:32;
    };
}pql1_00_addr_pql1_01_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d608_31_0:32;
    };
}pql1_00_addr_pql1_02_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d60c_31_0:32;
    };
}pql1_00_addr_pql1_03_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d610_31_0:32;
    };
}pql1_00_addr_pql1_04_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d614_31_0:32;
    };
}pql1_00_addr_pql1_05_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d618_31_0:32;
    };
}pql1_00_addr_pql1_06_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d61c_31_0:32;
    };
}pql1_00_addr_pql1_07_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d620_31_0:32;
    };
}pql1_00_addr_pql1_08_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d624_31_0:32;
    };
}pql1_00_addr_pql1_09_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d628_31_0:32;
    };
}pql1_00_addr_pql1_10_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d62c_31_0:32;
    };
}pql1_00_addr_pql1_11_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d630_31_0:32;
    };
}pql1_00_addr_pql1_12_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d634_31_0:32;
    };
}pql1_00_addr_pql1_13_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d638_31_0:32;
    };
}pql1_00_addr_pql1_14_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d63c_31_0:32;
    };
}pql1_00_addr_pql1_15_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d640_31_0:32;
    };
}pql1_00_addr_pql1_16_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d644_31_0:32;
    };
}pql1_00_addr_pql1_17_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d648_31_0:32;
    };
}pql1_00_addr_pql1_18_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d64c_31_0:32;
    };
}pql1_00_addr_pql1_19_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d650_31_0:32;
    };
}pql1_00_addr_pql1_20_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d654_31_0:32;
    };
}pql1_00_addr_pql1_21_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d658_31_0:32;
    };
}pql1_00_addr_pql1_22_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d65c_31_0:32;
    };
}pql1_00_addr_pql1_23_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d660_31_0:32;
    };
}pql1_00_addr_pql1_24_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d664_31_0:32;
    };
}pql1_00_addr_pql1_25_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d668_31_0:32;
    };
}pql1_00_addr_pql1_26_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d66c_31_0:32;
    };
}pql1_00_addr_pql1_27_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d670_31_0:32;
    };
}pql1_00_addr_pql1_28_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d674_31_0:32;
    };
}pql1_00_addr_pql1_29_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d678_31_0:32;
    };
}pql1_00_addr_pql1_30_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d67c_31_0:32;
    };
}pql1_00_addr_pql1_31_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d680_31_0:32;
    };
}pql1_00_addr_pql1_32_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d684_31_0:32;
    };
}pql1_00_addr_pql1_33_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d688_31_0:32;
    };
}pql1_00_addr_pql1_34_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d68c_31_0:32;
    };
}pql1_00_addr_pql1_35_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d690_31_0:32;
    };
}pql1_00_addr_pql1_36_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d694_31_0:32;
    };
}pql1_00_addr_pql1_37_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d698_31_0:32;
    };
}pql1_00_addr_pql1_38_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d69c_31_0:32;
    };
}pql1_00_addr_pql1_39_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a0_31_0:32;
    };
}pql1_00_addr_pql1_40_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a4_31_0:32;
    };
}pql1_00_addr_pql1_41_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a8_31_0:32;
    };
}pql1_00_addr_pql1_42_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6ac_31_0:32;
    };
}pql1_00_addr_pql1_43_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b0_31_0:32;
    };
}pql1_00_addr_pql1_44_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b4_31_0:32;
    };
}pql1_00_addr_pql1_45_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b8_31_0:32;
    };
}pql1_00_addr_pql1_46_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6bc_31_0:32;
    };
}pql1_00_addr_pql1_47_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c0_31_0:32;
    };
}pql1_00_addr_pql1_48_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c4_31_0:32;
    };
}pql1_00_addr_pql1_49_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c8_31_0:32;
    };
}pql1_00_addr_pql1_50_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6cc_31_0:32;
    };
}pql1_00_addr_pql1_51_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d0_31_0:32;
    };
}pql1_00_addr_pql1_52_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d4_31_0:32;
    };
}pql1_00_addr_pql1_53_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d8_31_0:32;
    };
}pql1_00_addr_pql1_54_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6dc_31_0:32;
    };
}pql1_00_addr_pql1_55_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e0_31_0:32;
    };
}pql1_00_addr_pql1_56_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e4_31_0:32;
    };
}pql1_00_addr_pql1_57_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e8_31_0:32;
    };
}pql1_00_addr_pql1_58_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6ec_31_0:32;
    };
}pql1_00_addr_pql1_59_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f0_31_0:32;
    };
}pql1_00_addr_pql1_60_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f4_31_0:32;
    };
}pql1_00_addr_pql1_61_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f8_31_0:32;
    };
}pql1_00_addr_pql1_62_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6fc_31_0:32;
    };
}pql1_00_addr_pql1_63_addr_RBUS;

#else //apply LITTLE_ENDIAN

//======PQL1_00_ADDR register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  film_det_bypass:1;
        RBus_UInt32  film_det_cadence_en:31;
    };
}pql1_00_addr_pql1_00_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d604_31_0:32;
    };
}pql1_00_addr_pql1_01_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d608_31_0:32;
    };
}pql1_00_addr_pql1_02_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d60c_31_0:32;
    };
}pql1_00_addr_pql1_03_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d610_31_0:32;
    };
}pql1_00_addr_pql1_04_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d614_31_0:32;
    };
}pql1_00_addr_pql1_05_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d618_31_0:32;
    };
}pql1_00_addr_pql1_06_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d61c_31_0:32;
    };
}pql1_00_addr_pql1_07_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d620_31_0:32;
    };
}pql1_00_addr_pql1_08_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d624_31_0:32;
    };
}pql1_00_addr_pql1_09_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d628_31_0:32;
    };
}pql1_00_addr_pql1_10_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d62c_31_0:32;
    };
}pql1_00_addr_pql1_11_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d630_31_0:32;
    };
}pql1_00_addr_pql1_12_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d634_31_0:32;
    };
}pql1_00_addr_pql1_13_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d638_31_0:32;
    };
}pql1_00_addr_pql1_14_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d63c_31_0:32;
    };
}pql1_00_addr_pql1_15_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d640_31_0:32;
    };
}pql1_00_addr_pql1_16_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d644_31_0:32;
    };
}pql1_00_addr_pql1_17_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d648_31_0:32;
    };
}pql1_00_addr_pql1_18_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d64c_31_0:32;
    };
}pql1_00_addr_pql1_19_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d650_31_0:32;
    };
}pql1_00_addr_pql1_20_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d654_31_0:32;
    };
}pql1_00_addr_pql1_21_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d658_31_0:32;
    };
}pql1_00_addr_pql1_22_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d65c_31_0:32;
    };
}pql1_00_addr_pql1_23_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d660_31_0:32;
    };
}pql1_00_addr_pql1_24_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d664_31_0:32;
    };
}pql1_00_addr_pql1_25_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d668_31_0:32;
    };
}pql1_00_addr_pql1_26_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d66c_31_0:32;
    };
}pql1_00_addr_pql1_27_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d670_31_0:32;
    };
}pql1_00_addr_pql1_28_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d674_31_0:32;
    };
}pql1_00_addr_pql1_29_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d678_31_0:32;
    };
}pql1_00_addr_pql1_30_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d67c_31_0:32;
    };
}pql1_00_addr_pql1_31_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d680_31_0:32;
    };
}pql1_00_addr_pql1_32_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d684_31_0:32;
    };
}pql1_00_addr_pql1_33_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d688_31_0:32;
    };
}pql1_00_addr_pql1_34_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d68c_31_0:32;
    };
}pql1_00_addr_pql1_35_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d690_31_0:32;
    };
}pql1_00_addr_pql1_36_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d694_31_0:32;
    };
}pql1_00_addr_pql1_37_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d698_31_0:32;
    };
}pql1_00_addr_pql1_38_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d69c_31_0:32;
    };
}pql1_00_addr_pql1_39_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a0_31_0:32;
    };
}pql1_00_addr_pql1_40_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a4_31_0:32;
    };
}pql1_00_addr_pql1_41_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6a8_31_0:32;
    };
}pql1_00_addr_pql1_42_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6ac_31_0:32;
    };
}pql1_00_addr_pql1_43_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b0_31_0:32;
    };
}pql1_00_addr_pql1_44_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b4_31_0:32;
    };
}pql1_00_addr_pql1_45_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6b8_31_0:32;
    };
}pql1_00_addr_pql1_46_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6bc_31_0:32;
    };
}pql1_00_addr_pql1_47_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c0_31_0:32;
    };
}pql1_00_addr_pql1_48_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c4_31_0:32;
    };
}pql1_00_addr_pql1_49_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6c8_31_0:32;
    };
}pql1_00_addr_pql1_50_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6cc_31_0:32;
    };
}pql1_00_addr_pql1_51_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d0_31_0:32;
    };
}pql1_00_addr_pql1_52_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d4_31_0:32;
    };
}pql1_00_addr_pql1_53_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6d8_31_0:32;
    };
}pql1_00_addr_pql1_54_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6dc_31_0:32;
    };
}pql1_00_addr_pql1_55_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e0_31_0:32;
    };
}pql1_00_addr_pql1_56_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e4_31_0:32;
    };
}pql1_00_addr_pql1_57_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6e8_31_0:32;
    };
}pql1_00_addr_pql1_58_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6ec_31_0:32;
    };
}pql1_00_addr_pql1_59_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f0_31_0:32;
    };
}pql1_00_addr_pql1_60_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f4_31_0:32;
    };
}pql1_00_addr_pql1_61_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6f8_31_0:32;
    };
}pql1_00_addr_pql1_62_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1809d6fc_31_0:32;
    };
}pql1_00_addr_pql1_63_addr_RBUS;




#endif 


#endif 
