/**
* @file Merlin6-DesignSpec-D-Domain_SiW_Demura
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SIW_DEMURA_REG_H_
#define _RBUS_SIW_DEMURA_REG_H_

#include "rbus_types.h"



//  SIW_DEMURA Register Address
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0                                        0x1802EBA8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg_addr                                "0xB802EBA8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg                                     0xB802EBA8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_inst_addr                               "0x0000"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION0_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_register0_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_register0_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_register0(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION0_get_register0(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1                                        0x1802EBAC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg_addr                                "0xB802EBAC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg                                     0xB802EBAC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_inst_addr                               "0x0001"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION1_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_register1_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_register1_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_register1(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION1_get_register1(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2                                        0x1802EBB0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg_addr                                "0xB802EBB0"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg                                     0xB802EBB0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_inst_addr                               "0x0002"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION2_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_register2_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_register2_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_register2(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION2_get_register2(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3                                        0x1802EBB4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg_addr                                "0xB802EBB4"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg                                     0xB802EBB4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_inst_addr                               "0x0003"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION3_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_register3_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_register3_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_register3(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION3_get_register3(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4                                        0x1802EBB8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg_addr                                "0xB802EBB8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg                                     0xB802EBB8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_inst_addr                               "0x0004"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION4_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_register4_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_register4_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_register4(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION4_get_register4(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5                                        0x1802EBBC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg_addr                                "0xB802EBBC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg                                     0xB802EBBC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_inst_addr                               "0x0005"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION5_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_register5_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_register5_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_register5(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION5_get_register5(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6                                        0x1802EBC0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg_addr                                "0xB802EBC0"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg                                     0xB802EBC0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_inst_addr                               "0x0006"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION6_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_register6_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_register6_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_register6(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION6_get_register6(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7                                        0x1802EBC4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg_addr                                "0xB802EBC4"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg                                     0xB802EBC4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_inst_addr                               "0x0007"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION7_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_register7_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_register7_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_register7(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION7_get_register7(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8                                        0x1802EBC8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg_addr                                "0xB802EBC8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg                                     0xB802EBC8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_inst_addr                               "0x0008"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION8_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_register8_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_register8_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_register8(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION8_get_register8(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9                                        0x1802EBCC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg_addr                                "0xB802EBCC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg                                     0xB802EBCC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_inst_addr                               "0x0009"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg(data)                           (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg                                 (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION9_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_register9_shift                         (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_register9_mask                          (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_register9(data)                         (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION9_get_register9(data)                     (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10                                       0x1802EBD0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg_addr                               "0xB802EBD0"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg                                    0xB802EBD0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_inst_addr                              "0x000A"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION10_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_register10_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_register10_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_register10(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION10_get_register10(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11                                       0x1802EBD4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg_addr                               "0xB802EBD4"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg                                    0xB802EBD4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_inst_addr                              "0x000B"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION11_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_register11_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_register11_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_register11(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION11_get_register11(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12                                       0x1802EBD8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg_addr                               "0xB802EBD8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg                                    0xB802EBD8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_inst_addr                              "0x000C"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION12_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_register12_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_register12_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_register12(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION12_get_register12(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13                                       0x1802EBDC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg_addr                               "0xB802EBDC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg                                    0xB802EBDC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_inst_addr                              "0x000D"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION13_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_register13_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_register13_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_register13(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION13_get_register13(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14                                       0x1802EBE0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg_addr                               "0xB802EBE0"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg                                    0xB802EBE0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_inst_addr                              "0x000E"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION14_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_register14_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_register14_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_register14(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION14_get_register14(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15                                       0x1802EBE4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg_addr                               "0xB802EBE4"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg                                    0xB802EBE4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_inst_addr                              "0x000F"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION15_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_register15_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_register15_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_register15(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION15_get_register15(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16                                       0x1802EBE8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg_addr                               "0xB802EBE8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg                                    0xB802EBE8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_inst_addr                              "0x0010"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION16_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_register16_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_register16_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_register16(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION16_get_register16(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17                                       0x1802EBEC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg_addr                               "0xB802EBEC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg                                    0xB802EBEC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_inst_addr                              "0x0011"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION17_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_register17_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_register17_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_register17(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION17_get_register17(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18                                       0x1802EBF0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg_addr                               "0xB802EBF0"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg                                    0xB802EBF0
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_inst_addr                              "0x0012"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION18_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_register18_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_register18_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_register18(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION18_get_register18(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19                                       0x1802EBF4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg_addr                               "0xB802EBF4"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg                                    0xB802EBF4
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_inst_addr                              "0x0013"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION19_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_register19_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_register19_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_register19(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION19_get_register19(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20                                       0x1802EBF8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg_addr                               "0xB802EBF8"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg                                    0xB802EBF8
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_inst_addr                              "0x0014"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION20_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_register20_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_register20_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_register20(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION20_get_register20(data)                   (0x000000FF&(data))

#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21                                       0x1802EBFC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg_addr                               "0xB802EBFC"
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg                                    0xB802EBFC
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_inst_addr                              "0x0015"
#define  set_SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg(data)                          (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg)=data)
#define  get_SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg                                (*((volatile unsigned int*)SIW_DEMURA_SIW_DEMURA_FUNCTION21_reg))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_register21_shift                       (0)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_register21_mask                        (0x000000FF)
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_register21(data)                       (0x000000FF&(data))
#define  SIW_DEMURA_SIW_DEMURA_FUNCTION21_get_register21(data)                   (0x000000FF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SIW_DEMURA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register0:8;
    };
}siw_demura_siw_demura_function0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register1:8;
    };
}siw_demura_siw_demura_function1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register2:8;
    };
}siw_demura_siw_demura_function2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register3:8;
    };
}siw_demura_siw_demura_function3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register4:8;
    };
}siw_demura_siw_demura_function4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register5:8;
    };
}siw_demura_siw_demura_function5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register6:8;
    };
}siw_demura_siw_demura_function6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register7:8;
    };
}siw_demura_siw_demura_function7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register8:8;
    };
}siw_demura_siw_demura_function8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register9:8;
    };
}siw_demura_siw_demura_function9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register10:8;
    };
}siw_demura_siw_demura_function10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register11:8;
    };
}siw_demura_siw_demura_function11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register12:8;
    };
}siw_demura_siw_demura_function12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register13:8;
    };
}siw_demura_siw_demura_function13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register14:8;
    };
}siw_demura_siw_demura_function14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register15:8;
    };
}siw_demura_siw_demura_function15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register16:8;
    };
}siw_demura_siw_demura_function16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register17:8;
    };
}siw_demura_siw_demura_function17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register18:8;
    };
}siw_demura_siw_demura_function18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register19:8;
    };
}siw_demura_siw_demura_function19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register20:8;
    };
}siw_demura_siw_demura_function20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  register21:8;
    };
}siw_demura_siw_demura_function21_RBUS;

#else //apply LITTLE_ENDIAN

//======SIW_DEMURA register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register0:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register1:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register2:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register3:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register4:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register5:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register6:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register7:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register8:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register9:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register10:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register11:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register12:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register13:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register14:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register15:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register16:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register17:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register18:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register19:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register20:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  register21:8;
        RBus_UInt32  res1:24;
    };
}siw_demura_siw_demura_function21_RBUS;




#endif 


#endif 
