/**
* @file Merlin6-DesignSpec-TV-SSB7-DCU1
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_TVSSB7_REG_H_
#define _RBUS_TVSSB7_REG_H_

#include "rbus_types.h"



//  TVSSB7 Register Address
#define  TVSSB7_TV_SSB7_ARB_CR0                                                 0x1801C980
#define  TVSSB7_TV_SSB7_ARB_CR0_reg_addr                                         "0xB801C980"
#define  TVSSB7_TV_SSB7_ARB_CR0_reg                                              0xB801C980
#define  TVSSB7_TV_SSB7_ARB_CR0_inst_addr                                        "0x0000"
#define  set_TVSSB7_TV_SSB7_ARB_CR0_reg(data)                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_CR0_reg)=data)
#define  get_TVSSB7_TV_SSB7_ARB_CR0_reg                                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_CR0_reg))
#define  TVSSB7_TV_SSB7_ARB_CR0_dummy_31_4_shift                                 (4)
#define  TVSSB7_TV_SSB7_ARB_CR0_time_step_shift                                  (0)
#define  TVSSB7_TV_SSB7_ARB_CR0_dummy_31_4_mask                                  (0xFFFFFFF0)
#define  TVSSB7_TV_SSB7_ARB_CR0_time_step_mask                                   (0x0000000F)
#define  TVSSB7_TV_SSB7_ARB_CR0_dummy_31_4(data)                                 (0xFFFFFFF0&((data)<<4))
#define  TVSSB7_TV_SSB7_ARB_CR0_time_step(data)                                  (0x0000000F&(data))
#define  TVSSB7_TV_SSB7_ARB_CR0_get_dummy_31_4(data)                             ((0xFFFFFFF0&(data))>>4)
#define  TVSSB7_TV_SSB7_ARB_CR0_get_time_step(data)                              (0x0000000F&(data))

#define  TVSSB7_TV_SSB7_ARB_CR1                                                 0x1801C984
#define  TVSSB7_TV_SSB7_ARB_CR1_reg_addr                                         "0xB801C984"
#define  TVSSB7_TV_SSB7_ARB_CR1_reg                                              0xB801C984
#define  TVSSB7_TV_SSB7_ARB_CR1_inst_addr                                        "0x0001"
#define  set_TVSSB7_TV_SSB7_ARB_CR1_reg(data)                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_CR1_reg)=data)
#define  get_TVSSB7_TV_SSB7_ARB_CR1_reg                                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_CR1_reg))
#define  TVSSB7_TV_SSB7_ARB_CR1_arb_en_shift                                     (0)
#define  TVSSB7_TV_SSB7_ARB_CR1_arb_en_mask                                      (0x00000003)
#define  TVSSB7_TV_SSB7_ARB_CR1_arb_en(data)                                     (0x00000003&(data))
#define  TVSSB7_TV_SSB7_ARB_CR1_get_arb_en(data)                                 (0x00000003&(data))

#define  TVSSB7_TV_SSB7_LATCNT_CR1                                              0x1801C988
#define  TVSSB7_TV_SSB7_LATCNT_CR1_reg_addr                                      "0xB801C988"
#define  TVSSB7_TV_SSB7_LATCNT_CR1_reg                                           0xB801C988
#define  TVSSB7_TV_SSB7_LATCNT_CR1_inst_addr                                     "0x0002"
#define  set_TVSSB7_TV_SSB7_LATCNT_CR1_reg(data)                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_LATCNT_CR1_reg)=data)
#define  get_TVSSB7_TV_SSB7_LATCNT_CR1_reg                                       (*((volatile unsigned int*)TVSSB7_TV_SSB7_LATCNT_CR1_reg))
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_end_shift                      (16)
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_beg_shift                      (0)
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_end_mask                       (0x00FF0000)
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_beg_mask                       (0x000000FF)
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_end(data)                      (0x00FF0000&((data)<<16))
#define  TVSSB7_TV_SSB7_LATCNT_CR1_client0_latcnt_beg(data)                      (0x000000FF&(data))
#define  TVSSB7_TV_SSB7_LATCNT_CR1_get_client0_latcnt_end(data)                  ((0x00FF0000&(data))>>16)
#define  TVSSB7_TV_SSB7_LATCNT_CR1_get_client0_latcnt_beg(data)                  (0x000000FF&(data))

#define  TVSSB7_TV_SSB7_LATCNT_CR2                                              0x1801C98C
#define  TVSSB7_TV_SSB7_LATCNT_CR2_reg_addr                                      "0xB801C98C"
#define  TVSSB7_TV_SSB7_LATCNT_CR2_reg                                           0xB801C98C
#define  TVSSB7_TV_SSB7_LATCNT_CR2_inst_addr                                     "0x0003"
#define  set_TVSSB7_TV_SSB7_LATCNT_CR2_reg(data)                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_LATCNT_CR2_reg)=data)
#define  get_TVSSB7_TV_SSB7_LATCNT_CR2_reg                                       (*((volatile unsigned int*)TVSSB7_TV_SSB7_LATCNT_CR2_reg))
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_end_shift                      (16)
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_beg_shift                      (0)
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_end_mask                       (0x00FF0000)
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_beg_mask                       (0x000000FF)
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_end(data)                      (0x00FF0000&((data)<<16))
#define  TVSSB7_TV_SSB7_LATCNT_CR2_client1_latcnt_beg(data)                      (0x000000FF&(data))
#define  TVSSB7_TV_SSB7_LATCNT_CR2_get_client1_latcnt_end(data)                  ((0x00FF0000&(data))>>16)
#define  TVSSB7_TV_SSB7_LATCNT_CR2_get_client1_latcnt_beg(data)                  (0x000000FF&(data))

#define  TVSSB7_TV_SSB7_PC_CTRL                                                 0x1801C990
#define  TVSSB7_TV_SSB7_PC_CTRL_reg_addr                                         "0xB801C990"
#define  TVSSB7_TV_SSB7_PC_CTRL_reg                                              0xB801C990
#define  TVSSB7_TV_SSB7_PC_CTRL_inst_addr                                        "0x0004"
#define  set_TVSSB7_TV_SSB7_PC_CTRL_reg(data)                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_CTRL_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_CTRL_reg                                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_CTRL_reg))
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_rd_only_shift                                 (1)
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_go_shift                                      (0)
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_rd_only_mask                                  (0x00000002)
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_go_mask                                       (0x00000001)
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_rd_only(data)                                 (0x00000002&((data)<<1))
#define  TVSSB7_TV_SSB7_PC_CTRL_pc_go(data)                                      (0x00000001&(data))
#define  TVSSB7_TV_SSB7_PC_CTRL_get_pc_rd_only(data)                             ((0x00000002&(data))>>1)
#define  TVSSB7_TV_SSB7_PC_CTRL_get_pc_go(data)                                  (0x00000001&(data))

#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM                                         0x1801C994
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg_addr                                 "0xB801C994"
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg                                      0xB801C994
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_inst_addr                                "0x0005"
#define  set_TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg(data)                            (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg                                  (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_reg))
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_pc_tota_mon_num_shift                    (0)
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_pc_tota_mon_num_mask                     (0xFFFFFFFF)
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_pc_tota_mon_num(data)                    (0xFFFFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_TOTA_MON_NUM_get_pc_tota_mon_num(data)                (0xFFFFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM                                         0x1801C998
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg_addr                                 "0xB801C998"
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg                                      0xB801C998
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_inst_addr                                "0x0006"
#define  set_TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg(data)                            (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg                                  (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_reg))
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_pc_tota_ack_num_shift                    (0)
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_pc_tota_ack_num_mask                     (0xFFFFFFFF)
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_pc_tota_ack_num(data)                    (0xFFFFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_TOTA_ACK_NUM_get_pc_tota_ack_num(data)                (0xFFFFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM                                         0x1801C99C
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg_addr                                 "0xB801C99C"
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg                                      0xB801C99C
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_inst_addr                                "0x0007"
#define  set_TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg(data)                            (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg                                  (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_reg))
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_pc_tota_idl_num_shift                    (0)
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_pc_tota_idl_num_mask                     (0xFFFFFFFF)
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_pc_tota_idl_num(data)                    (0xFFFFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_TOTA_IDL_NUM_get_pc_tota_idl_num(data)                (0xFFFFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_prog_ctrl1                                           0x1801C9A0
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_reg_addr                                   "0xB801C9A0"
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_reg                                        0xB801C9A0
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_inst_addr                                  "0x0008"
#define  set_TVSSB7_TV_SSB7_PC_prog_ctrl1_reg(data)                              (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_ctrl1_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_ctrl1_reg                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_ctrl1_reg))
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_pc_prog0_sel_shift                         (0)
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_pc_prog0_sel_mask                          (0x0000000F)
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_pc_prog0_sel(data)                         (0x0000000F&(data))
#define  TVSSB7_TV_SSB7_PC_prog_ctrl1_get_pc_prog0_sel(data)                     (0x0000000F&(data))

#define  TVSSB7_TV_SSB7_PC_prog_ctrl2                                           0x1801C9A4
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_reg_addr                                   "0xB801C9A4"
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_reg                                        0xB801C9A4
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_inst_addr                                  "0x0009"
#define  set_TVSSB7_TV_SSB7_PC_prog_ctrl2_reg(data)                              (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_ctrl2_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_ctrl2_reg                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_ctrl2_reg))
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_pc_prog0_req_occur_shift                   (0)
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_pc_prog0_req_occur_mask                    (0x00000001)
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_pc_prog0_req_occur(data)                   (0x00000001&(data))
#define  TVSSB7_TV_SSB7_PC_prog_ctrl2_get_pc_prog0_req_occur(data)               (0x00000001&(data))

#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat                                       0x1801C9A8
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg_addr                               "0xB801C9A8"
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg                                    0xB801C9A8
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_inst_addr                              "0x000A"
#define  set_TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg(data)                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg                                (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_acc_lat_reg))
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_prog_acc_lat_shift                     (0)
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_prog_acc_lat_mask                      (0xFFFFFFFF)
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_prog_acc_lat(data)                     (0xFFFFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_prog_0_acc_lat_get_prog_acc_lat(data)                 (0xFFFFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat                                       0x1801C9AC
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg_addr                               "0xB801C9AC"
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg                                    0xB801C9AC
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_inst_addr                              "0x000B"
#define  set_TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg(data)                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg                                (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_max_lat_reg))
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_prog_max_lat_shift                     (0)
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_prog_max_lat_mask                      (0x0000FFFF)
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_prog_max_lat(data)                     (0x0000FFFF&(data))
#define  TVSSB7_TV_SSB7_PC_prog_0_max_lat_get_prog_max_lat(data)                 (0x0000FFFF&(data))

#define  TVSSB7_TV_SSB7_PC_prog_0_req_num                                       0x1801C9B0
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_reg_addr                               "0xB801C9B0"
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_reg                                    0xB801C9B0
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_inst_addr                              "0x000C"
#define  set_TVSSB7_TV_SSB7_PC_prog_0_req_num_reg(data)                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_req_num_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_0_req_num_reg                                (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_req_num_reg))
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_prog_req_num_shift                     (0)
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_prog_req_num_mask                      (0x00FFFFFF)
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_prog_req_num(data)                     (0x00FFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_prog_0_req_num_get_prog_req_num(data)                 (0x00FFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num                                       0x1801C9B4
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg_addr                               "0xB801C9B4"
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg                                    0xB801C9B4
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_inst_addr                              "0x000D"
#define  set_TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg(data)                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg                                (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_ack_num_reg))
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_prog_ack_num_shift                     (0)
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_prog_ack_num_mask                      (0xFFFFFFFF)
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_prog_ack_num(data)                     (0xFFFFFFFF&(data))
#define  TVSSB7_TV_SSB7_PC_prog_0_ack_num_get_prog_ack_num(data)                 (0xFFFFFFFF&(data))

#define  TVSSB7_TV_SSB7_PC_prog_0_hitend                                        0x1801C9B8
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_reg_addr                                "0xB801C9B8"
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_reg                                     0xB801C9B8
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_inst_addr                               "0x000E"
#define  set_TVSSB7_TV_SSB7_PC_prog_0_hitend_reg(data)                           (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_hitend_reg)=data)
#define  get_TVSSB7_TV_SSB7_PC_prog_0_hitend_reg                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_PC_prog_0_hitend_reg))
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_prog_hitend_cnt_shift                   (0)
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_prog_hitend_cnt_mask                    (0x0000FFFF)
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_prog_hitend_cnt(data)                   (0x0000FFFF&(data))
#define  TVSSB7_TV_SSB7_PC_prog_0_hitend_get_prog_hitend_cnt(data)               (0x0000FFFF&(data))

#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL                                        0x1801C9C0
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg_addr                                "0xB801C9C0"
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg                                     0xB801C9C0
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_inst_addr                               "0x000F"
#define  set_TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg(data)                           (*((volatile unsigned int*)TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg)=data)
#define  get_TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_reg))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_done_shift                           (4)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_bl_shift                             (3)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_data_inv_shift                       (2)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_rw_shift                             (1)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_go_shift                             (0)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_done_mask                            (0x00000030)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_bl_mask                              (0x00000008)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_data_inv_mask                        (0x00000004)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_rw_mask                              (0x00000002)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_go_mask                              (0x00000001)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_done(data)                           (0x00000030&((data)<<4))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_bl(data)                             (0x00000008&((data)<<3))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_data_inv(data)                       (0x00000004&((data)<<2))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_rw(data)                             (0x00000002&((data)<<1))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_bt_go(data)                             (0x00000001&(data))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_get_bt_done(data)                       ((0x00000030&(data))>>4)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_get_bt_bl(data)                         ((0x00000008&(data))>>3)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_get_bt_data_inv(data)                   ((0x00000004&(data))>>2)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_get_bt_rw(data)                         ((0x00000002&(data))>>1)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_CTRL_get_bt_go(data)                         (0x00000001&(data))

#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA                                   0x1801C9C4
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg_addr                           "0xB801C9C4"
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg                                0xB801C9C4
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_inst_addr                          "0x0010"
#define  set_TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg(data)                      (*((volatile unsigned int*)TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg)=data)
#define  get_TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg                            (*((volatile unsigned int*)TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_reg))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_bt_addr_data_shift                 (3)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_bt_addr_data_mask                  (0xFFFFFFF8)
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_bt_addr_data(data)                 (0xFFFFFFF8&((data)<<3))
#define  TVSSB7_TV_SSB7_BRIDGE_TEST_ADDR_DATA_get_bt_addr_data(data)             ((0xFFFFFFF8&(data))>>3)

#define  TVSSB7_TV_SSB7_ARB_SR0                                                 0x1801C9C8
#define  TVSSB7_TV_SSB7_ARB_SR0_reg_addr                                         "0xB801C9C8"
#define  TVSSB7_TV_SSB7_ARB_SR0_reg                                              0xB801C9C8
#define  TVSSB7_TV_SSB7_ARB_SR0_inst_addr                                        "0x0011"
#define  set_TVSSB7_TV_SSB7_ARB_SR0_reg(data)                                    (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_SR0_reg)=data)
#define  get_TVSSB7_TV_SSB7_ARB_SR0_reg                                          (*((volatile unsigned int*)TVSSB7_TV_SSB7_ARB_SR0_reg))
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_req_shift                                     (24)
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_gnt_shift                                     (16)
#define  TVSSB7_TV_SSB7_ARB_SR0_win_latcnt_shift                                 (0)
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_req_mask                                      (0x03000000)
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_gnt_mask                                      (0x00030000)
#define  TVSSB7_TV_SSB7_ARB_SR0_win_latcnt_mask                                  (0x000000FF)
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_req(data)                                     (0x03000000&((data)<<24))
#define  TVSSB7_TV_SSB7_ARB_SR0_sb_gnt(data)                                     (0x00030000&((data)<<16))
#define  TVSSB7_TV_SSB7_ARB_SR0_win_latcnt(data)                                 (0x000000FF&(data))
#define  TVSSB7_TV_SSB7_ARB_SR0_get_sb_req(data)                                 ((0x03000000&(data))>>24)
#define  TVSSB7_TV_SSB7_ARB_SR0_get_sb_gnt(data)                                 ((0x00030000&(data))>>16)
#define  TVSSB7_TV_SSB7_ARB_SR0_get_win_latcnt(data)                             (0x000000FF&(data))

#define  TVSSB7_TV_SSB7_bw_limit_0                                              0x1801C9D0
#define  TVSSB7_TV_SSB7_bw_limit_0_reg_addr                                      "0xB801C9D0"
#define  TVSSB7_TV_SSB7_bw_limit_0_reg                                           0xB801C9D0
#define  TVSSB7_TV_SSB7_bw_limit_0_inst_addr                                     "0x0012"
#define  set_TVSSB7_TV_SSB7_bw_limit_0_reg(data)                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_0_reg)=data)
#define  get_TVSSB7_TV_SSB7_bw_limit_0_reg                                       (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_0_reg))
#define  TVSSB7_TV_SSB7_bw_limit_0_max_req_num_0_shift                           (24)
#define  TVSSB7_TV_SSB7_bw_limit_0_req_thr_0_shift                               (16)
#define  TVSSB7_TV_SSB7_bw_limit_0_time_thr_0_shift                              (0)
#define  TVSSB7_TV_SSB7_bw_limit_0_max_req_num_0_mask                            (0xFF000000)
#define  TVSSB7_TV_SSB7_bw_limit_0_req_thr_0_mask                                (0x00FF0000)
#define  TVSSB7_TV_SSB7_bw_limit_0_time_thr_0_mask                               (0x0000FFFF)
#define  TVSSB7_TV_SSB7_bw_limit_0_max_req_num_0(data)                           (0xFF000000&((data)<<24))
#define  TVSSB7_TV_SSB7_bw_limit_0_req_thr_0(data)                               (0x00FF0000&((data)<<16))
#define  TVSSB7_TV_SSB7_bw_limit_0_time_thr_0(data)                              (0x0000FFFF&(data))
#define  TVSSB7_TV_SSB7_bw_limit_0_get_max_req_num_0(data)                       ((0xFF000000&(data))>>24)
#define  TVSSB7_TV_SSB7_bw_limit_0_get_req_thr_0(data)                           ((0x00FF0000&(data))>>16)
#define  TVSSB7_TV_SSB7_bw_limit_0_get_time_thr_0(data)                          (0x0000FFFF&(data))

#define  TVSSB7_TV_SSB7_bw_limit_1                                              0x1801C9D4
#define  TVSSB7_TV_SSB7_bw_limit_1_reg_addr                                      "0xB801C9D4"
#define  TVSSB7_TV_SSB7_bw_limit_1_reg                                           0xB801C9D4
#define  TVSSB7_TV_SSB7_bw_limit_1_inst_addr                                     "0x0013"
#define  set_TVSSB7_TV_SSB7_bw_limit_1_reg(data)                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_1_reg)=data)
#define  get_TVSSB7_TV_SSB7_bw_limit_1_reg                                       (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_1_reg))
#define  TVSSB7_TV_SSB7_bw_limit_1_max_req_num_1_shift                           (24)
#define  TVSSB7_TV_SSB7_bw_limit_1_req_thr_1_shift                               (16)
#define  TVSSB7_TV_SSB7_bw_limit_1_time_thr_1_shift                              (0)
#define  TVSSB7_TV_SSB7_bw_limit_1_max_req_num_1_mask                            (0xFF000000)
#define  TVSSB7_TV_SSB7_bw_limit_1_req_thr_1_mask                                (0x00FF0000)
#define  TVSSB7_TV_SSB7_bw_limit_1_time_thr_1_mask                               (0x0000FFFF)
#define  TVSSB7_TV_SSB7_bw_limit_1_max_req_num_1(data)                           (0xFF000000&((data)<<24))
#define  TVSSB7_TV_SSB7_bw_limit_1_req_thr_1(data)                               (0x00FF0000&((data)<<16))
#define  TVSSB7_TV_SSB7_bw_limit_1_time_thr_1(data)                              (0x0000FFFF&(data))
#define  TVSSB7_TV_SSB7_bw_limit_1_get_max_req_num_1(data)                       ((0xFF000000&(data))>>24)
#define  TVSSB7_TV_SSB7_bw_limit_1_get_req_thr_1(data)                           ((0x00FF0000&(data))>>16)
#define  TVSSB7_TV_SSB7_bw_limit_1_get_time_thr_1(data)                          (0x0000FFFF&(data))

#define  TVSSB7_TV_SSB7_bw_limit_en                                             0x1801C9DC
#define  TVSSB7_TV_SSB7_bw_limit_en_reg_addr                                     "0xB801C9DC"
#define  TVSSB7_TV_SSB7_bw_limit_en_reg                                          0xB801C9DC
#define  TVSSB7_TV_SSB7_bw_limit_en_inst_addr                                    "0x0014"
#define  set_TVSSB7_TV_SSB7_bw_limit_en_reg(data)                                (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_en_reg)=data)
#define  get_TVSSB7_TV_SSB7_bw_limit_en_reg                                      (*((volatile unsigned int*)TVSSB7_TV_SSB7_bw_limit_en_reg))
#define  TVSSB7_TV_SSB7_bw_limit_en_len_scheme_en_shift                          (31)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_1_shift                        (3)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_1_shift                          (2)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_0_shift                        (1)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_0_shift                          (0)
#define  TVSSB7_TV_SSB7_bw_limit_en_len_scheme_en_mask                           (0x80000000)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_1_mask                         (0x00000008)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_1_mask                           (0x00000004)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_0_mask                         (0x00000002)
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_0_mask                           (0x00000001)
#define  TVSSB7_TV_SSB7_bw_limit_en_len_scheme_en(data)                          (0x80000000&((data)<<31))
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_1(data)                        (0x00000008&((data)<<3))
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_1(data)                          (0x00000004&((data)<<2))
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_status_clr_0(data)                        (0x00000002&((data)<<1))
#define  TVSSB7_TV_SSB7_bw_limit_en_bw_limit_en_0(data)                          (0x00000001&(data))
#define  TVSSB7_TV_SSB7_bw_limit_en_get_len_scheme_en(data)                      ((0x80000000&(data))>>31)
#define  TVSSB7_TV_SSB7_bw_limit_en_get_bw_status_clr_1(data)                    ((0x00000008&(data))>>3)
#define  TVSSB7_TV_SSB7_bw_limit_en_get_bw_limit_en_1(data)                      ((0x00000004&(data))>>2)
#define  TVSSB7_TV_SSB7_bw_limit_en_get_bw_status_clr_0(data)                    ((0x00000002&(data))>>1)
#define  TVSSB7_TV_SSB7_bw_limit_en_get_bw_limit_en_0(data)                      (0x00000001&(data))

#define  TVSSB7_TV_SSB7_queue_ctrl                                              0x1801C9F0
#define  TVSSB7_TV_SSB7_queue_ctrl_reg_addr                                      "0xB801C9F0"
#define  TVSSB7_TV_SSB7_queue_ctrl_reg                                           0xB801C9F0
#define  TVSSB7_TV_SSB7_queue_ctrl_inst_addr                                     "0x0015"
#define  set_TVSSB7_TV_SSB7_queue_ctrl_reg(data)                                 (*((volatile unsigned int*)TVSSB7_TV_SSB7_queue_ctrl_reg)=data)
#define  get_TVSSB7_TV_SSB7_queue_ctrl_reg                                       (*((volatile unsigned int*)TVSSB7_TV_SSB7_queue_ctrl_reg))
#define  TVSSB7_TV_SSB7_queue_ctrl_rd_queue_num_shift                            (4)
#define  TVSSB7_TV_SSB7_queue_ctrl_wr_queue_num_shift                            (0)
#define  TVSSB7_TV_SSB7_queue_ctrl_rd_queue_num_mask                             (0x00000030)
#define  TVSSB7_TV_SSB7_queue_ctrl_wr_queue_num_mask                             (0x00000003)
#define  TVSSB7_TV_SSB7_queue_ctrl_rd_queue_num(data)                            (0x00000030&((data)<<4))
#define  TVSSB7_TV_SSB7_queue_ctrl_wr_queue_num(data)                            (0x00000003&(data))
#define  TVSSB7_TV_SSB7_queue_ctrl_get_rd_queue_num(data)                        ((0x00000030&(data))>>4)
#define  TVSSB7_TV_SSB7_queue_ctrl_get_wr_queue_num(data)                        (0x00000003&(data))

#define  TVSSB7_TV_SSB7_cti_ctrl                                                0x1801C9F8
#define  TVSSB7_TV_SSB7_cti_ctrl_reg_addr                                        "0xB801C9F8"
#define  TVSSB7_TV_SSB7_cti_ctrl_reg                                             0xB801C9F8
#define  TVSSB7_TV_SSB7_cti_ctrl_inst_addr                                       "0x0016"
#define  set_TVSSB7_TV_SSB7_cti_ctrl_reg(data)                                   (*((volatile unsigned int*)TVSSB7_TV_SSB7_cti_ctrl_reg)=data)
#define  get_TVSSB7_TV_SSB7_cti_ctrl_reg                                         (*((volatile unsigned int*)TVSSB7_TV_SSB7_cti_ctrl_reg))
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_fifo_overflow_shift                         (31)
#define  TVSSB7_TV_SSB7_cti_ctrl_cmd_num_in_cti_shift                            (16)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_queue_flush_shift                           (3)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_req_mask_shift                              (2)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_space_margin_shift                          (0)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_fifo_overflow_mask                          (0x80000000)
#define  TVSSB7_TV_SSB7_cti_ctrl_cmd_num_in_cti_mask                             (0x001F0000)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_queue_flush_mask                            (0x00000008)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_req_mask_mask                               (0x00000004)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_space_margin_mask                           (0x00000003)
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_fifo_overflow(data)                         (0x80000000&((data)<<31))
#define  TVSSB7_TV_SSB7_cti_ctrl_cmd_num_in_cti(data)                            (0x001F0000&((data)<<16))
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_queue_flush(data)                           (0x00000008&((data)<<3))
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_req_mask(data)                              (0x00000004&((data)<<2))
#define  TVSSB7_TV_SSB7_cti_ctrl_cti_space_margin(data)                          (0x00000003&(data))
#define  TVSSB7_TV_SSB7_cti_ctrl_get_cti_fifo_overflow(data)                     ((0x80000000&(data))>>31)
#define  TVSSB7_TV_SSB7_cti_ctrl_get_cmd_num_in_cti(data)                        ((0x001F0000&(data))>>16)
#define  TVSSB7_TV_SSB7_cti_ctrl_get_cti_queue_flush(data)                       ((0x00000008&(data))>>3)
#define  TVSSB7_TV_SSB7_cti_ctrl_get_cti_req_mask(data)                          ((0x00000004&(data))>>2)
#define  TVSSB7_TV_SSB7_cti_ctrl_get_cti_space_margin(data)                      (0x00000003&(data))

#define  TVSSB7_TV_SSB7_error_status                                            0x1801C9FC
#define  TVSSB7_TV_SSB7_error_status_reg_addr                                    "0xB801C9FC"
#define  TVSSB7_TV_SSB7_error_status_reg                                         0xB801C9FC
#define  TVSSB7_TV_SSB7_error_status_inst_addr                                   "0x0017"
#define  set_TVSSB7_TV_SSB7_error_status_reg(data)                               (*((volatile unsigned int*)TVSSB7_TV_SSB7_error_status_reg)=data)
#define  get_TVSSB7_TV_SSB7_error_status_reg                                     (*((volatile unsigned int*)TVSSB7_TV_SSB7_error_status_reg))
#define  TVSSB7_TV_SSB7_error_status_error_clr_shift                             (31)
#define  TVSSB7_TV_SSB7_error_status_error_zero_length_id_shift                  (12)
#define  TVSSB7_TV_SSB7_error_status_error_read_full_shift                       (9)
#define  TVSSB7_TV_SSB7_error_status_error_write_full_shift                      (8)
#define  TVSSB7_TV_SSB7_error_status_error_wdone_full_shift                      (7)
#define  TVSSB7_TV_SSB7_error_status_error_clr_mask                              (0x80000000)
#define  TVSSB7_TV_SSB7_error_status_error_zero_length_id_mask                   (0x00003000)
#define  TVSSB7_TV_SSB7_error_status_error_read_full_mask                        (0x00000200)
#define  TVSSB7_TV_SSB7_error_status_error_write_full_mask                       (0x00000100)
#define  TVSSB7_TV_SSB7_error_status_error_wdone_full_mask                       (0x00000080)
#define  TVSSB7_TV_SSB7_error_status_error_clr(data)                             (0x80000000&((data)<<31))
#define  TVSSB7_TV_SSB7_error_status_error_zero_length_id(data)                  (0x00003000&((data)<<12))
#define  TVSSB7_TV_SSB7_error_status_error_read_full(data)                       (0x00000200&((data)<<9))
#define  TVSSB7_TV_SSB7_error_status_error_write_full(data)                      (0x00000100&((data)<<8))
#define  TVSSB7_TV_SSB7_error_status_error_wdone_full(data)                      (0x00000080&((data)<<7))
#define  TVSSB7_TV_SSB7_error_status_get_error_clr(data)                         ((0x80000000&(data))>>31)
#define  TVSSB7_TV_SSB7_error_status_get_error_zero_length_id(data)              ((0x00003000&(data))>>12)
#define  TVSSB7_TV_SSB7_error_status_get_error_read_full(data)                   ((0x00000200&(data))>>9)
#define  TVSSB7_TV_SSB7_error_status_get_error_write_full(data)                  ((0x00000100&(data))>>8)
#define  TVSSB7_TV_SSB7_error_status_get_error_wdone_full(data)                  ((0x00000080&(data))>>7)

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======TVSSB7 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1801c980_31_4:28;
        RBus_UInt32  time_step:4;
    };
}tvssb7_tv_ssb7_arb_cr0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  arb_en:2;
    };
}tvssb7_tv_ssb7_arb_cr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  client0_latcnt_end:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  client0_latcnt_beg:8;
    };
}tvssb7_tv_ssb7_latcnt_cr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  client1_latcnt_end:8;
        RBus_UInt32  res2:8;
        RBus_UInt32  client1_latcnt_beg:8;
    };
}tvssb7_tv_ssb7_latcnt_cr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  pc_rd_only:1;
        RBus_UInt32  pc_go:1;
    };
}tvssb7_tv_ssb7_pc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_mon_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_mon_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_ack_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_ack_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_idl_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_idl_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  pc_prog0_sel:4;
    };
}tvssb7_tv_ssb7_pc_prog_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  pc_prog0_req_occur:1;
    };
}tvssb7_tv_ssb7_pc_prog_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_acc_lat:32;
    };
}tvssb7_tv_ssb7_pc_prog_0_acc_lat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  prog_max_lat:16;
    };
}tvssb7_tv_ssb7_pc_prog_0_max_lat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  prog_req_num:24;
    };
}tvssb7_tv_ssb7_pc_prog_0_req_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_ack_num:32;
    };
}tvssb7_tv_ssb7_pc_prog_0_ack_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  prog_hitend_cnt:16;
    };
}tvssb7_tv_ssb7_pc_prog_0_hitend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  bt_done:2;
        RBus_UInt32  bt_bl:1;
        RBus_UInt32  bt_data_inv:1;
        RBus_UInt32  bt_rw:1;
        RBus_UInt32  bt_go:1;
    };
}tvssb7_tv_ssb7_bridge_test_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bt_addr_data:29;
        RBus_UInt32  res1:3;
    };
}tvssb7_tv_ssb7_bridge_test_addr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  sb_req:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  sb_gnt:2;
        RBus_UInt32  res3:8;
        RBus_UInt32  win_latcnt:8;
    };
}tvssb7_tv_ssb7_arb_sr0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  max_req_num_0:8;
        RBus_UInt32  req_thr_0:8;
        RBus_UInt32  time_thr_0:16;
    };
}tvssb7_tv_ssb7_bw_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  max_req_num_1:8;
        RBus_UInt32  req_thr_1:8;
        RBus_UInt32  time_thr_1:16;
    };
}tvssb7_tv_ssb7_bw_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  len_scheme_en:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  bw_status_clr_1:1;
        RBus_UInt32  bw_limit_en_1:1;
        RBus_UInt32  bw_status_clr_0:1;
        RBus_UInt32  bw_limit_en_0:1;
    };
}tvssb7_tv_ssb7_bw_limit_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  rd_queue_num:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  wr_queue_num:2;
    };
}tvssb7_tv_ssb7_queue_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cti_fifo_overflow:1;
        RBus_UInt32  res1:10;
        RBus_UInt32  cmd_num_in_cti:5;
        RBus_UInt32  res2:12;
        RBus_UInt32  cti_queue_flush:1;
        RBus_UInt32  cti_req_mask:1;
        RBus_UInt32  cti_space_margin:2;
    };
}tvssb7_tv_ssb7_cti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  error_clr:1;
        RBus_UInt32  res1:17;
        RBus_UInt32  error_zero_length_id:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  error_read_full:1;
        RBus_UInt32  error_write_full:1;
        RBus_UInt32  error_wdone_full:1;
        RBus_UInt32  res3:7;
    };
}tvssb7_tv_ssb7_error_status_RBUS;

#else //apply LITTLE_ENDIAN

//======TVSSB7 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  time_step:4;
        RBus_UInt32  dummy1801c980_31_4:28;
    };
}tvssb7_tv_ssb7_arb_cr0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  arb_en:2;
        RBus_UInt32  res1:30;
    };
}tvssb7_tv_ssb7_arb_cr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  client0_latcnt_beg:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  client0_latcnt_end:8;
        RBus_UInt32  res2:8;
    };
}tvssb7_tv_ssb7_latcnt_cr1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  client1_latcnt_beg:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  client1_latcnt_end:8;
        RBus_UInt32  res2:8;
    };
}tvssb7_tv_ssb7_latcnt_cr2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_go:1;
        RBus_UInt32  pc_rd_only:1;
        RBus_UInt32  res1:30;
    };
}tvssb7_tv_ssb7_pc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_mon_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_mon_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_ack_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_ack_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_tota_idl_num:32;
    };
}tvssb7_tv_ssb7_pc_tota_idl_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_prog0_sel:4;
        RBus_UInt32  res1:28;
    };
}tvssb7_tv_ssb7_pc_prog_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pc_prog0_req_occur:1;
        RBus_UInt32  res1:31;
    };
}tvssb7_tv_ssb7_pc_prog_ctrl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_acc_lat:32;
    };
}tvssb7_tv_ssb7_pc_prog_0_acc_lat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_max_lat:16;
        RBus_UInt32  res1:16;
    };
}tvssb7_tv_ssb7_pc_prog_0_max_lat_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_req_num:24;
        RBus_UInt32  res1:8;
    };
}tvssb7_tv_ssb7_pc_prog_0_req_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_ack_num:32;
    };
}tvssb7_tv_ssb7_pc_prog_0_ack_num_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  prog_hitend_cnt:16;
        RBus_UInt32  res1:16;
    };
}tvssb7_tv_ssb7_pc_prog_0_hitend_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bt_go:1;
        RBus_UInt32  bt_rw:1;
        RBus_UInt32  bt_data_inv:1;
        RBus_UInt32  bt_bl:1;
        RBus_UInt32  bt_done:2;
        RBus_UInt32  res1:26;
    };
}tvssb7_tv_ssb7_bridge_test_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  bt_addr_data:29;
    };
}tvssb7_tv_ssb7_bridge_test_addr_data_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  win_latcnt:8;
        RBus_UInt32  res1:8;
        RBus_UInt32  sb_gnt:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  sb_req:2;
        RBus_UInt32  res3:6;
    };
}tvssb7_tv_ssb7_arb_sr0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  time_thr_0:16;
        RBus_UInt32  req_thr_0:8;
        RBus_UInt32  max_req_num_0:8;
    };
}tvssb7_tv_ssb7_bw_limit_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  time_thr_1:16;
        RBus_UInt32  req_thr_1:8;
        RBus_UInt32  max_req_num_1:8;
    };
}tvssb7_tv_ssb7_bw_limit_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bw_limit_en_0:1;
        RBus_UInt32  bw_status_clr_0:1;
        RBus_UInt32  bw_limit_en_1:1;
        RBus_UInt32  bw_status_clr_1:1;
        RBus_UInt32  res1:27;
        RBus_UInt32  len_scheme_en:1;
    };
}tvssb7_tv_ssb7_bw_limit_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_queue_num:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  rd_queue_num:2;
        RBus_UInt32  res2:26;
    };
}tvssb7_tv_ssb7_queue_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cti_space_margin:2;
        RBus_UInt32  cti_req_mask:1;
        RBus_UInt32  cti_queue_flush:1;
        RBus_UInt32  res1:12;
        RBus_UInt32  cmd_num_in_cti:5;
        RBus_UInt32  res2:10;
        RBus_UInt32  cti_fifo_overflow:1;
    };
}tvssb7_tv_ssb7_cti_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  error_wdone_full:1;
        RBus_UInt32  error_write_full:1;
        RBus_UInt32  error_read_full:1;
        RBus_UInt32  res2:2;
        RBus_UInt32  error_zero_length_id:2;
        RBus_UInt32  res3:17;
        RBus_UInt32  error_clr:1;
    };
}tvssb7_tv_ssb7_error_status_RBUS;




#endif 


#endif 
