#ifndef __TVCONFIG_LIB_H__
#define __TVCONFIG_LIB_H__

#include <asm/arch/sys_flash_layout.h>

#if defined(CONFIG_SYS_RTK_EMMC_FLASH)
 #define CONFIG_TVCONFIG_START		SYS_PARAM_TVCONFIG_START
 #define CONFIG_TVCONFIG_SIZE		SYS_PARAM_TVCONFIG_SIZE
#else
 #define CONFIG_TVCONFIG_START      0x0
 #define CONFIG_TVCONFIG_SIZE		0x0
#endif


int tvconfig_Get_FACSize(void);
int tvconfig_dump_info(void);
int tvconfig_reset(void);
int tvconfig_delete(char *path);
int tvconfig_read_by_index(int index, char *buffer, int *length, char *name);
int tvconfig_read(char *path, char**buffer, int *length);
int tvconfig_read_link_dest_path(char *ln_path, char *ln_dest_path);
int tvconfig_write(char *path, char *buffer, int length);
int tvconfig_save(void);
int tvconfig_init(void);

#endif /* __TVCONFIG_LIB_H__ */

