#ifndef _PERIPHERAL_COMMON_H_
#define _PERIPHERAL_COMMON_H_

#include <qc_verify_common.h>

typedef struct _PINSHARE_INFO{
  UINT32 addr;
  UINT8  msb;
  UINT8  lsb;
  UINT32 val;
}PinShare_Info;


//GPIO Mapping
//const UINT32 GP0DIR_Misc= 0xb801b100;
//const UINT32 GP0DATO_Misc = 0xb801b11c;
//const UINT32 GP0DIR_ISO = 0xb8061100;
//const UINT32 GP0DATO_ISO = 0xb8061108;

#define  GPIO_ISO (1)
#define  GPIO_MISC (0)
#define GP0DIR_Misc      (0xb801bd00)
#define GP0DATO_Misc   (0xb801bd14)
#define GP0DIR_ISO       (0xb8061100)
#define GP0DATO_ISO    (0xb8061108)


void Set_Pinshare(UINT32 Pinshare_addr,UINT8 Pinshare_msb,UINT8 Pinshare_lsb,UINT32 Pinshare_val);
void SetGPIOOut(UINT8 nGPIO_Num,bool bISO,UINT32 Pinshare_addr,UINT8 Pinshare_msb,UINT8 Pinshare_lsb,UINT32 Pinshare_val,UINT8 bInitOut);//0:init low;1:init high;2:do not init.
void SetGPOHL(bool bHL);
//double fabs(double x);
//int abs(int x);
UINT32  GetFieldValue(UINT32 Val,UINT8 msb, UINT8 lsb);
UINT32 SetFieldValue(UINT32 Val,UINT8 msb, UINT8 lsb,UINT32 Replace);
UINT32 GetMaskAnd(UINT32 msb,UINT32 lsb);
//void qc_timer_delay(UINT8 nTimer, UINT16 counter, UINT8 delay_time);


#endif
