/*----------------------------------------------------------------------------
*
*The confidential and proprietary information contained in this file may
*only be used by a person authorised under and to the extent permitted
*by a subsisting licensing agreement from ARM Limited.
*
*        (C) COPYRIGHT 2008-2009,2011,2013 ARM Limited.
*             ALL RIGHTS RESERVED
*             
*This entire notice must be reproduced on all copies of this file
*and copies of this file may only be made by a person if such person is
*permitted to do so under the terms of a subsisting license agreement
*from ARM Limited.
*
*     SVN Information
*
*     Checked In          : $Date$
*
*     Revision            : $Revision$
*
*     Release Information : r0p0-00rel0
*
*-----------------------------------------------------------------------------
* 
*-----------------------------------------------------------------------------
* Abstract :Implementaion of all functions that are used to access MALI
*-----------------------------------------------------------------------------
* Overview
*----------
* 
**************************************************************/

#include "MaliFns.h"
//#include <stdio.h>
void Mali_clear_irqs_and_set_all_masks     (void);
void Mali_clear_and_set_masks_for_gpu_irq  (void);
void Mali_clear_and_set_masks_for_mmu_irq  (void);
void Mali_clear_and_set_masks_for_job_irq  (void);

void Mali_write_ASn_register               (int ASn_reg, int n, int value_to_write);
void Mali_write_JSn_register               (int JSn_reg, int n, int value_to_write);
int  Mali_read_JSn_register                (int JSn_reg, int n);
