//-----------------------------------------------------------------------------
// The confidential and proprietary information contained in this file may
// only be used by a person authorised under and to the extent permitted
// by a subsisting licensing agreement from ARM Limited or its affiliates.
//
//            (C) COPYRIGHT 2015, 2017 ARM Limited or its affiliates.
//                ALL RIGHTS RESERVED
//
// This entire notice must be reproduced on all copies of this file
// and copies of this file may only be made by a person if such person is
// permitted to do so under the terms of a subsisting license agreement
// from ARM Limited or its affiliates.
//
//      Release Information : r0p0-00eac0
//
//-----------------------------------------------------------------------------
//

/* 
*-----------------------------------------------------------------------------
* Abstract :Interrupt Handelling Routines
*-----------------------------------------------------------------------------
* Overview
*----------
* Initialise the GICs
*
**************************************************************/
/* Type definition of the interrupt handler */
typedef void (tHandler)(int, int);

void init_and_install_gic(void);
void interrupt_handler_set(int interrupt, tHandler handler);
void int_enable(int irq); 
