

/* @version 	$Revision: 0.1 $
 * @ingroup 		TVE
 */

/**
 * @addtogroup VIDEO_ENCODER
 * @{
 */

/*================ Module dependency  =============== */
#include <qc_verify_common.h>
#define __TVE__

#if  0
#include "../include/tve_tv_reg.h"
#include "../include/rbusTVE_DMAReg.h"
#include "../include/rbusTV_SB1_ANAReg.h"
#include "../include/TVE_TV_qc.h"
//#include "../include/qc_verify.h"	
#include "qc_verify.h"
//#include "../VDC/VDC_qc.h"
#include "../include/rbusAdcReg.h"	
#include "../include/rbusVDIFDinReg.h"
#include "../include/rbusVDPQReg.h"
#include "../include/rbusVDTopReg.h"
//#include "../include/rbusVDIFDinReg.h"
//#include "../include/rbusVDPQReg.h"
//#include "../include/rbusVDTopReg.h"
//#include "../include/rbusSYSTEMReg.h"
#include "../../../uboot/include/asm/arch-rtd299s/rbus/rbusCRTReg.h"
/*
#else
#include <tve_tv_reg.h>
#include <rbusTVE_DMAReg_TV.h>
#include <rbusIFD_AnalogReg.h>
#include <TVE_TV_qc.h>
#include <rbusAdcReg.h>	//////////////
#include <rbusVDIFDinReg.h>
#include <rbusVDPQReg.h>
#include <rbusVDTopReg.h>
*/
#endif


#include <rbusCRTReg.h>
//#include "../include/merlin2/tv_sb1_ana_reg.h"
#include "../include/tv_sb1_ana_reg.h"
#include "../include/tve_tv_reg.h"
#include "../include/TVE_TV_qc.h"
#include "../include/rbusAdcReg.h"	
#include "../include/rbusVDIFDinReg.h"
#include "../include/rbusVDPQReg.h"
#include "../include/rbusVDTopReg.h"
#include "../include/rbusTVE_DMAReg.h"
//#include "../VDC/VDC_qc.h"



#define _SUCCESS		0
#define _FAIL			1
#define _ENABLE 			1
#define _DISABLE			0
#define _TRUE			1
#define _FALSE			0

/*==================== Definitions ================ */
typedef unsigned char BIT;
/*
#define ScalerTimer_DelayXms(mSec)		udelay(mSec)
#define rtd_outl(offset, val)				rtd_outl(offset,val)
#define rtdf_inl(offset)					rtd_inl(offset)
#define rtdf_maskl(offset, andMask, orMask)	rtd_maskl(offset,andMask,orMask)
*/
/*==================== Variables ================== */

//------------------------------------------
#define CRT_SYS_SRST1_VADDR (CRT_SYS_SRST1_reg)
#define CRT_SYS_CLKSEL_VADDR (CRT_SYS_CLKSEL_reg)
#define CRT_SYS_CLKEN1_VADDR (CRT_SYS_CLKEN1_reg)
#define CRT_SYS_CLKEN2_VADDR (CRT_SYS_CLKEN2_reg)
#define CRT_SYS_SRST2_VADDR (CRT_SYS_SRST2_reg)
#define CRT_SYS_PLL_27X1_VADDR (CRT_SYS_PLL_27X1_reg)
#define CRT_SYS_PLL_27X2_VADDR (CRT_SYS_PLL_27X2_reg)
#define CRT_SYS_PLL_27X3_VADDR (CRT_SYS_PLL_27X3_reg)
#define CRT_SYS_PLL_27X4_VADDR (CRT_SYS_PLL_27X4_reg)


//------------------------------------------

/*=====================function=====================*/

//=================================================================
/**
 * drv_tve_set_video_ntsc_m
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_ntsc_m(void)
{

                            rtd_outl(0xb801f478,00000003);
		rtd_outl(TVE_video_dac_ctrl_0_reg,0x00785145);
		rtd_outl(TVE_video_dac_ctrl_1_reg,0x00785145);
		rtd_outl(TVE_dac_mux_reg,0x00001fc0);
		rtd_outl(TVE_cmp_dly_reg,0x00000124);
		rtd_outl(TVE_dac_misc_reg,0x00000020);
		rtd_outl(TVE_video_dac_ctrl2_0_reg,0x0000591e);
		rtd_outl(TVE_video_dac_ctrl2_1_reg,0x0000591e);
		rtd_outl(TVE_syncgen_rst_reg,0x000002AA);
		rtd_outl(TVE_ip_y_gain_reg,0x00000225);
		rtd_outl(TVE_ip_phs_0_reg,0x00000060);//33
		rtd_outl(TVE_ip_phs_1_reg,0x0000007a);//7b
		rtd_outl(TVE_ip_phs_2_reg,0x000000f0);
		rtd_outl(TVE_ip_phs_3_reg,0x00000021);
		rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_1_reg,0x00000002);
		rtd_outl(TVE_ip_sctoh_2_reg,0x00000002);
		rtd_outl(TVE_ip_sctoh_3_reg,0x00000044);
		rtd_outl(TVE_ip_f_ctrl_reg,0x00000002);
		rtd_outl(TVE_ip_blck_lvl_reg,0x0000008d);
		rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
		rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
		rtd_outl(TVE_ip_sync_lvl_reg,0x00000007);
		rtd_outl(TVE_ip_y_ctrl_reg,0x00000098);///1c
		rtd_outl(TVE_ip_test_param_reg,0x00000020);
		rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
		rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_nba_reg,0x000000C2);//0xc8
		rtd_outl(TVE_ip_pba_reg,0x00000000);
		rtd_outl(TVE_ip_c_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_s_ctrl_reg,0x00000008);
		rtd_outl(TVE_ip_vso0_reg,0x00000031);
		rtd_outl(TVE_ip_vso1_reg,0x00000006);
		rtd_outl(TVE_ip_hso0_reg,0x00000006);
		rtd_outl(TVE_ip_hso1_reg,0x000000b3);
		rtd_outl(TVE_ip_hlc0_reg,0x00000003);
		rtd_outl(TVE_ip_hlc1_reg,0x00000059);
		rtd_outl(TVE_ip_sync_lvl2_reg,0x00000069); //0x64
		rtd_outl(TVE_ip_sync_lvl3_reg,0x0000002d);
		rtd_outl(TVE_ip_sync_lvl4_reg,0x00000007);
		rtd_outl(TVE_ip_synclpf_gain_reg,0x00000053);///1a
		rtd_outl(TVE_ip_sync_strt_reg,0x0000000d);//0x0c
		rtd_outl(TVE_ip_sync_end_reg,0x0000004b);
		rtd_outl(TVE_ip_sync_srend_reg,0x0000007a);
		rtd_outl(TVE_ip_sync_eqend_reg,0x0000002b);
		rtd_outl(TVE_ip_actv_strt_reg,0x0000008e);//89
		rtd_outl(TVE_ip_actv_end_reg,0x00000090); //aa
		rtd_outl(TVE_ip_wbrst_strt_reg,0x0000005a);
		rtd_outl(TVE_ip_nbrst_strt_reg,0x0000005f);//62
		rtd_outl(TVE_ip_nbrst_end_reg,0x00000082);//84
		rtd_outl(TVE_syncgen_i_reg,0x02832359);
		rtd_outl(TVE_ip_vsyncpos_reg,0x00306505);
		rtd_outl(TVE_ip_hsyncpos_reg,0x00000359);
		rtd_outl(TVE_av_i_hpos_reg,0x08212353);
		rtd_outl(TVE_slew_i_hpos_reg,0x00242753);
		rtd_outl(TVE_itop_vpos_reg,0x00815904);
		rtd_outl(TVE_ibot_vpos_reg,0x0091ca0b);
		rtd_outl(TVE_av_slew_reg,0x00000330);
		rtd_outl(TVE_av_ctrl_reg,0x0000007E);     // 0x19   pattern gen enable    7E patterngen disable
		rtd_outl(TVE_i_colorbar_hpos_reg,0x0022cc82);
		rtd_outl(TVE_srstn_reg,0x00000001);
		rtd_outl(TVE_syncgen_rst_reg,0x000002aa);		  //  syncgen rst
		rtd_outl(TVE_syncgen_rst_reg,0x000003c0);		  //  syncgen rst
		rtd_outl(TVE_DMA_TVE_VDDMA_reg,0x20052014);
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00400000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00600000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00800000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00a00000);	  //  dma addr

}


//=================================================================
/**
 * drv_tve_set_video_ntsc_443
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_ntsc_443(void)
{

                            rtd_outl(0xb801f478,00000003);
	rtd_outl(TVE_video_dac_ctrl_0_reg,0x00785145);
	rtd_outl(TVE_video_dac_ctrl_1_reg,0x00485145);
	rtd_outl(TVE_cmp_dly_reg,0x00000124);
	rtd_outl(TVE_dac_mux_reg,0x00001fc0);
	rtd_outl(TVE_dac_misc_reg,0x00200000);
	rtd_outl(TVE_video_dac_ctrl2_0_reg,0x0000591e);
	rtd_outl(TVE_video_dac_ctrl2_1_reg,0x0000591e);
	rtd_outl(TVE_ip_y_gain_reg,0x00000200);
	rtd_outl(TVE_ip_phs_0_reg,0x000000cb);
	rtd_outl(TVE_ip_phs_1_reg,0x0000008a);
	rtd_outl(TVE_ip_phs_2_reg,0x00000009);
	rtd_outl(TVE_ip_phs_3_reg,0x0000002a);
	rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_1_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_2_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_3_reg,0x00000000);
	rtd_outl(TVE_ip_f_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_blck_lvl_reg,0x0000008d);
	rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
	rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
	rtd_outl(TVE_ip_sync_lvl_reg,0x00000004);
	rtd_outl(TVE_ip_y_ctrl_reg,0x0000001c);
	rtd_outl(TVE_ip_y_ctrl_reg,0x0000001c);
	rtd_outl(TVE_ip_test_param_reg,0x00000020);
	rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
	rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_nba_reg,0x000000c8);
	rtd_outl(TVE_ip_pba_reg,0x00000000);
	rtd_outl(TVE_ip_c_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_s_ctrl_reg,0x00000008);
	rtd_outl(TVE_ip_vso0_reg,0x00000031);
	rtd_outl(TVE_ip_vso1_reg,0x00000006);
	rtd_outl(TVE_ip_hso0_reg,0x00000006);
	rtd_outl(TVE_ip_hso1_reg,0x000000b3);
	rtd_outl(TVE_ip_hlc0_reg,0x00000003);
	rtd_outl(TVE_ip_hlc1_reg,0x00000059);
	rtd_outl(TVE_ip_sync_lvl2_reg,0x00000064);
	rtd_outl(TVE_ip_sync_lvl3_reg,0x0000002d);
	rtd_outl(TVE_ip_sync_lvl4_reg,0x00000007);
	rtd_outl(TVE_ip_synclpf_gain_reg,0x00000018);
	rtd_outl(TVE_ip_sync_strt_reg,0x0000000c);
	rtd_outl(TVE_ip_sync_end_reg,0x0000004b);
	rtd_outl(TVE_ip_sync_srend_reg,0x0000007a);
	rtd_outl(TVE_ip_sync_eqend_reg,0x0000002b);
	rtd_outl(TVE_ip_actv_strt_reg,0x00000085);
	rtd_outl(TVE_ip_actv_end_reg,0x000000aa);
	rtd_outl(TVE_ip_wbrst_strt_reg,0x0000005a);
	rtd_outl(TVE_ip_nbrst_strt_reg,0x00000062);
	rtd_outl(TVE_ip_nbrst_end_reg,0x00000084);
	rtd_outl(TVE_syncgen_i_reg,0x02832359);
	rtd_outl(TVE_ip_vsyncpos_reg,0x00306505);
	rtd_outl(TVE_ip_hsyncpos_reg,0x00000319);
	rtd_outl(TVE_av_i_hpos_reg,0x08112313);
	rtd_outl(TVE_slew_i_hpos_reg,0x00222713);
	rtd_outl(TVE_itop_vpos_reg,0x00815904);
	rtd_outl(TVE_ibot_vpos_reg,0x0091ca0b);
	rtd_outl(TVE_av_slew_reg,0x000003b4);
	rtd_outl(TVE_av_ctrl_reg,0x0000007E);
	rtd_outl(TVE_i_colorbar_hpos_reg,0x0022d450);
	rtd_outl(TVE_av_coeff1_reg,0x80008800);
	rtd_outl(TVE_av_coeff2_reg,0x80008000);
	rtd_outl(TVE_av_coeff3_reg,0x937c937c);
	rtd_outl(TVE_av_coeff4_reg,0x8380a003);
	rtd_outl(TVE_av_coeff5_reg,0x0000a003);
	rtd_outl(TVE_blnk_coeff_reg,0x88008380);
	rtd_outl(TVE_srstn_reg,0x00000001);
	rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
	rtd_outl(TVE_syncgen_rst_reg,0x000003d5);
	rtd_outl(TVE_syncgen_rst_reg,0x000003c0);	  //  syncgen rst
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00010000);	  //  dma addr

}






//=================================================================
/**
 * drv_tve_set_video_ntsc_j
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_ntsc_j(void)
{

                            rtd_outl(0xb801f478,00000003);
		rtd_outl(TVE_video_dac_ctrl_0_reg,0x00785145);
		rtd_outl(TVE_video_dac_ctrl_1_reg,0x00785145);
		rtd_outl(TVE_dac_mux_reg,0x00001fc0);
		rtd_outl(TVE_cmp_dly_reg,0x00000124);
		rtd_outl(TVE_dac_misc_reg,0x00200000);
		rtd_outl(TVE_video_dac_ctrl2_0_reg,0x0000591e);
		rtd_outl(TVE_video_dac_ctrl2_1_reg,0x0000591e);
		rtd_outl(TVE_ip_y_gain_reg,0x00000224);
		rtd_outl(TVE_ip_phs_0_reg,0x0000001f);
		rtd_outl(TVE_ip_phs_1_reg,0x0000007c);
		rtd_outl(TVE_ip_phs_2_reg,0x000000f0);
		rtd_outl(TVE_ip_phs_3_reg,0x00000021);
		rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_1_reg,0x00000002);
		rtd_outl(TVE_ip_sctoh_2_reg,0x00000002);
		rtd_outl(TVE_ip_sctoh_3_reg,0x00000044);
		rtd_outl(TVE_ip_f_ctrl_reg,0x00000002);
		rtd_outl(TVE_ip_blck_lvl_reg,0x00000070);
		rtd_outl(TVE_ip_blnk_lvl_reg,0x00000070);
		rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
		rtd_outl(TVE_ip_sync_lvl_reg,0x00000007);
		rtd_outl(TVE_ip_y_ctrl_reg,0x0000001c);
		rtd_outl(TVE_ip_test_param_reg,0x00000020);
		rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
		rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_nba_reg,0x000000c8);
		rtd_outl(TVE_ip_pba_reg,0x00000000);
		rtd_outl(TVE_ip_c_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_s_ctrl_reg,0x00000008);
		rtd_outl(TVE_ip_vso0_reg,0x00000031);
		rtd_outl(TVE_ip_vso1_reg,0x00000006);
		rtd_outl(TVE_ip_hso0_reg,0x00000006);
		rtd_outl(TVE_ip_hso1_reg,0x000000b3);
		rtd_outl(TVE_ip_hlc0_reg,0x00000003);
		rtd_outl(TVE_ip_hlc1_reg,0x00000059);
		rtd_outl(TVE_ip_sync_lvl2_reg,0x00000064);
		rtd_outl(TVE_ip_sync_lvl3_reg,0x0000002d);
		rtd_outl(TVE_ip_sync_lvl4_reg,0x00000007);
		rtd_outl(TVE_ip_synclpf_gain_reg,0x00000014);
		rtd_outl(TVE_ip_sync_strt_reg,0x0000000c);
		rtd_outl(TVE_ip_sync_end_reg,0x0000004b);
		rtd_outl(TVE_ip_sync_srend_reg,0x0000007a);
		rtd_outl(TVE_ip_sync_eqend_reg,0x0000002b);
		rtd_outl(TVE_ip_actv_strt_reg,0x00000085);
		rtd_outl(TVE_ip_actv_end_reg,0x000000aa);
		rtd_outl(TVE_ip_wbrst_strt_reg,0x0000005a);
		rtd_outl(TVE_ip_nbrst_strt_reg,0x00000062);
		rtd_outl(TVE_ip_nbrst_end_reg,0x00000084);
		rtd_outl(TVE_syncgen_i_reg,0x02832359);
		rtd_outl(TVE_ip_vsyncpos_reg,0x00306505);
		rtd_outl(TVE_ip_hsyncpos_reg,0x00000359);
		rtd_outl(TVE_av_i_hpos_reg,0x08212353);
		rtd_outl(TVE_itop_vpos_reg,0x00815904);
		rtd_outl(TVE_slew_i_hpos_reg,0x00242753);
		rtd_outl(TVE_ibot_vpos_reg,0x0091ca0b);
		rtd_outl(TVE_av_slew_reg,0x00000330);
		rtd_outl(TVE_av_ctrl_reg,0x0000007E);
		rtd_outl(TVE_i_colorbar_hpos_reg,0x0022cc82);
		rtd_outl(TVE_srstn_reg,0x00000001);
		rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
		rtd_outl(TVE_syncgen_rst_reg,0x000003c0);  	  //  syncgen rst
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00010000);  	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00010000);  	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00010000);  	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00010000);  	  //  dma addr
                                 
}                                
                                 
//=================================================================
/**                                
 * drv_tve_set_video_pal_60        
 *                                 
 *                                 
 * @param <mode>                   
 * @return {void}                  
 */                                
void drv_tve_set_video_pal_60(void)    
{   

                            rtd_outl(0xb801f478,00000003);
		rtd_outl(TVE_cmp_dly_reg,0x00000124);
		rtd_outl(TVE_dac_mux_reg,0x00001fc0);
		rtd_outl(TVE_dac_misc_reg,0x00238000);
		rtd_outl(TVE_video_dac_ctrl_0_reg,0x0078b000);
		rtd_outl(TVE_video_dac_ctrl_1_reg,0x0078c30c);
		rtd_outl(TVE_video_dac_ctrl2_0_reg,0x00005b1e);
		rtd_outl(TVE_video_dac_ctrl2_1_reg,0x00005b1e);
		rtd_outl(TVE_ip_y_gain_reg,0x00000200);
		rtd_outl(TVE_ip_phs_0_reg,0x000000cb);
		rtd_outl(TVE_ip_phs_1_reg,0x0000008a);
		rtd_outl(TVE_ip_phs_2_reg,0x00000009);
		rtd_outl(TVE_ip_phs_3_reg,0x0000002a);
		rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_1_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_2_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_3_reg,0x00000000);
		rtd_outl(TVE_ip_f_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_blck_lvl_reg,0x0000008d);
		rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
		rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
		rtd_outl(TVE_ip_sync_lvl_reg,0x00000004);
		rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
		rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
		rtd_outl(TVE_ip_test_param_reg,0x00000020);
		rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
		rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_nba_reg,0x000000d7);
		rtd_outl(TVE_ip_pba_reg,0x00000029);
		rtd_outl(TVE_ip_c_ctrl_reg,0x00000003);
		rtd_outl(TVE_ip_s_ctrl_reg,0x0000000a);
		rtd_outl(TVE_ip_vso0_reg,0x00000031);
		rtd_outl(TVE_ip_vso1_reg,0x00000006);
		rtd_outl(TVE_ip_hso0_reg,0x00000006);
		rtd_outl(TVE_ip_hso1_reg,0x000000b3);
		rtd_outl(TVE_ip_hlc0_reg,0x00000003);
		rtd_outl(TVE_ip_hlc1_reg,0x00000058);
		rtd_outl(TVE_ip_sync_lvl2_reg,0x00000064);
		rtd_outl(TVE_ip_sync_lvl3_reg,0x0000002d);
		rtd_outl(TVE_ip_sync_lvl4_reg,0x00000007);
		rtd_outl(TVE_ip_synclpf_gain_reg,0x00000018);
		rtd_outl(TVE_ip_sync_strt_reg,0x0000000c);
		rtd_outl(TVE_ip_sync_end_reg,0x0000004b);
		rtd_outl(TVE_ip_sync_srend_reg,0x0000007a);
		rtd_outl(TVE_ip_sync_eqend_reg,0x0000002b);
		rtd_outl(TVE_ip_actv_strt_reg,0x00000085);
		rtd_outl(TVE_ip_actv_end_reg,0x000000aa);
		rtd_outl(TVE_ip_wbrst_strt_reg,0x0000005a);
		rtd_outl(TVE_ip_nbrst_strt_reg,0x00000062);
		rtd_outl(TVE_ip_nbrst_end_reg,0x00000084);
		rtd_outl(TVE_syncgen_i_reg,0x02832359);
		rtd_outl(TVE_ip_vsyncpos_reg,0x00306505);
		rtd_outl(TVE_ip_hsyncpos_reg,0x00000319);
		rtd_outl(TVE_av_i_hpos_reg,0x08112313);
		rtd_outl(TVE_slew_i_hpos_reg,0x00222713);
		rtd_outl(TVE_itop_vpos_reg,0x00815904);
		rtd_outl(TVE_ibot_vpos_reg,0x0091ca0b);
		rtd_outl(TVE_av_slew_reg,0x000003b4);
		rtd_outl(TVE_av_ctrl_reg,0x0000007E);
		rtd_outl(TVE_i_colorbar_hpos_reg,0x0022d450);
		rtd_outl(TVE_av_coeff1_reg,0x80008800);
		rtd_outl(TVE_av_coeff2_reg,0x80008000);
		rtd_outl(TVE_av_coeff3_reg,0x937c937c);
		rtd_outl(TVE_av_coeff4_reg,0x8380a003);
		rtd_outl(TVE_av_coeff5_reg,0x0000a003);
		rtd_outl(TVE_blnk_coeff_reg,0x88008380);
		rtd_outl(TVE_srstn_reg,0x00000001);
		rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
		rtd_outl(TVE_syncgen_rst_reg,0x000003c0);
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00010000);		  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00010000);		  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00010000);		  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00010000);		  //  dma addr

}


//=================================================================
/**
 * drv_tve_set_video_pal_cn
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_pal_cn(void)
{

                            rtd_outl(0xb801f478,00000003);
		rtd_outl(TVE_cmp_dly_reg,0x00000124);
		rtd_outl(TVE_dac_mux_reg,0x00001fc0);
		rtd_outl(TVE_dac_misc_reg,0x00238000);
		rtd_outl(TVE_video_dac_ctrl_0_reg,0x0078b000);
		rtd_outl(TVE_video_dac_ctrl_1_reg,0x0078c30c);
		rtd_outl(TVE_video_dac_ctrl2_0_reg,0x00005b1e);
		rtd_outl(TVE_video_dac_ctrl2_1_reg,0x00005b1e);
		rtd_outl(TVE_ip_y_gain_reg,0x00000205);
		rtd_outl(TVE_ip_phs_0_reg,0x00000046);
		rtd_outl(TVE_ip_phs_1_reg,0x00000094);
		rtd_outl(TVE_ip_phs_2_reg,0x000000f6);
		rtd_outl(TVE_ip_phs_3_reg,0x00000021);
		rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_1_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_2_reg,0x00000000);
		rtd_outl(TVE_ip_sctoh_3_reg,0x00000000);
		rtd_outl(TVE_ip_f_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_blck_lvl_reg,0x00000078);
		rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
		rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
		rtd_outl(TVE_ip_sync_lvl_reg,0x00000003);
		rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
		rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
		rtd_outl(TVE_ip_test_param_reg,0x00000020);
		rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
		rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
		rtd_outl(TVE_ip_nba_reg,0x000000d7);
		rtd_outl(TVE_ip_pba_reg,0x00000029);
		rtd_outl(TVE_ip_c_ctrl_reg,0x00000003);
		rtd_outl(TVE_ip_s_ctrl_reg,0x00000009);
		rtd_outl(TVE_ip_vso0_reg,0x00000031);
		rtd_outl(TVE_ip_vso1_reg,0x00000038);
		rtd_outl(TVE_ip_hso0_reg,0x00000006);
		rtd_outl(TVE_ip_hso1_reg,0x000000bf);
		rtd_outl(TVE_ip_hlc0_reg,0x00000003);
		rtd_outl(TVE_ip_hlc1_reg,0x0000005f);
		rtd_outl(TVE_ip_sync_lvl2_reg,0x0000005c);
		rtd_outl(TVE_ip_sync_lvl3_reg,0x00000040);
		rtd_outl(TVE_ip_sync_lvl4_reg,0x00000024);
		rtd_outl(TVE_ip_synclpf_gain_reg,0x0000002b);
		rtd_outl(TVE_ip_sync_strt_reg,0x00000000);
		rtd_outl(TVE_ip_sync_end_reg,0x0000003f);
		rtd_outl(TVE_ip_sync_srend_reg,0x00000071);
		rtd_outl(TVE_ip_sync_eqend_reg,0x00000020);
		rtd_outl(TVE_ip_actv_strt_reg,0x00000080);
		rtd_outl(TVE_ip_actv_end_reg,0x000000a4);
		rtd_outl(TVE_ip_wbrst_strt_reg,0x00000050);
		rtd_outl(TVE_ip_nbrst_strt_reg,0x00000057);
		rtd_outl(TVE_ip_nbrst_end_reg,0x00000075);
		rtd_outl(TVE_syncgen_i_reg,0x029c235f);
		rtd_outl(TVE_ip_vsyncpos_reg,0x0029ae6d);
		rtd_outl(TVE_ip_hsyncpos_reg,0x0000031b);
		rtd_outl(TVE_av_i_hpos_reg,0x080fa30d);
		rtd_outl(TVE_slew_i_hpos_reg,0x0021f70d);
		rtd_outl(TVE_itop_vpos_reg,0x00816935);
		rtd_outl(TVE_ibot_vpos_reg,0x0094fa6e);
		rtd_outl(TVE_av_slew_reg,0x000003b4);
		rtd_outl(TVE_av_ctrl_reg,0x0000007E);
		rtd_outl(TVE_i_colorbar_hpos_reg,0x0022d43c);
		rtd_outl(TVE_av_coeff1_reg,0x80008800);
		rtd_outl(TVE_av_coeff2_reg,0x80008000);
		rtd_outl(TVE_av_coeff3_reg,0x937c937c);
		rtd_outl(TVE_av_coeff4_reg,0x8380a003);
		rtd_outl(TVE_av_coeff5_reg,0x0000a003);
		rtd_outl(TVE_blnk_coeff_reg,0x88008380);
		rtd_outl(TVE_srstn_reg,0x00000001);
		rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
		rtd_outl(TVE_syncgen_rst_reg,0x000003c0);
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00010000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00010000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00010000);	  //  dma addr
		rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00010000);	  //  dma addr
}


//=================================================================
/**
 * drv_tve_set_video_pal_i
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_pal_i(void)
{

                            rtd_outl(0xb801f478,00000003);
	rtd_outl(TVE_video_dac_ctrl_0_reg,0x00785145);
	rtd_outl(TVE_video_dac_ctrl_1_reg,0x00785145);
	rtd_outl(TVE_dac_mux_reg,0x00001fc0);
	rtd_outl(TVE_cmp_dly_reg,0x00000124);
	rtd_outl(TVE_dac_misc_reg,0x00200000);
	rtd_outl(TVE_video_dac_ctrl2_0_reg,0x00005b1e);
	rtd_outl(TVE_video_dac_ctrl2_1_reg,0x00005b1e);
	rtd_outl(TVE_ip_y_gain_reg,0x0000022d);//208
	rtd_outl(TVE_ip_phs_0_reg,0x00000098);
	rtd_outl(TVE_ip_phs_1_reg,0x0000008a);
	rtd_outl(TVE_ip_phs_2_reg,0x00000009);
	rtd_outl(TVE_ip_phs_3_reg,0x0000002a);
	rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_1_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_2_reg,0x00000090);//00
	rtd_outl(TVE_ip_sctoh_3_reg,0x00000099);
	rtd_outl(TVE_ip_f_ctrl_reg,0x00000002);
	rtd_outl(TVE_ip_blck_lvl_reg,0x00000078);
	rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
	rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
	rtd_outl(TVE_ip_sync_lvl_reg,0x00000003);
	rtd_outl(TVE_ip_y_ctrl_reg,0x00000095);///1d
	rtd_outl(TVE_ip_test_param_reg,0x00000020);
	rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
	rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_nba_reg,0x000000cb);//d7
	rtd_outl(TVE_ip_pba_reg,0x0000001a);//29
	rtd_outl(TVE_ip_c_ctrl_reg,0x00000003);
	rtd_outl(TVE_ip_s_ctrl_reg,0x00000009);
	rtd_outl(TVE_ip_vso0_reg,0x00000031);
	rtd_outl(TVE_ip_vso1_reg,0x00000038);
	rtd_outl(TVE_ip_hso0_reg,0x00000006);
	rtd_outl(TVE_ip_hso1_reg,0x000000bf);
	rtd_outl(TVE_ip_hlc0_reg,0x00000003);
	rtd_outl(TVE_ip_hlc1_reg,0x0000005f);
	rtd_outl(TVE_ip_sync_lvl2_reg,0x00000058);
	rtd_outl(TVE_ip_sync_lvl3_reg,0x0000003e);
	rtd_outl(TVE_ip_sync_lvl4_reg,0x00000028);
	rtd_outl(TVE_ip_synclpf_gain_reg,0x00000065);//29
	rtd_outl(TVE_ip_sync_strt_reg,0x00000000);
	rtd_outl(TVE_ip_sync_end_reg,0x00000041);
	rtd_outl(TVE_ip_sync_srend_reg,0x00000071);
	rtd_outl(TVE_ip_sync_eqend_reg,0x00000020);
	rtd_outl(TVE_ip_actv_strt_reg,0x00000080);
	rtd_outl(TVE_ip_actv_end_reg,0x00000090);
	rtd_outl(TVE_ip_wbrst_strt_reg,0x00000050);
	rtd_outl(TVE_ip_nbrst_strt_reg,0x00000056);
	rtd_outl(TVE_ip_nbrst_end_reg,0x00000074);
	rtd_outl(TVE_syncgen_i_reg,0x029c235f);
	rtd_outl(TVE_ip_vsyncpos_reg,0x0029ae6d);
	rtd_outl(TVE_ip_hsyncpos_reg,0x0000031b);
	rtd_outl(TVE_av_i_hpos_reg,0x080fa30d);
	rtd_outl(TVE_slew_i_hpos_reg,0x0021f70d);
	rtd_outl(TVE_itop_vpos_reg,0x00817936);
	rtd_outl(TVE_ibot_vpos_reg,0x00950a6e);////0094fa6e
	rtd_outl(TVE_av_slew_reg,0x00000330);
	rtd_outl(TVE_av_ctrl_reg,0x0000007E);
	rtd_outl(TVE_i_colorbar_hpos_reg,0x0022cc3e);
	rtd_outl(TVE_srstn_reg,0x00000001);
	rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
	rtd_outl(TVE_syncgen_rst_reg,0x000003c0);  //  syncgen rst
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00040000);  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00040000);  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00040000);  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00040000);  //  dma addr
	//rtd_outl(WSS_CTRL_reg,0x73006aaa);//for IC verification
	rtd_outl(TVE_wss_ctrl_reg,0x13006aaa);//default no enable WSS
	rtd_outl(TVE_wss_pos_reg,0x00429416);
	rtd_outl(TVE_vps_data1_reg,0x000000aa);
	rtd_outl(TVE_vps_data_2_reg,0xaaaaaaaa);
	rtd_outl(TVE_vps_data_1_reg,0xaaaaaaaa);
	rtd_outl(TVE_vps_data_0_reg,0xaaaaaaaa);
	rtd_outl(TVE_vps_ctrl_reg,0x0434c103);
/*
	rtd_outl(0xb801F174,0x73006aaa);
	rtd_outl(0xb801F178,0x00429416);
	rtd_outl(1801F17c,0x73006123);
	rtd_outl(1801F180,0x0042954f);
	rtd_outl(1801F1ac,0x000000aa);
	rtd_outl(1801F1a8,0xaaaaaaaa);
	rtd_outl(1801F1a4,0xaaaaaaaa);
	rtd_outl(1801F1a0,0xaaaaaaaa);
	rtd_outl(1801F198,0x0434c103);
*/
}                              
//=================================================================
/**
 * drv_tve_set_video_pal_m
 *
 *
 * @param <mode>
 * @return {void}
 */
void drv_tve_set_video_pal_m(void)
{

                            rtd_outl(0xb801f478,00000003);
	rtd_outl(TVE_cmp_dly_reg,0x00000124);
	rtd_outl(TVE_dac_mux_reg,0x00001fc0);
	rtd_outl(TVE_dac_misc_reg,0x00238000);
	rtd_outl(TVE_video_dac_ctrl_0_reg,0x0078b000);
	rtd_outl(TVE_video_dac_ctrl_1_reg,0x0078c30c);
	rtd_outl(TVE_video_dac_ctrl2_0_reg,0x00005b1e);
	rtd_outl(TVE_video_dac_ctrl2_1_reg,0x00005b1e);
	rtd_outl(TVE_ip_y_gain_reg,0x00000200);
	rtd_outl(TVE_ip_phs_0_reg,0x000000a3);
	rtd_outl(TVE_ip_phs_1_reg,0x000000ef);
	rtd_outl(TVE_ip_phs_2_reg,0x000000e6);
	rtd_outl(TVE_ip_phs_3_reg,0x00000021);
	rtd_outl(TVE_ip_sctoh_0_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_1_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_2_reg,0x00000000);
	rtd_outl(TVE_ip_sctoh_3_reg,0x00000000);
	rtd_outl(TVE_ip_f_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_blck_lvl_reg,0x0000008d);
	rtd_outl(TVE_ip_blnk_lvl_reg,0x00000078);
	rtd_outl(TVE_ip_clamp_lvl_reg,0x00000010);
	rtd_outl(TVE_ip_sync_lvl_reg,0x00000004);
	rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
	rtd_outl(TVE_ip_y_ctrl_reg,0x0000001d);
	rtd_outl(TVE_ip_test_param_reg,0x00000020);
	rtd_outl(TVE_ip_test_t_byp_cups_reg,0x00000002);
	rtd_outl(TVE_ip_o_ctrl_reg,0x00000000);
	rtd_outl(TVE_ip_nba_reg,0x000000d7);
	rtd_outl(TVE_ip_pba_reg,0x00000029);
	rtd_outl(TVE_ip_c_ctrl_reg,0x00000003);
	rtd_outl(TVE_ip_s_ctrl_reg,0x0000000a);
	rtd_outl(TVE_ip_vso0_reg,0x00000031);
	rtd_outl(TVE_ip_vso1_reg,0x00000006);
	rtd_outl(TVE_ip_hso0_reg,0x00000006);
	rtd_outl(TVE_ip_hso1_reg,0x000000b3);
	rtd_outl(TVE_ip_hlc0_reg,0x00000003);
	rtd_outl(TVE_ip_hlc1_reg,0x00000058);
	rtd_outl(TVE_ip_sync_lvl2_reg,0x00000064);
	rtd_outl(TVE_ip_sync_lvl3_reg,0x0000002d);
	rtd_outl(TVE_ip_sync_lvl4_reg,0x00000007);
	rtd_outl(TVE_ip_synclpf_gain_reg,0x00000018);
	rtd_outl(TVE_ip_sync_strt_reg,0x0000000c);
	rtd_outl(TVE_ip_sync_end_reg,0x0000004b);
	rtd_outl(TVE_ip_sync_srend_reg,0x0000007a);
	rtd_outl(TVE_ip_sync_eqend_reg,0x0000002b);
	rtd_outl(TVE_ip_actv_strt_reg,0x00000085);
	rtd_outl(TVE_ip_actv_end_reg,0x000000aa);
	rtd_outl(TVE_ip_wbrst_strt_reg,0x0000005a);
	rtd_outl(TVE_ip_nbrst_strt_reg,0x00000062);
	rtd_outl(TVE_ip_nbrst_end_reg,0x00000084);
	rtd_outl(TVE_syncgen_i_reg,0x02832359);
	rtd_outl(TVE_ip_vsyncpos_reg,0x00306505);
	rtd_outl(TVE_ip_hsyncpos_reg,0x00000319);
	rtd_outl(TVE_av_i_hpos_reg,0x08112313);
	rtd_outl(TVE_slew_i_hpos_reg,0x00222713);
	rtd_outl(TVE_itop_vpos_reg,0x00815904);
	rtd_outl(TVE_ibot_vpos_reg,0x0091ca0b);
	rtd_outl(TVE_av_slew_reg,0x000003b4);
	rtd_outl(TVE_av_ctrl_reg,0x0000007E);
	rtd_outl(TVE_i_colorbar_hpos_reg,0x0022d450);
	rtd_outl(TVE_av_coeff1_reg,0x80008800);
	rtd_outl(TVE_av_coeff2_reg,0x80008000);
	rtd_outl(TVE_av_coeff3_reg,0x937c937c);
	rtd_outl(TVE_av_coeff4_reg,0x8380a003);
	rtd_outl(TVE_av_coeff5_reg,0x0000a003);
	rtd_outl(TVE_blnk_coeff_reg,0x88008380);
	rtd_outl(TVE_srstn_reg,0x00000001);
	rtd_outl(TVE_syncgen_rst_reg,0x000002aa);
	rtd_outl(TVE_syncgen_rst_reg,0x000003c0);
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT0_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT1_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT2_reg,0x00010000);	  //  dma addr
	rtd_outl(TVE_DMA_TVEVDDMA_SATRT3_reg,0x00010000);	  //  dma addr

}

           
                             
                               
void drvif_module_tve_set_mode(TVE_VIDEO_MODE_SEL mode)
{                              
	switch(mode)
	{
	 case TVE_NTSC:
			drv_tve_set_video_ntsc_m();
	 break;
	 case TVE_NTSC_J:
			drv_tve_set_video_ntsc_j();
	 break;
	 case TVE_NTSC_443:
			drv_tve_set_video_ntsc_443();
	 break;
	 case TVE_PAL_I:
			drv_tve_set_video_pal_i();
	 break;
	 case TVE_PAL_M:
			drv_tve_set_video_pal_m();
	 break;
	 case TVE_PAL_60:
			drv_tve_set_video_pal_60();
	 break;
	 case TVE_PAL_N:
			drv_tve_set_video_pal_cn();
	 break;

	}                             
                                                              
}                              
                               
                               
                               
  /**
  drvif_module_tve_clock_enable

  @param
             < on_off >   clock on or off
  @return <void>         { void }

*/                            
                               
 void drvif_module_tve_clock_enable(TVE_CLOCK on_off)
 {
 	if(on_off==TVE_CLOCK_ENABLE)
		rtdf_maskl(0xb800000c/*CRT_SYS_CLKEN1_VADDR*/,~_BIT16, _BIT16);                              
       else                        
              rtdf_maskl(0xb800000c/*CRT_SYS_CLKEN1_VADDR*/,~_BIT16, 0);                   
 }

void drvif_module_tve_AVout_Setting(void)
{



           	rtd_outl(TV_SB1_ANA_VDAC_VDBSO_reg, 0x11122002);           				//VDAC_CTRL1, [28]REG_VID_POWLDV, [24]REG_VID_POWMBIAS, [20]REG_VID_POWVDAC
	rtd_outl(TV_SB1_ANA_VDAC_reg, 0x00000000);           				//VDAC_CTRL2
	rtd_outl(TV_SB1_ANA_VADC_IDACO_CTRL1_reg, 0x20000313);           				//VDAC_CTRL3
	rtd_outl(TV_SB1_ANA_VDAC_SRC_SEL_reg, 0x00000013);							//[4]REG_VDAC_CLK_POLAR, [2:0]REG_VDAC_SRC_SEL, 0:from VD, 3:from ADC2X_DOUT          
        



}								
/**
  drvif_module_tve_AVout_MODE

  @param
             < mode >   tve or vd
  @return <void>         { void }

*/

void drvif_module_tve_AVout_MODE(TVE_AVOUT_MODE mode)
{



               rtd_maskl(TV_SB1_ANA_VDAC_SRC_SEL_reg,0xf8,mode);

}
                                                             
/**
  drvif_module_TVE_AVoutEnable

  @param
             < yes_no >   { _YES : select AVout is displaying source
                                    _No : select AVout is not displaying source }
  @return <void>         { void }

*/
void drvif_module_tve_AVout_Enable(TVE_AVOUT_EN on_off)
{


         if(on_off==TVE_AVOUT_ENABLE)
		rtd_maskl(TV_SB1_ANA_VDAC_SRC_SEL_reg,~_BIT20, _BIT20);
	else
		rtd_maskl(TV_SB1_ANA_VDAC_SRC_SEL_reg,~_BIT20, 0);



}




void drvif_module_tve_init(void)   
{


                //initialize clk for VD
                //PLL RST and Enable CLK MacArthur3-DesignSpec-CRT.doc
                rtd_maskl(0xb8000104,0xFF9FF7Fe,0x00608801);//[22]RSTN_VDEC[21]RSTN_VDEC2[15]RSTN_IFADC for vdac[11]RSTN_APLL_ADC
                rtd_maskl(0xb8000108,0xF3FFFFFe,0x0C000001);//[27]RSTN_ATVIN2[26]RSTN_ATVIN
                rtd_maskl(0xb8000114,0xFFBFF7Fe,0x00408801);//[22]CLKEN_VDEC[15]CLKEN_IFADC for vdac[11]CLKEN_APLL_ADC
                rtd_maskl(0xb8000118,0xFFBFFFFe,0x0C000001);//[27]CLKEN_ATVIN_VD[26]CLKEN_ATVIN_IFD for vd_ifd_inuput
                rtd_maskl(0xb8000204,0xFFFCFFFF,0x00020000);//[17]ATVIN_CLK_SEL] = 0x1, 0x0: IFD, 0x1: VD [16]ATVIN_VD_CLK_SEL = 0x0, 0x0: 108MHz 0x1: 27MHz


                //initialize clk 27x domain for VD
                ////PLL27x Clock : 108M
                rtd_maskl(0xb80004D0,0xFFFFFFE0,0x0000000E);//432MHzPLL27X_M[6:0] = 0x0E
                //rtd_maskl(0xb80004D4,0xFFFFFFFF,0x00000000);// do nothing
                rtd_maskl(0x180004D4, 0xFFFFFFFF, 0x00000020); //merlin5 modify
                rtd_maskl(0xb80004DC,0xFDFC0FFF,0x0201F000);//[25]PLL_L2H_CML_POW [17:16]PLL27X_CK108M_DIV = 0x1, divide by 4 (use when VCO=432MHz) [15:14]PLL27X_YPPADC_CKO_SEL = 0x3,YPPADC clock outpu 11:108M [13]PLL27X_YPPADC_CKO_EN[12]PLL27X_YPPADC_CK54M_EN
                rtd_maskl(0xb80004D8,0x00000000,0x00000000);//Power off and rst PLL27x
                rtd_maskl(0xb80004D8,0x00000000,0x00000017);//Power on PLL27x [4]PLL27X_PS_EN[3]PLL27X_PS_DIV2 = 0x0 use VCO = 540,324,432M[2]PLL27X_VCORSTB[1]PLL27X_RSTB[0]PLL27X_POW
                udelay(100);

                /////tve
                rtd_maskl(0xb8000104,0xFbfFFfFe,0x04000001);

                rtd_maskl(0xb8000114,0xFbfFFfFe,0x04000001);
                /////tve


        /////tve
	drvif_module_tve_AVout_Setting();
	drvif_module_tve_AVout_Enable(TVE_AVOUT_ENABLE);
       drvif_module_tve_AVout_MODE(AVOUT_MODE_TVE_FOR_TV);
      
 } 
extern void drvif_module_vdc_SoftReset(void);
int drvif_module_tve_test_vd_mode(TVE_VIDEO_MODE_SEL test_mode)
{
	UINT32 i, j;
	UINT8  no_signal;
	UINT8  mode_check ;

	drvif_module_vdc_SoftReset();
 
	
  	for(i=0; i<4000; i++)
 	{
		/*for(j=0; j<500; j++)
 		{
  			udelay(2000);
		}*/
		udelay(100);
             udelay(100);
		no_signal = ((UINT8)rtd_inl( VDTOP_VIDEO_STATUS_REG1_VADDR) & 0xf);
		if (no_signal == 0xe)
		{
			printk("[QC][VD][Y VDBS test] HV_signal_lock = %x @ %d\n", no_signal, i);
			j=1;
			break;
		}
		else
			{
				printk("[QC][VD][Y VDBS fail] no_signal = %x @ %d\n", no_signal, i);
				j=0;
			}
	}
	if(j==0)
	{
		printk("[QC][VD][Y fail] no_signal");
		return _FAIL;

		}

	if(test_mode==TVE_PAL_I)
	{


//	printk("[QC][VD][Y VDBS test] mode_check = %x \n", mode_check);
	          for (i=0;i<15;i++)
	          	{
          		udelay(20000000);
  		 	mode_check = ((UINT8)rtd_inl( VDTOP_MODE_DETECTION_STATUS_VADDR) & 0x0f);	          	
			if(mode_check==0x06)
					return _SUCCESS;
			printk("[QC][VD][Y VDBS test] mode_check = %x \n", mode_check);			  
	          	}
			
	}
	else if(test_mode==TVE_NTSC)
		{
		
	          for (i=0;i<3;i++)
	          	{		
              		udelay(20000000);
				mode_check = ((UINT8)rtd_inl( VDTOP_MODE_DETECTION_STATUS_VADDR) & 0x0f);	          	
				if(mode_check==0x00)
					return _SUCCESS;
			printk("[QC][VD][Y VDBS test] mode_check = %x \n", mode_check);			  				
			}
		}

		return _FAIL;;
	



}
extern void vdc_open_vin7p_for_ifd_loopback_test(void);
extern void Set_GPIO_for_TVE_VDC(UINT8 Sts);
int drvif_module_tve_test_case(void)
{
	UINT8 i=0;
	 int result=0;
	printk("drvif_module_tve_test_case,tve init \n");
#if 0
               drvif_module_tve_init();
               drvif_module_tve_AVout_Setting();
	drvif_module_tve_AVout_Enable(TVE_AVOUT_ENABLE);
              drvif_module_tve_AVout_MODE(AVOUT_MODE_TVE_FOR_TV);
	printk("drvif_module_tve_test_case,set mode=ntsc \n");
	drvif_module_tve_set_mode(TVE_NTSC);
	rtd_outl(AV_CTRL_reg,0x19);  
                      return  SUCCESS;
#endif

                drvif_module_tve_init();
               
        
               Set_GPIO_for_TVE_VDC(TVE_EQC);
printk("vdc_open_vin7p_for_ifd_loopback_test,1 \n");
	vdc_open_vin7p_for_ifd_loopback_test();
printk("vdc_open_vin7p_for_ifd_loopback_test,2 \n");
	drvif_module_tve_AVout_Setting();
	drvif_module_tve_AVout_Enable(TVE_AVOUT_ENABLE);
       drvif_module_tve_AVout_MODE(AVOUT_MODE_TVE_FOR_TV);
	for(i=0;i<=1;i++)
       {
	   
		printk("  mode=%d\n",i);
		drvif_module_vdc_SoftReset();
		switch(i)
		{
		        case 0:
				drvif_module_tve_set_mode(TVE_PAL_I);
				rtd_outl(TVE_av_ctrl,0x19);  
			      // rtd_outl(0xb800a038,0x01);
				udelay(20);   
				udelay(20);   
				udelay(20);
				udelay(20);
				udelay(20);
				udelay(20);   
			  	printk(" test  cvbs pal\n");
			#if defined(CONFIG_176_PKG)	
	        		result=UART1_to_MAC2(VDC_EQC,1);
	        		if(result==FAILED)
					printk(" conifg 176 ,test  cvbs pal ....fail\n");
			#else
				result=drvif_module_tve_test_vd_mode(TVE_PAL_I);
				if(result==_FAIL)
					printk(" conifg 256/pga ,test  cvbs pal....fail\n");
			#endif
			 break;	
			   case 1:
				drvif_module_tve_set_mode(TVE_NTSC);
				rtd_outl(TVE_av_ctrl,0x19);  
			  //     rtd_outl(0xb800a038,0x01);	
				udelay(20);   
			   	printk(" test  cvbs ntsc\n");
			#if defined(CONFIG_176_PKG)	
				result=UART1_to_MAC2(VDC_EQC,0);
				if(result==FAILED)
					printk(" conifg 176 , test  cvbs ntsc ....fail\n");
			#else
				result=drvif_module_tve_test_vd_mode(TVE_NTSC);
				if(result==_FAIL)
					printk("conifg 256/pga , test  cvbs ntsc ....fail\n");
			#endif
			 break;
		}	
		if((result==FAILED)||(result==_FAIL))
			return FAILED;

	}
		return  SUCCESS;
	

/*
	drvif_module_tve_set_mode(TVE_PAL_I);
	rtd_outl(AV_CTRL_reg,0x19);  
*/
/*
	if(module_tve_vdc_PathSelect(TVE_PAL_I)!=_SUCCESS)
	return _FAIL;
*/	
	return _SUCCESS;
}


int QC_Verifier_TVE(void)
{

	printk("tve qc verifer\n");
#if 1
	if(drvif_module_tve_test_case()==SUCCESS)
	{
		return _SUCCESS;

	}
	else
		return FAILED;	


#endif
#if 0
	if(drvif_module_tve_test_case()==SUCCESS)
	return _SUCCESS;
	else
	return FAILED;
#else

	return _SUCCESS;
#endif


}


