MEMORY
{
	ram : org = 0x01000000, len = 0x400000   
}

SECTIONS
{
	.text 0x01000000 :
	{
		_ftext = .;
		ve_qc_bin_boot.o(.text)
		*(.rodata.str1.1)
		*(.rodata.str1.4)
		*(.rodata)
		ve_qc_bin.o(.text)
		_etext = .;
		
	}

	.data		ALIGN(0x4):
	{
		_fdata = .;
	       	*(.data) *(.sdata) *(.lit4) *(.lit8)
		

		/* v_entry_qc */
		_f_v_entry_qc_img = .;
  		bootload.o(.v_entry_qc)
  		. = ALIGN(8);
  		_e_v_entry_qc_img = .;

		_edata = .;
	}

	.bss	      ALIGN(0x4) : 
	{ 
		. = ALIGN(4);
		__bss_start = .; 
		*(.sbss) *(.bss) *(.scommon)
	    . = ALIGN(4);
	    __bss_end = .; 
	} /* 64KB */
	
	
	__cache_line_size = 0x20;
	__heap_start_addr = (ADDR(.bss) + SIZEOF ( .bss ) + __cache_line_size - 1) & ~ (__cache_line_size - 1);
}
