/**
* @file Mac7p-DesignSpec-HDR_Composer
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DHDR_V_COMPOSER_REG_H_
#define _RBUS_DHDR_V_COMPOSER_REG_H_

#include "rbusTypes.h"



//  DHDR_V_COMPOSER Register Address



#define  DHDR_V_COMPOSER_COMPOSER_VADDR                     	(0xb806b000)
#define  DHDR_V_COMPOSER_COMPOSER_BL_VADDR                  	(0xb806b004)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P01_VADDR 	(0xb806b008)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P23_VADDR 	(0xb806b00c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P45_VADDR 	(0xb806b010)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P67_VADDR 	(0xb806b014)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP0_P8_VADDR 	(0xb806b018)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P01_VADDR 	(0xb806b01c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P23_VADDR 	(0xb806b020)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP1_P45_VADDR 	(0xb806b024)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P01_VADDR 	(0xb806b028)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P23_VADDR 	(0xb806b02c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PIVOT_VAL_CMP2_P45_VADDR 	(0xb806b030)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_LUMA_VADDR 	(0xb806b034)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_CHROMA1_VADDR 	(0xb806b038)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_ORDER_CHROMA2_VADDR 	(0xb806b03c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I0_VADDR 	(0xb806b080)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I1_VADDR 	(0xb806b084)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P0_I2_VADDR 	(0xb806b088)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I0_VADDR 	(0xb806b08c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I1_VADDR 	(0xb806b090)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P1_I2_VADDR 	(0xb806b094)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I0_VADDR 	(0xb806b098)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I1_VADDR 	(0xb806b09c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P2_I2_VADDR 	(0xb806b0a0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I0_VADDR 	(0xb806b0a4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I1_VADDR 	(0xb806b0a8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P3_I2_VADDR 	(0xb806b0ac)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I0_VADDR 	(0xb806b0b0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I1_VADDR 	(0xb806b0b4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P4_I2_VADDR 	(0xb806b0b8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I0_VADDR 	(0xb806b0bc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I1_VADDR 	(0xb806b0c0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P5_I2_VADDR 	(0xb806b0c4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I0_VADDR 	(0xb806b0c8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I1_VADDR 	(0xb806b0cc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P6_I2_VADDR 	(0xb806b0d0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I0_VADDR 	(0xb806b0d4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I1_VADDR 	(0xb806b0d8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP0_P7_I2_VADDR 	(0xb806b0dc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I0_VADDR 	(0xb806b0e0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I1_VADDR 	(0xb806b0e4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P0_I2_VADDR 	(0xb806b0e8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I0_VADDR 	(0xb806b0ec)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I1_VADDR 	(0xb806b0f0)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P1_I2_VADDR 	(0xb806b0f4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I0_VADDR 	(0xb806b0f8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I1_VADDR 	(0xb806b0fc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P2_I2_VADDR 	(0xb806b100)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I0_VADDR 	(0xb806b104)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I1_VADDR 	(0xb806b108)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP1_P3_I2_VADDR 	(0xb806b10c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I0_VADDR 	(0xb806b110)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I1_VADDR 	(0xb806b114)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P0_I2_VADDR 	(0xb806b118)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I0_VADDR 	(0xb806b11c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I1_VADDR 	(0xb806b120)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P1_I2_VADDR 	(0xb806b124)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I0_VADDR 	(0xb806b128)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I1_VADDR 	(0xb806b12c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P2_I2_VADDR 	(0xb806b130)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I0_VADDR 	(0xb806b134)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I1_VADDR 	(0xb806b138)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_POLY_COEF_CMP2_P3_I2_VADDR 	(0xb806b13c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_ORDER_VADDR   	(0xb806b140)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_0_VADDR 	(0xb806b1f4)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_1_VADDR 	(0xb806b1f8)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_2_VADDR 	(0xb806b1fc)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_3_VADDR 	(0xb806b200)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_4_VADDR 	(0xb806b204)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_5_VADDR 	(0xb806b208)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_6_VADDR 	(0xb806b20c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_7_VADDR 	(0xb806b210)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_8_VADDR 	(0xb806b214)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_9_VADDR 	(0xb806b218)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_10_VADDR 	(0xb806b21c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_11_VADDR 	(0xb806b300)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_12_VADDR 	(0xb806b304)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_13_VADDR 	(0xb806b308)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_14_VADDR 	(0xb806b30c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_15_VADDR 	(0xb806b230)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_16_VADDR 	(0xb806b234)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_17_VADDR 	(0xb806b238)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_18_VADDR 	(0xb806b23c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_19_VADDR 	(0xb806b240)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_20_VADDR 	(0xb806b244)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP1_COEF_21_VADDR 	(0xb806b248)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_0_VADDR 	(0xb806b24c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_1_VADDR 	(0xb806b250)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_2_VADDR 	(0xb806b254)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_3_VADDR 	(0xb806b258)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_4_VADDR 	(0xb806b25c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_5_VADDR 	(0xb806b260)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_6_VADDR 	(0xb806b264)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_7_VADDR 	(0xb806b268)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_8_VADDR 	(0xb806b26c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_9_VADDR 	(0xb806b270)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_10_VADDR 	(0xb806b274)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_11_VADDR 	(0xb806b278)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_12_VADDR 	(0xb806b27c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_13_VADDR 	(0xb806b280)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_14_VADDR 	(0xb806b284)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_15_VADDR 	(0xb806b288)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_16_VADDR 	(0xb806b28c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_17_VADDR 	(0xb806b290)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_18_VADDR 	(0xb806b294)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_19_VADDR 	(0xb806b298)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_20_VADDR 	(0xb806b29c)
#define  DHDR_V_COMPOSER_COMPOSER_BL_PRED_MMR_CMP2_COEF_21_VADDR 	(0xb806b2a0)
#define  DHDR_V_COMPOSER_COMPOSER_DB_CTRL_VADDR             	(0xb806b318)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DHDR_V_COMPOSER register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:13;
        RBus_UInt32  vdr_bit_depth:3;
        RBus_UInt32  res2:7;
        RBus_UInt32  bl_bit_depth:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  coefficient_log2_denom:5;
    };
}dhdr_v_composer_composer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  num_pivots_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  num_pivots_cmp1:2;
        RBus_UInt32  res3:1;
        RBus_UInt32  num_pivots_cmp0:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  mapping_idc_cmp2:1;
        RBus_UInt32  res5:3;
        RBus_UInt32  mapping_idc_cmp1:1;
        RBus_UInt32  res6:4;
    };
}dhdr_v_composer_composer_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_5:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_7:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp0_pivot_6:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp0_pivot_8:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp1_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp1_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp1_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_1:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp2_pivot_0:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_3:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  pivot_value_cmp2_pivot_2:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  pivot_value_cmp2_pivot_4:10;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  poly_order_cmp0_pivot7:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp0_pivot6:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp0_pivot5:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  poly_order_cmp0_pivot4:1;
        RBus_UInt32  res5:3;
        RBus_UInt32  poly_order_cmp0_pivot3:1;
        RBus_UInt32  res6:3;
        RBus_UInt32  poly_order_cmp0_pivot2:1;
        RBus_UInt32  res7:3;
        RBus_UInt32  poly_order_cmp0_pivot1:1;
        RBus_UInt32  res8:3;
        RBus_UInt32  poly_order_cmp0_pivot0:1;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  poly_order_cmp1_pivot3:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp1_pivot2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp1_pivot1:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  poly_order_cmp1_pivot0:1;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  poly_order_cmp2_pivot3:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp2_pivot2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp2_pivot1:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  poly_order_cmp2_pivot0:1;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot0_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot0_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot0_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot1_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot1_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot1_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot2_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot2_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot2_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot3_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot3_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot3_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot4_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot4_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot4_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot5_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot5_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot5_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot6_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot6_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot6_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot7_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot7_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp0_pivot7_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot0_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot0_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot0_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot1_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot1_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot1_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot2_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot2_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot2_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot3_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot3_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp1_pivot3_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot0_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot0_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot0_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot1_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot1_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot1_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot2_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot2_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot2_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot3_i0:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot3_i1:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  poly_coef_cmp2_pivot3_i2:30;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  mmr_order_cmp2:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  mmr_order_cmp1:2;
    };
}dhdr_v_composer_composer_bl_pred_mmr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef0:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef1:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef2:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef3:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef4:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef5:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef6:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef7:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef8:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef9:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef10:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef11:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef12:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef13:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef14:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef15:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef16:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef17:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef18:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef19:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef20:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp1_coef21:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef0:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef1:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef2:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef3:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef4:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef5:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef6:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef7:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef8:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef9:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef10:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef11:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef12:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef13:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef14:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef15:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef16:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef17:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef18:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef19:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef20:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  mmr_coef_cmp2_coef21:31;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  composer_db_en:1;
        RBus_UInt32  composer_db_apply:1;
        RBus_UInt32  db_read:1;
    };
}dhdr_v_composer_composer_db_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======DHDR_V_COMPOSER register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  coefficient_log2_denom:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  bl_bit_depth:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  vdr_bit_depth:3;
        RBus_UInt32  res3:13;
    };
}dhdr_v_composer_composer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  mapping_idc_cmp1:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  mapping_idc_cmp2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  num_pivots_cmp0:3;
        RBus_UInt32  res4:1;
        RBus_UInt32  num_pivots_cmp1:2;
        RBus_UInt32  res5:2;
        RBus_UInt32  num_pivots_cmp2:2;
        RBus_UInt32  res6:10;
    };
}dhdr_v_composer_composer_bl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_4:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_5:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_6:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp0_pivot_7:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p67_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp0_pivot_8:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp0_p8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp1_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp1_pivot_4:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp1_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_0:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_1:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_2:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  pivot_value_cmp2_pivot_3:10;
        RBus_UInt32  res2:6;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  pivot_value_cmp2_pivot_4:10;
        RBus_UInt32  res1:22;
    };
}dhdr_v_composer_composer_bl_pivot_val_cmp2_p45_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp0_pivot0:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  poly_order_cmp0_pivot1:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp0_pivot2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp0_pivot3:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  poly_order_cmp0_pivot4:1;
        RBus_UInt32  res5:3;
        RBus_UInt32  poly_order_cmp0_pivot5:1;
        RBus_UInt32  res6:3;
        RBus_UInt32  poly_order_cmp0_pivot6:1;
        RBus_UInt32  res7:3;
        RBus_UInt32  poly_order_cmp0_pivot7:1;
        RBus_UInt32  res8:3;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_luma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp1_pivot0:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  poly_order_cmp1_pivot1:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp1_pivot2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp1_pivot3:1;
        RBus_UInt32  res4:19;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_order_cmp2_pivot0:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  poly_order_cmp2_pivot1:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  poly_order_cmp2_pivot2:1;
        RBus_UInt32  res3:3;
        RBus_UInt32  poly_order_cmp2_pivot3:1;
        RBus_UInt32  res4:19;
    };
}dhdr_v_composer_composer_bl_pred_poly_order_chroma2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot0_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot1_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot2_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot3_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot4_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p4_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot5_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p5_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot6_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p6_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp0_pivot7_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp0_p7_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot0_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot1_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot2_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp1_pivot3_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp1_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot0_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p0_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot1_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p1_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot2_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p2_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i0:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i1:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  poly_coef_cmp2_pivot3_i2:30;
        RBus_UInt32  res1:2;
    };
}dhdr_v_composer_composer_bl_pred_poly_coef_cmp2_p3_i2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_order_cmp1:2;
        RBus_UInt32  res1:2;
        RBus_UInt32  mmr_order_cmp2:2;
        RBus_UInt32  res2:26;
    };
}dhdr_v_composer_composer_bl_pred_mmr_order_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef0:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef1:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef2:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef3:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef4:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef5:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef6:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef7:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef8:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef9:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef10:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef11:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef12:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef13:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef14:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef15:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef16:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef17:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef18:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef19:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef20:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp1_coef21:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp1_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef0:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef1:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef2:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef3:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef4:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef5:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef6:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef7:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef8:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef9:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef10:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef11:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef12:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef13:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef14:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef15:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef16:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef17:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef18:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef19:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef20:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mmr_coef_cmp2_coef21:31;
        RBus_UInt32  res1:1;
    };
}dhdr_v_composer_composer_bl_pred_mmr_cmp2_coef_21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  db_read:1;
        RBus_UInt32  composer_db_apply:1;
        RBus_UInt32  composer_db_en:1;
        RBus_UInt32  res1:29;
    };
}dhdr_v_composer_composer_db_ctrl_RBUS;




#endif 


#endif 
