/**
* @file Merlin3-DesignSpec-D-Domain_Histogram
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/9
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_D_HISTOGRAM_REG_H_
#define _RBUS_D_HISTOGRAM_REG_H_

#include "rbusTypes.h"



//  D_HISTOGRAM Register Address



#define  D_HISTOGRAM_D_ICH1_HIST_IN_CSELECT_VADDR           	(0xb802b100)
#define  D_HISTOGRAM_D_ICH1_HIST_IN_RANGE_HOR_VADDR         	(0xb802b104)
#define  D_HISTOGRAM_D_ICH1_HIST_IN_RANGE_VER_VADDR         	(0xb802b108)
#define  D_HISTOGRAM_D_ICH1_HIST_STATUS_VADDR               	(0xb802b10c)
#define  D_HISTOGRAM_D_ICH1_HIST_MAX_MIN_VADDR              	(0xb802b110)
#define  D_HISTOGRAM_D_ICH1_BYCOLOR_DEBUG_VADDR             	(0xb802b114)
#define  D_HISTOGRAM_D_ICH1_HIST_SUMVAL_HIGH_VADDR          	(0xb802b118)
#define  D_HISTOGRAM_D_ICH1_HIST_SUMVAL_LOW_VADDR           	(0xb802b11c)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_BOUND_VADDR             	(0xb802b120)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_BOUND_U_VADDR           	(0xb802b124)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_BOUND_V_VADDR           	(0xb802b128)
#define  D_HISTOGRAM_D_ICH1_HIST_READ_CTR_VADDR             	(0xb802b12c)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_01_00_VADDR     	(0xb802b130)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_03_02_VADDR     	(0xb802b134)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_05_04_VADDR     	(0xb802b138)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_07_06_VADDR     	(0xb802b13c)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_09_08_VADDR     	(0xb802b140)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_11_10_VADDR     	(0xb802b144)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_13_12_VADDR     	(0xb802b148)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_15_14_VADDR     	(0xb802b14c)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_17_16_VADDR     	(0xb802b150)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_19_18_VADDR     	(0xb802b154)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_21_20_VADDR     	(0xb802b158)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_23_22_VADDR     	(0xb802b15c)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_25_24_VADDR     	(0xb802b160)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_27_26_VADDR     	(0xb802b164)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_29_28_VADDR     	(0xb802b168)
#define  D_HISTOGRAM_D_ICH1_C0_HIST_IN_DATA_31_30_VADDR     	(0xb802b16c)
#define  D_HISTOGRAM_D_ICH1_C0_SECTIONHIST_IN_CSELECT_VADDR 	(0xb802b170)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION0_DATA_01_00_VADDR    	(0xb802b174)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION0_DATA_03_02_VADDR    	(0xb802b178)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION0_DATA_05_04_VADDR    	(0xb802b17c)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION0_DATA_07_06_VADDR    	(0xb802b180)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION1_DATA_01_00_VADDR    	(0xb802b184)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION1_DATA_03_02_VADDR    	(0xb802b188)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION1_DATA_05_04_VADDR    	(0xb802b18c)
#define  D_HISTOGRAM_D_ICH1_C0_SECTION1_DATA_07_06_VADDR    	(0xb802b190)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_BOUND_VADDR             	(0xb802b1a0)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_BOUND_U_VADDR           	(0xb802b1a4)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_BOUND_V_VADDR           	(0xb802b1a8)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_01_00_VADDR     	(0xb802b1b0)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_03_02_VADDR     	(0xb802b1b4)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_05_04_VADDR     	(0xb802b1b8)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_07_06_VADDR     	(0xb802b1bc)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_09_08_VADDR     	(0xb802b1c0)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_11_10_VADDR     	(0xb802b1c4)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_13_12_VADDR     	(0xb802b1c8)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_15_14_VADDR     	(0xb802b1cc)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_17_16_VADDR     	(0xb802b1d0)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_19_18_VADDR     	(0xb802b1d4)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_21_20_VADDR     	(0xb802b1d8)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_23_22_VADDR     	(0xb802b1dc)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_25_24_VADDR     	(0xb802b1e0)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_27_26_VADDR     	(0xb802b1e4)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_29_28_VADDR     	(0xb802b1e8)
#define  D_HISTOGRAM_D_ICH1_C1_HIST_IN_DATA_31_30_VADDR     	(0xb802b1ec)
#define  D_HISTOGRAM_D_ICH1_C1_SECTIONHIST_IN_CSELECT_VADDR 	(0xb802b1f0)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION0_DATA_01_00_VADDR    	(0xb802b1f4)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION0_DATA_03_02_VADDR    	(0xb802b1f8)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION0_DATA_05_04_VADDR    	(0xb802b1fc)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION0_DATA_07_06_VADDR    	(0xb802b200)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION1_DATA_01_00_VADDR    	(0xb802b204)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION1_DATA_03_02_VADDR    	(0xb802b208)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION1_DATA_05_04_VADDR    	(0xb802b20c)
#define  D_HISTOGRAM_D_ICH1_C1_SECTION1_DATA_07_06_VADDR    	(0xb802b210)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_2P_BIST_FAIL_VADDR   	(0xb802b21c)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_1P_BIST_FAIL_VADDR   	(0xb802b220)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_2P_DRF_FAIL_VADDR    	(0xb802b224)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_1P_DRF_FAIL_VADDR    	(0xb802b228)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_2P_BIST_DVSE_VADDR   	(0xb802b22c)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_1P_BIST_DVSE_VADDR   	(0xb802b230)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_2P_BIST_DVS_VADDR    	(0xb802b234)
#define  D_HISTOGRAM_D_ICH1_MBIST_HIST_1P_BIST_DVS_VADDR    	(0xb802b238)
#define  D_HISTOGRAM_D_ICH2_HIST_IN_CSELECT_VADDR           	(0xb802b300)
#define  D_HISTOGRAM_D_ICH2_HIST_IN_RANGE_HOR_VADDR         	(0xb802b304)
#define  D_HISTOGRAM_D_ICH2_HIST_IN_RANGE_VER_VADDR         	(0xb802b308)
#define  D_HISTOGRAM_D_ICH2_HIST_STATUS_VADDR               	(0xb802b30c)
#define  D_HISTOGRAM_D_ICH2_HIST_MAX_MIN_VADDR              	(0xb802b310)
#define  D_HISTOGRAM_D_ICH2_BYCOLOR_DEBUG_VADDR             	(0xb802b314)
#define  D_HISTOGRAM_D_ICH2_HIST_SUMVAL_HIGH_VADDR          	(0xb802b318)
#define  D_HISTOGRAM_D_ICH2_HIST_SUMVAL_LOW_VADDR           	(0xb802b31c)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_BOUND_VADDR             	(0xb802b320)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_BOUND_U_VADDR           	(0xb802b324)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_BOUND_V_VADDR           	(0xb802b328)
#define  D_HISTOGRAM_D_ICH2_HIST_READ_CTR_VADDR             	(0xb802b32c)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_01_00_VADDR     	(0xb802b330)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_03_02_VADDR     	(0xb802b334)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_05_04_VADDR     	(0xb802b338)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_07_06_VADDR     	(0xb802b33c)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_09_08_VADDR     	(0xb802b340)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_11_10_VADDR     	(0xb802b344)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_13_12_VADDR     	(0xb802b348)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_15_14_VADDR     	(0xb802b34c)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_17_16_VADDR     	(0xb802b350)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_19_18_VADDR     	(0xb802b354)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_21_20_VADDR     	(0xb802b358)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_23_22_VADDR     	(0xb802b35c)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_25_24_VADDR     	(0xb802b360)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_27_26_VADDR     	(0xb802b364)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_29_28_VADDR     	(0xb802b368)
#define  D_HISTOGRAM_D_ICH2_C0_HIST_IN_DATA_31_30_VADDR     	(0xb802b36c)
#define  D_HISTOGRAM_D_ICH2_C0_SECTIONHIST_IN_CSELECT_VADDR 	(0xb802b370)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION0_DATA_01_00_VADDR    	(0xb802b374)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION0_DATA_03_02_VADDR    	(0xb802b378)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION0_DATA_05_04_VADDR    	(0xb802b37c)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION0_DATA_07_06_VADDR    	(0xb802b380)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION1_DATA_01_00_VADDR    	(0xb802b384)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION1_DATA_03_02_VADDR    	(0xb802b388)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION1_DATA_05_04_VADDR    	(0xb802b38c)
#define  D_HISTOGRAM_D_ICH2_C0_SECTION1_DATA_07_06_VADDR    	(0xb802b390)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_BOUND_VADDR             	(0xb802b3a0)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_BOUND_U_VADDR           	(0xb802b3a4)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_BOUND_V_VADDR           	(0xb802b3a8)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_01_00_VADDR     	(0xb802b3b0)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_03_02_VADDR     	(0xb802b3b4)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_05_04_VADDR     	(0xb802b3b8)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_07_06_VADDR     	(0xb802b3bc)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_09_08_VADDR     	(0xb802b3c0)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_11_10_VADDR     	(0xb802b3c4)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_13_12_VADDR     	(0xb802b3c8)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_15_14_VADDR     	(0xb802b3cc)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_17_16_VADDR     	(0xb802b3d0)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_19_18_VADDR     	(0xb802b3d4)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_21_20_VADDR     	(0xb802b3d8)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_23_22_VADDR     	(0xb802b3dc)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_25_24_VADDR     	(0xb802b3e0)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_27_26_VADDR     	(0xb802b3e4)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_29_28_VADDR     	(0xb802b3e8)
#define  D_HISTOGRAM_D_ICH2_C1_HIST_IN_DATA_31_30_VADDR     	(0xb802b3ec)
#define  D_HISTOGRAM_D_ICH2_C1_SECTIONHIST_IN_CSELECT_VADDR 	(0xb802b3f0)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION0_DATA_01_00_VADDR    	(0xb802b3f4)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION0_DATA_03_02_VADDR    	(0xb802b3f8)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION0_DATA_05_04_VADDR    	(0xb802b3fc)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION0_DATA_07_06_VADDR    	(0xb802b400)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION1_DATA_01_00_VADDR    	(0xb802b404)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION1_DATA_03_02_VADDR    	(0xb802b408)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION1_DATA_05_04_VADDR    	(0xb802b40c)
#define  D_HISTOGRAM_D_ICH2_C1_SECTION1_DATA_07_06_VADDR    	(0xb802b410)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_2P_BIST_FAIL_VADDR   	(0xb802b41c)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_1P_BIST_FAIL_VADDR   	(0xb802b420)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_2P_DRF_FAIL_VADDR    	(0xb802b424)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_1P_DRF_FAIL_VADDR    	(0xb802b428)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_2P_BIST_DVSE_VADDR   	(0xb802b42c)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_1P_BIST_DVSE_VADDR   	(0xb802b430)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_2P_BIST_DVS_VADDR    	(0xb802b434)
#define  D_HISTOGRAM_D_ICH2_MBIST_HIST_1P_BIST_DVS_VADDR    	(0xb802b438)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======D_HISTOGRAM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  bin_mode:1;
        RBus_UInt32  lr_select:1;
        RBus_UInt32  ch1_3d_en:1;
        RBus_UInt32  ch1_his_updatelockmode_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  ch1_his_enable_histog:1;
        RBus_UInt32  ch1_his_irq_en:1;
        RBus_UInt32  ch1_his_yuv_sel:2;
        RBus_UInt32  ch1_his_num_flds:4;
        RBus_UInt32  ch1_his_shift_sel:3;
        RBus_UInt32  ch1_his_offset:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  ch1_his_mode_sel:1;
        RBus_UInt32  ch1_his_even_odd_pos_en:1;
        RBus_UInt32  ch1_his_even_odd_pos_sel:1;
        RBus_UInt32  ch1_his_even_odd_fld_en:1;
        RBus_UInt32  ch1_his_even_odd_fld_sel:1;
        RBus_UInt32  res4:2;
    };
}d_histogram_d_ich1_hist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ch1_his_horend:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ch1_his_horstart:13;
    };
}d_histogram_d_ich1_hist_in_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ch1_his_verend:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ch1_his_verstart:13;
    };
}d_histogram_d_ich1_hist_in_range_ver_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  ch1_his_dcc_invalid:1;
        RBus_UInt32  ch1_his_his_irq:1;
    };
}d_histogram_d_ich1_hist_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_his_max_val:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_his_min_val:10;
    };
}d_histogram_d_ich1_hist_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  bycolor_debug_mode:2;
    };
}d_histogram_d_ich1_bycolor_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  ch1_his_sumval_high:9;
    };
}d_histogram_d_ich1_hist_sumval_high_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ch1_his_sumval_low:24;
    };
}d_histogram_d_ich1_hist_sumval_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c0_lower_bound:10;
    };
}d_histogram_d_ich1_c0_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound_u:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c0_lower_bound_u:10;
    };
}d_histogram_d_ich1_c0_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound_v:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c0_lower_bound_v:10;
    };
}d_histogram_d_ich1_c0_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ch1_sram_read:1;
        RBus_UInt32  ch1_sram_block:2;
        RBus_UInt32  ch1_sram_read_consistent_flag:1;
    };
}d_histogram_d_ich1_hist_read_ctr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist01:16;
        RBus_UInt32  ch1_c0_hist00:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist03:16;
        RBus_UInt32  ch1_c0_hist02:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist05:16;
        RBus_UInt32  ch1_c0_hist04:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist07:16;
        RBus_UInt32  ch1_c0_hist06:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist09:16;
        RBus_UInt32  ch1_c0_hist08:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist11:16;
        RBus_UInt32  ch1_c0_hist10:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist13:16;
        RBus_UInt32  ch1_c0_hist12:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist15:16;
        RBus_UInt32  ch1_c0_hist14:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist17:16;
        RBus_UInt32  ch1_c0_hist16:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist19:16;
        RBus_UInt32  ch1_c0_hist18:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist21:16;
        RBus_UInt32  ch1_c0_hist20:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist23:16;
        RBus_UInt32  ch1_c0_hist22:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist25:16;
        RBus_UInt32  ch1_c0_hist24:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist27:16;
        RBus_UInt32  ch1_c0_hist26:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist29:16;
        RBus_UInt32  ch1_c0_hist28:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist31:16;
        RBus_UInt32  ch1_c0_hist30:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  ch1_c0_section1_bin_sel:7;
        RBus_UInt32  res2:9;
        RBus_UInt32  ch1_c0_section0_bin_sel:7;
    };
}d_histogram_d_ich1_c0_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist01:16;
        RBus_UInt32  ch1_c0_section_his0_hist00:16;
    };
}d_histogram_d_ich1_c0_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist03:16;
        RBus_UInt32  ch1_c0_section_his0_hist02:16;
    };
}d_histogram_d_ich1_c0_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist05:16;
        RBus_UInt32  ch1_c0_section_his0_hist04:16;
    };
}d_histogram_d_ich1_c0_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist07:16;
        RBus_UInt32  ch1_c0_section_his0_hist06:16;
    };
}d_histogram_d_ich1_c0_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist01:16;
        RBus_UInt32  ch1_c0_section_his1_hist00:16;
    };
}d_histogram_d_ich1_c0_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist03:16;
        RBus_UInt32  ch1_c0_section_his1_hist02:16;
    };
}d_histogram_d_ich1_c0_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist05:16;
        RBus_UInt32  ch1_c0_section_his1_hist04:16;
    };
}d_histogram_d_ich1_c0_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist07:16;
        RBus_UInt32  ch1_c0_section_his1_hist06:16;
    };
}d_histogram_d_ich1_c0_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c1_lower_bound:10;
    };
}d_histogram_d_ich1_c1_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound_u:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c1_lower_bound_u:10;
    };
}d_histogram_d_ich1_c1_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound_v:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch1_c1_lower_bound_v:10;
    };
}d_histogram_d_ich1_c1_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist01:16;
        RBus_UInt32  ch1_c1_hist00:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist03:16;
        RBus_UInt32  ch1_c1_hist02:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist05:16;
        RBus_UInt32  ch1_c1_hist04:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist07:16;
        RBus_UInt32  ch1_c1_hist06:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist09:16;
        RBus_UInt32  ch1_c1_hist08:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist11:16;
        RBus_UInt32  ch1_c1_hist10:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist13:16;
        RBus_UInt32  ch1_c1_hist12:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist15:16;
        RBus_UInt32  ch1_c1_hist14:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist17:16;
        RBus_UInt32  ch1_c1_hist16:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist19:16;
        RBus_UInt32  ch1_c1_hist18:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist21:16;
        RBus_UInt32  ch1_c1_hist20:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist23:16;
        RBus_UInt32  ch1_c1_hist22:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist25:16;
        RBus_UInt32  ch1_c1_hist24:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist27:16;
        RBus_UInt32  ch1_c1_hist26:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist29:16;
        RBus_UInt32  ch1_c1_hist28:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist31:16;
        RBus_UInt32  ch1_c1_hist30:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  ch1_c1_section1_bin_sel:7;
        RBus_UInt32  res2:9;
        RBus_UInt32  ch1_c1_section0_bin_sel:7;
    };
}d_histogram_d_ich1_c1_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist01:16;
        RBus_UInt32  ch1_c1_section_his0_hist00:16;
    };
}d_histogram_d_ich1_c1_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist03:16;
        RBus_UInt32  ch1_c1_section_his0_hist02:16;
    };
}d_histogram_d_ich1_c1_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist05:16;
        RBus_UInt32  ch1_c1_section_his0_hist04:16;
    };
}d_histogram_d_ich1_c1_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist07:16;
        RBus_UInt32  ch1_c1_section_his0_hist06:16;
    };
}d_histogram_d_ich1_c1_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist01:16;
        RBus_UInt32  ch1_c1_section_his1_hist00:16;
    };
}d_histogram_d_ich1_c1_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist03:16;
        RBus_UInt32  ch1_c1_section_his1_hist02:16;
    };
}d_histogram_d_ich1_c1_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist05:16;
        RBus_UInt32  ch1_c1_section_his1_hist04:16;
    };
}d_histogram_d_ich1_c1_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist07:16;
        RBus_UInt32  ch1_c1_section_his1_hist06:16;
    };
}d_histogram_d_ich1_c1_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich1_c0_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  ich1_c1_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_2p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich1_c0_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  ich1_c1_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_1p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich1_mbist_hist_2p_bist_testrwm:1;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  res2:8;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  res2:8;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  bin_mode:1;
        RBus_UInt32  ch2_his_updatelockmode_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  ch2_his_enable_histog:1;
        RBus_UInt32  ch2_his_irq_en:1;
        RBus_UInt32  ch2_his_yuv_sel:2;
        RBus_UInt32  ch2_his_num_flds:4;
        RBus_UInt32  ch2_his_shift_sel:3;
        RBus_UInt32  ch2_his_offset:4;
        RBus_UInt32  res3:1;
        RBus_UInt32  ch2_his_mode_sel:1;
        RBus_UInt32  ch2_his_even_odd_pos_en:1;
        RBus_UInt32  ch2_his_even_odd_pos_sel:1;
        RBus_UInt32  ch2_his_even_odd_fld_en:1;
        RBus_UInt32  ch2_his_even_odd_fld_sel:1;
        RBus_UInt32  res4:2;
    };
}d_histogram_d_ich2_hist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ch2_his_horend:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ch2_his_horstart:13;
    };
}d_histogram_d_ich2_hist_in_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ch2_his_verend:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ch2_his_verstart:13;
    };
}d_histogram_d_ich2_hist_in_range_ver_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  ch2_his_dcc_invalid:1;
        RBus_UInt32  ch2_his_his_irq:1;
    };
}d_histogram_d_ich2_hist_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_his_max_val:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_his_min_val:10;
    };
}d_histogram_d_ich2_hist_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:30;
        RBus_UInt32  bycolor_debug_mode:2;
    };
}d_histogram_d_ich2_bycolor_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  ch2_his_sumval_high:9;
    };
}d_histogram_d_ich2_hist_sumval_high_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ch2_his_sumval_low:24;
    };
}d_histogram_d_ich2_hist_sumval_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c0_lower_bound:10;
    };
}d_histogram_d_ich2_c0_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound_u:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c0_lower_bound_u:10;
    };
}d_histogram_d_ich2_c0_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound_v:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c0_lower_bound_v:10;
    };
}d_histogram_d_ich2_c0_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ch2_sram_read:1;
        RBus_UInt32  ch2_sram_block:2;
        RBus_UInt32  ch2_sram_read_consistent_flag:1;
    };
}d_histogram_d_ich2_hist_read_ctr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist01:16;
        RBus_UInt32  ch2_c0_hist00:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist03:16;
        RBus_UInt32  ch2_c0_hist02:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist05:16;
        RBus_UInt32  ch2_c0_hist04:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist07:16;
        RBus_UInt32  ch2_c0_hist06:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist09:16;
        RBus_UInt32  ch2_c0_hist08:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist11:16;
        RBus_UInt32  ch2_c0_hist10:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist13:16;
        RBus_UInt32  ch2_c0_hist12:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist15:16;
        RBus_UInt32  ch2_c0_hist14:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist17:16;
        RBus_UInt32  ch2_c0_hist16:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist19:16;
        RBus_UInt32  ch2_c0_hist18:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist21:16;
        RBus_UInt32  ch2_c0_hist20:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist23:16;
        RBus_UInt32  ch2_c0_hist22:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist25:16;
        RBus_UInt32  ch2_c0_hist24:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist27:16;
        RBus_UInt32  ch2_c0_hist26:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist29:16;
        RBus_UInt32  ch2_c0_hist28:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist31:16;
        RBus_UInt32  ch2_c0_hist30:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  ch2_c0_section1_bin_sel:7;
        RBus_UInt32  res2:9;
        RBus_UInt32  ch2_c0_section0_bin_sel:7;
    };
}d_histogram_d_ich2_c0_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist01:16;
        RBus_UInt32  ch2_c0_section_his0_hist00:16;
    };
}d_histogram_d_ich2_c0_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist03:16;
        RBus_UInt32  ch2_c0_section_his0_hist02:16;
    };
}d_histogram_d_ich2_c0_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist05:16;
        RBus_UInt32  ch2_c0_section_his0_hist04:16;
    };
}d_histogram_d_ich2_c0_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist07:16;
        RBus_UInt32  ch2_c0_section_his0_hist06:16;
    };
}d_histogram_d_ich2_c0_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist01:16;
        RBus_UInt32  ch2_c0_section_his1_hist00:16;
    };
}d_histogram_d_ich2_c0_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist03:16;
        RBus_UInt32  ch2_c0_section_his1_hist02:16;
    };
}d_histogram_d_ich2_c0_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist05:16;
        RBus_UInt32  ch2_c0_section_his1_hist04:16;
    };
}d_histogram_d_ich2_c0_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist07:16;
        RBus_UInt32  ch2_c0_section_his1_hist06:16;
    };
}d_histogram_d_ich2_c0_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c1_lower_bound:10;
    };
}d_histogram_d_ich2_c1_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound_u:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c1_lower_bound_u:10;
    };
}d_histogram_d_ich2_c1_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound_v:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ch2_c1_lower_bound_v:10;
    };
}d_histogram_d_ich2_c1_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist01:16;
        RBus_UInt32  ch2_c1_hist00:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist03:16;
        RBus_UInt32  ch2_c1_hist02:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist05:16;
        RBus_UInt32  ch2_c1_hist04:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist07:16;
        RBus_UInt32  ch2_c1_hist06:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist09:16;
        RBus_UInt32  ch2_c1_hist08:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist11:16;
        RBus_UInt32  ch2_c1_hist10:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist13:16;
        RBus_UInt32  ch2_c1_hist12:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist15:16;
        RBus_UInt32  ch2_c1_hist14:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist17:16;
        RBus_UInt32  ch2_c1_hist16:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist19:16;
        RBus_UInt32  ch2_c1_hist18:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist21:16;
        RBus_UInt32  ch2_c1_hist20:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist23:16;
        RBus_UInt32  ch2_c1_hist22:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist25:16;
        RBus_UInt32  ch2_c1_hist24:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist27:16;
        RBus_UInt32  ch2_c1_hist26:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist29:16;
        RBus_UInt32  ch2_c1_hist28:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist31:16;
        RBus_UInt32  ch2_c1_hist30:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:9;
        RBus_UInt32  ch2_c1_section1_bin_sel:7;
        RBus_UInt32  res2:9;
        RBus_UInt32  ch2_c1_section0_bin_sel:7;
    };
}d_histogram_d_ich2_c1_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist01:16;
        RBus_UInt32  ch2_c1_section_his0_hist00:16;
    };
}d_histogram_d_ich2_c1_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist03:16;
        RBus_UInt32  ch2_c1_section_his0_hist02:16;
    };
}d_histogram_d_ich2_c1_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist05:16;
        RBus_UInt32  ch2_c1_section_his0_hist04:16;
    };
}d_histogram_d_ich2_c1_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist07:16;
        RBus_UInt32  ch2_c1_section_his0_hist06:16;
    };
}d_histogram_d_ich2_c1_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist01:16;
        RBus_UInt32  ch2_c1_section_his1_hist00:16;
    };
}d_histogram_d_ich2_c1_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist03:16;
        RBus_UInt32  ch2_c1_section_his1_hist02:16;
    };
}d_histogram_d_ich2_c1_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist05:16;
        RBus_UInt32  ch2_c1_section_his1_hist04:16;
    };
}d_histogram_d_ich2_c1_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist07:16;
        RBus_UInt32  ch2_c1_section_his1_hist06:16;
    };
}d_histogram_d_ich2_c1_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich2_c0_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  ich2_c1_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_2p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  ich2_c0_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  ich2_c1_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_1p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich2_mbist_hist_2p_bist_testrwm:1;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  res2:2;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  res2:8;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:16;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  res2:8;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_dvs_RBUS;

#else //apply LITTLE_ENDIAN

//======D_HISTOGRAM register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch1_his_even_odd_fld_sel:1;
        RBus_UInt32  ch1_his_even_odd_fld_en:1;
        RBus_UInt32  ch1_his_even_odd_pos_sel:1;
        RBus_UInt32  ch1_his_even_odd_pos_en:1;
        RBus_UInt32  ch1_his_mode_sel:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  ch1_his_offset:4;
        RBus_UInt32  ch1_his_shift_sel:3;
        RBus_UInt32  ch1_his_num_flds:4;
        RBus_UInt32  ch1_his_yuv_sel:2;
        RBus_UInt32  ch1_his_irq_en:1;
        RBus_UInt32  ch1_his_enable_histog:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  ch1_his_updatelockmode_en:1;
        RBus_UInt32  ch1_3d_en:1;
        RBus_UInt32  lr_select:1;
        RBus_UInt32  bin_mode:1;
        RBus_UInt32  res4:4;
    };
}d_histogram_d_ich1_hist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_horstart:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  ch1_his_horend:13;
        RBus_UInt32  res2:3;
    };
}d_histogram_d_ich1_hist_in_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_verstart:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  ch1_his_verend:13;
        RBus_UInt32  res2:3;
    };
}d_histogram_d_ich1_hist_in_range_ver_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_his_irq:1;
        RBus_UInt32  ch1_his_dcc_invalid:1;
        RBus_UInt32  res1:30;
    };
}d_histogram_d_ich1_hist_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_min_val:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_his_max_val:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_hist_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bycolor_debug_mode:2;
        RBus_UInt32  res1:30;
    };
}d_histogram_d_ich1_bycolor_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_sumval_high:9;
        RBus_UInt32  res1:23;
    };
}d_histogram_d_ich1_hist_sumval_high_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_his_sumval_low:24;
        RBus_UInt32  res1:8;
    };
}d_histogram_d_ich1_hist_sumval_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_lower_bound:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c0_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_lower_bound_u:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound_u:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c0_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_lower_bound_v:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c0_upper_bound_v:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c0_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_sram_read_consistent_flag:1;
        RBus_UInt32  ch1_sram_block:2;
        RBus_UInt32  ch1_sram_read:1;
        RBus_UInt32  res1:28;
    };
}d_histogram_d_ich1_hist_read_ctr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist00:16;
        RBus_UInt32  ch1_c0_hist01:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist02:16;
        RBus_UInt32  ch1_c0_hist03:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist04:16;
        RBus_UInt32  ch1_c0_hist05:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist06:16;
        RBus_UInt32  ch1_c0_hist07:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist08:16;
        RBus_UInt32  ch1_c0_hist09:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist10:16;
        RBus_UInt32  ch1_c0_hist11:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist12:16;
        RBus_UInt32  ch1_c0_hist13:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist14:16;
        RBus_UInt32  ch1_c0_hist15:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist16:16;
        RBus_UInt32  ch1_c0_hist17:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist18:16;
        RBus_UInt32  ch1_c0_hist19:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist20:16;
        RBus_UInt32  ch1_c0_hist21:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist22:16;
        RBus_UInt32  ch1_c0_hist23:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist24:16;
        RBus_UInt32  ch1_c0_hist25:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist26:16;
        RBus_UInt32  ch1_c0_hist27:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist28:16;
        RBus_UInt32  ch1_c0_hist29:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_hist30:16;
        RBus_UInt32  ch1_c0_hist31:16;
    };
}d_histogram_d_ich1_c0_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section0_bin_sel:7;
        RBus_UInt32  res1:9;
        RBus_UInt32  ch1_c0_section1_bin_sel:7;
        RBus_UInt32  res2:9;
    };
}d_histogram_d_ich1_c0_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist00:16;
        RBus_UInt32  ch1_c0_section_his0_hist01:16;
    };
}d_histogram_d_ich1_c0_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist02:16;
        RBus_UInt32  ch1_c0_section_his0_hist03:16;
    };
}d_histogram_d_ich1_c0_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist04:16;
        RBus_UInt32  ch1_c0_section_his0_hist05:16;
    };
}d_histogram_d_ich1_c0_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his0_hist06:16;
        RBus_UInt32  ch1_c0_section_his0_hist07:16;
    };
}d_histogram_d_ich1_c0_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist00:16;
        RBus_UInt32  ch1_c0_section_his1_hist01:16;
    };
}d_histogram_d_ich1_c0_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist02:16;
        RBus_UInt32  ch1_c0_section_his1_hist03:16;
    };
}d_histogram_d_ich1_c0_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist04:16;
        RBus_UInt32  ch1_c0_section_his1_hist05:16;
    };
}d_histogram_d_ich1_c0_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c0_section_his1_hist06:16;
        RBus_UInt32  ch1_c0_section_his1_hist07:16;
    };
}d_histogram_d_ich1_c0_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_lower_bound:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c1_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_lower_bound_u:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound_u:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c1_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_lower_bound_v:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch1_c1_upper_bound_v:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich1_c1_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist00:16;
        RBus_UInt32  ch1_c1_hist01:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist02:16;
        RBus_UInt32  ch1_c1_hist03:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist04:16;
        RBus_UInt32  ch1_c1_hist05:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist06:16;
        RBus_UInt32  ch1_c1_hist07:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist08:16;
        RBus_UInt32  ch1_c1_hist09:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist10:16;
        RBus_UInt32  ch1_c1_hist11:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist12:16;
        RBus_UInt32  ch1_c1_hist13:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist14:16;
        RBus_UInt32  ch1_c1_hist15:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist16:16;
        RBus_UInt32  ch1_c1_hist17:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist18:16;
        RBus_UInt32  ch1_c1_hist19:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist20:16;
        RBus_UInt32  ch1_c1_hist21:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist22:16;
        RBus_UInt32  ch1_c1_hist23:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist24:16;
        RBus_UInt32  ch1_c1_hist25:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist26:16;
        RBus_UInt32  ch1_c1_hist27:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist28:16;
        RBus_UInt32  ch1_c1_hist29:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_hist30:16;
        RBus_UInt32  ch1_c1_hist31:16;
    };
}d_histogram_d_ich1_c1_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section0_bin_sel:7;
        RBus_UInt32  res1:9;
        RBus_UInt32  ch1_c1_section1_bin_sel:7;
        RBus_UInt32  res2:9;
    };
}d_histogram_d_ich1_c1_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist00:16;
        RBus_UInt32  ch1_c1_section_his0_hist01:16;
    };
}d_histogram_d_ich1_c1_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist02:16;
        RBus_UInt32  ch1_c1_section_his0_hist03:16;
    };
}d_histogram_d_ich1_c1_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist04:16;
        RBus_UInt32  ch1_c1_section_his0_hist05:16;
    };
}d_histogram_d_ich1_c1_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his0_hist06:16;
        RBus_UInt32  ch1_c1_section_his0_hist07:16;
    };
}d_histogram_d_ich1_c1_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist00:16;
        RBus_UInt32  ch1_c1_section_his1_hist01:16;
    };
}d_histogram_d_ich1_c1_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist02:16;
        RBus_UInt32  ch1_c1_section_his1_hist03:16;
    };
}d_histogram_d_ich1_c1_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist04:16;
        RBus_UInt32  ch1_c1_section_his1_hist05:16;
    };
}d_histogram_d_ich1_c1_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch1_c1_section_his1_hist06:16;
        RBus_UInt32  ch1_c1_section_his1_hist07:16;
    };
}d_histogram_d_ich1_c1_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  ich1_c0_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich1_mbist_hist_2p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  ich1_c0_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich1_mbist_hist_1p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich1_mbist_hist_2p_bist_testrwm:1;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  res2:25;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  res2:26;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ich1_c1_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  ich1_c0_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  res2:16;
    };
}d_histogram_d_ich1_mbist_hist_2p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ich1_c1_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  ich1_c0_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  res2:16;
    };
}d_histogram_d_ich1_mbist_hist_1p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ch2_his_even_odd_fld_sel:1;
        RBus_UInt32  ch2_his_even_odd_fld_en:1;
        RBus_UInt32  ch2_his_even_odd_pos_sel:1;
        RBus_UInt32  ch2_his_even_odd_pos_en:1;
        RBus_UInt32  ch2_his_mode_sel:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  ch2_his_offset:4;
        RBus_UInt32  ch2_his_shift_sel:3;
        RBus_UInt32  ch2_his_num_flds:4;
        RBus_UInt32  ch2_his_yuv_sel:2;
        RBus_UInt32  ch2_his_irq_en:1;
        RBus_UInt32  ch2_his_enable_histog:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  ch2_his_updatelockmode_en:1;
        RBus_UInt32  bin_mode:1;
        RBus_UInt32  res4:6;
    };
}d_histogram_d_ich2_hist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_horstart:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  ch2_his_horend:13;
        RBus_UInt32  res2:3;
    };
}d_histogram_d_ich2_hist_in_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_verstart:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  ch2_his_verend:13;
        RBus_UInt32  res2:3;
    };
}d_histogram_d_ich2_hist_in_range_ver_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_his_irq:1;
        RBus_UInt32  ch2_his_dcc_invalid:1;
        RBus_UInt32  res1:30;
    };
}d_histogram_d_ich2_hist_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_min_val:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_his_max_val:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_hist_max_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bycolor_debug_mode:2;
        RBus_UInt32  res1:30;
    };
}d_histogram_d_ich2_bycolor_debug_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_sumval_high:9;
        RBus_UInt32  res1:23;
    };
}d_histogram_d_ich2_hist_sumval_high_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_his_sumval_low:24;
        RBus_UInt32  res1:8;
    };
}d_histogram_d_ich2_hist_sumval_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_lower_bound:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c0_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_lower_bound_u:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound_u:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c0_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_lower_bound_v:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c0_upper_bound_v:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c0_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_sram_read_consistent_flag:1;
        RBus_UInt32  ch2_sram_block:2;
        RBus_UInt32  ch2_sram_read:1;
        RBus_UInt32  res1:28;
    };
}d_histogram_d_ich2_hist_read_ctr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist00:16;
        RBus_UInt32  ch2_c0_hist01:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist02:16;
        RBus_UInt32  ch2_c0_hist03:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist04:16;
        RBus_UInt32  ch2_c0_hist05:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist06:16;
        RBus_UInt32  ch2_c0_hist07:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist08:16;
        RBus_UInt32  ch2_c0_hist09:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist10:16;
        RBus_UInt32  ch2_c0_hist11:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist12:16;
        RBus_UInt32  ch2_c0_hist13:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist14:16;
        RBus_UInt32  ch2_c0_hist15:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist16:16;
        RBus_UInt32  ch2_c0_hist17:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist18:16;
        RBus_UInt32  ch2_c0_hist19:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist20:16;
        RBus_UInt32  ch2_c0_hist21:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist22:16;
        RBus_UInt32  ch2_c0_hist23:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist24:16;
        RBus_UInt32  ch2_c0_hist25:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist26:16;
        RBus_UInt32  ch2_c0_hist27:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist28:16;
        RBus_UInt32  ch2_c0_hist29:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_hist30:16;
        RBus_UInt32  ch2_c0_hist31:16;
    };
}d_histogram_d_ich2_c0_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section0_bin_sel:7;
        RBus_UInt32  res1:9;
        RBus_UInt32  ch2_c0_section1_bin_sel:7;
        RBus_UInt32  res2:9;
    };
}d_histogram_d_ich2_c0_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist00:16;
        RBus_UInt32  ch2_c0_section_his0_hist01:16;
    };
}d_histogram_d_ich2_c0_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist02:16;
        RBus_UInt32  ch2_c0_section_his0_hist03:16;
    };
}d_histogram_d_ich2_c0_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist04:16;
        RBus_UInt32  ch2_c0_section_his0_hist05:16;
    };
}d_histogram_d_ich2_c0_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his0_hist06:16;
        RBus_UInt32  ch2_c0_section_his0_hist07:16;
    };
}d_histogram_d_ich2_c0_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist00:16;
        RBus_UInt32  ch2_c0_section_his1_hist01:16;
    };
}d_histogram_d_ich2_c0_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist02:16;
        RBus_UInt32  ch2_c0_section_his1_hist03:16;
    };
}d_histogram_d_ich2_c0_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist04:16;
        RBus_UInt32  ch2_c0_section_his1_hist05:16;
    };
}d_histogram_d_ich2_c0_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c0_section_his1_hist06:16;
        RBus_UInt32  ch2_c0_section_his1_hist07:16;
    };
}d_histogram_d_ich2_c0_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_lower_bound:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c1_hist_bound_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_lower_bound_u:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound_u:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c1_hist_bound_u_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_lower_bound_v:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ch2_c1_upper_bound_v:10;
        RBus_UInt32  res2:6;
    };
}d_histogram_d_ich2_c1_hist_bound_v_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist00:16;
        RBus_UInt32  ch2_c1_hist01:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist02:16;
        RBus_UInt32  ch2_c1_hist03:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist04:16;
        RBus_UInt32  ch2_c1_hist05:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist06:16;
        RBus_UInt32  ch2_c1_hist07:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist08:16;
        RBus_UInt32  ch2_c1_hist09:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_09_08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist10:16;
        RBus_UInt32  ch2_c1_hist11:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_11_10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist12:16;
        RBus_UInt32  ch2_c1_hist13:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_13_12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist14:16;
        RBus_UInt32  ch2_c1_hist15:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_15_14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist16:16;
        RBus_UInt32  ch2_c1_hist17:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_17_16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist18:16;
        RBus_UInt32  ch2_c1_hist19:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_19_18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist20:16;
        RBus_UInt32  ch2_c1_hist21:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_21_20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist22:16;
        RBus_UInt32  ch2_c1_hist23:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_23_22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist24:16;
        RBus_UInt32  ch2_c1_hist25:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_25_24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist26:16;
        RBus_UInt32  ch2_c1_hist27:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_27_26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist28:16;
        RBus_UInt32  ch2_c1_hist29:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_29_28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_hist30:16;
        RBus_UInt32  ch2_c1_hist31:16;
    };
}d_histogram_d_ich2_c1_hist_in_data_31_30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section0_bin_sel:7;
        RBus_UInt32  res1:9;
        RBus_UInt32  ch2_c1_section1_bin_sel:7;
        RBus_UInt32  res2:9;
    };
}d_histogram_d_ich2_c1_sectionhist_in_cselect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist00:16;
        RBus_UInt32  ch2_c1_section_his0_hist01:16;
    };
}d_histogram_d_ich2_c1_section0_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist02:16;
        RBus_UInt32  ch2_c1_section_his0_hist03:16;
    };
}d_histogram_d_ich2_c1_section0_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist04:16;
        RBus_UInt32  ch2_c1_section_his0_hist05:16;
    };
}d_histogram_d_ich2_c1_section0_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his0_hist06:16;
        RBus_UInt32  ch2_c1_section_his0_hist07:16;
    };
}d_histogram_d_ich2_c1_section0_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist00:16;
        RBus_UInt32  ch2_c1_section_his1_hist01:16;
    };
}d_histogram_d_ich2_c1_section1_data_01_00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist02:16;
        RBus_UInt32  ch2_c1_section_his1_hist03:16;
    };
}d_histogram_d_ich2_c1_section1_data_03_02_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist04:16;
        RBus_UInt32  ch2_c1_section_his1_hist05:16;
    };
}d_histogram_d_ich2_c1_section1_data_05_04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ch2_c1_section_his1_hist06:16;
        RBus_UInt32  ch2_c1_section_his1_hist07:16;
    };
}d_histogram_d_ich2_c1_section1_data_07_06_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  ich2_c0_mbist_hist_2p_drf_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich2_mbist_hist_2p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  ich2_c0_mbist_hist_1p_drf_fail:1;
        RBus_UInt32  res2:28;
    };
}d_histogram_d_ich2_mbist_hist_1p_drf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_dvse:1;
        RBus_UInt32  ich2_mbist_hist_2p_bist_testrwm:1;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_ls:1;
        RBus_UInt32  res2:25;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_dvse:1;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_ls:1;
        RBus_UInt32  res2:26;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_dvse_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ich2_c1_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  ich2_c0_mbist_hist_2p_bist_dvs:4;
        RBus_UInt32  res2:16;
    };
}d_histogram_d_ich2_mbist_hist_2p_bist_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  ich2_c1_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  ich2_c0_mbist_hist_1p_bist_dvs:4;
        RBus_UInt32  res2:16;
    };
}d_histogram_d_ich2_mbist_hist_1p_bist_dvs_RBUS;




#endif 


#endif 
