/**
* @file Merlin3-DesignSpec-USB2
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/6/13
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_USB2_TOP_REG_H_
#define _RBUS_USB2_TOP_REG_H_



//  USB2_TOP Register Address



#define  USB2_TOP_WRAPP_VADDR                               	(0xb8012800)
#define  USB2_TOP_VSTATUS_VADDR                             	(0xb8012804)
#define  USB2_TOP_USBIPINPUT_VADDR                          	(0xb8012808)
#define  USB2_TOP_RESET_UTMI_VADDR                          	(0xb801280c)
#define  USB2_TOP_SELF_LOOP_BACK_VADDR                      	(0xb8012810)
#define  USB2_TOP_VERSION_VADDR                             	(0xb8012814)
#define  USB2_TOP_WRAPP_2PORT_VADDR                         	(0xb8012820)
#define  USB2_TOP_VSTATUS_2PORT_VADDR                       	(0xb8012824)
#define  USB2_TOP_USBIPINPUT_2PORT_VADDR                    	(0xb8012828)
#define  USB2_TOP_RESET_UTMI_2PORT_VADDR                    	(0xb801282c)
#define  USB2_TOP_SELF_LOOP_BACK_2PORT_VADDR                	(0xb8012830)
#define  USB2_TOP_IPNEWINPUT_2PORT_VADDR                    	(0xb8012834)
#define  USB2_TOP_USBPHY_SLB0_VADDR                         	(0xb8012838)
#define  USB2_TOP_USBPHY_SLB1_VADDR                         	(0xb801283c)
#define  USB2_TOP_USB_DUMMY_VADDR                           	(0xb8012840)
#define  USB2_TOP_USB_CTR0_VADDR                            	(0xb8012848)
#define  USB2_TOP_USB_CTR1_VADDR                            	(0xb801284c)
#define  USB2_TOP_WRAPP_DBG1_VADDR                          	(0xb8012850)
#define  USB2_TOP_WRAPP_DBG2_VADDR                          	(0xb8012854)
#define  USB2_TOP_WRAPP_DBG3_VADDR                          	(0xb8012858)
#define  USB2_TOP_WRAPP_3PORT_VADDR                         	(0xb8012860)
#define  USB2_TOP_VSTATUS_3PORT_VADDR                       	(0xb8012864)
#define  USB2_TOP_USBIPINPUT_3PORT_VADDR                    	(0xb8012868)
#define  USB2_TOP_RESET_UTMI_3PORT_VADDR                    	(0xb801286c)
#define  USB2_TOP_SELF_LOOP_BACK_3PORT_VADDR                	(0xb8012870)
#define  USB2_TOP_USBPHY_SLB2_VADDR                         	(0xb8012874)
#define  USB2_TOP_USB_CTR2_VADDR                            	(0xb8012878)
#define  USB2_TOP_SF_TEST_CTR_VADDR                         	(0xb801287c)
#define  USB2_TOP_USB2_PORT_STATUS_VADDR                    	(0xb8012880)
#define  USB2_TOP_USB_CRC_CNT_VADDR                         	(0xb8012884)
#define  USB2_TOP_USB_INT_VADDR                             	(0xb8012888)
#define  USB2_TOP_USB_DEBUG_VADDR                           	(0xb801288c)
#define  USB2_TOP_WRAP_CTR_VADDR                            	(0xb8012900)
#define  USB2_TOP_USB_BIST1_VADDR                           	(0xb8012904)
#define  USB2_TOP_USB_BIST2_VADDR                           	(0xb8012908)
#define  USB2_TOP_USB_DRF0_VADDR                            	(0xb8012918)
#define  USB2_TOP_USB_DRF1_VADDR                            	(0xb801291c)
#define  USB2_TOP_USB_DRF2_VADDR                            	(0xb8012920)
#define  USB2_TOP_USB_DRF3_VADDR                            	(0xb8012924)
#define  USB2_TOP_USB_DRF4_VADDR                            	(0xb8012928)
#define  USB2_TOP_USB_BIST_OPTION0_VADDR                    	(0xb8012938)
#define  USB2_TOP_USB_BIST_OPTION1_VADDR                    	(0xb801293c)
#define  USB2_TOP_USB_BIST_OPTION2_VADDR                    	(0xb8012940)
#define  USB2_TOP_USB_DUMMY_1_VADDR                         	(0xb80127b0)

#endif 
